/// <reference types="node" />
import { PropType } from "vue";
import { KeenSliderInstance } from "keen-slider/vue";
import { BreakpointKey } from '../config/responsiveConfig';
export declare type UiCarouselBreakpoints = Partial<Record<BreakpointKey, UiCarouselBreakpointOptions>>;
export declare type UiCarouselBreakpointOptions = {
    perView?: number;
    spacing?: number;
};
declare class AutoplayTimer {
    private timer;
    private paused;
    reset(autoplay: boolean, autoplayDelay: number, slideLength: number, slider?: KeenSliderInstance): void;
    play(): void;
    pause(): void;
    isPaused(): boolean;
}
declare const _sfc_main: import("vue").DefineComponent<{
    autoplay: {
        type: BooleanConstructor;
        default: boolean;
    };
    autoplayDelay: {
        type: NumberConstructor;
        default: number;
    };
    arrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    hideDisabledArrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    center: {
        type: BooleanConstructor;
        default: boolean;
    };
    counter: {
        type: BooleanConstructor;
        default: boolean;
    };
    dots: {
        type: BooleanConstructor;
        default: boolean;
    };
    mode: {
        type: PropType<"snap" | "free" | "free-snap">;
        default: string;
    };
    index: {
        type: NumberConstructor;
        default: number;
    };
    loop: {
        type: BooleanConstructor;
        default: boolean;
    };
    perView: {
        type: PropType<number | "auto">;
        default: number;
    };
    spacing: {
        type: NumberConstructor;
        default: number;
    };
    breakpoints: {
        type: PropType<Partial<Record<BreakpointKey, UiCarouselBreakpointOptions>>>;
        default: undefined;
    };
    vertical: {
        type: BooleanConstructor;
    };
}, {
    slideLength: import("vue").ComputedRef<number>;
    container: import("vue").Ref<HTMLElement | undefined>;
    slider: import("vue").Ref<KeenSliderInstance<{}, {}, import("keen-slider/vue").KeenSliderHooks> | undefined>;
    currentIndex: import("vue").Ref<number>;
    dotList: import("vue").Ref<number[]>;
    arrowPrevClass: import("vue").ComputedRef<{
        disabled: boolean;
        'hide-disabled-arrow': boolean;
    }>;
    arrowNextClass: import("vue").ComputedRef<{
        disabled: boolean;
        'hide-disabled-arrow': boolean;
    }>;
    updateSlider: () => NodeJS.Timeout;
    autoplayTimer: AutoplayTimer;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:index"[], "update:index", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    autoplay: {
        type: BooleanConstructor;
        default: boolean;
    };
    autoplayDelay: {
        type: NumberConstructor;
        default: number;
    };
    arrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    hideDisabledArrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    center: {
        type: BooleanConstructor;
        default: boolean;
    };
    counter: {
        type: BooleanConstructor;
        default: boolean;
    };
    dots: {
        type: BooleanConstructor;
        default: boolean;
    };
    mode: {
        type: PropType<"snap" | "free" | "free-snap">;
        default: string;
    };
    index: {
        type: NumberConstructor;
        default: number;
    };
    loop: {
        type: BooleanConstructor;
        default: boolean;
    };
    perView: {
        type: PropType<number | "auto">;
        default: number;
    };
    spacing: {
        type: NumberConstructor;
        default: number;
    };
    breakpoints: {
        type: PropType<Partial<Record<BreakpointKey, UiCarouselBreakpointOptions>>>;
        default: undefined;
    };
    vertical: {
        type: BooleanConstructor;
    };
}>> & {
    "onUpdate:index"?: ((...args: any[]) => any) | undefined;
}, {
    dots: boolean;
    mode: "snap" | "free" | "free-snap";
    vertical: boolean;
    loop: boolean;
    breakpoints: Partial<Record<BreakpointKey, UiCarouselBreakpointOptions>>;
    autoplay: boolean;
    autoplayDelay: number;
    arrow: boolean;
    hideDisabledArrow: boolean;
    center: boolean;
    counter: boolean;
    index: number;
    perView: number | "auto";
    spacing: number;
}>;
export default _sfc_main;
