/**
 * UiPagination.
 * 페이지 목록을 표시한다.
 *
 * @vue-prop {Number} totalCount 전체 항목 개수
 * @vue-prop {Number} offset 현재 목록의 offset
 * @vue-prop {Number|String} limit 한 페이지에 표시되는 항목 수
 * @vue-prop {Number|String} visiblePageCount 한번에 표시되는 페이지 수
 * @vue-prop {String|Object} scrollTo 페이지 변경 시 스크롤로 이동할 element 의 id. 'top' 이면 가장 위로 이동한다.
 * @vue-prop {Number|String} maxPage 최대 페이지 수. totalPage 가 아무리 많더라도, maxPage 만큼만 표시된다.
 *
 * @vue-computed {Number} totalPage
 * @vue-computed {Number} currentPage
 * @vue-computed {Number} currentSetFirstPage 현재 표시되는 페이지 목록 중 첫 번째 페이지
 * @vue-computed {Number} currentSetLastPage 현재 표시되는 페이지 목록 중 마지막 페이지
 * @vue-computed {Number[]} visiblePages 현재 표시되는 페이지 목록
 *
 */
import { PropType } from "vue";
declare const _sfc_main: import("vue").DefineComponent<{
    totalCount: {
        type: NumberConstructor;
        default: number;
    };
    offset: {
        type: NumberConstructor;
        default: number;
    };
    limit: {
        type: NumberConstructor;
        default: number;
    };
    visiblePageCount: {
        type: NumberConstructor;
        default: number;
    };
    scrollTo: {
        type: (StringConstructor | ObjectConstructor)[];
        default: undefined;
    };
    scrollBehavior: {
        type: PropType<"auto" | "smooth">;
        default: string;
    };
    maxPage: {
        type: NumberConstructor;
        default: undefined;
    };
}, {
    totalPage: import("vue").ComputedRef<number>;
    currentPage: import("vue").ComputedRef<number>;
    currentSetFirstPage: import("vue").ComputedRef<number>;
    currentSetLastPage: import("vue").ComputedRef<number>;
    visiblePages: import("vue").ComputedRef<any[]>;
    prevArrowPage: import("vue").ComputedRef<number>;
    nextArrowPage: import("vue").ComputedRef<number>;
    isFirstDisabled: import("vue").ComputedRef<boolean>;
    isLastDisabled: import("vue").ComputedRef<boolean>;
    isFirstSet: import("vue").ComputedRef<boolean>;
    isLastSet: import("vue").ComputedRef<boolean>;
    goToPage: (page: number) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    pageChanged: (page: number) => boolean;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    totalCount: {
        type: NumberConstructor;
        default: number;
    };
    offset: {
        type: NumberConstructor;
        default: number;
    };
    limit: {
        type: NumberConstructor;
        default: number;
    };
    visiblePageCount: {
        type: NumberConstructor;
        default: number;
    };
    scrollTo: {
        type: (StringConstructor | ObjectConstructor)[];
        default: undefined;
    };
    scrollBehavior: {
        type: PropType<"auto" | "smooth">;
        default: string;
    };
    maxPage: {
        type: NumberConstructor;
        default: undefined;
    };
}>> & {
    onPageChanged?: ((page: number) => any) | undefined;
}, {
    totalCount: number;
    offset: number;
    limit: number;
    visiblePageCount: number;
    scrollTo: string | Record<string, any>;
    scrollBehavior: "auto" | "smooth";
    maxPage: number;
}>;
export default _sfc_main;
