import { BreakpointKey } from '../config/responsiveConfig';
declare type ResponsiveSrc = {
    [key in (BreakpointKey | "default")]?: {
        media?: string;
        src?: string;
        srcset?: string;
    };
};
declare const _sfc_main: import("vue").DefineComponent<{
    src: {
        type: StringConstructor;
        default: undefined;
    };
    alt: {
        type: StringConstructor;
        default: undefined;
    };
    width: {
        type: StringConstructor;
        default: undefined;
    };
    height: {
        type: StringConstructor;
        default: undefined;
    };
    requestWidth: {
        type: NumberConstructor;
        default: undefined;
    };
    requestHeight: {
        type: NumberConstructor;
        default: undefined;
    };
    loadingWidth: {
        type: StringConstructor;
        default: undefined;
    };
    loadingHeight: {
        type: StringConstructor;
        default: undefined;
    };
    quality: {
        type: NumberConstructor;
        default: number;
    };
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    preventCopy: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    useResolutions: {
        type: BooleanConstructor;
        default: boolean;
    };
    srcsetMaxResolution: {
        type: NumberConstructor;
        default: number;
        validator: (value: number) => boolean;
    };
    hideImageOnError: {
        type: BooleanConstructor;
        default: boolean;
    };
    imageRatio: {
        type: NumberConstructor;
        default: number;
    };
    length: number;
    toString(): string;
    toLocaleString(): string;
    pop(): string | undefined;
    push(...items: string[]): number;
    concat(...items: ConcatArray<string>[]): string[];
    concat(...items: (string | ConcatArray<string>)[]): string[];
    join(separator?: string | undefined): string;
    reverse(): string[];
    shift(): string | undefined;
    slice(start?: number | undefined, end?: number | undefined): string[];
    sort(compareFn?: ((a: string, b: string) => number) | undefined): string[];
    splice(start: number, deleteCount?: number | undefined): string[];
    splice(start: number, deleteCount: number, ...items: string[]): string[];
    unshift(...items: string[]): number;
    indexOf(searchElement: string, fromIndex?: number | undefined): number;
    lastIndexOf(searchElement: string, fromIndex?: number | undefined): number;
    every<S extends string>(predicate: (value: string, index: number, array: string[]) => value is S, thisArg?: any): this is S[];
    every(predicate: (value: string, index: number, array: string[]) => unknown, thisArg?: any): boolean;
    some(predicate: (value: string, index: number, array: string[]) => unknown, thisArg?: any): boolean;
    forEach(callbackfn: (value: string, index: number, array: string[]) => void, thisArg?: any): void;
    map<U>(callbackfn: (value: string, index: number, array: string[]) => U, thisArg?: any): U[];
    filter<S_1 extends string>(predicate: (value: string, index: number, array: string[]) => value is S_1, thisArg?: any): S_1[];
    filter(predicate: (value: string, index: number, array: string[]) => unknown, thisArg?: any): string[];
    reduce(callbackfn: (previousValue: string, currentValue: string, currentIndex: number, array: string[]) => string): string;
    reduce(callbackfn: (previousValue: string, currentValue: string, currentIndex: number, array: string[]) => string, initialValue: string): string;
    reduce<U_1>(callbackfn: (previousValue: U_1, currentValue: string, currentIndex: number, array: string[]) => U_1, initialValue: U_1): U_1;
    reduceRight(callbackfn: (previousValue: string, currentValue: string, currentIndex: number, array: string[]) => string): string;
    reduceRight(callbackfn: (previousValue: string, currentValue: string, currentIndex: number, array: string[]) => string, initialValue: string): string;
    reduceRight<U_2>(callbackfn: (previousValue: U_2, currentValue: string, currentIndex: number, array: string[]) => U_2, initialValue: U_2): U_2;
    find<S_2 extends string>(predicate: (this: void, value: string, index: number, obj: string[]) => value is S_2, thisArg?: any): S_2 | undefined;
    find(predicate: (value: string, index: number, obj: string[]) => unknown, thisArg?: any): string | undefined;
    findIndex(predicate: (value: string, index: number, obj: string[]) => unknown, thisArg?: any): number;
    fill(value: string, start?: number | undefined, end?: number | undefined): string[];
    copyWithin(target: number, start: number, end?: number | undefined): string[];
    entries(): IterableIterator<[number, string]>;
    keys(): IterableIterator<number>;
    values(): IterableIterator<string>;
    includes(searchElement: string, fromIndex?: number | undefined): boolean;
    flatMap<U_3, This = undefined>(callback: (this: This, value: string, index: number, array: string[]) => U_3 | readonly U_3[], thisArg?: This | undefined): U_3[];
    flat<A, D extends number = 1>(this: A, depth?: D | undefined): FlatArray<A, D>[];
    at(index: number): string | undefined;
    [Symbol.iterator](): IterableIterator<string>;
    [Symbol.unscopables](): {
        copyWithin: boolean;
        entries: boolean;
        fill: boolean;
        find: boolean;
        findIndex: boolean;
        keys: boolean;
        values: boolean;
    };
} | {
    src: {
        type: StringConstructor;
        default: undefined;
    };
    alt: {
        type: StringConstructor;
        default: undefined;
    };
    width: {
        type: StringConstructor;
        default: undefined;
    };
    height: {
        type: StringConstructor;
        default: undefined;
    };
    requestWidth: {
        type: NumberConstructor;
        default: undefined;
    };
    requestHeight: {
        type: NumberConstructor;
        default: undefined;
    };
    loadingWidth: {
        type: StringConstructor;
        default: undefined;
    };
    loadingHeight: {
        type: StringConstructor;
        default: undefined;
    };
    quality: {
        type: NumberConstructor;
        default: number;
    };
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    preventCopy: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    useResolutions: {
        type: BooleanConstructor;
        default: boolean;
    };
    srcsetMaxResolution: {
        type: NumberConstructor;
        default: number;
        validator: (value: number) => boolean;
    };
    hideImageOnError: {
        type: BooleanConstructor;
        default: boolean;
    };
    imageRatio: {
        type: NumberConstructor;
        default: number;
    };
    "sm-src"?: import("vue").Prop<unknown, unknown> | null | undefined;
    "md-src"?: import("vue").Prop<unknown, unknown> | null | undefined;
    "lg-src"?: import("vue").Prop<unknown, unknown> | null | undefined;
    "xl-src"?: import("vue").Prop<unknown, unknown> | null | undefined;
}, {
    shouldLoad: import("vue").Ref<boolean>;
    startLoadImage: () => void;
    imageLoaded: import("vue").Ref<boolean>;
    setImageLoaded: () => void;
    imageWidth: import("vue").ComputedRef<string | undefined>;
    imageHeight: import("vue").ComputedRef<string | undefined>;
    imageDisplay: import("vue").ComputedRef<string | undefined>;
    loadFailed: import("vue").Ref<boolean>;
    setLoadFailed: () => void;
    mediaQueries: {
        [x: string]: string;
    }[];
    responsiveSrc: import("vue").ComputedRef<ResponsiveSrc>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    pictureMouseover: (event: MouseEvent) => true;
    pictureMouseleave: (event: MouseEvent) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    src: {
        type: StringConstructor;
        default: undefined;
    };
    alt: {
        type: StringConstructor;
        default: undefined;
    };
    width: {
        type: StringConstructor;
        default: undefined;
    };
    height: {
        type: StringConstructor;
        default: undefined;
    };
    requestWidth: {
        type: NumberConstructor;
        default: undefined;
    };
    requestHeight: {
        type: NumberConstructor;
        default: undefined;
    };
    loadingWidth: {
        type: StringConstructor;
        default: undefined;
    };
    loadingHeight: {
        type: StringConstructor;
        default: undefined;
    };
    quality: {
        type: NumberConstructor;
        default: number;
    };
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    preventCopy: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    useResolutions: {
        type: BooleanConstructor;
        default: boolean;
    };
    srcsetMaxResolution: {
        type: NumberConstructor;
        default: number;
        validator: (value: number) => boolean;
    };
    hideImageOnError: {
        type: BooleanConstructor;
        default: boolean;
    };
    imageRatio: {
        type: NumberConstructor;
        default: number;
    };
    length: number;
    toString(): string;
    toLocaleString(): string;
    pop(): string | undefined;
    push(...items: string[]): number;
    concat(...items: ConcatArray<string>[]): string[];
    concat(...items: (string | ConcatArray<string>)[]): string[];
    join(separator?: string | undefined): string;
    reverse(): string[];
    shift(): string | undefined;
    slice(start?: number | undefined, end?: number | undefined): string[];
    sort(compareFn?: ((a: string, b: string) => number) | undefined): string[];
    splice(start: number, deleteCount?: number | undefined): string[];
    splice(start: number, deleteCount: number, ...items: string[]): string[];
    unshift(...items: string[]): number;
    indexOf(searchElement: string, fromIndex?: number | undefined): number;
    lastIndexOf(searchElement: string, fromIndex?: number | undefined): number;
    every<S extends string>(predicate: (value: string, index: number, array: string[]) => value is S, thisArg?: any): this is S[];
    every(predicate: (value: string, index: number, array: string[]) => unknown, thisArg?: any): boolean;
    some(predicate: (value: string, index: number, array: string[]) => unknown, thisArg?: any): boolean;
    forEach(callbackfn: (value: string, index: number, array: string[]) => void, thisArg?: any): void;
    map<U>(callbackfn: (value: string, index: number, array: string[]) => U, thisArg?: any): U[];
    filter<S_1 extends string>(predicate: (value: string, index: number, array: string[]) => value is S_1, thisArg?: any): S_1[];
    filter(predicate: (value: string, index: number, array: string[]) => unknown, thisArg?: any): string[];
    reduce(callbackfn: (previousValue: string, currentValue: string, currentIndex: number, array: string[]) => string): string;
    reduce(callbackfn: (previousValue: string, currentValue: string, currentIndex: number, array: string[]) => string, initialValue: string): string;
    reduce<U_1>(callbackfn: (previousValue: U_1, currentValue: string, currentIndex: number, array: string[]) => U_1, initialValue: U_1): U_1;
    reduceRight(callbackfn: (previousValue: string, currentValue: string, currentIndex: number, array: string[]) => string): string;
    reduceRight(callbackfn: (previousValue: string, currentValue: string, currentIndex: number, array: string[]) => string, initialValue: string): string;
    reduceRight<U_2>(callbackfn: (previousValue: U_2, currentValue: string, currentIndex: number, array: string[]) => U_2, initialValue: U_2): U_2;
    find<S_2 extends string>(predicate: (this: void, value: string, index: number, obj: string[]) => value is S_2, thisArg?: any): S_2 | undefined;
    find(predicate: (value: string, index: number, obj: string[]) => unknown, thisArg?: any): string | undefined;
    findIndex(predicate: (value: string, index: number, obj: string[]) => unknown, thisArg?: any): number;
    fill(value: string, start?: number | undefined, end?: number | undefined): string[];
    copyWithin(target: number, start: number, end?: number | undefined): string[];
    entries(): IterableIterator<[number, string]>;
    keys(): IterableIterator<number>;
    values(): IterableIterator<string>;
    includes(searchElement: string, fromIndex?: number | undefined): boolean;
    flatMap<U_3, This = undefined>(callback: (this: This, value: string, index: number, array: string[]) => U_3 | readonly U_3[], thisArg?: This | undefined): U_3[];
    flat<A, D extends number = 1>(this: A, depth?: D | undefined): FlatArray<A, D>[];
    at(index: number): string | undefined;
    [Symbol.iterator](): IterableIterator<string>;
    [Symbol.unscopables](): {
        copyWithin: boolean;
        entries: boolean;
        fill: boolean;
        find: boolean;
        findIndex: boolean;
        keys: boolean;
        values: boolean;
    };
}> | import("vue").ExtractPropTypes<{
    src: {
        type: StringConstructor;
        default: undefined;
    };
    alt: {
        type: StringConstructor;
        default: undefined;
    };
    width: {
        type: StringConstructor;
        default: undefined;
    };
    height: {
        type: StringConstructor;
        default: undefined;
    };
    requestWidth: {
        type: NumberConstructor;
        default: undefined;
    };
    requestHeight: {
        type: NumberConstructor;
        default: undefined;
    };
    loadingWidth: {
        type: StringConstructor;
        default: undefined;
    };
    loadingHeight: {
        type: StringConstructor;
        default: undefined;
    };
    quality: {
        type: NumberConstructor;
        default: number;
    };
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    preventCopy: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    useResolutions: {
        type: BooleanConstructor;
        default: boolean;
    };
    srcsetMaxResolution: {
        type: NumberConstructor;
        default: number;
        validator: (value: number) => boolean;
    };
    hideImageOnError: {
        type: BooleanConstructor;
        default: boolean;
    };
    imageRatio: {
        type: NumberConstructor;
        default: number;
    };
    "sm-src"?: import("vue").Prop<unknown, unknown> | null | undefined;
    "md-src"?: import("vue").Prop<unknown, unknown> | null | undefined;
    "lg-src"?: import("vue").Prop<unknown, unknown> | null | undefined;
    "xl-src"?: import("vue").Prop<unknown, unknown> | null | undefined;
}>> & {
    onPictureMouseover?: ((event: MouseEvent) => any) | undefined;
    onPictureMouseleave?: ((event: MouseEvent) => any) | undefined;
}, {
    lazy: boolean;
    preventCopy: boolean;
    alt: string;
    width: string;
    height: string;
    requestWidth: number;
    requestHeight: number;
    loadingWidth: string;
    loadingHeight: string;
    quality: number;
    srcsetMaxResolution: number;
    hideImageOnError: boolean;
    imageRatio: number;
    src: string;
    useResolutions: boolean;
} | {
    lazy: boolean;
    preventCopy: boolean;
    alt: string;
    width: string;
    height: string;
    requestWidth: number;
    requestHeight: number;
    loadingWidth: string;
    loadingHeight: string;
    quality: number;
    srcsetMaxResolution: number;
    hideImageOnError: boolean;
    imageRatio: number;
    src: string;
    useResolutions: boolean;
}>;
export default _sfc_main;
