/// <reference types="youtube" />
export declare type YoutubeState = "UNSTARTED" | "ENDED" | "PLAYING" | "PAUSED" | "BUFFERING" | "CUED";
declare const _sfc_main: import("vue").DefineComponent<{
    src: {
        type: StringConstructor;
        default: undefined;
    };
    poster: {
        type: StringConstructor;
        default: undefined;
    };
    autoplay: {
        type: BooleanConstructor;
        default: boolean;
    };
    muted: {
        type: BooleanConstructor;
        default: boolean;
    };
    controls: {
        type: BooleanConstructor;
        default: boolean;
    };
    loop: {
        type: BooleanConstructor;
        default: boolean;
    };
    width: {
        type: StringConstructor;
        default: undefined;
    };
    height: {
        type: StringConstructor;
        default: undefined;
    };
    playsinline: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    enableMountYoutubePlayer: import("vue").Ref<boolean>;
    youtubeSrc: import("vue").ComputedRef<string | undefined>;
    youtube: import("vue").Ref<import("vue").DefineComponent<{
        src: {
            type: import("vue").PropType<string>;
            required: true;
        };
        height: {
            type: import("vue").PropType<string | number>;
            default: number;
        };
        width: {
            type: import("vue").PropType<string | number>;
            default: number;
        };
        host: {
            type: import("vue").PropType<string>;
            default: string;
        };
        vars: import("vue").PropType<YT.PlayerVars>;
    }, unknown, {
        promise: Promise<void>;
        resolver: () => void;
        player: YT.Player | null;
        initiated: boolean;
        ready: boolean;
        iframeStyle: Record<string, string>;
    }, {
        id(): string;
        wrapperStyle(): Record<string, string>;
    }, {
        initPlayer(): void;
        cueVideoById(videoId: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        loadVideoById(videoId: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        cueVideoByUrl(mediaContentUrl: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        loadVideoByUrl(mediaContentUrl: string, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        cuePlaylist(playlist: string | string[], index?: number | undefined, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        loadPlaylist(playlist: string | string[], index?: number | undefined, startSeconds?: number | undefined, suggestedQuality?: "default" | "small" | "medium" | "large" | "hd720" | "hd1080" | "highres" | undefined): void;
        playVideo(): void;
        pauseVideo(): void;
        stopVideo(): void;
        seekTo(seconds: number, allowSeekAhead: boolean): void;
        nextVideo(): void;
        previousVideo(): void;
        playVideoAt(index: number): void;
        mute(): void;
        unMute(): void;
        isMuted(): boolean;
        setVolume(volume: number): void;
        getVolume(): number;
        getPlaybackRate(): number;
        setPlaybackRate(suggestedRate: number): void;
        getAvailablePlaybackRates(): number[];
        setLoop(loopPlaylists: boolean): void;
        setShuffle(shufflePlaylist: boolean): void;
        getVideoLoadedFraction(): number;
        getPlayerState(): YT.PlayerState;
        getCurrentTime(): number;
        getPlaybackQuality(): YT.SuggestedVideoQuality;
        setPlaybackQuality(suggestedQuality: YT.SuggestedVideoQuality): void;
        getAvailableQualityLevels(): YT.SuggestedVideoQuality[];
        getDuration(): number;
        getVideoUrl(): string;
        getVideoEmbedCode(): string;
        getPlaylist(): string[];
        getPlaylistIndex(): number;
    }, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
        src: string;
        height: string | number;
        width: string | number;
        host: string;
    } & {
        vars?: YT.PlayerVars | undefined;
    }>, {
        height: string | number;
        width: string | number;
        host: string;
    }>>;
    options: import("vue").ComputedRef<{
        controls: number;
    }>;
    state: import("vue").Ref<YoutubeState>;
    onStateChange: ({ data }: {
        data: number;
    }) => void;
    onReady: () => void;
    play: () => void;
    posterSrc: import("vue").ComputedRef<string | undefined>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    src: {
        type: StringConstructor;
        default: undefined;
    };
    poster: {
        type: StringConstructor;
        default: undefined;
    };
    autoplay: {
        type: BooleanConstructor;
        default: boolean;
    };
    muted: {
        type: BooleanConstructor;
        default: boolean;
    };
    controls: {
        type: BooleanConstructor;
        default: boolean;
    };
    loop: {
        type: BooleanConstructor;
        default: boolean;
    };
    width: {
        type: StringConstructor;
        default: undefined;
    };
    height: {
        type: StringConstructor;
        default: undefined;
    };
    playsinline: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    loop: boolean;
    autoplay: boolean;
    width: string;
    height: string;
    src: string;
    poster: string;
    muted: boolean;
    controls: boolean;
    playsinline: boolean;
}>;
export default _sfc_main;
