export declare type BreakpointKey = 'sm' | 'md' | 'lg' | 'xl';
export declare type ScreenSize = 'XS' | 'SM' | 'MD' | 'LG' | 'XL';
export declare const ScreenSizeArray: string[];
/**
 * 반응형 디자인을 위한 breakpoints.
 *
 * variables.scss 의 값과 일치해야 한다.
 */
export declare const BREAKPOINTS: Record<BreakpointKey, string>;
export declare const MEDIA_QUERIES: Record<BreakpointKey, string>;
export declare type ResponsiveConfig = {
    screenSize: ScreenSize;
};
export declare const responsiveUtil: {
    currentScreenSize(): ScreenSize;
    isScreenSizeSmallerThan(size: ScreenSize): boolean;
    isScreenSizeEqualOrSmallerThan(size: ScreenSize): boolean;
    isScreenSizeEqualOrGreaterThan(size: ScreenSize): boolean;
    isScreenSizeGreaterThan(size: ScreenSize): boolean;
};
