var __defProp = Object.defineProperty;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __publicField = (obj, key, value) => {
  __defNormalProp(obj, typeof key !== "symbol" ? key + "" : key, value);
  return value;
};
(function(global, factory) {
  typeof exports === "object" && typeof module !== "undefined" ? factory(exports, require("vue"), require("vue-router"), require("vue3-youtube"), require("keen-slider/vue"), require("@vee-validate/rules"), require("vee-validate"), require("dayjs"), require("vue3-click-away"), require("vue-loading-overlay"), require("vue-final-modal")) : typeof define === "function" && define.amd ? define(["exports", "vue", "vue-router", "vue3-youtube", "keen-slider/vue", "@vee-validate/rules", "vee-validate", "dayjs", "vue3-click-away", "vue-loading-overlay", "vue-final-modal"], factory) : (global = typeof globalThis !== "undefined" ? globalThis : global || self, factory(global.VueUi = {}, global.Vue, global.vueRouter, global.YouTube, global.keenSlider, global.rules, global.veeValidate, global.dayJs, global.vue3ClickAway, global.vueLoadingOverlay, global.VueFinalModal));
})(this, function(exports2, vue, vueRouter, YouTube, vue$1, rules, veeValidate, dayjs, vue3ClickAway, vueLoadingOverlay, vueFinalModal) {
  "use strict";
  const _interopDefaultLegacy = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
  const YouTube__default = /* @__PURE__ */ _interopDefaultLegacy(YouTube);
  const dayjs__default = /* @__PURE__ */ _interopDefaultLegacy(dayjs);
  const uiComponentConfig = {
    fileUrlPrefix: "",
    alertRequired: "Required",
    alertNumberOnly: "Only numbers are allowed",
    alertMinCharCount: (args) => `Should be longer than ${args[0]}`,
    alertMaxCharCount: (args) => `Should be shorter than ${args[0]}`,
    currencySymbolBefore: "",
    currencySymbolAfter: "",
    inputQtyChangeButtonCaption: "Change",
    loadingOverlayColor: "#3f51b5",
    loadingOverlayStyle: "spinner",
    scrollListDefaultScrollType: "PAGE",
    scrollListMoreCaption: "More",
    scrollListMoreButtonIcon: "plus",
    scrollListMoreButtonDirection: "left",
    periodSearchMonthList: [{ caption: "3M", months: 3 }, { caption: "6M", months: 6 }, { caption: "1Y", months: 12 }],
    periodSearchAllCaption: "All",
    processStepIconClass: "arrow-right",
    imagePreventCopy: false
  };
  const configureUiComponent = (config) => {
    Object.assign(uiComponentConfig, config);
  };
  const ScreenSizeArray = ["XS", "SM", "MD", "LG", "XL"];
  const BREAKPOINTS = {
    sm: {}.VITE_BREAKPOINT_SM || "576",
    md: {}.VITE_BREAKPOINT_MD || "768",
    lg: {}.VITE_BREAKPOINT_LG || "992",
    xl: {}.VITE_BREAKPOINT_XL || "1140"
  };
  const MEDIA_QUERIES = {
    sm: `(min-width: ${BREAKPOINTS.sm}px)`,
    md: `(min-width: ${BREAKPOINTS.md}px)`,
    lg: `(min-width: ${BREAKPOINTS.lg}px)`,
    xl: `(min-width: ${BREAKPOINTS.xl}px)`
  };
  const globalResponsiveConfig = vue.reactive({
    screenSize: "XS"
  });
  const refreshScreenSize = () => {
    const width = window.innerWidth;
    globalResponsiveConfig.screenSize = width >= Number(BREAKPOINTS.xl) ? "XL" : width >= Number(BREAKPOINTS.lg) ? "LG" : width >= Number(BREAKPOINTS.md) ? "MD" : width >= Number(BREAKPOINTS.sm) ? "SM" : "XS";
  };
  refreshScreenSize();
  window == null ? void 0 : window.addEventListener("resize", refreshScreenSize, { passive: true });
  const responsiveUtil = {
    currentScreenSize() {
      return globalResponsiveConfig.screenSize;
    },
    isScreenSizeSmallerThan(size) {
      return ScreenSizeArray.indexOf(globalResponsiveConfig.screenSize) < ScreenSizeArray.indexOf(size);
    },
    isScreenSizeEqualOrSmallerThan(size) {
      return ScreenSizeArray.indexOf(globalResponsiveConfig.screenSize) <= ScreenSizeArray.indexOf(size);
    },
    isScreenSizeEqualOrGreaterThan(size) {
      return ScreenSizeArray.indexOf(globalResponsiveConfig.screenSize) >= ScreenSizeArray.indexOf(size);
    },
    isScreenSizeGreaterThan(size) {
      return ScreenSizeArray.indexOf(globalResponsiveConfig.screenSize) > ScreenSizeArray.indexOf(size);
    }
  };
  const urlUtil = {
    isAbsoluteUrl(url) {
      return !!url && (url.startsWith("http://") || url.startsWith("https://") || url.startsWith("mailto:") || url.startsWith("tel:"));
    },
    prependPrefixIfRelativeUrl(prefix, url) {
      if (!url)
        return void 0;
      if (this.isAbsoluteUrl(url))
        return url;
      return prefix + url;
    },
    checkInternalLink(url) {
      return !this.isAbsoluteUrl(url) ? "RELATIVE_PATH" : new URL(url).origin === new URL(location.href).origin ? "SAME_ORIGIN" : void 0;
    },
    extractUrlDifferentPart(targetUrl, withUrl) {
      return "/" + targetUrl.split("/").filter((str, index2) => str !== withUrl.split("/")[index2]).join("/");
    }
  };
  const _sfc_main$x = vue.defineComponent({
    name: "UiLink",
    props: {
      href: {
        type: String
      },
      target: {
        type: String,
        default: void 0
      }
    },
    setup(props) {
      const isTargetSelf = vue.computed(() => !(props == null ? void 0 : props.target) || props.target.toLowerCase() === "_self");
      const instance = vue.getCurrentInstance();
      const isVueRouterInstalled = !!(instance == null ? void 0 : instance.appContext.config.globalProperties.$router);
      const router = isVueRouterInstalled ? vueRouter.useRouter() : void 0;
      const routerBase = location.origin + ((router == null ? void 0 : router.options.history.base) || "");
      const isInternalLink = vue.computed(() => props.href && router && urlUtil.checkInternalLink(props.href));
      const computedHref = vue.computed(() => props.href && isInternalLink.value === "SAME_ORIGIN" && isTargetSelf.value ? urlUtil.extractUrlDifferentPart(props.href, routerBase) : props.href);
      const component = vue.computed(() => isInternalLink.value ? vueRouter.RouterLink : "a");
      return {
        component,
        computedHref
      };
    }
  });
  const _export_sfc = (sfc, props) => {
    const target = sfc.__vccOpts || sfc;
    for (const [key, val] of props) {
      target[key] = val;
    }
    return target;
  };
  function _sfc_render$x(_ctx, _cache, $props, $setup, $data, $options) {
    return vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent(_ctx.component), {
      href: _ctx.computedHref,
      to: _ctx.computedHref,
      target: _ctx.target
    }, {
      default: vue.withCtx(() => [
        vue.renderSlot(_ctx.$slots, "default")
      ]),
      _: 3
    }, 8, ["href", "to", "target"]);
  }
  const UiLink = /* @__PURE__ */ _export_sfc(_sfc_main$x, [["render", _sfc_render$x]]);
  const _sfc_main$w = vue.defineComponent({
    name: "UiButton",
    components: { UiLink },
    props: {
      caption: {
        type: String,
        default: ""
      },
      href: {
        type: String,
        default: void 0
      },
      routerTo: {
        type: String,
        default: void 0
      },
      buttonType: {
        type: String,
        default: "button"
      },
      icon: {
        type: String,
        default: void 0
      },
      iconDirection: {
        type: String,
        default: "left",
        validator: (value) => ["left", "right", "top"].includes(value)
      },
      disabled: {
        type: Boolean,
        default: false
      }
    },
    setup(props) {
      const iconClass = vue.computed(() => {
        return `${props.icon} icon-${props.iconDirection} ${props.caption ? "with-caption" : ""}`;
      });
      const extraClass = vue.computed(() => {
        return props.icon && props.iconDirection === "top" ? "vertical" : "";
      });
      const isComponentLink = vue.computed(() => !!props.href || !!props.routerTo);
      const checkComponentLinkOrButton = vue.computed(() => isComponentLink.value ? UiLink : "button");
      return {
        iconClass,
        extraClass,
        checkComponentLinkOrButton,
        isComponentLink
      };
    }
  });
  function _sfc_render$w(_ctx, _cache, $props, $setup, $data, $options) {
    return vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent(_ctx.checkComponentLinkOrButton), {
      class: vue.normalizeClass(["ui-button", _ctx.extraClass]),
      href: _ctx.href || _ctx.routerTo,
      disabled: _ctx.disabled,
      type: !_ctx.isComponentLink ? _ctx.buttonType : void 0
    }, {
      default: vue.withCtx(() => [
        _ctx.icon && (_ctx.iconDirection === "left" || _ctx.iconDirection === "top") ? (vue.openBlock(), vue.createElementBlock("i", {
          key: 0,
          class: vue.normalizeClass(["icon-font", _ctx.iconClass])
        }, null, 2)) : vue.createCommentVNode("", true),
        vue.createTextVNode(" " + vue.toDisplayString(_ctx.caption) + " ", 1),
        _ctx.icon && _ctx.iconDirection === "right" ? (vue.openBlock(), vue.createElementBlock("i", {
          key: 1,
          class: vue.normalizeClass(["icon-font", _ctx.iconClass])
        }, null, 2)) : vue.createCommentVNode("", true)
      ]),
      _: 1
    }, 8, ["class", "href", "disabled", "type"]);
  }
  const UiButton = /* @__PURE__ */ _export_sfc(_sfc_main$w, [["render", _sfc_render$w]]);
  const checkSupportIntersectionObserver = () => {
    var _a;
    return "IntersectionObserver" in window || "IntersectionObserverEntry" in window || "intersectionRatio" in (((_a = window == null ? void 0 : window.IntersectionObserverEntry) == null ? void 0 : _a.prototype) || {});
  };
  const checkMobileDevice = () => {
    const userAgent = navigator.userAgent.toLowerCase();
    if (userAgent.indexOf("android") > -1)
      return "ANDROID";
    else if (userAgent.indexOf("iphone") > -1 || userAgent.indexOf("ipad") > -1 || userAgent.indexOf("ipod") > -1)
      return "IOS";
    else
      return "ETC";
  };
  const checkSupportWebp = () => {
    const elem = document.createElement("canvas");
    return elem.getContext && elem.getContext("2d") ? elem.toDataURL("image/webp").indexOf("data:image/webp") === 0 : false;
  };
  const mobileDeviceType = checkMobileDevice();
  const supportWebp = checkSupportWebp();
  const supportIntersectionObserver = checkSupportIntersectionObserver();
  const defaultIntersectionObserver = !supportIntersectionObserver ? void 0 : new IntersectionObserver((entries, observer) => {
    entries.forEach((entry) => {
      var _a, _b;
      if (entry.isIntersecting) {
        (_b = (_a = entry.target).onIntersect) == null ? void 0 : _b.call(_a);
        if (entry.target.onIntersectOnce) {
          observer.unobserve(entry.target);
          delete entry.target.onIntersect;
        }
      }
    });
  });
  const Lazy = {
    mounted: (element, { value }, vnode) => {
      const enabled = typeof value === "object" ? !!value.enabled : !!value;
      const onIntersectHandler = typeof value === "object" ? value.onIntersect : null;
      const once = typeof value === "object" && value.once !== void 0 ? value.once : true;
      if (defaultIntersectionObserver && (enabled === void 0 || enabled)) {
        element.onIntersect = () => onIntersectHandler == null ? void 0 : onIntersectHandler(element, vnode);
        element.onIntersectOnce = once;
        defaultIntersectionObserver.observe(element);
      } else {
        onIntersectHandler == null ? void 0 : onIntersectHandler(element, vnode);
      }
    }
  };
  const preventDefaultHandler = (event) => event.preventDefault();
  const preventCopy = {
    updated: (element, { value }) => {
      if (value == void 0 || value) {
        if (element.getAttribute("prevent-copy-handler-registered") !== "true") {
          element.addEventListener("contextmenu", preventDefaultHandler);
          element.setAttribute("prevent-copy-handler-registered", "true");
        }
        if (!element.classList.contains("user-select-none")) {
          element.classList.add("user-select-none");
        }
      }
    }
  };
  const _sfc_main$v = vue.defineComponent({
    name: "UiImage",
    directives: { lazy: Lazy, preventCopy },
    props: {
      fileUrl: {
        type: String,
        default: void 0
      },
      alt: {
        type: String,
        default: void 0
      },
      width: {
        type: String,
        default: void 0
      },
      height: {
        type: String,
        default: void 0
      },
      requestWidth: {
        type: Number,
        default: void 0
      },
      requestHeight: {
        type: Number,
        default: void 0
      },
      loadingWidth: {
        type: String,
        default: void 0
      },
      loadingHeight: {
        type: String,
        default: void 0
      },
      quality: {
        type: Number,
        default: -1
      },
      lazy: {
        type: Boolean,
        default: true
      },
      preventCopy: {
        type: Boolean,
        default: () => uiComponentConfig.imagePreventCopy
      },
      useSrcset: {
        type: Boolean,
        default: false
      },
      srcsetMaxResolution: {
        type: Number,
        default: 3,
        validator: (value) => value >= 1 && value <= 5
      },
      hideImageOnError: {
        type: Boolean,
        default: false
      },
      imageRatio: {
        type: Number,
        default: 1
      }
    },
    setup(props) {
      const shouldUseDefaultImage = vue.computed(() => !props.fileUrl || !isImageUrl$1(props.fileUrl));
      const imageResizeAvailable = vue.computed(
        () => {
          var _a;
          return !urlUtil.isAbsoluteUrl(props.fileUrl) && !shouldUseDefaultImage.value && !((_a = props.fileUrl) == null ? void 0 : _a.endsWith(".gif"));
        }
      );
      const createImageUrl = (width, height) => {
        if (!props.fileUrl)
          return void 0;
        if (urlUtil.isAbsoluteUrl(props.fileUrl))
          return props.fileUrl;
        const src = uiComponentConfig.fileUrlPrefix + props.fileUrl;
        if (imageResizeAvailable.value) {
          const format = supportWebp ? "?f=webp" : "?";
          const quality = props.quality > 0 ? `&q=${props.quality}` : "&q=100";
          const widthParam = width ? `&w=${width}` : "";
          const heightParam = height ? `&h=${height}` : "";
          return `${src}${format}${quality}${widthParam}${heightParam}`;
        } else {
          return src;
        }
      };
      const imageSrc = vue.computed(() => createImageUrl(props.requestWidth, props.requestHeight));
      const imageSrcSet = vue.computed(() => {
        if (props.useSrcset && imageResizeAvailable.value && (props.requestWidth || props.requestHeight)) {
          const max = Math.max(1, Math.min(props.srcsetMaxResolution, 5));
          return [...Array(max).keys()].map((val) => ({
            resolution: val + 1,
            width: props.requestWidth && props.requestWidth * (val + 1),
            height: props.requestHeight && props.requestHeight * (val + 1)
          })).map((size) => `${createImageUrl(size.width, size.height)} ${size.resolution}x`).join(", ");
        } else {
          return void 0;
        }
      });
      const shouldLoad = vue.ref(!props.lazy);
      const startLoadImage = () => {
        shouldLoad.value = true;
      };
      const imageLoaded = vue.ref(false);
      const setImageLoaded = () => {
        imageLoaded.value = true;
      };
      const imageWidth = vue.computed(() => imageLoaded.value ? props.width : "0");
      const imageHeight = vue.computed(() => imageLoaded.value ? props.height : "0");
      const loadFailed = vue.ref(false);
      const setLoadFailed = () => {
        loadFailed.value = true;
      };
      const imageDisplay = vue.computed(() => props.hideImageOnError && loadFailed.value ? "none" : void 0);
      vue.watch(() => props.fileUrl, () => {
        loadFailed.value = false;
      });
      return {
        imageSrc,
        imageSrcSet,
        shouldLoad,
        startLoadImage,
        imageLoaded,
        setImageLoaded,
        imageWidth,
        imageHeight,
        imageDisplay,
        loadFailed,
        setLoadFailed
      };
    }
  });
  function isImageUrl$1(url) {
    const ext = url.substring(url.lastIndexOf(".") + 1).toLowerCase();
    return ["jpg", "jpeg", "png", "ping", "gif", "giff", "webp", "svg"].includes(ext);
  }
  const _hoisted_1$o = ["src", "srcset", "alt"];
  const _hoisted_2$f = ["viewBox"];
  const _hoisted_3$d = ["data-file-url", "viewBox"];
  function _sfc_render$v(_ctx, _cache, $props, $setup, $data, $options) {
    const _directive_prevent_copy = vue.resolveDirective("prevent-copy");
    const _directive_lazy = vue.resolveDirective("lazy");
    return vue.openBlock(), vue.createElementBlock(vue.Fragment, null, [
      _ctx.imageSrc && _ctx.shouldLoad && !_ctx.loadFailed ? vue.withDirectives((vue.openBlock(), vue.createElementBlock("img", vue.mergeProps({
        key: 0,
        onLoad: _cache[0] || (_cache[0] = (...args) => _ctx.setImageLoaded && _ctx.setImageLoaded(...args)),
        class: [!_ctx.imageLoaded ? "position-absolute" : ""],
        src: _ctx.imageSrc,
        srcset: _ctx.imageSrcSet,
        alt: _ctx.alt,
        style: { width: _ctx.imageWidth, height: _ctx.imageHeight, display: _ctx.imageDisplay },
        onError: _cache[1] || (_cache[1] = (...args) => _ctx.setLoadFailed && _ctx.setLoadFailed(...args))
      }, _ctx.$attrs), null, 16, _hoisted_1$o)), [
        [_directive_prevent_copy, _ctx.preventCopy]
      ]) : vue.createCommentVNode("", true),
      _ctx.imageSrc && !_ctx.imageLoaded && !_ctx.loadFailed ? vue.withDirectives((vue.openBlock(), vue.createElementBlock("div", vue.mergeProps({
        key: 1,
        class: "ui-image loading-image",
        style: { width: _ctx.loadingWidth || _ctx.width, height: _ctx.loadingHeight || _ctx.height, display: _ctx.imageDisplay, ..._ctx.$attrs.style }
      }, { class: _ctx.$attrs.class }), [
        (vue.openBlock(), vue.createElementBlock("svg", {
          viewBox: `0 0 1 ${_ctx.imageRatio}`
        }, null, 8, _hoisted_2$f))
      ], 16)), [
        [_directive_lazy, { enabled: _ctx.lazy, onIntersect: _ctx.startLoadImage }]
      ]) : _ctx.loadFailed || !_ctx.imageSrc ? (vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
        key: 2,
        class: "ui-image failed-load-image",
        style: { width: _ctx.loadingWidth || _ctx.width, height: _ctx.loadingHeight || _ctx.height, display: _ctx.imageDisplay, ..._ctx.$attrs.style },
        "data-file-url": _ctx.imageSrc,
        viewBox: `0 0 1 ${_ctx.imageRatio}`
      }, { class: _ctx.$attrs.class }), null, 16, _hoisted_3$d)) : vue.createCommentVNode("", true)
    ], 64);
  }
  const UiImage = /* @__PURE__ */ _export_sfc(_sfc_main$v, [["render", _sfc_render$v]]);
  const propsResponsiveSrc = Object.keys(MEDIA_QUERIES).reduce((acc, current) => {
    const key = `${current}-src`;
    acc[key] = String;
    return acc;
  }, {});
  const _sfc_main$u = vue.defineComponent({
    name: "UiPicture",
    directives: { lazy: Lazy, preventCopy },
    props: {
      ...propsResponsiveSrc,
      src: {
        type: String,
        default: void 0
      },
      alt: {
        type: String,
        default: void 0
      },
      width: {
        type: String,
        default: void 0
      },
      height: {
        type: String,
        default: void 0
      },
      requestWidth: {
        type: Number,
        default: void 0
      },
      requestHeight: {
        type: Number,
        default: void 0
      },
      loadingWidth: {
        type: String,
        default: void 0
      },
      loadingHeight: {
        type: String,
        default: void 0
      },
      quality: {
        type: Number,
        default: -1
      },
      lazy: {
        type: Boolean,
        default: true
      },
      preventCopy: {
        type: Boolean,
        default: () => uiComponentConfig.imagePreventCopy
      },
      useResolutions: {
        type: Boolean,
        default: false
      },
      srcsetMaxResolution: {
        type: Number,
        default: 3,
        validator: (value) => value >= 1 && value <= 5
      },
      hideImageOnError: {
        type: Boolean,
        default: false
      },
      imageRatio: {
        type: Number,
        default: 1
      }
    },
    emits: {
      "pictureMouseover": (event) => !!event,
      "pictureMouseleave": (event) => !!event
    },
    setup(props) {
      const mediaQueries = Object.entries(MEDIA_QUERIES).map((item) => ({ [item[0]]: item[1] }));
      const shouldUseDefaultImage = vue.computed(() => !props.src || !isImageUrl(props.src));
      const imageResizeAvailable = vue.computed(
        () => {
          var _a;
          return !urlUtil.isAbsoluteUrl(props.src) && !shouldUseDefaultImage.value && !((_a = props.src) == null ? void 0 : _a.endsWith(".gif"));
        }
      );
      const createImageUrl = (src, width, height) => {
        if (!props.src)
          return void 0;
        if (urlUtil.isAbsoluteUrl(src))
          return src;
        const _src = uiComponentConfig.fileUrlPrefix + src;
        if (imageResizeAvailable.value) {
          const format = supportWebp ? "?f=webp" : "?";
          const quality = props.quality > 0 ? `&q=${props.quality}` : "&q=100";
          const widthParam = width ? `&w=${width}` : "";
          const heightParam = height ? `&h=${height}` : "";
          return `${_src}${format}${quality}${widthParam}${heightParam}`;
        } else {
          return _src;
        }
      };
      const createSrcSet = (src) => {
        if (props.useResolutions && imageResizeAvailable.value && (props.requestWidth || props.requestHeight)) {
          const max = Math.max(1, Math.min(props.srcsetMaxResolution, 5));
          return [...Array(max).keys()].map((val) => ({
            resolution: val + 1,
            width: props.requestWidth && props.requestWidth * (val + 1),
            height: props.requestHeight && props.requestHeight * (val + 1)
          })).map((size) => `${createImageUrl(src, size.width, size.height)} ${size.resolution}x`).join(", ");
        } else
          return createImageUrl(src, props.requestWidth, props.requestHeight);
      };
      const responsiveSrc = vue.computed(() => Object.keys({ default: {}, ...MEDIA_QUERIES }).reverse().map((item) => item.toLowerCase()).reduce((acc, current) => {
        const screen = current;
        if (current === "default") {
          acc["default"] = {
            srcset: createSrcSet(props.src),
            src: createImageUrl(props.src, props.requestWidth, props.requestHeight),
            media: "(min-width: 0)"
          };
        }
        for (const propsKey in props) {
          if (propsKey.includes(current)) {
            const receivedSrc = props[propsKey];
            receivedSrc ? acc[screen] = { srcset: createSrcSet(receivedSrc), media: MEDIA_QUERIES[screen] } : delete acc[screen];
          }
        }
        return acc;
      }, {}));
      const shouldLoad = vue.ref(!props.lazy);
      const startLoadImage = () => {
        shouldLoad.value = true;
      };
      const imageLoaded = vue.ref(false);
      const setImageLoaded = () => {
        imageLoaded.value = true;
      };
      const imageWidth = vue.computed(() => imageLoaded.value ? props.width : "0");
      const imageHeight = vue.computed(() => imageLoaded.value ? props.height : "0");
      const loadFailed = vue.ref(false);
      const setLoadFailed = () => {
        loadFailed.value = true;
      };
      const imageDisplay = vue.computed(() => props.hideImageOnError && loadFailed.value ? "none" : void 0);
      vue.watch(() => props.src, () => {
        loadFailed.value = false;
      });
      return {
        shouldLoad,
        startLoadImage,
        imageLoaded,
        setImageLoaded,
        imageWidth,
        imageHeight,
        imageDisplay,
        loadFailed,
        setLoadFailed,
        mediaQueries,
        responsiveSrc
      };
    }
  });
  function isImageUrl(url) {
    const ext = url.substring(url.lastIndexOf(".") + 1).toLowerCase();
    return ["jpg", "jpeg", "png", "ping", "gif", "giff", "webp", "svg"].includes(ext);
  }
  const _hoisted_1$n = { key: 0 };
  const _hoisted_2$e = ["media", "srcset"];
  const _hoisted_3$c = ["src", "alt"];
  const _hoisted_4$8 = ["viewBox"];
  const _hoisted_5$6 = ["data-src", "viewBox"];
  function _sfc_render$u(_ctx, _cache, $props, $setup, $data, $options) {
    var _a;
    const _directive_prevent_copy = vue.resolveDirective("prevent-copy");
    const _directive_lazy = vue.resolveDirective("lazy");
    return vue.openBlock(), vue.createElementBlock(vue.Fragment, null, [
      _ctx.responsiveSrc.default.src && _ctx.shouldLoad && !_ctx.loadFailed ? (vue.openBlock(), vue.createElementBlock("picture", _hoisted_1$n, [
        (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.responsiveSrc, (value, key) => {
          return vue.openBlock(), vue.createElementBlock("source", {
            key,
            media: value == null ? void 0 : value.media,
            srcset: value == null ? void 0 : value.srcset
          }, null, 8, _hoisted_2$e);
        }), 128)),
        vue.withDirectives(vue.createElementVNode("img", {
          src: _ctx.responsiveSrc.default.src,
          alt: _ctx.alt,
          style: vue.normalizeStyle({ width: _ctx.imageWidth, height: _ctx.imageHeight, display: _ctx.imageDisplay }),
          class: vue.normalizeClass([!_ctx.imageLoaded ? "position-absolute" : "", (_a = _ctx.$attrs) == null ? void 0 : _a.class]),
          onMouseover: _cache[0] || (_cache[0] = ($event) => _ctx.$emit("pictureMouseover", $event)),
          onMouseleave: _cache[1] || (_cache[1] = ($event) => _ctx.$emit("pictureMouseleave", $event)),
          onError: _cache[2] || (_cache[2] = (...args) => _ctx.setLoadFailed && _ctx.setLoadFailed(...args)),
          onLoad: _cache[3] || (_cache[3] = (...args) => _ctx.setImageLoaded && _ctx.setImageLoaded(...args))
        }, null, 46, _hoisted_3$c), [
          [_directive_prevent_copy, _ctx.preventCopy]
        ])
      ])) : vue.createCommentVNode("", true),
      _ctx.responsiveSrc.default.src && !_ctx.imageLoaded && !_ctx.loadFailed ? vue.withDirectives((vue.openBlock(), vue.createElementBlock("div", vue.mergeProps({
        key: 1,
        class: "ui-image loading-image",
        style: { width: _ctx.loadingWidth || _ctx.width, height: _ctx.loadingHeight || _ctx.height, display: _ctx.imageDisplay, ..._ctx.$attrs.style }
      }, { class: _ctx.$attrs.class }), [
        (vue.openBlock(), vue.createElementBlock("svg", {
          viewBox: `0 0 1 ${_ctx.imageRatio}`
        }, null, 8, _hoisted_4$8))
      ], 16)), [
        [_directive_lazy, { enabled: _ctx.lazy, onIntersect: _ctx.startLoadImage }]
      ]) : _ctx.loadFailed || !_ctx.responsiveSrc.default.src ? (vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
        key: 2,
        class: "ui-image failed-load-image",
        style: { width: _ctx.loadingWidth || _ctx.width, height: _ctx.loadingHeight || _ctx.height, display: _ctx.imageDisplay, ..._ctx.$attrs.style },
        "data-src": _ctx.responsiveSrc.default.src,
        viewBox: `0 0 1 ${_ctx.imageRatio}`
      }, { class: _ctx.$attrs.class }), null, 16, _hoisted_5$6)) : vue.createCommentVNode("", true)
    ], 64);
  }
  const UiPicture = /* @__PURE__ */ _export_sfc(_sfc_main$u, [["render", _sfc_render$u]]);
  const _sfc_main$t = vue.defineComponent({
    name: "UiVideo",
    directives: { lazy: Lazy },
    props: {
      fileUrl: {
        type: String,
        default: void 0
      },
      width: {
        type: String,
        default: void 0
      },
      height: {
        type: String,
        default: void 0
      },
      autoplay: {
        type: Boolean,
        default: false
      },
      controls: {
        type: Boolean,
        default: false
      },
      loop: {
        type: Boolean,
        default: false
      },
      muted: {
        type: Boolean,
        default: false
      },
      poster: {
        type: String,
        default: void 0
      },
      playsinline: {
        type: Boolean,
        default: true
      },
      lazy: {
        type: Boolean,
        default: true
      }
    },
    setup(props) {
      const videoSrc = vue.computed(() => urlUtil.prependPrefixIfRelativeUrl(uiComponentConfig.fileUrlPrefix, props.fileUrl));
      const posterSrc = vue.computed(() => urlUtil.prependPrefixIfRelativeUrl(uiComponentConfig.fileUrlPrefix, props.poster));
      return {
        videoSrc,
        posterSrc
      };
    }
  });
  const _hoisted_1$m = ["poster"];
  const _hoisted_2$d = ["src"];
  function _sfc_render$t(_ctx, _cache, $props, $setup, $data, $options) {
    return vue.openBlock(), vue.createElementBlock("video", vue.mergeProps({
      poster: _ctx.posterSrc,
      style: { width: _ctx.width, height: _ctx.height }
    }, { autoplay: _ctx.autoplay, controls: _ctx.controls, loop: _ctx.loop, muted: _ctx.muted, playsinline: _ctx.playsinline }), [
      vue.createElementVNode("source", { src: _ctx.videoSrc }, null, 8, _hoisted_2$d)
    ], 16, _hoisted_1$m);
  }
  const UiVideo = /* @__PURE__ */ _export_sfc(_sfc_main$t, [["render", _sfc_render$t]]);
  const parseState = (playerState) => {
    if (playerState === -1)
      return "UNSTARTED";
    else if (playerState === 0)
      return "ENDED";
    else if (playerState === 1)
      return "PLAYING";
    else if (playerState === 2)
      return "PAUSED";
    else if (playerState === 3)
      return "BUFFERING";
    else if (playerState === 4)
      return "CUED";
    else
      return "UNSTARTED";
  };
  let created = 0;
  const _sfc_main$s = vue.defineComponent({
    name: "UiYoutubePlayer",
    components: {
      YouTube: YouTube__default.default
    },
    props: {
      src: {
        type: String,
        default: void 0
      },
      poster: {
        type: String,
        default: void 0
      },
      autoplay: {
        type: Boolean,
        default: false
      },
      muted: {
        type: Boolean,
        default: false
      },
      controls: {
        type: Boolean,
        default: false
      },
      loop: {
        type: Boolean,
        default: false
      },
      width: {
        type: String,
        default: void 0
      },
      height: {
        type: String,
        default: void 0
      },
      playsinline: {
        type: Boolean,
        default: true
      }
    },
    setup(props, { emit }) {
      const youtube = vue.ref(YouTube__default.default);
      const state = vue.ref("UNSTARTED");
      const options = vue.computed(() => ({ controls: props.controls ? 1 : 0 }));
      const enableMountYoutubePlayer = vue.ref(false);
      vue.onMounted(async () => {
        created++;
        if (created === 1) {
          enableMountYoutubePlayer.value = true;
        } else if (created > 1) {
          if (window.YT)
            enableMountYoutubePlayer.value = true;
          else {
            await waitUntil(() => !!(window == null ? void 0 : window.YT), 200, 15);
            if (window == null ? void 0 : window.YT)
              enableMountYoutubePlayer.value = true;
          }
        }
      });
      const youtubeSrc = vue.computed(() => props.src && props.playsinline ? `${props.src}${props.src.includes("?") ? "&" : "?"}playsinline=1` : props.src);
      const play = () => {
        var _a, _b, _c;
        if (props.muted)
          (_b = (_a = youtube.value) == null ? void 0 : _a.setVolume) == null ? void 0 : _b.call(_a, 0);
        (_c = youtube.value) == null ? void 0 : _c.playVideo();
      };
      const onStateChange = ({ data }) => {
        var _a, _b;
        state.value = parseState(data);
        if (props.muted)
          (_b = (_a = youtube.value) == null ? void 0 : _a.setVolume) == null ? void 0 : _b.call(_a, 0);
        if (state.value === "ENDED")
          props.loop ? play() : youtube.value.stopVideo();
        emit("change", state.value);
      };
      const onReady = () => {
        if (props.autoplay)
          play();
      };
      const posterSrc = vue.computed(() => urlUtil.prependPrefixIfRelativeUrl(uiComponentConfig.fileUrlPrefix, props.poster));
      return {
        enableMountYoutubePlayer,
        youtubeSrc,
        youtube,
        options,
        state,
        onStateChange,
        onReady,
        play,
        posterSrc
      };
    }
  });
  const waitUntil = async (condition, intervalMilliseconds = 200, maxTrial = 15) => {
    return await new Promise((resolve) => {
      let tried = 0;
      const interval = setInterval(() => {
        if (tried > maxTrial || condition()) {
          clearInterval(interval);
          resolve(void 0);
        }
        tried++;
      }, intervalMilliseconds);
    });
  };
  const _hoisted_1$l = ["src"];
  function _sfc_render$s(_ctx, _cache, $props, $setup, $data, $options) {
    const _component_YouTube = vue.resolveComponent("YouTube");
    return vue.openBlock(), vue.createElementBlock("div", {
      class: "ui-youtube-player",
      style: vue.normalizeStyle({ width: _ctx.width, height: _ctx.height })
    }, [
      _ctx.enableMountYoutubePlayer && _ctx.youtubeSrc ? (vue.openBlock(), vue.createBlock(_component_YouTube, {
        key: 0,
        class: "youtube",
        ref: "youtube",
        width: "100%",
        height: "100%",
        src: _ctx.youtubeSrc,
        vars: _ctx.options,
        onReady: _ctx.onReady,
        onStateChange: _ctx.onStateChange
      }, null, 8, ["src", "vars", "onReady", "onStateChange"])) : vue.createCommentVNode("", true),
      _ctx.posterSrc ? vue.withDirectives((vue.openBlock(), vue.createElementBlock("img", {
        key: 1,
        class: "thumbnail",
        src: _ctx.posterSrc,
        alt: "youtube",
        onClick: _cache[0] || (_cache[0] = (...args) => _ctx.play && _ctx.play(...args))
      }, null, 8, _hoisted_1$l)), [
        [vue.vShow, _ctx.state !== "PLAYING"]
      ]) : vue.createCommentVNode("", true)
    ], 4);
  }
  const UiYoutubePlayer = /* @__PURE__ */ _export_sfc(_sfc_main$s, [["render", _sfc_render$s]]);
  const _sfc_main$r = vue.defineComponent({
    name: "UiMedia",
    components: { UiYoutubePlayer, UiVideo, UiImage },
    props: {
      fileUrl: {
        type: String,
        default: void 0
      },
      alt: {
        type: String,
        default: void 0
      },
      width: {
        type: String,
        default: void 0
      },
      height: {
        type: String,
        default: void 0
      },
      requestWidth: {
        type: Number,
        default: void 0
      },
      requestHeight: {
        type: Number,
        default: void 0
      },
      loadingWidth: {
        type: String,
        default: void 0
      },
      loadingHeight: {
        type: String,
        default: void 0
      },
      quality: {
        type: Number,
        default: void 0
      },
      lazy: {
        type: Boolean,
        default: void 0
      },
      preventCopy: {
        type: Boolean,
        default: void 0
      },
      useSrcset: {
        type: Boolean,
        default: void 0
      },
      srcsetMaxResolution: {
        type: Number,
        default: void 0
      },
      hideImageOnError: {
        type: Boolean,
        default: void 0
      },
      autoplay: {
        type: Boolean,
        default: void 0
      },
      controls: {
        type: Boolean,
        default: void 0
      },
      loop: {
        type: Boolean,
        default: void 0
      },
      muted: {
        type: Boolean,
        default: void 0
      },
      poster: {
        type: String,
        default: void 0
      },
      youtubeWidth: {
        type: String,
        default: void 0
      },
      youtubeHeight: {
        type: String,
        default: void 0
      }
    },
    setup(props) {
      const mediaType = vue.computed(() => {
        if (props.fileUrl) {
          if (isYoutubeUrl(props.fileUrl)) {
            return "YOUTUBE";
          }
          const ext = props.fileUrl.substring(props.fileUrl.lastIndexOf(".") + 1).toLowerCase();
          if (IMAGE_EXTS.includes(ext)) {
            return "IMAGE";
          } else if (VIDEO_EXTS.includes(ext)) {
            return "VIDEO";
          }
        }
        return "NONE";
      });
      return {
        mediaType
      };
    }
  });
  const IMAGE_EXTS = ["jpg", "jpeg", "png", "gif", "giff", "webp"];
  const VIDEO_EXTS = ["mp4", "m4p", "m4v", "ogg", "ogv", "avi", "mov", "wmv", "webm"];
  const isYoutubeUrl = (url) => {
    return url.startsWith("https://youtu") || url.startsWith("https://www.youtu");
  };
  function _sfc_render$r(_ctx, _cache, $props, $setup, $data, $options) {
    const _component_UiImage = vue.resolveComponent("UiImage");
    const _component_UiVideo = vue.resolveComponent("UiVideo");
    const _component_UiYoutubePlayer = vue.resolveComponent("UiYoutubePlayer");
    return _ctx.mediaType === "IMAGE" ? (vue.openBlock(), vue.createBlock(_component_UiImage, {
      key: 0,
      "file-url": _ctx.fileUrl,
      alt: _ctx.alt,
      width: _ctx.width,
      height: _ctx.height,
      "request-width": _ctx.requestWidth,
      "request-height": _ctx.requestHeight,
      "loading-width": _ctx.loadingWidth,
      "loading-height": _ctx.loadingHeight,
      quality: _ctx.quality,
      lazy: _ctx.lazy,
      "prevent-copy": _ctx.preventCopy,
      "use-srcset": _ctx.useSrcset,
      "srcset-max-resolution": _ctx.srcsetMaxResolution,
      "hide-image-on-error": _ctx.hideImageOnError
    }, null, 8, ["file-url", "alt", "width", "height", "request-width", "request-height", "loading-width", "loading-height", "quality", "lazy", "prevent-copy", "use-srcset", "srcset-max-resolution", "hide-image-on-error"])) : _ctx.mediaType === "VIDEO" ? (vue.openBlock(), vue.createBlock(_component_UiVideo, {
      key: 1,
      "file-url": _ctx.fileUrl,
      width: _ctx.width,
      height: _ctx.height,
      lazy: _ctx.lazy,
      autoplay: _ctx.autoplay,
      controls: _ctx.controls,
      muted: _ctx.muted,
      loop: _ctx.loop,
      poster: _ctx.poster
    }, null, 8, ["file-url", "width", "height", "lazy", "autoplay", "controls", "muted", "loop", "poster"])) : _ctx.mediaType === "YOUTUBE" ? (vue.openBlock(), vue.createBlock(_component_UiYoutubePlayer, {
      key: 2,
      src: _ctx.fileUrl,
      width: _ctx.youtubeWidth || _ctx.width,
      height: _ctx.youtubeHeight || _ctx.height,
      autoplay: _ctx.autoplay,
      controls: _ctx.controls,
      muted: _ctx.muted,
      loop: _ctx.loop,
      poster: _ctx.poster
    }, null, 8, ["src", "width", "height", "autoplay", "controls", "muted", "loop", "poster"])) : vue.createCommentVNode("", true);
  }
  const UiMedia = /* @__PURE__ */ _export_sfc(_sfc_main$r, [["render", _sfc_render$r]]);
  const _sfc_main$q = vue.defineComponent({
    name: "UiLayout",
    props: {
      full: {
        type: Boolean,
        default: false
      },
      leftAsideWidth: {
        type: String,
        default: "30%"
      },
      rightAsideWidth: {
        type: String,
        default: "30%"
      }
    },
    setup(props, { slots }) {
      const hasLeftAsideSlot = vue.computed(() => !!(slots == null ? void 0 : slots.leftAside));
      const hasRightAsideSlot = vue.computed(() => !!(slots == null ? void 0 : slots.rightAside));
      const mainMaxWidth = vue.computed(() => {
        const left = hasLeftAsideSlot.value ? props.leftAsideWidth : void 0;
        const right = hasRightAsideSlot.value ? props.rightAsideWidth : void 0;
        if (left || right) {
          return `calc(100% ${left ? `- ${left}` : ""} ${right ? `- ${right}` : ""}`;
        } else {
          return "100%";
        }
      });
      return {
        hasLeftAsideSlot,
        hasRightAsideSlot,
        mainMaxWidth
      };
    }
  });
  function _sfc_render$q(_ctx, _cache, $props, $setup, $data, $options) {
    return vue.openBlock(), vue.createElementBlock("div", {
      class: vue.normalizeClass(["ui-layout", { full: _ctx.full }])
    }, [
      _ctx.hasLeftAsideSlot ? (vue.openBlock(), vue.createElementBlock("aside", {
        key: 0,
        class: "contents-aside",
        style: vue.normalizeStyle({ width: _ctx.leftAsideWidth })
      }, [
        vue.renderSlot(_ctx.$slots, "leftAside")
      ], 4)) : vue.createCommentVNode("", true),
      vue.createElementVNode("div", {
        class: "contents-main",
        style: vue.normalizeStyle({ maxWidth: _ctx.mainMaxWidth })
      }, [
        vue.renderSlot(_ctx.$slots, "default")
      ], 4),
      _ctx.hasRightAsideSlot ? (vue.openBlock(), vue.createElementBlock("aside", {
        key: 1,
        class: "contents-aside",
        style: vue.normalizeStyle({ width: _ctx.rightAsideWidth })
      }, [
        vue.renderSlot(_ctx.$slots, "rightAside")
      ], 4)) : vue.createCommentVNode("", true)
    ], 2);
  }
  const UiLayout = /* @__PURE__ */ _export_sfc(_sfc_main$q, [["render", _sfc_render$q]]);
  const _sfc_main$p = vue.defineComponent({
    name: "UiRadioButton",
    props: {
      id: {
        type: String,
        default: () => generateNextId$1()
      },
      label: {
        type: String,
        default: void 0
      },
      name: {
        type: String,
        default: () => generateNextId$1()
      },
      itemValue: {
        type: [String, Number, Object],
        default: void 0
      },
      modelValue: {
        type: [String, Number, Object],
        default: ""
      },
      disabled: {
        type: Boolean,
        default: false
      }
    },
    emits: {
      "update:modelValue": (value) => true
    },
    setup(props, { emit, slots }) {
      const emitValue = (event) => {
        const radio = event.target;
        if (radio.checked) {
          emit("update:modelValue", props.itemValue);
        }
      };
      const hasLabelSlot = vue.computed(() => !!(slots == null ? void 0 : slots.default));
      return {
        emitValue,
        hasLabelSlot
      };
    }
  });
  let radioButtonSerial = 1;
  const generateNextId$1 = () => `radio_${radioButtonSerial++}`;
  const _hoisted_1$k = ["id", "name", "checked", "disabled", "data-item-value"];
  const _hoisted_2$c = ["for"];
  const _hoisted_3$b = ["for"];
  function _sfc_render$p(_ctx, _cache, $props, $setup, $data, $options) {
    return vue.openBlock(), vue.createElementBlock("div", {
      class: vue.normalizeClass(["ui-radio-button", { checked: _ctx.itemValue === _ctx.modelValue }])
    }, [
      vue.createElementVNode("input", {
        class: "icon-font radio",
        type: "radio",
        id: _ctx.id,
        name: _ctx.name,
        checked: _ctx.itemValue === _ctx.modelValue,
        disabled: _ctx.disabled,
        "data-item-value": _ctx.itemValue,
        onChange: _cache[0] || (_cache[0] = (...args) => _ctx.emitValue && _ctx.emitValue(...args))
      }, null, 40, _hoisted_1$k),
      _ctx.label ? (vue.openBlock(), vue.createElementBlock("label", {
        key: 0,
        class: "text-label",
        for: _ctx.id
      }, vue.toDisplayString(_ctx.label), 9, _hoisted_2$c)) : vue.createCommentVNode("", true),
      _ctx.hasLabelSlot ? (vue.openBlock(), vue.createElementBlock("label", {
        key: 1,
        class: "slot-label cursor-pointer",
        for: _ctx.id
      }, [
        vue.renderSlot(_ctx.$slots, "default", {
          disabled: _ctx.disabled,
          itemValue: _ctx.itemValue
        })
      ], 8, _hoisted_3$b)) : vue.createCommentVNode("", true)
    ], 2);
  }
  const UiRadioButton = /* @__PURE__ */ _export_sfc(_sfc_main$p, [["render", _sfc_render$p]]);
  const _sfc_main$o = vue.defineComponent({
    name: "UiCheckbox",
    props: {
      id: {
        type: String,
        default: () => generateNextId()
      },
      label: {
        type: String,
        default: ""
      },
      name: {
        type: String,
        default: () => generateNextId()
      },
      modelValue: {
        type: Boolean,
        default: false
      },
      disabled: {
        type: Boolean,
        default: false
      }
    },
    emits: {
      "update:modelValue": (value) => true
    },
    setup(props, { emit, slots }) {
      const emitValue = (event) => {
        const checkbox = event.target;
        emit("update:modelValue", checkbox.checked);
      };
      const hasLabelSlot = vue.computed(() => !!(slots == null ? void 0 : slots.default));
      return {
        emitValue,
        hasLabelSlot
      };
    }
  });
  let checkboxSerial = 1;
  const generateNextId = () => `checkbox_${checkboxSerial++}`;
  const _hoisted_1$j = { class: "ui-checkbox" };
  const _hoisted_2$b = ["id", "name", "checked", "disabled"];
  const _hoisted_3$a = ["for"];
  const _hoisted_4$7 = ["for"];
  function _sfc_render$o(_ctx, _cache, $props, $setup, $data, $options) {
    return vue.openBlock(), vue.createElementBlock("span", _hoisted_1$j, [
      vue.createElementVNode("input", {
        class: "icon-font check",
        type: "checkbox",
        id: _ctx.id,
        name: _ctx.name,
        checked: _ctx.modelValue,
        disabled: _ctx.disabled,
        onChange: _cache[0] || (_cache[0] = (...args) => _ctx.emitValue && _ctx.emitValue(...args))
      }, null, 40, _hoisted_2$b),
      _ctx.label ? (vue.openBlock(), vue.createElementBlock("label", {
        key: 0,
        class: "text-label",
        for: _ctx.id
      }, vue.toDisplayString(_ctx.label), 9, _hoisted_3$a)) : vue.createCommentVNode("", true),
      _ctx.hasLabelSlot ? (vue.openBlock(), vue.createElementBlock("label", {
        key: 1,
        class: "slot-label cursor-pointer",
        for: _ctx.id
      }, [
        vue.renderSlot(_ctx.$slots, "default", { disabled: _ctx.disabled })
      ], 8, _hoisted_4$7)) : vue.createCommentVNode("", true)
    ]);
  }
  const UiCheckbox = /* @__PURE__ */ _export_sfc(_sfc_main$o, [["render", _sfc_render$o]]);
  const setupBreakpoints = (center, breakpoints2 = {}) => {
    const result = {};
    for (const key in breakpoints2) {
      const breakpoint = key;
      result[MEDIA_QUERIES[breakpoint]] = {
        slides: breakpoints2[breakpoint]
      };
    }
    return result;
  };
  const createDotList = (center, perView, totalSlideLength = 0) => {
    const pv = typeof perView === "number" ? perView : 0;
    const calculate = (a, b) => center ? totalSlideLength : Math.abs(a + 1 - b);
    const createArr = (value) => {
      const arr = [];
      for (let i = 0; i < value; i++)
        arr.push(i);
      return arr;
    };
    return createArr(calculate(totalSlideLength, pv));
  };
  class AutoplayTimer {
    constructor() {
      __publicField(this, "timer", 0);
      __publicField(this, "paused", vue.ref(false));
    }
    reset(autoplay, autoplayDelay, slideLength, slider) {
      if (this.timer) {
        clearInterval(this.timer);
        this.timer = 0;
      }
      if (autoplay && autoplayDelay) {
        this.timer = window.setInterval(() => {
          if (!document.hidden && slideLength > 1 && autoplay && !this.paused.value) {
            slider == null ? void 0 : slider.next();
          }
        }, autoplayDelay);
      }
    }
    play() {
      this.paused.value = false;
    }
    pause() {
      this.paused.value = true;
    }
    isPaused() {
      return this.paused.value;
    }
  }
  const _sfc_main$n = vue.defineComponent({
    name: "UiCarousel",
    props: {
      autoplay: {
        type: Boolean,
        default: false
      },
      autoplayDelay: {
        type: Number,
        default: 5e3
      },
      arrow: {
        type: Boolean,
        default: false
      },
      hideDisabledArrow: {
        type: Boolean,
        default: false
      },
      center: {
        type: Boolean,
        default: false
      },
      counter: {
        type: Boolean,
        default: false
      },
      dots: {
        type: Boolean,
        default: false
      },
      mode: {
        type: String,
        default: "snap"
      },
      index: {
        type: Number,
        default: 0
      },
      loop: {
        type: Boolean,
        default: false
      },
      perView: {
        type: [Number, String],
        default: 1
      },
      spacing: {
        type: Number,
        default: 0
      },
      breakpoints: {
        type: Object,
        default: void 0
      },
      vertical: {
        type: Boolean
      }
    },
    emits: ["update:index"],
    expose: ["updateSlider"],
    setup(props, { emit }) {
      const currentIndex = vue.ref(props.index);
      const firstSlideShown = vue.ref(false);
      const lastSlideShown = vue.ref(false);
      const changeFirstLastSlideShown = (slider2) => {
        const progress = slider2.track.details.progress;
        firstSlideShown.value = isNaN(progress) || progress <= 0;
        lastSlideShown.value = isNaN(progress) || progress >= 1;
      };
      const createSliderOptions = () => ({
        selector: ".keen-slider > *",
        initial: currentIndex.value,
        loop: props.loop,
        mode: props.mode,
        breakpoints: props.breakpoints && setupBreakpoints(!!props.center, props.breakpoints),
        slides: {
          origin: props.center ? "center" : "auto",
          perView: props.perView,
          spacing: props.spacing
        },
        vertical: props.vertical,
        slideChanged: (slider2) => {
          currentIndex.value = slider2.track.details.rel;
          changeFirstLastSlideShown(slider2);
          autoplayTimer.reset(props.autoplay, props.autoplayDelay, slideLength.value, slider2);
        },
        created: (slider2) => {
          changeFirstLastSlideShown(slider2);
        },
        animationEnded: (slider2) => {
          changeFirstLastSlideShown(slider2);
        }
      });
      const [container, slider] = vue$1.useKeenSlider(createSliderOptions());
      const slideLength = vue.computed(() => {
        var _a, _b;
        return ((_b = (_a = slider.value) == null ? void 0 : _a.track.details) == null ? void 0 : _b.slides.length) || 0;
      });
      const updateSlider = () => setTimeout(() => {
        if (slider.value) {
          const options = createSliderOptions();
          options.drag = slideLength.value > 1;
          slider.value.update(options);
          autoplayTimer.reset(props.autoplay, props.autoplayDelay, slideLength.value, slider.value);
          currentIndex.value = slider.value.track.details.rel;
          changeFirstLastSlideShown(slider.value);
          dotList.value = createDotList(props.center, props.perView, slideLength.value);
        }
      });
      const dotList = vue.ref([]);
      const arrowPrevClass = vue.computed(() => ({
        "disabled": !props.loop && firstSlideShown.value,
        "hide-disabled-arrow": props.hideDisabledArrow
      }));
      const arrowNextClass = vue.computed(() => ({
        "disabled": !props.loop && lastSlideShown.value,
        "hide-disabled-arrow": props.hideDisabledArrow
      }));
      vue.watch(() => props.index, () => {
        if (props.index !== currentIndex.value) {
          vue.nextTick(() => {
            var _a;
            return (_a = slider.value) == null ? void 0 : _a.moveToIdx(Number(props.index));
          });
        }
      });
      vue.watch(
        currentIndex,
        () => emit("update:index", currentIndex.value),
        { immediate: true }
      );
      const autoplayTimer = new AutoplayTimer();
      vue.onMounted(() => {
        autoplayTimer.reset(props.autoplay, props.autoplayDelay, slideLength.value, slider.value);
        updateSlider();
      });
      vue.onBeforeUnmount(() => {
        if (slider.value) {
          const destroy = slider.value.destroy;
          slider.value.destroy = () => {
          };
          setTimeout(() => destroy(), 1e3);
        }
      });
      return {
        slideLength,
        container,
        slider,
        currentIndex,
        dotList,
        arrowPrevClass,
        arrowNextClass,
        updateSlider,
        autoplayTimer
      };
    }
  });
  const _hoisted_1$i = { class: "ui-carousel position-relative" };
  const _hoisted_2$a = {
    ref: "container",
    class: "keen-slider"
  };
  const _hoisted_3$9 = {
    key: 0,
    class: "position-relative"
  };
  const _hoisted_4$6 = { class: "dots" };
  const _hoisted_5$5 = ["onClick"];
  const _hoisted_6$3 = /* @__PURE__ */ vue.createElementVNode("path", { d: "M16.67 0l2.83 2.829-9.339 9.175 9.339 9.167-2.83 2.829-12.17-11.996z" }, null, -1);
  const _hoisted_7$3 = [
    _hoisted_6$3
  ];
  const _hoisted_8$3 = /* @__PURE__ */ vue.createElementVNode("path", { d: "M5 3l3.057-3 11.943 12-11.943 12-3.057-3 9-9z" }, null, -1);
  const _hoisted_9$3 = [
    _hoisted_8$3
  ];
  const _hoisted_10$2 = {
    key: 1,
    class: "position-relative"
  };
  const _hoisted_11$1 = { class: "counter" };
  function _sfc_render$n(_ctx, _cache, $props, $setup, $data, $options) {
    var _a, _b;
    return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$i, [
      vue.createElementVNode("div", _hoisted_2$a, [
        vue.renderSlot(_ctx.$slots, "default")
      ], 512),
      _ctx.dots ? (vue.openBlock(), vue.createElementBlock("div", _hoisted_3$9, [
        vue.renderSlot(_ctx.$slots, "dots", vue.normalizeProps(vue.guardReactiveProps({ dotList: _ctx.dotList, currentIndex: _ctx.currentIndex, slider: _ctx.slider, autoplayTimer: _ctx.autoplayTimer })), () => [
          vue.createElementVNode("div", _hoisted_4$6, [
            (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.dotList, (dot) => {
              return vue.openBlock(), vue.createElementBlock("button", {
                key: dot,
                class: vue.normalizeClass({ dot: true, active: _ctx.currentIndex === dot }),
                onClick: ($event) => {
                  var _a2;
                  return (_a2 = _ctx.slider) == null ? void 0 : _a2.moveToIdx(dot);
                }
              }, null, 10, _hoisted_5$5);
            }), 128))
          ])
        ])
      ])) : vue.createCommentVNode("", true),
      vue.renderSlot(_ctx.$slots, "arrow-prev", vue.normalizeProps(vue.guardReactiveProps({ prev: (_a = _ctx.slider) == null ? void 0 : _a.prev, arrowPrevClass: _ctx.arrowPrevClass })), () => [
        _ctx.arrow ? (vue.openBlock(), vue.createElementBlock("svg", {
          key: 0,
          viewBox: "0 0 24 24",
          class: vue.normalizeClass(["arrow prev", _ctx.arrowPrevClass]),
          onClick: _cache[0] || (_cache[0] = ($event) => {
            var _a2;
            return _ctx.slideLength > 1 && ((_a2 = _ctx.slider) == null ? void 0 : _a2.prev());
          })
        }, _hoisted_7$3, 2)) : vue.createCommentVNode("", true)
      ]),
      vue.renderSlot(_ctx.$slots, "arrow-next", vue.normalizeProps(vue.guardReactiveProps({ next: (_b = _ctx.slider) == null ? void 0 : _b.next, arrowNextClass: _ctx.arrowNextClass })), () => [
        _ctx.arrow ? (vue.openBlock(), vue.createElementBlock("svg", {
          key: 0,
          viewBox: "0 0 24 24",
          class: vue.normalizeClass(["arrow next", _ctx.arrowNextClass]),
          onClick: _cache[1] || (_cache[1] = ($event) => {
            var _a2;
            return _ctx.slideLength > 1 && ((_a2 = _ctx.slider) == null ? void 0 : _a2.next());
          })
        }, _hoisted_9$3, 2)) : vue.createCommentVNode("", true)
      ]),
      _ctx.counter ? (vue.openBlock(), vue.createElementBlock("div", _hoisted_10$2, [
        vue.renderSlot(_ctx.$slots, "counter", vue.normalizeProps(vue.guardReactiveProps({ page: _ctx.currentIndex + 1, total: _ctx.dotList.length, autoplayTimer: _ctx.autoplayTimer })), () => [
          vue.createElementVNode("div", _hoisted_11$1, vue.toDisplayString(_ctx.currentIndex + 1) + " / " + vue.toDisplayString(_ctx.dotList.length), 1)
        ])
      ])) : vue.createCommentVNode("", true)
    ]);
  }
  const UiCarousel = /* @__PURE__ */ _export_sfc(_sfc_main$n, [["render", _sfc_render$n]]);
  function doFocus(el) {
    el.focus();
  }
  const focusOnLoad = {
    mounted: (el, binding) => {
      if (binding.value === void 0 || String(binding.value) === "true" || typeof binding.value === "number") {
        if (typeof binding.value === "number") {
          setTimeout(() => doFocus(el), binding.value);
        } else {
          doFocus(el);
        }
      }
    }
  };
  function doSelect(el) {
    var _a;
    (_a = el.select) == null ? void 0 : _a.call(el);
  }
  const selectOnLoad = {
    mounted: (el, binding) => {
      if (binding.value === void 0 || String(binding.value) === "true" || typeof binding.value === "number") {
        if (typeof binding.value === "number") {
          setTimeout(() => doSelect(el), binding.value);
        } else {
          doSelect(el);
        }
      }
    }
  };
  const componentUtil = {
    computeResponsivePlaceholder(placeholder, label) {
      if (placeholder) {
        return placeholder;
      } else if (label && responsiveUtil.isScreenSizeEqualOrSmallerThan("SM")) {
        return label;
      } else {
        return "";
      }
    },
    handleExternalErrorMessage(showErrorMessage, errorMessage, elementId) {
      if (elementId) {
        const el = document.getElementById(elementId);
        if (el) {
          if (!showErrorMessage || !errorMessage || errorMessage.length === 0) {
            el.style.display = "none";
          } else {
            el.style.display = "";
            el.innerText = errorMessage || "";
          }
        }
      }
    }
  };
  const _sfc_main$m = vue.defineComponent({
    name: "UiFieldGuide"
  });
  const _hoisted_1$h = { class: "ui-field-guide" };
  function _sfc_render$m(_ctx, _cache, $props, $setup, $data, $options) {
    return vue.openBlock(), vue.createElementBlock("p", _hoisted_1$h, [
      vue.renderSlot(_ctx.$slots, "default")
    ]);
  }
  const UiFieldGuide = /* @__PURE__ */ _export_sfc(_sfc_main$m, [["render", _sfc_render$m]]);
  const _sfc_main$l = vue.defineComponent({
    name: "UiFieldError"
  });
  const _hoisted_1$g = { class: "ui-field-error" };
  function _sfc_render$l(_ctx, _cache, $props, $setup, $data, $options) {
    return vue.openBlock(), vue.createElementBlock("p", _hoisted_1$g, [
      vue.renderSlot(_ctx.$slots, "default")
    ]);
  }
  const UiFieldError = /* @__PURE__ */ _export_sfc(_sfc_main$l, [["render", _sfc_render$l]]);
  const _sfc_main$k = vue.defineComponent({
    name: "UiInputText",
    components: { UiFieldError, UiFieldGuide },
    directives: { focusOnLoad, selectOnLoad },
    props: {
      id: {
        type: String,
        default: () => generateInputTextId()
      },
      inputType: {
        type: String,
        default: "text",
        validator: (value) => ["text", "number"].includes(value)
      },
      placeholder: {
        type: String,
        default: void 0
      },
      placeholderLabel: {
        type: String,
        default: void 0
      },
      name: {
        type: String,
        default: () => generateInputTextName()
      },
      modelValue: {
        type: [String, Number],
        default: ""
      },
      maxlength: {
        type: Number,
        default: void 0
      },
      disabled: {
        type: Boolean,
        default: false
      },
      required: {
        type: Boolean,
        default: false
      },
      guideMessage: {
        type: String,
        default: void 0
      },
      validationMessageRequired: {
        type: String,
        default: () => uiComponentConfig.alertRequired
      },
      validationMessageNumber: {
        type: String,
        default: () => uiComponentConfig.alertNumberOnly
      },
      focusOnLoad: {
        type: [Boolean, Number],
        default: false
      },
      selectOnLoad: {
        type: [Boolean, Number],
        default: false
      },
      externalErrorMessageId: {
        type: String,
        default: void 0
      }
    },
    emits: {
      "update:modelValue": (value) => true
    },
    setup(props, { emit }) {
      const isNumberType = vue.computed(() => props.inputType === "number");
      const normalizeTextValue = (value2, trim) => {
        if (isNumberType.value) {
          return value2 ? String(value2).replace(/\D/g, "") : "";
        } else {
          return trim ? (String(value2) || "").trim() : String(value2) || "";
        }
      };
      const isValid = (value2) => {
        if (props.required && !rules.required(value2)) {
          return props.validationMessageRequired;
        }
        if (isNumberType.value && !rules.numeric(value2)) {
          return props.validationMessageNumber;
        }
        return true;
      };
      const { meta, errorMessage, value, handleChange, handleBlur } = veeValidate.useField(
        props.name,
        isValid,
        {
          initialValue: normalizeTextValue(props.modelValue, true),
          validateOnMount: true,
          syncVModel: false
        }
      );
      const normalizeValue = (event) => {
        const input = event.target;
        input.value = normalizeTextValue(input.value, false);
        handleChange(event, true);
      };
      const emitValue = () => {
        if (meta.valid) {
          emit("update:modelValue", (value.value || "").trim());
        }
      };
      const validationListeners = vue.computed(() => ({
        blur: handleBlur,
        change: emitValue,
        input: normalizeValue
      }));
      vue.watch(() => props.modelValue, () => value.value = normalizeTextValue(props.modelValue, true));
      const showErrorMessage = vue.computed(() => {
        return meta.touched && !meta.valid;
      });
      const computedPlaceholder = vue.computed(() => componentUtil.computeResponsivePlaceholder(props.placeholder, props.placeholderLabel));
      vue.watch([errorMessage, showErrorMessage], () => componentUtil.handleExternalErrorMessage(showErrorMessage.value, errorMessage.value, props.externalErrorMessageId));
      return {
        normalizeValue,
        emitValue,
        validationListeners,
        errorMessage,
        value,
        showErrorMessage,
        computedPlaceholder
      };
    }
  });
  let inputTextIdSerial = 1;
  const generateInputTextId = () => `input-text_${inputTextIdSerial++}`;
  let inputTextNameSerial = 1;
  const generateInputTextName = () => `input-text-name_${inputTextNameSerial++}`;
  const _hoisted_1$f = ["pattern", "maxlength", "id", "name", "placeholder", "disabled"];
  function _sfc_render$k(_ctx, _cache, $props, $setup, $data, $options) {
    const _component_UiFieldGuide = vue.resolveComponent("UiFieldGuide");
    const _component_UiFieldError = vue.resolveComponent("UiFieldError");
    const _directive_focus_on_load = vue.resolveDirective("focus-on-load");
    const _directive_select_on_load = vue.resolveDirective("select-on-load");
    return vue.openBlock(), vue.createElementBlock("div", {
      class: vue.normalizeClass(["ui-input ui-input-text", { active: !!_ctx.value }])
    }, [
      vue.withDirectives(vue.createElementVNode("input", vue.mergeProps({
        type: "text",
        pattern: _ctx.inputType === "number" ? "\\d*" : void 0,
        "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.value = $event),
        maxlength: _ctx.maxlength,
        id: _ctx.id,
        name: _ctx.name,
        placeholder: _ctx.computedPlaceholder,
        disabled: _ctx.disabled
      }, vue.toHandlers(_ctx.validationListeners, true)), null, 16, _hoisted_1$f), [
        [vue.vModelText, _ctx.value],
        [_directive_focus_on_load, _ctx.focusOnLoad],
        [_directive_select_on_load, _ctx.selectOnLoad]
      ]),
      _ctx.guideMessage ? (vue.openBlock(), vue.createBlock(_component_UiFieldGuide, {
        key: 0,
        id: `${_ctx.id}_guide`
      }, {
        default: vue.withCtx(() => [
          vue.createTextVNode(vue.toDisplayString(_ctx.guideMessage), 1)
        ]),
        _: 1
      }, 8, ["id"])) : vue.createCommentVNode("", true),
      !_ctx.externalErrorMessageId && _ctx.showErrorMessage ? (vue.openBlock(), vue.createBlock(_component_UiFieldError, {
        key: 1,
        id: `${_ctx.id}_error`
      }, {
        default: vue.withCtx(() => [
          vue.createTextVNode(vue.toDisplayString(_ctx.errorMessage), 1)
        ]),
        _: 1
      }, 8, ["id"])) : vue.createCommentVNode("", true)
    ], 2);
  }
  const UiInputText = /* @__PURE__ */ _export_sfc(_sfc_main$k, [["render", _sfc_render$k]]);
  const DATE_PATTERN = /* @__PURE__ */ new Map([
    ["DATE", "YYYY-MM-DD"],
    ["MINUTE", "YYYY-MM-DD HH:mm"]
  ]);
  const round = (num, decimalPlace = 2) => Math.round(num * Math.pow(10, decimalPlace)) / Math.pow(10, decimalPlace);
  const formatUtil = {
    escapeNewLine(str) {
      return str ? str.replace(/\r\n|\r|\n/g, "<br />") : "";
    },
    escapeHtml(str) {
      return str ? str.replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;").replace(/"/g, "&quot;").replace(/'/g, "&#039;") : "";
    },
    splitNewLine(str) {
      return str ? str.split(/\r\n|\r|\n/g) : [];
    },
    formatDate(date, pattern = "DATE") {
      if (!date || !pattern) {
        return "";
      }
      if (typeof date === "string") {
        date = dayjs__default.default(date);
      }
      const actualPattern = DATE_PATTERN.get(pattern) || pattern;
      return dayjs__default.default(date).format(actualPattern);
    },
    formatPrice(value, withUnit = false) {
      if (value !== void 0 && value !== null) {
        const regexp = /\B(?=(\d{3})+(?!\d))/g;
        const formatted = String(value).replace(regexp, ",");
        return withUnit ? `${uiComponentConfig.currencySymbolBefore}${formatted}${uiComponentConfig.currencySymbolAfter}` : formatted;
      }
      return null;
    },
    formatNumber(value = 0) {
      if (value) {
        const regexp = /\B(?=(\d{3})+(?!\d))/g;
        return String(value).replace(regexp, ",");
      }
      return null;
    },
    formatPercent(value, withUnit = true, decimalPlace = 2) {
      return value !== void 0 && value !== null && !isNaN(Number(value)) ? `${round(Number(value) * 100, decimalPlace)}${withUnit ? "%" : ""}` : null;
    },
    formatCreditCardNo(value, separator = "-") {
      var _a;
      return (_a = value.match(/.{1,4}/g)) == null ? void 0 : _a.join(separator);
    },
    toPlainText(textIncludedHTMLElement) {
      const tmp = document.createElement("DIV");
      tmp.innerHTML = textIncludedHTMLElement || "";
      return tmp.textContent || tmp.innerText;
    }
  };
  const _sfc_main$j = vue.defineComponent({
    name: "UiTextarea",
    components: { UiFieldError, UiFieldGuide },
    directives: { focusOnLoad, selectOnLoad },
    props: {
      id: {
        type: String,
        default: () => generateTextareaId()
      },
      placeholderLabel: {
        type: String,
        default: void 0
      },
      placeholder: {
        type: String,
        default: void 0
      },
      useLabelAsPlaceholder: {
        type: Boolean,
        default: true
      },
      name: {
        type: String,
        default: () => generateTextareaName()
      },
      modelValue: {
        type: [String, Number],
        default: ""
      },
      maxlength: {
        type: Number,
        default: void 0
      },
      disabled: {
        type: Boolean,
        default: false
      },
      required: {
        type: Boolean,
        default: false
      },
      rows: {
        type: Number,
        default: 5
      },
      cols: {
        type: Number,
        default: 20
      },
      showCharCount: {
        type: Boolean,
        default: false
      },
      minCharCount: {
        type: Number,
        default: void 0
      },
      maxCharCount: {
        type: Number,
        default: void 0
      },
      guideMessage: {
        type: String,
        default: void 0
      },
      validationMessageRequired: {
        type: String,
        default: () => uiComponentConfig.alertRequired
      },
      validationMessageMinCharCount: {
        type: [String, Function],
        default: () => uiComponentConfig.alertMinCharCount
      },
      validationMessageMaxCharCount: {
        type: [String, Function],
        default: () => uiComponentConfig.alertMaxCharCount
      },
      focusOnLoad: {
        type: [Boolean, Number],
        default: false
      },
      selectOnLoad: {
        type: [Boolean, Number],
        default: false
      },
      externalErrorMessageId: {
        type: String,
        default: void 0
      }
    },
    emits: {
      "update:modelValue": (value) => true
    },
    setup(props, { emit }) {
      const normalizeTextValue = (value2, trim) => {
        return trim ? (String(value2) || "").trim() : String(value2) || "";
      };
      const isValid = (value2) => {
        if (props.required && !rules.required(value2)) {
          return props.validationMessageRequired;
        }
        if (props.minCharCount && value2.length < props.minCharCount) {
          return typeof props.validationMessageMinCharCount === "function" ? props.validationMessageMinCharCount([formatUtil.formatNumber(props.minCharCount)]) : props.validationMessageMinCharCount;
        }
        if (props.maxCharCount && value2.length > props.maxCharCount) {
          return typeof props.validationMessageMaxCharCount === "function" ? props.validationMessageMaxCharCount([formatUtil.formatNumber(props.maxCharCount)]) : props.validationMessageMaxCharCount;
        }
        return true;
      };
      const { meta, errorMessage, value, handleChange, handleBlur } = veeValidate.useField(
        props.name,
        isValid,
        {
          initialValue: normalizeTextValue(props.modelValue, true),
          validateOnMount: true,
          syncVModel: false
        }
      );
      const normalizeValue = (event) => {
        const input = event.target;
        input.value = normalizeTextValue(input.value, false);
        handleChange(event, true);
      };
      const emitValue = () => {
        if (meta.valid) {
          emit("update:modelValue", (value.value || "").trim());
        }
      };
      const validationListeners = vue.computed(() => ({
        blur: handleBlur,
        change: emitValue,
        input: normalizeValue
      }));
      vue.watch(() => props.modelValue, () => value.value = normalizeTextValue(props.modelValue, true));
      const showErrorMessage = vue.computed(() => {
        return meta.touched && !meta.valid;
      });
      const computedPlaceholder = vue.computed(() => componentUtil.computeResponsivePlaceholder(props.placeholder, props.placeholderLabel));
      const counts = vue.computed(() => {
        var _a;
        const max = formatUtil.formatNumber(props.maxCharCount);
        const cur = formatUtil.formatNumber((_a = value.value) == null ? void 0 : _a.length) || 0;
        return `${cur}/${max}`;
      });
      const countsStyle = vue.computed(() => {
        var _a;
        const len = (_a = value.value) == null ? void 0 : _a.length;
        return props.maxCharCount && len > props.maxCharCount || props.minCharCount && len < props.minCharCount ? "text-danger" : "";
      });
      return {
        normalizeValue,
        emitValue,
        validationListeners,
        errorMessage,
        value,
        showErrorMessage,
        computedPlaceholder,
        counts,
        countsStyle
      };
    }
  });
  let textareaIdSerial = 1;
  const generateTextareaId = () => `textarea_${textareaIdSerial++}`;
  let textareaNameSerial = 1;
  const generateTextareaName = () => `textarea-name_${textareaNameSerial++}`;
  const _hoisted_1$e = ["maxlength", "id", "name", "rows", "cols", "placeholder", "disabled"];
  function _sfc_render$j(_ctx, _cache, $props, $setup, $data, $options) {
    const _component_UiFieldGuide = vue.resolveComponent("UiFieldGuide");
    const _component_UiFieldError = vue.resolveComponent("UiFieldError");
    const _directive_focus_on_load = vue.resolveDirective("focus-on-load");
    const _directive_select_on_load = vue.resolveDirective("select-on-load");
    return vue.openBlock(), vue.createElementBlock("div", {
      class: vue.normalizeClass(["ui-textarea", { active: _ctx.value }])
    }, [
      vue.withDirectives(vue.createElementVNode("textarea", vue.mergeProps({
        "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.value = $event),
        maxlength: _ctx.maxlength,
        id: _ctx.id,
        name: _ctx.name,
        rows: _ctx.rows,
        cols: _ctx.cols,
        placeholder: _ctx.computedPlaceholder,
        disabled: _ctx.disabled
      }, vue.toHandlers(_ctx.validationListeners, true)), null, 16, _hoisted_1$e), [
        [vue.vModelText, _ctx.value],
        [_directive_focus_on_load, _ctx.focusOnLoad],
        [_directive_select_on_load, _ctx.selectOnLoad]
      ]),
      _ctx.showCharCount && _ctx.maxCharCount ? (vue.openBlock(), vue.createElementBlock("span", {
        key: 0,
        class: vue.normalizeClass(["count", _ctx.countsStyle])
      }, vue.toDisplayString(_ctx.counts), 3)) : vue.createCommentVNode("", true),
      _ctx.guideMessage ? (vue.openBlock(), vue.createBlock(_component_UiFieldGuide, {
        key: 1,
        id: `${_ctx.id}_guide`
      }, {
        default: vue.withCtx(() => [
          vue.createTextVNode(vue.toDisplayString(_ctx.guideMessage), 1)
        ]),
        _: 1
      }, 8, ["id"])) : vue.createCommentVNode("", true),
      !_ctx.externalErrorMessageId && _ctx.showErrorMessage ? (vue.openBlock(), vue.createBlock(_component_UiFieldError, {
        key: 2,
        id: `${_ctx.id}_error`
      }, {
        default: vue.withCtx(() => [
          vue.createTextVNode(vue.toDisplayString(_ctx.errorMessage), 1)
        ]),
        _: 1
      }, 8, ["id"])) : vue.createCommentVNode("", true)
    ], 2);
  }
  const UiTextarea = /* @__PURE__ */ _export_sfc(_sfc_main$j, [["render", _sfc_render$j]]);
  const _sfc_main$i = vue.defineComponent({
    name: "UiSelect",
    components: { UiFieldError },
    props: {
      id: {
        type: String,
        default: () => generateSelectId()
      },
      placeholderLabel: {
        type: String,
        default: void 0
      },
      placeholder: {
        type: String,
        default: void 0
      },
      title: {
        type: String,
        default: void 0
      },
      name: {
        type: String,
        default: () => generateSelectName()
      },
      modelValue: {
        type: [String, Number, Object],
        default: ""
      },
      disabled: {
        type: Boolean,
        default: false
      },
      allowNull: {
        type: Boolean,
        default: false
      },
      values: {
        type: Array,
        default: () => []
      },
      valueProperty: {
        type: [String, Function],
        default: void 0
      },
      captionProperty: {
        type: [String, Function],
        default: void 0
      },
      required: {
        type: Boolean,
        default: false
      },
      validationMessageRequired: {
        type: String,
        default: () => uiComponentConfig.alertRequired
      },
      externalErrorMessageId: {
        type: String,
        default: void 0
      }
    },
    emits: {
      "update:modelValue": (value) => true
    },
    setup(props, { emit }) {
      const getItemValue = (value2) => {
        if (props.valueProperty === "_index") {
          return props.values.indexOf(value2);
        } else if (typeof props.valueProperty === "string" && value2 instanceof Object) {
          return value2[String(props.valueProperty)];
        } else if (props.valueProperty instanceof Function) {
          return props.valueProperty.apply(null, [value2]);
        } else {
          return value2;
        }
      };
      const getItemCaption = (value2) => {
        if (props.captionProperty === "_index") {
          return String(props.values.indexOf(value2));
        } else if (typeof props.captionProperty === "string" && value2 instanceof Object) {
          return value2[String(props.captionProperty)];
        } else if (props.captionProperty instanceof Function) {
          return props.captionProperty.apply(null, [value2]);
        } else {
          return String(value2);
        }
      };
      const isValid = (value2) => {
        if (props.required && !rules.required(value2)) {
          return props.validationMessageRequired;
        }
        return true;
      };
      const getSelectedValue = (value2) => {
        const rawValue = vue.toRaw(value2);
        const index2 = props.values.findIndex((item) => vue.toRaw(getItemValue(item)) === rawValue);
        return index2 < 0 ? "" : String(index2);
      };
      const { meta, errorMessage, value, handleBlur } = veeValidate.useField(
        props.name,
        isValid,
        {
          initialValue: getSelectedValue(props.modelValue),
          validateOnMount: true,
          syncVModel: false
        }
      );
      const emitValue = (event) => {
        const select = event.target;
        const value2 = select.value === "" ? void 0 : getItemValue(props.values[Number(select.value)]);
        emit("update:modelValue", value2);
      };
      const validationListeners = vue.computed(() => ({
        blur: handleBlur,
        change: emitValue
      }));
      vue.watch(() => props.modelValue, () => value.value = getSelectedValue(props.modelValue));
      const showErrorMessage = vue.computed(() => {
        return meta.touched && !meta.valid;
      });
      const computedPlaceholder = vue.computed(() => componentUtil.computeResponsivePlaceholder(props.placeholder, props.placeholderLabel));
      vue.watch([errorMessage, showErrorMessage], () => componentUtil.handleExternalErrorMessage(showErrorMessage.value, errorMessage.value, props.externalErrorMessageId));
      return {
        emitValue,
        value,
        getItemValue,
        getItemCaption,
        validationListeners,
        errorMessage,
        showErrorMessage,
        computedPlaceholder
      };
    }
  });
  let selectIdSerial = 1;
  const generateSelectId = () => `select_${selectIdSerial++}`;
  let selectNameSerial = 1;
  const generateSelectName = () => `select-name_${selectNameSerial++}`;
  const _hoisted_1$d = { class: "position-relative" };
  const _hoisted_2$9 = ["id", "name", "title", "value", "disabled"];
  const _hoisted_3$8 = ["disabled"];
  const _hoisted_4$5 = ["value"];
  const _hoisted_5$4 = /* @__PURE__ */ vue.createElementVNode("i", { class: "icon-font arrow-down" }, null, -1);
  function _sfc_render$i(_ctx, _cache, $props, $setup, $data, $options) {
    const _component_UiFieldError = vue.resolveComponent("UiFieldError");
    return vue.openBlock(), vue.createElementBlock("div", {
      class: vue.normalizeClass(["ui-select", { active: !!_ctx.value }])
    }, [
      vue.createElementVNode("div", _hoisted_1$d, [
        vue.createElementVNode("select", vue.mergeProps({
          class: ["icon select", { placeholder: _ctx.value === "" }],
          id: _ctx.id,
          name: _ctx.name,
          title: _ctx.title,
          value: _ctx.value,
          disabled: _ctx.disabled
        }, vue.toHandlers(_ctx.validationListeners, true)), [
          _ctx.allowNull || _ctx.computedPlaceholder ? (vue.openBlock(), vue.createElementBlock("option", {
            key: 0,
            disabled: !_ctx.allowNull,
            value: "",
            class: "placeholder"
          }, vue.toDisplayString(_ctx.computedPlaceholder), 9, _hoisted_3$8)) : vue.createCommentVNode("", true),
          (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.values, (value, index2) => {
            return vue.openBlock(), vue.createElementBlock("option", {
              key: `${index2}_${String(_ctx.getItemValue(value))}_${_ctx.getItemCaption(value)}`,
              value: index2
            }, vue.toDisplayString(_ctx.getItemCaption(value)), 9, _hoisted_4$5);
          }), 128))
        ], 16, _hoisted_2$9),
        _hoisted_5$4
      ]),
      !_ctx.externalErrorMessageId && _ctx.showErrorMessage ? (vue.openBlock(), vue.createBlock(_component_UiFieldError, {
        key: 0,
        id: `${_ctx.id}_error`
      }, {
        default: vue.withCtx(() => [
          vue.createTextVNode(vue.toDisplayString(_ctx.errorMessage), 1)
        ]),
        _: 1
      }, 8, ["id"])) : vue.createCommentVNode("", true)
    ], 2);
  }
  const UiSelect = /* @__PURE__ */ _export_sfc(_sfc_main$i, [["render", _sfc_render$i]]);
  const _sfc_main$h = vue.defineComponent({
    name: "UiDate",
    props: {
      value: {
        type: [Date, String, dayjs__default.default],
        default: void 0
      },
      format: {
        type: String,
        default: "DATE"
      }
    },
    setup(props) {
      const formattedValue = vue.computed(() => formatUtil.formatDate(props.value, props.format));
      return {
        formattedValue
      };
    }
  });
  function _sfc_render$h(_ctx, _cache, $props, $setup, $data, $options) {
    return vue.openBlock(), vue.createElementBlock("span", null, vue.toDisplayString(_ctx.formattedValue), 1);
  }
  const UiDate = /* @__PURE__ */ _export_sfc(_sfc_main$h, [["render", _sfc_render$h]]);
  const _sfc_main$g = vue.defineComponent({
    name: "UiPrice",
    props: {
      type: {
        type: String,
        default: "span"
      },
      amount: {
        type: [String, Number],
        default: void 0
      },
      currencyUnit: {
        type: Boolean,
        default: true
      },
      tilde: {
        type: Boolean,
        default: false
      }
    },
    setup(props) {
      const formattedAmount = vue.computed(() => {
        return formatUtil.formatPrice(props.amount);
      });
      const symbolBefore = vue.computed(() => uiComponentConfig.currencySymbolBefore);
      const symbolAfter = vue.computed(() => uiComponentConfig.currencySymbolAfter);
      return {
        formattedAmount,
        symbolBefore,
        symbolAfter
      };
    }
  });
  const _hoisted_1$c = {
    key: 0,
    class: "currency-unit mr-1"
  };
  const _hoisted_2$8 = { class: "amount" };
  const _hoisted_3$7 = {
    key: 1,
    class: "currency-unit ml-1"
  };
  const _hoisted_4$4 = {
    key: 2,
    class: "tilde ml-1"
  };
  function _sfc_render$g(_ctx, _cache, $props, $setup, $data, $options) {
    return vue.openBlock(), vue.createBlock(vue.resolveDynamicComponent(_ctx.type), { class: "ui-price" }, {
      default: vue.withCtx(() => [
        _ctx.currencyUnit && _ctx.symbolBefore ? (vue.openBlock(), vue.createElementBlock("span", _hoisted_1$c, vue.toDisplayString(_ctx.symbolBefore), 1)) : vue.createCommentVNode("", true),
        vue.createElementVNode("span", _hoisted_2$8, vue.toDisplayString(_ctx.formattedAmount), 1),
        _ctx.currencyUnit && _ctx.symbolAfter ? (vue.openBlock(), vue.createElementBlock("span", _hoisted_3$7, vue.toDisplayString(_ctx.symbolAfter), 1)) : vue.createCommentVNode("", true),
        _ctx.tilde ? (vue.openBlock(), vue.createElementBlock("span", _hoisted_4$4, "~")) : vue.createCommentVNode("", true)
      ]),
      _: 1
    });
  }
  const UiPrice = /* @__PURE__ */ _export_sfc(_sfc_main$g, [["render", _sfc_render$g]]);
  const _sfc_main$f = vue.defineComponent({
    name: "UiInputText",
    components: { UiFieldError, UiFieldGuide },
    directives: { focusOnLoad, selectOnLoad },
    props: {
      id: {
        type: String,
        default: () => generateInputPriceId()
      },
      placeholderLabel: {
        type: String,
        default: void 0
      },
      placeholder: {
        type: String,
        default: void 0
      },
      useLabelAsPlaceholder: {
        type: Boolean,
        default: true
      },
      name: {
        type: String,
        default: () => generateInputPriceName()
      },
      modelValue: {
        type: [String, Number],
        default: void 0
      },
      maxlength: {
        type: Number,
        default: void 0
      },
      disabled: {
        type: Boolean,
        default: false
      },
      hideCurrencyUnit: {
        type: Boolean,
        default: false
      },
      required: {
        type: Boolean,
        default: false
      },
      guideMessage: {
        type: String,
        default: void 0
      },
      validationMessageRequired: {
        type: String,
        default: () => uiComponentConfig.alertRequired
      },
      focusOnLoad: {
        type: [Boolean, Number],
        default: false
      },
      selectOnLoad: {
        type: [Boolean, Number],
        default: false
      },
      externalErrorMessageId: {
        type: String,
        default: void 0
      }
    },
    emits: {
      "update:modelValue": (value) => true
    },
    setup(props, { emit }) {
      const normalizePriceValue = (value2, format, numberize = false) => {
        const normalized = value2 === 0 ? "0" : value2 ? String(value2).replace(/[^\d.]/g, "") : "";
        const numberized = numberize ? String(Number(normalized || "0")) : normalized;
        return format ? formatUtil.formatPrice(numberized, false) || "" : numberized;
      };
      const isValid = (value2) => {
        if (props.required && !rules.required(value2)) {
          return props.validationMessageRequired;
        }
        return true;
      };
      const { meta, errorMessage, value, handleChange, handleBlur } = veeValidate.useField(
        props.name,
        isValid,
        {
          initialValue: normalizePriceValue(props.modelValue, true, true),
          validateOnMount: true,
          syncVModel: false
        }
      );
      const normalizeValue = (event) => {
        const input = event.target;
        input.value = normalizePriceValue(input.value, false);
        handleChange(event, true);
      };
      const deleteZero = (event) => {
        const input = event.target;
        if (Number(input.value) === 0) {
          input.value = "";
          handleChange(event, true);
        }
      };
      const emitValue = () => {
        if (meta.valid) {
          const priceValue = normalizePriceValue(value.value, false, true);
          if (props.modelValue !== priceValue) {
            emit("update:modelValue", priceValue);
          }
        }
      };
      const validationListeners = vue.computed(() => ({
        blur: (event) => {
          handleBlur(event);
          value.value = normalizePriceValue(value.value, true, true);
        },
        change: emitValue,
        input: normalizeValue,
        focus: (event) => {
          normalizeValue(event);
          deleteZero(event);
        }
      }));
      vue.watch(() => props.modelValue, () => value.value = normalizePriceValue(props.modelValue, true, true));
      const showErrorMessage = vue.computed(() => {
        return meta.touched && !meta.valid;
      });
      const computedPlaceholder = vue.computed(() => componentUtil.computeResponsivePlaceholder(props.placeholder, props.placeholderLabel));
      const currencySymbolAfter = uiComponentConfig.currencySymbolAfter;
      vue.watch([errorMessage, showErrorMessage], () => componentUtil.handleExternalErrorMessage(showErrorMessage.value, errorMessage.value, props.externalErrorMessageId));
      return {
        normalizeValue,
        emitValue,
        validationListeners,
        errorMessage,
        value,
        showErrorMessage,
        computedPlaceholder,
        currencySymbolAfter
      };
    }
  });
  let inputPriceIdSerial = 1;
  const generateInputPriceId = () => `input-price_${inputPriceIdSerial++}`;
  let inputPriceNameSerial = 1;
  const generateInputPriceName = () => `input-price-name_${inputPriceNameSerial++}`;
  const _hoisted_1$b = { class: "position-relative" };
  const _hoisted_2$7 = ["maxlength", "id", "name", "placeholder", "disabled"];
  const _hoisted_3$6 = {
    key: 0,
    class: "currency-unit"
  };
  function _sfc_render$f(_ctx, _cache, $props, $setup, $data, $options) {
    const _component_UiFieldGuide = vue.resolveComponent("UiFieldGuide");
    const _component_UiFieldError = vue.resolveComponent("UiFieldError");
    const _directive_focus_on_load = vue.resolveDirective("focus-on-load");
    const _directive_select_on_load = vue.resolveDirective("select-on-load");
    return vue.openBlock(), vue.createElementBlock("div", {
      class: vue.normalizeClass(["ui-input ui-input-price", { active: !!_ctx.value }])
    }, [
      vue.createElementVNode("div", _hoisted_1$b, [
        vue.withDirectives(vue.createElementVNode("input", vue.mergeProps({
          type: "text",
          pattern: "\\d*",
          "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => _ctx.value = $event),
          maxlength: _ctx.maxlength,
          id: _ctx.id,
          name: _ctx.name,
          placeholder: _ctx.computedPlaceholder,
          disabled: _ctx.disabled
        }, vue.toHandlers(_ctx.validationListeners, true)), null, 16, _hoisted_2$7), [
          [vue.vModelText, _ctx.value],
          [_directive_focus_on_load, _ctx.focusOnLoad],
          [_directive_select_on_load, _ctx.selectOnLoad]
        ]),
        !_ctx.hideCurrencyUnit ? (vue.openBlock(), vue.createElementBlock("span", _hoisted_3$6, vue.toDisplayString(_ctx.currencySymbolAfter), 1)) : vue.createCommentVNode("", true)
      ]),
      _ctx.guideMessage ? (vue.openBlock(), vue.createBlock(_component_UiFieldGuide, {
        key: 0,
        id: `${_ctx.id}_guide`
      }, {
        default: vue.withCtx(() => [
          vue.createTextVNode(vue.toDisplayString(_ctx.guideMessage), 1)
        ]),
        _: 1
      }, 8, ["id"])) : vue.createCommentVNode("", true),
      !_ctx.externalErrorMessageId && _ctx.showErrorMessage ? (vue.openBlock(), vue.createBlock(_component_UiFieldError, {
        key: 1,
        id: `${_ctx.id}_error`
      }, {
        default: vue.withCtx(() => [
          vue.createTextVNode(vue.toDisplayString(_ctx.errorMessage), 1)
        ]),
        _: 1
      }, 8, ["id"])) : vue.createCommentVNode("", true)
    ], 2);
  }
  const UiInputPrice = /* @__PURE__ */ _export_sfc(_sfc_main$f, [["render", _sfc_render$f]]);
  const _sfc_main$e = vue.defineComponent({
    name: "UiTooltip",
    components: { UiButton },
    directives: { ClickAway: vue3ClickAway.directive },
    props: {
      caption: {
        type: String,
        default: void 0
      }
    },
    emits: {
      "toggle": (show) => true
    },
    setup(props, { slots, emit }) {
      const showTooltip = vue.ref(false);
      const hasCaptionSlot = vue.computed(() => !!(slots == null ? void 0 : slots.caption));
      const toggleTooltip = () => {
        showTooltip.value = !showTooltip.value;
        emit("toggle", showTooltip.value);
      };
      const closeTooltip = () => {
        showTooltip.value = false;
      };
      return {
        hasCaptionSlot,
        showTooltip,
        toggleTooltip,
        closeTooltip
      };
    }
  });
  const _hoisted_1$a = { class: "ui-tooltip" };
  function _sfc_render$e(_ctx, _cache, $props, $setup, $data, $options) {
    const _component_UiButton = vue.resolveComponent("UiButton");
    const _directive_click_away = vue.resolveDirective("click-away");
    return vue.withDirectives((vue.openBlock(), vue.createElementBlock("div", _hoisted_1$a, [
      _ctx.hasCaptionSlot ? vue.renderSlot(_ctx.$slots, "caption", {
        key: 0,
        toggle: _ctx.toggleTooltip
      }) : (vue.openBlock(), vue.createBlock(_component_UiButton, {
        key: 1,
        class: "link",
        caption: _ctx.caption,
        onClick: _ctx.toggleTooltip
      }, null, 8, ["caption", "onClick"])),
      _ctx.showTooltip ? vue.renderSlot(_ctx.$slots, "default", {
        key: 2,
        close: _ctx.closeTooltip
      }) : vue.createCommentVNode("", true)
    ])), [
      [_directive_click_away, _ctx.closeTooltip]
    ]);
  }
  const UiTooltip = /* @__PURE__ */ _export_sfc(_sfc_main$e, [["render", _sfc_render$e]]);
  const _sfc_main$d = vue.defineComponent({
    name: "UiInputQty",
    components: { UiButton },
    props: {
      modelValue: {
        type: Number,
        default: void 0
      },
      id: {
        type: String,
        default: () => generateInputQtyId()
      },
      name: {
        type: String,
        default: () => generateInputQtyName()
      },
      title: {
        type: String,
        default: void 0
      },
      minQty: {
        type: Number,
        default: 1
      },
      maxQty: {
        type: Number,
        default: 999
      },
      allowZero: {
        type: Boolean,
        default: false
      },
      extraValues: {
        type: Array,
        default: () => []
      },
      forceInputMode: {
        type: Boolean,
        default: false
      },
      selectQtyCount: {
        type: Number,
        default: 10,
        validator: (value) => value >= 0
      },
      useChangeButton: {
        type: Boolean,
        default: false
      },
      changeButtonCaption: {
        type: String,
        default: () => uiComponentConfig.inputQtyChangeButtonCaption
      },
      disabled: {
        type: Boolean,
        default: false
      },
      captionProvider: {
        type: Function,
        default: void 0
      }
    },
    emits: {
      "input": null,
      "update:modelValue": null
    },
    setup(props, { emit }) {
      const validMinQty = vue.computed(() => Math.max(0, props.minQty || 0));
      const validMaxQty = vue.computed(() => Math.min(isNaN(props.maxQty) ? 999 : props.maxQty, 999));
      const inputThreshold = vue.computed(() => validMinQty.value + props.selectQtyCount);
      const options = vue.computed(() => {
        let result = [];
        if (validMinQty.value < inputThreshold.value) {
          const maxSelect = Math.min(validMaxQty.value + 1, inputThreshold.value);
          result = [...Array(Math.max(0, maxSelect - validMinQty.value)).fill(0)].map((_, idx) => idx + validMinQty.value);
        }
        if (props.allowZero) {
          result.splice(0, 0, 0);
        }
        if (props.extraValues) {
          const belowThreshold = props.extraValues.filter((value) => value < inputThreshold.value);
          result.splice(result.length, 0, ...belowThreshold);
        }
        return result.sort((a, b) => Number(a) - Number(b));
      });
      const extraValuesAboveThreshold = vue.computed(() => props.extraValues.filter((value) => value >= inputThreshold.value));
      const qtyValue = vue.ref(props.modelValue || validMinQty.value);
      const emitChangeEvent = () => emit("update:modelValue", qtyValue.value);
      const needInputMode = vue.computed(() => validMaxQty.value >= inputThreshold.value);
      const inputMode = vue.ref(false);
      const input = vue.ref(null);
      const isExtraValue = (value) => props.extraValues && props.extraValues.includes(value);
      const qtyChanged = (newInputValue, selectInput = false, fireChange = false) => {
        const newValue = Number(newInputValue) || 0;
        if (newInputValue !== "" && !isNaN(Number(newInputValue))) {
          const newInputMode = !isExtraValue(newValue) && (props.forceInputMode || newValue >= inputThreshold.value);
          if (inputMode.value !== newInputMode) {
            inputMode.value = newInputMode;
            if (selectInput && inputMode.value) {
              vue.nextTick(() => {
                var _a;
                return (_a = input.value) == null ? void 0 : _a.select();
              });
            }
          }
        }
        qtyValue.value = newValue;
        emit("input", qtyValue.value);
        if (fireChange && (!inputMode.value || !props.useChangeButton)) {
          emitChangeEvent();
        }
      };
      const qtyChangedByUser = (event) => {
        if (event.target instanceof HTMLInputElement || event.target instanceof HTMLSelectElement) {
          qtyChanged(event.target.value, true, true);
        }
      };
      vue.watch(() => props.modelValue, () => {
        const initial = props.modelValue === void 0 ? props.allowZero ? 0 : validMinQty.value : props.modelValue;
        qtyChanged(initial, false, false);
      }, { immediate: true });
      const getCaption = (value) => props.captionProvider ? props.captionProvider(value) : String(value);
      return {
        needInputMode,
        inputMode,
        inputThreshold,
        input,
        options,
        qtyValue,
        extraValuesAboveThreshold,
        emitChangeEvent,
        qtyChangedByUser,
        getCaption
      };
    }
  });
  let inputQtyIdSerial = 1;
  const generateInputQtyId = () => `input-qty_${inputQtyIdSerial++}`;
  let inputQtyNameSerial = 1;
  const generateInputQtyName = () => `input-qty_${inputQtyNameSerial++}`;
  const _hoisted_1$9 = {
    key: 0,
    class: "d-inline-flex ui-input-qty"
  };
  const _hoisted_2$6 = { class: "ui-input ui-input-qty flex-grow-1" };
  const _hoisted_3$5 = ["id", "name", "title", "disabled", "value"];
  const _hoisted_4$3 = {
    key: 1,
    class: "ui-select ui-input-qty"
  };
  const _hoisted_5$3 = ["id", "name", "title", "value", "disabled"];
  const _hoisted_6$2 = ["value"];
  const _hoisted_7$2 = ["value"];
  const _hoisted_8$2 = ["value"];
  const _hoisted_9$2 = /* @__PURE__ */ vue.createElementVNode("i", { class: "icon-font arrow-down" }, null, -1);
  function _sfc_render$d(_ctx, _cache, $props, $setup, $data, $options) {
    const _component_UiButton = vue.resolveComponent("UiButton");
    return _ctx.inputMode ? (vue.openBlock(), vue.createElementBlock("span", _hoisted_1$9, [
      vue.createElementVNode("span", _hoisted_2$6, [
        vue.createElementVNode("input", {
          type: "text",
          inputmode: "numeric",
          ref: "input",
          id: _ctx.id,
          name: _ctx.name,
          title: _ctx.title,
          disabled: _ctx.disabled,
          value: _ctx.qtyValue,
          onChange: _cache[0] || (_cache[0] = (...args) => _ctx.qtyChangedByUser && _ctx.qtyChangedByUser(...args))
        }, null, 40, _hoisted_3$5)
      ]),
      _ctx.useChangeButton ? (vue.openBlock(), vue.createBlock(_component_UiButton, {
        key: 0,
        class: "outline gray",
        caption: _ctx.changeButtonCaption,
        onClick: _ctx.emitChangeEvent
      }, null, 8, ["caption", "onClick"])) : vue.createCommentVNode("", true)
    ])) : (vue.openBlock(), vue.createElementBlock("span", _hoisted_4$3, [
      vue.createElementVNode("select", {
        class: "icon select",
        id: _ctx.id,
        name: _ctx.name,
        title: _ctx.title,
        value: _ctx.qtyValue,
        disabled: _ctx.disabled,
        onChange: _cache[1] || (_cache[1] = (...args) => _ctx.qtyChangedByUser && _ctx.qtyChangedByUser(...args))
      }, [
        (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.options, (qty) => {
          return vue.openBlock(), vue.createElementBlock("option", {
            key: qty,
            value: qty
          }, vue.toDisplayString(_ctx.getCaption(qty)), 9, _hoisted_6$2);
        }), 128)),
        _ctx.needInputMode ? (vue.openBlock(), vue.createElementBlock("option", {
          key: 0,
          value: _ctx.inputThreshold
        }, vue.toDisplayString(_ctx.getCaption(_ctx.inputThreshold)) + "+", 9, _hoisted_7$2)) : vue.createCommentVNode("", true),
        (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.extraValuesAboveThreshold, (qty) => {
          return vue.openBlock(), vue.createElementBlock("option", {
            key: qty,
            value: qty
          }, vue.toDisplayString(_ctx.getCaption(qty)), 9, _hoisted_8$2);
        }), 128))
      ], 40, _hoisted_5$3),
      _hoisted_9$2
    ]));
  }
  const UiInputQty = /* @__PURE__ */ _export_sfc(_sfc_main$d, [["render", _sfc_render$d]]);
  const TAB_HANDLER = Symbol("TabHandler");
  const useTabHandler = () => vue.inject(TAB_HANDLER);
  const _sfc_main$c = vue.defineComponent({
    name: "UiTabs",
    components: { UiCarousel },
    props: {
      modelValue: {
        type: String,
        default: void 0
      },
      useCarousel: {
        type: Boolean,
        default: false
      },
      useScrollToTab: {
        type: [Object, Boolean],
        default: void 0
      }
    },
    emits: {
      "update:modelValue": null
    },
    setup(props, { emit }) {
      const carousel = vue.ref();
      const tabs = vue.ref([]);
      const currentTabId = vue.ref(props.modelValue);
      const changeCurrentTabId = (tabId) => {
        if (currentTabId.value !== tabId) {
          currentTabId.value = tabId;
          emit("update:modelValue", tabId, tabs);
        }
      };
      const updateCurrentTabId = () => {
        var _a;
        currentTabId.value = props.modelValue || ((_a = tabs.value[0]) == null ? void 0 : _a.id);
        if (currentTabId.value !== props.modelValue)
          emit("update:modelValue", currentTabId.value, tabs);
      };
      const tabHandler = {
        currentTabId,
        appendTab: (entry) => {
          var _a;
          tabs.value.push(entry);
          (_a = carousel.value) == null ? void 0 : _a.updateSlider();
        },
        removeTab: (entry) => {
          const index2 = tabs.value.findIndex((item) => item.id === entry.id);
          if (index2 >= 0) {
            tabs.value.splice(index2, 1);
          }
        },
        selectTab: (event) => {
          if (!props.useScrollToTab)
            changeCurrentTabId(event.id);
          tryScrollToTab(event.scrollDestId);
        }
      };
      vue.provide(TAB_HANDLER, tabHandler);
      const getScrollToTabOffset = () => typeof props.useScrollToTab === "object" ? props.useScrollToTab.offset : 0;
      const selectTabByScroll = () => tabs.value.filter((tab) => tab.scrollDestId).forEach((tab) => {
        const element = document.getElementById(tab.scrollDestId);
        if (element) {
          const offsetY = getScrollToTabOffset();
          const { top, bottom } = element.getBoundingClientRect();
          if (top < offsetY && bottom >= offsetY)
            changeCurrentTabId(tab.id);
        }
      });
      const tryScrollToTab = (scrollDestId) => {
        if (!!props.useScrollToTab && scrollDestId) {
          const element = document.getElementById(scrollDestId);
          if (element) {
            const relativeTop = (element == null ? void 0 : element.getBoundingClientRect().top) || 0;
            const absoluteTop = relativeTop + window.scrollY;
            const top = absoluteTop - (getScrollToTabOffset() - 1);
            window.scrollTo({ top, behavior: "smooth" });
          }
        }
      };
      vue.onMounted(() => {
        updateCurrentTabId();
        if (props.useScrollToTab) {
          window.addEventListener("scroll", selectTabByScroll, { passive: true });
        }
      });
      vue.onBeforeUnmount(() => {
        if (props.useScrollToTab) {
          window.removeEventListener("scroll", selectTabByScroll);
        }
      });
      vue.watch(() => props.modelValue, updateCurrentTabId);
      return { carousel };
    }
  });
  const useRouterTab = (router, route, defaultTabId, paramName = "tab") => {
    const selectedTabId = vue.ref(route.query[paramName]);
    const changeRouterTab = (tabId, tabs) => {
      const query = { ...route.query };
      if (tabId === defaultTabId) {
        delete query[paramName];
      } else {
        query[paramName] = tabId;
      }
      router.push({ path: route.path, query });
    };
    vue.watch(
      () => route.fullPath,
      () => selectedTabId.value = route.query[paramName] || defaultTabId
    );
    return {
      selectedTabId,
      changeRouterTab
    };
  };
  const _hoisted_1$8 = {
    key: 1,
    class: "ui-tabs max-w-full"
  };
  function _sfc_render$c(_ctx, _cache, $props, $setup, $data, $options) {
    const _component_UiCarousel = vue.resolveComponent("UiCarousel");
    return _ctx.useCarousel ? (vue.openBlock(), vue.createBlock(_component_UiCarousel, {
      key: 0,
      class: "ui-tabs max-w-full",
      "hide-disabled-arrow": "",
      "per-view": "auto",
      mode: "free-snap",
      ref: "carousel"
    }, {
      default: vue.withCtx(() => [
        vue.renderSlot(_ctx.$slots, "default")
      ]),
      _: 3
    }, 512)) : (vue.openBlock(), vue.createElementBlock("div", _hoisted_1$8, [
      vue.renderSlot(_ctx.$slots, "default")
    ]));
  }
  const UiTabs = /* @__PURE__ */ _export_sfc(_sfc_main$c, [["render", _sfc_render$c]]);
  const _sfc_main$b = vue.defineComponent({
    name: "UiTab",
    props: {
      id: {
        type: String,
        required: true,
        default: () => generateTabId()
      },
      scrollDestId: {
        type: String,
        default: void 0
      }
    },
    setup(props) {
      const tabHandler = useTabHandler();
      vue.onMounted(() => {
        tabHandler == null ? void 0 : tabHandler.appendTab({ id: props.id, scrollDestId: props.scrollDestId });
      });
      vue.onBeforeUnmount(() => {
        tabHandler == null ? void 0 : tabHandler.removeTab({ id: props.id });
      });
      const selectTab = () => tabHandler == null ? void 0 : tabHandler.selectTab({ id: props.id, scrollDestId: props.scrollDestId });
      const selected = vue.computed(() => tabHandler && tabHandler.currentTabId.value === props.id);
      return {
        selectTab,
        selected
      };
    }
  });
  let tabIdSerial = 1;
  const generateTabId = () => `tab-id_${tabIdSerial++}`;
  function _sfc_render$b(_ctx, _cache, $props, $setup, $data, $options) {
    return vue.openBlock(), vue.createElementBlock("div", {
      class: vue.normalizeClass(["ui-tab", { selected: _ctx.selected }]),
      tabindex: "0",
      onClick: _cache[0] || (_cache[0] = (...args) => _ctx.selectTab && _ctx.selectTab(...args)),
      onKeyup: [
        _cache[1] || (_cache[1] = vue.withKeys(vue.withModifiers((...args) => _ctx.selectTab && _ctx.selectTab(...args), ["prevent"]), ["enter"])),
        _cache[2] || (_cache[2] = vue.withKeys(vue.withModifiers((...args) => _ctx.selectTab && _ctx.selectTab(...args), ["prevent"]), ["space"]))
      ]
    }, [
      vue.renderSlot(_ctx.$slots, "default")
    ], 34);
  }
  const UiTab = /* @__PURE__ */ _export_sfc(_sfc_main$b, [["render", _sfc_render$b]]);
  const _sfc_main$a = vue.defineComponent({
    name: "UiPagination",
    props: {
      totalCount: {
        type: Number,
        default: 0
      },
      offset: {
        type: Number,
        default: 0
      },
      limit: {
        type: Number,
        default: 10
      },
      visiblePageCount: {
        type: Number,
        default: 10
      },
      scrollTo: {
        type: [String, Object],
        default: void 0
      },
      scrollBehavior: {
        type: String,
        default: "auto"
      },
      maxPage: {
        type: Number,
        default: void 0
      }
    },
    emits: {
      "pageChanged": (page) => {
        return !!page;
      }
    },
    setup(props, { emit }) {
      const totalPage = vue.computed(() => {
        const totalPage2 = Math.floor((props.totalCount - 1) / props.limit) + 1;
        if (props.totalCount < 1)
          return 1;
        const maxPage = props.maxPage;
        if (maxPage && totalPage2 > maxPage)
          return maxPage;
        return totalPage2 || 0;
      });
      const currentPage = vue.computed(() => {
        return Math.min(Math.floor(props.offset / props.limit) + 1, totalPage.value);
      });
      const currentSetFirstPage = vue.computed(() => {
        return Math.floor((currentPage.value - 1) / props.visiblePageCount) * props.visiblePageCount + 1;
      });
      const currentSetLastPage = vue.computed(() => {
        return Math.min(currentSetFirstPage.value + props.visiblePageCount - 1, totalPage.value);
      });
      const visiblePages = vue.computed(() => {
        if (props.totalCount <= 0)
          return [];
        const first = currentSetFirstPage.value;
        const last = currentSetLastPage.value;
        const pages = Array(last - first + 1);
        for (let i = 0; i < pages.length; i++)
          pages[i] = i + first;
        return pages;
      });
      const prevArrowPage = vue.computed(() => {
        return currentSetFirstPage.value - 1;
      });
      const nextArrowPage = vue.computed(() => {
        return currentSetLastPage.value + 1;
      });
      const isFirstDisabled = vue.computed(() => {
        return currentPage.value <= 1;
      });
      const isLastDisabled = vue.computed(() => {
        return currentPage.value >= totalPage.value;
      });
      const isFirstSet = vue.computed(() => {
        return currentSetFirstPage.value <= 1;
      });
      const isLastSet = vue.computed(() => {
        return currentSetLastPage.value >= totalPage.value;
      });
      const goToPage = (page) => {
        const normalized = Math.max(1, Math.min(page, totalPage.value));
        if (currentPage.value !== normalized) {
          emit("pageChanged", normalized);
          if (props.scrollTo === "top") {
            window.scroll({ top: 0, left: 0, behavior: props.scrollBehavior });
          } else if (typeof props.scrollTo === "string") {
            const ref = document.getElementById(props.scrollTo);
            if (ref) {
              window.scroll({ top: ref.offsetTop, left: 0, behavior: props.scrollBehavior });
            }
          } else if (props.scrollTo instanceof HTMLElement) {
            window.scroll({ top: props.scrollTo.offsetTop, left: 0, behavior: props.scrollBehavior });
          }
        }
      };
      return {
        totalPage,
        currentPage,
        currentSetFirstPage,
        currentSetLastPage,
        visiblePages,
        prevArrowPage,
        nextArrowPage,
        isFirstDisabled,
        isLastDisabled,
        isFirstSet,
        isLastSet,
        goToPage
      };
    }
  });
  const _hoisted_1$7 = {
    key: 0,
    class: "ui-pagination"
  };
  const _hoisted_2$5 = {
    key: 0,
    class: "first",
    disabled: ""
  };
  const _hoisted_3$4 = /* @__PURE__ */ vue.createElementVNode("i", { class: "icon-font arrow-left-double gray" }, null, -1);
  const _hoisted_4$2 = [
    _hoisted_3$4
  ];
  const _hoisted_5$2 = /* @__PURE__ */ vue.createElementVNode("span", null, [
    /* @__PURE__ */ vue.createElementVNode("i", { class: "icon-font arrow-left-double" })
  ], -1);
  const _hoisted_6$1 = [
    _hoisted_5$2
  ];
  const _hoisted_7$1 = {
    key: 2,
    class: "prev",
    disabled: ""
  };
  const _hoisted_8$1 = /* @__PURE__ */ vue.createElementVNode("i", { class: "icon-font arrow-left gray" }, null, -1);
  const _hoisted_9$1 = [
    _hoisted_8$1
  ];
  const _hoisted_10$1 = /* @__PURE__ */ vue.createElementVNode("i", { class: "icon-font arrow-left" }, null, -1);
  const _hoisted_11 = [
    _hoisted_10$1
  ];
  const _hoisted_12 = ["onClick", "data-page"];
  const _hoisted_13 = {
    key: 4,
    class: "next",
    disabled: ""
  };
  const _hoisted_14 = /* @__PURE__ */ vue.createElementVNode("i", { class: "icon-font arrow-right gray" }, null, -1);
  const _hoisted_15 = [
    _hoisted_14
  ];
  const _hoisted_16 = /* @__PURE__ */ vue.createElementVNode("i", { class: "icon-font arrow-right" }, null, -1);
  const _hoisted_17 = [
    _hoisted_16
  ];
  const _hoisted_18 = {
    key: 6,
    class: "last",
    disabled: ""
  };
  const _hoisted_19 = /* @__PURE__ */ vue.createElementVNode("i", { class: "icon-font arrow-right-double gray" }, null, -1);
  const _hoisted_20 = [
    _hoisted_19
  ];
  const _hoisted_21 = /* @__PURE__ */ vue.createElementVNode("i", { class: "icon-font arrow-right-double" }, null, -1);
  const _hoisted_22 = [
    _hoisted_21
  ];
  function _sfc_render$a(_ctx, _cache, $props, $setup, $data, $options) {
    return _ctx.visiblePages.length > 0 ? (vue.openBlock(), vue.createElementBlock("div", _hoisted_1$7, [
      _ctx.isFirstSet ? (vue.openBlock(), vue.createElementBlock("button", _hoisted_2$5, _hoisted_4$2)) : (vue.openBlock(), vue.createElementBlock("a", {
        key: 1,
        href: "#",
        class: "first",
        onClick: _cache[0] || (_cache[0] = vue.withModifiers(($event) => _ctx.goToPage(1), ["prevent"]))
      }, _hoisted_6$1)),
      _ctx.isFirstSet ? (vue.openBlock(), vue.createElementBlock("button", _hoisted_7$1, _hoisted_9$1)) : (vue.openBlock(), vue.createElementBlock("a", {
        key: 3,
        href: "#",
        class: "prev",
        onClick: _cache[1] || (_cache[1] = vue.withModifiers(($event) => _ctx.goToPage(_ctx.prevArrowPage), ["prevent"]))
      }, _hoisted_11)),
      (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.visiblePages, (page) => {
        return vue.openBlock(), vue.createElementBlock("a", {
          href: "#",
          key: page,
          onClick: vue.withModifiers(($event) => _ctx.goToPage(page), ["prevent"]),
          "data-page": page,
          class: vue.normalizeClass({ on: page === _ctx.currentPage })
        }, vue.toDisplayString(page), 11, _hoisted_12);
      }), 128)),
      _ctx.isLastSet ? (vue.openBlock(), vue.createElementBlock("button", _hoisted_13, _hoisted_15)) : (vue.openBlock(), vue.createElementBlock("a", {
        key: 5,
        href: "#",
        class: "next",
        onClick: _cache[2] || (_cache[2] = vue.withModifiers(($event) => _ctx.goToPage(_ctx.nextArrowPage), ["prevent"]))
      }, _hoisted_17)),
      _ctx.isLastSet ? (vue.openBlock(), vue.createElementBlock("button", _hoisted_18, _hoisted_20)) : (vue.openBlock(), vue.createElementBlock("a", {
        key: 7,
        href: "#",
        class: "last",
        onClick: _cache[3] || (_cache[3] = vue.withModifiers(($event) => _ctx.goToPage(_ctx.totalPage), ["prevent"]))
      }, _hoisted_22))
    ])) : vue.createCommentVNode("", true);
  }
  const UiPagination = /* @__PURE__ */ _export_sfc(_sfc_main$a, [["render", _sfc_render$a]]);
  class PaginatedList {
    constructor(loading = false) {
      __publicField(this, "data", []);
      __publicField(this, "totalCount", 0);
      __publicField(this, "offset", 0);
      __publicField(this, "limit", 0);
      __publicField(this, "loading");
      this.loading = loading;
    }
    append(list) {
      list.data.forEach((item) => this.data.push(item));
      this.totalCount = list.totalCount;
      this.limit += list.data.length;
      return this;
    }
    prepend(list) {
      list.data.forEach((item) => this.data.unshift(item));
      this.totalCount = list.totalCount;
      this.offset -= list.data.length;
      this.limit += list.limit;
      return this;
    }
    clear() {
      this.data = [];
      this.totalCount = 0;
      this.offset = 0;
      this.limit = 0;
    }
    isLoading() {
      return this.loading;
    }
    isEmpty() {
      return this.data.length === 0;
    }
    static of(data = [], totalCount = void 0, offset2 = 0, limit = void 0) {
      const paginatedList = new PaginatedList();
      paginatedList.data = data ? data.slice() : [];
      paginatedList.totalCount = Math.max(0, totalCount || paginatedList.data.length);
      paginatedList.offset = Math.max(0, offset2);
      paginatedList.limit = Math.max(0, limit || paginatedList.data.length);
      return paginatedList;
    }
    static fromAxiosResponse(response, converter) {
      const actualConverter = converter ? converter : (item) => item;
      const data = response.data && response.data.length ? response.data.map((item) => actualConverter(item)) : [];
      return PaginatedList.of(
        data,
        Number(response.headers["x-total-count"]) || void 0,
        Number(response.headers["x-offset"]) || 0,
        Number(response.headers["x-limit"] || void 0)
      );
    }
    static loading() {
      return new PaginatedList(true);
    }
  }
  class ListCondition {
    constructor(values, defaultValue) {
      __publicField(this, "values");
      __publicField(this, "defaultValue");
      this.values = values;
      this.defaultValue = defaultValue || values[0];
    }
    toSelectItems(captionProvider) {
      return this.values.map((value) => ({ value, caption: (captionProvider == null ? void 0 : captionProvider(value)) || value }));
    }
    fromRouterQuery(queryValue) {
      const value = String(queryValue);
      return value && this.values.includes(value) ? value : this.defaultValue;
    }
  }
  const _sfc_main$9 = vue.defineComponent({
    name: "UiScrollListPage",
    components: { UiPagination },
    props: {
      list: {
        type: PaginatedList,
        default: void 0
      },
      listKey: {
        type: String,
        default: void 0
      },
      limit: {
        type: Number,
        default: 10
      },
      visiblePageCount: {
        type: Number,
        default: 10
      },
      useRouter: {
        type: Boolean,
        default: false
      },
      skeletonCount: {
        type: Number,
        default: 3
      },
      itemContainerClass: {
        type: String,
        default: void 0
      },
      skeletonContainerClass: {
        type: String,
        default: void 0
      },
      paginationClass: {
        type: String,
        default: void 0
      },
      loadExplicitly: {
        type: Boolean,
        default: false
      },
      loadOnMount: {
        type: Boolean,
        default: true
      }
    },
    emits: {
      "needList": (request, scrollType) => {
        return !!request;
      },
      "listLoaded": (loadInfo, scrollType) => {
        return !!loadInfo;
      }
    },
    setup(props, { emit }) {
      const isListUndefined = vue.computed(() => !props.list);
      const isListLoading = vue.computed(() => !!props.list && props.list.isLoading());
      const isListLoaded = vue.computed(() => !!props.list && !props.list.isLoading());
      const isListEmpty = vue.computed(() => !!props.list && props.list.isEmpty());
      const route = props.useRouter ? vueRouter.useRoute() : void 0;
      const router = props.useRouter ? vueRouter.useRouter() : void 0;
      let currentPage = 0;
      const loadList = (page) => {
        emit("needList", { offset: (page - 1) * props.limit, limit: props.limit }, "PAGE");
        currentPage = page;
        if (props.useRouter) {
          const query = { ...route == null ? void 0 : route.query, page: page > 1 ? page : void 0 };
          router == null ? void 0 : router.push({ query });
        }
      };
      if (!props.loadExplicitly && props.loadOnMount) {
        vue.onMounted(() => {
          const page = Number(route == null ? void 0 : route.query.page) || 1;
          loadList(page);
        });
      }
      if (props.useRouter) {
        vue.watch(() => route == null ? void 0 : route.query, () => {
          const page = Number(route == null ? void 0 : route.query.page) || 1;
          if (page !== currentPage) {
            loadList(page);
          }
        });
      }
      vue.watch(() => props.list, () => {
        if (props.list && !props.list.isLoading()) {
          emit("listLoaded", {
            totalCount: props.list.totalCount,
            offset: props.list.offset,
            limit: props.list.limit
          }, "PAGE");
        }
      });
      const resetList = () => {
        if (!props.loadExplicitly) {
          loadList(1);
        }
      };
      vue.watch(() => props.listKey, () => resetList());
      return {
        isListUndefined,
        isListLoading,
        isListLoaded,
        isListEmpty,
        loadList
      };
    }
  });
  function _sfc_render$9(_ctx, _cache, $props, $setup, $data, $options) {
    var _a, _b, _c, _d;
    const _component_UiPagination = vue.resolveComponent("UiPagination");
    return _ctx.isListLoading ? (vue.openBlock(), vue.createElementBlock("div", {
      key: 0,
      class: vue.normalizeClass(["ui-scroll-list-skeletons", _ctx.skeletonContainerClass])
    }, [
      (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.skeletonCount, (n) => {
        return vue.renderSlot(_ctx.$slots, "skeleton", { key: n });
      }), 128))
    ], 2)) : _ctx.isListEmpty ? vue.renderSlot(_ctx.$slots, "empty", { key: 1 }) : _ctx.isListLoaded ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 2 }, [
      vue.createElementVNode("div", {
        class: vue.normalizeClass(["ui-scroll-list-items", _ctx.itemContainerClass])
      }, [
        (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList((_a = _ctx.list) == null ? void 0 : _a.data, (item) => {
          return vue.renderSlot(_ctx.$slots, "default", { listItem: item });
        }), 256))
      ], 2),
      vue.createVNode(_component_UiPagination, {
        "total-count": (_b = _ctx.list) == null ? void 0 : _b.totalCount,
        limit: (_c = _ctx.list) == null ? void 0 : _c.limit,
        offset: (_d = _ctx.list) == null ? void 0 : _d.offset,
        "visible-page-count": _ctx.visiblePageCount,
        class: vue.normalizeClass(_ctx.paginationClass),
        onPageChanged: _ctx.loadList
      }, null, 8, ["total-count", "limit", "offset", "visible-page-count", "class", "onPageChanged"])
    ], 64)) : vue.createCommentVNode("", true);
  }
  const UiScrollListPage = /* @__PURE__ */ _export_sfc(_sfc_main$9, [["render", _sfc_render$9]]);
  class TotalList {
    constructor() {
      __publicField(this, "data", []);
      __publicField(this, "totalCount", -1);
      __publicField(this, "loadedCount", -1);
    }
    append(list) {
      if (list) {
        this.totalCount = list.totalCount;
        this.loadedCount = Math.max(list.offset + list.data.length, this.loadedCount);
        list.data.forEach((value, idx) => {
          this.data[list.offset + idx] = value;
        });
      }
    }
    isBeforeInitialized() {
      return this.totalCount < 0;
    }
    isEmpty() {
      return this.totalCount === 0;
    }
    clear() {
      this.data.length = 0;
      this.totalCount = -1;
      this.loadedCount = -1;
    }
    isMoreDataAvailable() {
      return this.totalCount >= 0 && this.totalCount > this.loadedCount;
    }
    static copyOf(src) {
      const copy = new TotalList();
      copy.data = [...src.data];
      copy.totalCount = src.totalCount;
      copy.loadedCount = src.loadedCount;
      return copy;
    }
  }
  const _sfc_main$8 = vue.defineComponent({
    name: "UiScrollListAppend",
    components: { UiButton },
    directives: { Lazy },
    props: {
      list: {
        type: PaginatedList,
        default: void 0
      },
      listKey: {
        type: String,
        default: void 0
      },
      limit: {
        type: Number,
        default: 10
      },
      appendType: {
        type: String,
        default: "MORE"
      },
      skeletonCount: {
        type: Number,
        default: 3
      },
      itemContainerClass: {
        type: String,
        default: void 0
      },
      skeletonContainerClass: {
        type: String,
        default: void 0
      },
      moreButtonContainerClass: {
        type: String,
        default: void 0
      },
      loadExplicitly: {
        type: Boolean,
        default: false
      },
      loadOnMount: {
        type: Boolean,
        default: true
      }
    },
    emits: {
      "needList": (request, scrollType) => {
        return !!request;
      },
      "listLoaded": (loadInfo, scrollType) => {
        return !!loadInfo;
      }
    },
    setup(props, { emit }) {
      const totalList = vue.reactive(new TotalList());
      const isListUndefined = vue.computed(() => !props.list);
      const isListLoading = vue.computed(() => !!props.list && props.list.isLoading());
      const isListLoaded = vue.computed(() => !!props.list && !props.list.isLoading());
      const isListEmpty = vue.computed(() => isListLoaded.value && totalList.isEmpty());
      const isMoreDataAvailable = vue.computed(() => totalList.isMoreDataAvailable());
      const loadList = () => {
        emit("needList", { offset: Math.max(0, totalList.loadedCount), limit: props.limit }, props.appendType);
      };
      if (!props.loadExplicitly && props.loadOnMount) {
        vue.onMounted(() => loadList());
      }
      vue.watch(() => props.list, () => {
        if (props.list && !props.list.isLoading()) {
          totalList.append(props.list);
          emit("listLoaded", {
            totalCount: totalList.totalCount,
            offset: props.list.offset,
            limit: props.list.limit,
            totalLoaded: totalList.loadedCount,
            totalList
          }, props.appendType);
        }
      });
      const resetTotalList = () => {
        totalList.clear();
        if (!props.loadExplicitly) {
          loadList();
        }
      };
      vue.watch(() => props.listKey, () => resetTotalList());
      const moreCaption = uiComponentConfig.scrollListMoreCaption;
      const moreButtonIcon = uiComponentConfig.scrollListMoreButtonIcon;
      const moreButtonDirection = uiComponentConfig.scrollListMoreButtonDirection;
      return {
        isListUndefined,
        isListLoading,
        isListLoaded,
        isListEmpty,
        isMoreDataAvailable,
        totalList,
        loadList,
        moreCaption,
        moreButtonIcon,
        moreButtonDirection
      };
    }
  });
  const _hoisted_1$6 = {
    key: 0,
    class: "mb-16"
  };
  function _sfc_render$8(_ctx, _cache, $props, $setup, $data, $options) {
    const _component_UiButton = vue.resolveComponent("UiButton");
    const _directive_lazy = vue.resolveDirective("lazy");
    return _ctx.isListEmpty ? vue.renderSlot(_ctx.$slots, "empty", { key: 0 }) : (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 1 }, [
      _ctx.totalList.data.length > 0 ? (vue.openBlock(), vue.createElementBlock("div", {
        key: 0,
        class: vue.normalizeClass(["ui-scroll-list-items", _ctx.itemContainerClass])
      }, [
        (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.totalList.data, (item) => {
          return vue.renderSlot(_ctx.$slots, "default", { listItem: item });
        }), 256))
      ], 2)) : vue.createCommentVNode("", true),
      _ctx.isListLoading ? (vue.openBlock(), vue.createElementBlock("div", {
        key: 1,
        class: vue.normalizeClass(["ui-scroll-list-skeletons", _ctx.skeletonContainerClass])
      }, [
        (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.skeletonCount, (n) => {
          return vue.renderSlot(_ctx.$slots, "skeleton", { key: n });
        }), 128))
      ], 2)) : vue.createCommentVNode("", true),
      _ctx.appendType === "MORE" && _ctx.isMoreDataAvailable ? vue.renderSlot(_ctx.$slots, "more", {
        key: 2,
        loadList: _ctx.loadList
      }, () => [
        vue.createElementVNode("div", {
          class: vue.normalizeClass(["ui-scroll-list-buttons", _ctx.moreButtonContainerClass])
        }, [
          vue.createVNode(_component_UiButton, {
            class: "more-button",
            disabled: !_ctx.isListLoaded,
            caption: _ctx.moreCaption,
            icon: _ctx.moreButtonIcon,
            "icon-direction": _ctx.moreButtonDirection,
            onClick: _ctx.loadList
          }, null, 8, ["disabled", "caption", "icon", "icon-direction", "onClick"])
        ], 2)
      ]) : vue.createCommentVNode("", true),
      _ctx.appendType === "INFINITE" && _ctx.isMoreDataAvailable ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 3 }, [
        _ctx.isListLoaded ? vue.withDirectives((vue.openBlock(), vue.createElementBlock("div", _hoisted_1$6, null, 512)), [
          [_directive_lazy, { enabled: true, onIntersect: _ctx.loadList, once: false }]
        ]) : vue.createCommentVNode("", true)
      ], 64)) : vue.createCommentVNode("", true)
    ], 64));
  }
  const UiScrollListAppend = /* @__PURE__ */ _export_sfc(_sfc_main$8, [["render", _sfc_render$8]]);
  const browserUtil = {
    isMobile() {
      return /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent);
    }
  };
  const _sfc_main$7 = vue.defineComponent({
    name: "UiScrollList",
    components: { UiScrollListAppend, UiScrollListPage },
    props: {
      list: {
        type: PaginatedList,
        default: void 0
      },
      listKey: {
        type: String,
        default: void 0
      },
      scrollType: {
        type: String,
        default: () => {
          return (browserUtil.isMobile() ? uiComponentConfig.scrollListDefaultScrollTypeMobile : uiComponentConfig.scrollListDefaultScrollTypePc) || uiComponentConfig.scrollListDefaultScrollType || "PAGE";
        }
      },
      limit: {
        type: Number,
        default: void 0
      },
      visiblePageCount: {
        type: Number,
        default: void 0
      },
      useRouter: {
        type: Boolean,
        default: void 0
      },
      skeletonCount: {
        type: Number,
        default: void 0
      },
      itemContainerClass: {
        type: String,
        default: void 0
      },
      skeletonContainerClass: {
        type: String,
        default: void 0
      },
      paginationClass: {
        type: String,
        default: void 0
      },
      moreButtonContainerClass: {
        type: String,
        default: void 0
      },
      loadExplicitly: {
        type: Boolean,
        default: void 0
      },
      loadOnMount: {
        type: Boolean,
        default: void 0
      }
    },
    emits: {
      "needList": (request, scrollType) => {
        return !!request;
      },
      "listLoaded": (loadInfo, scrollType) => {
        return !!loadInfo;
      }
    },
    setup(props, { emit }) {
      const loadList = (request, scrollType) => emit("needList", request, scrollType);
      const listLoaded = (loadInfo, scrollType) => emit("listLoaded", loadInfo, scrollType);
      return {
        loadList,
        listLoaded
      };
    }
  });
  function _sfc_render$7(_ctx, _cache, $props, $setup, $data, $options) {
    const _component_UiScrollListPage = vue.resolveComponent("UiScrollListPage");
    const _component_UiScrollListAppend = vue.resolveComponent("UiScrollListAppend");
    return _ctx.scrollType === "PAGE" ? (vue.openBlock(), vue.createBlock(_component_UiScrollListPage, {
      key: 0,
      list: _ctx.list,
      "list-key": _ctx.listKey,
      limit: _ctx.limit,
      "visible-page-count": _ctx.visiblePageCount,
      "use-router": _ctx.useRouter,
      "skeleton-count": _ctx.skeletonCount,
      "item-container-class": _ctx.itemContainerClass,
      "skeleton-container-class": _ctx.skeletonContainerClass,
      "pagination-class": _ctx.paginationClass,
      "load-explicitly": _ctx.loadExplicitly,
      "load-on-mount": _ctx.loadOnMount,
      onNeedList: _ctx.loadList,
      onListLoaded: _ctx.listLoaded
    }, {
      default: vue.withCtx(({ listItem }) => [
        vue.renderSlot(_ctx.$slots, "default", { listItem })
      ]),
      skeleton: vue.withCtx(() => [
        vue.renderSlot(_ctx.$slots, "skeleton")
      ]),
      empty: vue.withCtx(() => [
        vue.renderSlot(_ctx.$slots, "empty")
      ]),
      _: 3
    }, 8, ["list", "list-key", "limit", "visible-page-count", "use-router", "skeleton-count", "item-container-class", "skeleton-container-class", "pagination-class", "load-explicitly", "load-on-mount", "onNeedList", "onListLoaded"])) : _ctx.scrollType === "MORE" || _ctx.scrollType === "INFINITE" ? (vue.openBlock(), vue.createBlock(_component_UiScrollListAppend, {
      key: 1,
      list: _ctx.list,
      "list-key": _ctx.listKey,
      limit: _ctx.limit,
      "skeleton-count": _ctx.skeletonCount,
      "append-type": _ctx.scrollType === "MORE" ? "MORE" : "INFINITE",
      "item-container-class": _ctx.itemContainerClass,
      "skeleton-container-class": _ctx.skeletonContainerClass,
      "more-button-container-class": _ctx.moreButtonContainerClass,
      "load-explicitly": _ctx.loadExplicitly,
      "load-on-mount": _ctx.loadOnMount,
      onNeedList: _ctx.loadList,
      onListLoaded: _ctx.listLoaded
    }, {
      default: vue.withCtx(({ listItem }) => [
        vue.renderSlot(_ctx.$slots, "default", { listItem })
      ]),
      skeleton: vue.withCtx(() => [
        vue.renderSlot(_ctx.$slots, "skeleton")
      ]),
      empty: vue.withCtx(() => [
        vue.renderSlot(_ctx.$slots, "empty")
      ]),
      _: 3
    }, 8, ["list", "list-key", "limit", "skeleton-count", "append-type", "item-container-class", "skeleton-container-class", "more-button-container-class", "load-explicitly", "load-on-mount", "onNeedList", "onListLoaded"])) : vue.createCommentVNode("", true);
  }
  const UiScrollList = /* @__PURE__ */ _export_sfc(_sfc_main$7, [["render", _sfc_render$7]]);
  const serializeDate = (date, format = "YYYYMMDD") => {
    return date ? dayjs__default.default(date).format(format) : "";
  };
  const deserializeDate = (str, endOfDate = false, format = "YYYYMMDD") => {
    if (str) {
      const date = dayjs__default.default(str, format);
      return endOfDate ? date.endOf("date").toDate() : date.toDate();
    } else {
      return void 0;
    }
  };
  const enhanceDatePeriodObject = (period) => {
    period.toString = () => `${serializeDate(period.fromDate) || ""}_${serializeDate(period.toDate)}`;
  };
  const datePeriodConverter = {
    toQueryString(value) {
      const period = value;
      return `${serializeDate(period == null ? void 0 : period.fromDate)}_${serializeDate(period == null ? void 0 : period.toDate)}`;
    },
    fromQueryString(query) {
      const str = String(Array.isArray(query) ? query[0] : query);
      if (str.includes("_")) {
        const dates = str.split("_");
        return {
          fromDate: deserializeDate(dates[0]),
          toDate: deserializeDate(dates[1], true)
        };
      }
      return void 0;
    }
  };
  const createDatePeriodByMonths = (months) => {
    const fromDate = dayjs__default.default().subtract(months, "month").startOf("date").toDate();
    const toDate = dayjs__default.default().endOf("date").toDate();
    return { fromDate, toDate };
  };
  const getPeriodSearchInitialValue = (monthListItem) => {
    var _a;
    const month = monthListItem || ((_a = uiComponentConfig.periodSearchMonthList) == null ? void 0 : _a[0]);
    return month && month.months ? createDatePeriodByMonths(month.months) : void 0;
  };
  const DATE_FORMAT = "YYYYMMDD";
  const _sfc_main$6 = vue.defineComponent({
    name: "UiPeriodSearch",
    components: { UiButton },
    props: {
      modelValue: {
        type: Object,
        default: void 0
      },
      allowNull: {
        type: Boolean,
        default: false
      },
      monthList: {
        type: Array,
        default: () => uiComponentConfig.periodSearchMonthList
      }
    },
    emits: {
      "update:modelValue": (value) => true
    },
    setup(props, { emit }) {
      const fromDateField = vue.ref();
      const supportsDate = vue.computed(() => {
        var _a;
        return ((_a = fromDateField.value) == null ? void 0 : _a.type) === "date";
      });
      const monthButtons = vue.computed(() => {
        const items = [...props.monthList];
        if (props.allowNull) {
          items.splice(0, 0, { caption: uiComponentConfig.periodSearchAllCaption });
        }
        return items;
      });
      const setMonth = (month) => {
        selectedMonth.value = month;
        if (month.months) {
          toDate.value = dayjs__default.default().format(DATE_FORMAT);
          fromDate.value = dayjs__default.default().subtract(month.months, "month").format(DATE_FORMAT);
        } else {
          toDate.value = "";
          fromDate.value = "";
        }
        emitModelValue();
      };
      const selectedMonth = vue.ref();
      const resetSelectedMonth = () => {
        if (!props.modelValue || !props.modelValue.fromDate && !props.modelValue.toDate) {
          selectedMonth.value = monthButtons.value.find((button) => !button.months);
        } else if (props.modelValue && props.modelValue.fromDate && props.modelValue.toDate) {
          const modelValueFrom = dayjs__default.default(props.modelValue.fromDate).format(DATE_FORMAT);
          const modelValueTo = dayjs__default.default(props.modelValue.toDate).format(DATE_FORMAT);
          selectedMonth.value = monthButtons.value.filter((button) => button.months).find((button) => modelValueFrom === dayjs__default.default().subtract(button.months || 0, "month").format(DATE_FORMAT) && modelValueTo === dayjs__default.default().format(DATE_FORMAT));
        } else {
          selectedMonth.value = void 0;
        }
      };
      const fromDate = vue.ref();
      const toDate = vue.ref();
      const formatDateTypeValue = (date) => supportsDate.value ? dayjs__default.default(date, DATE_FORMAT).format("YYYY-MM-DD") : date;
      const formattedFromDate = vue.computed(() => fromDate.value ? formatDateTypeValue(fromDate.value) : "");
      const formattedToDate = vue.computed(() => toDate.value ? formatDateTypeValue(toDate.value) : "");
      const getDateFromEvent = (event) => {
        const input = event.target;
        const value = input.value;
        const date = dayjs__default.default(value, DATE_FORMAT);
        if (date.isValid()) {
          return date;
        } else {
          return void 0;
        }
      };
      const changeFromDate = (event) => {
        const value = getDateFromEvent(event);
        fromDate.value = value ? dayjs__default.default(value).format(DATE_FORMAT) : "";
        emitModelValue();
      };
      const changeToDate = (event) => {
        const value = getDateFromEvent(event);
        toDate.value = value ? dayjs__default.default(value).format(DATE_FORMAT) : "";
        emitModelValue();
      };
      const dateStringFromDate = (date) => date ? dayjs__default.default(date).format(DATE_FORMAT) : void 0;
      const emitModelValue = () => {
        var _a, _b;
        const fromString = dateStringFromDate((_a = props.modelValue) == null ? void 0 : _a.fromDate);
        const toString = dateStringFromDate((_b = props.modelValue) == null ? void 0 : _b.toDate);
        if (fromString !== fromDate.value || toString !== toDate.value) {
          const newValue = {
            fromDate: fromDate.value ? dayjs__default.default(fromDate.value, DATE_FORMAT).toDate() : void 0,
            toDate: toDate.value ? dayjs__default.default(toDate.value, DATE_FORMAT).add(1, "day").subtract(1, "millisecond").toDate() : void 0
          };
          enhanceDatePeriodObject(newValue);
          const actualValue = newValue.fromDate || newValue.toDate ? newValue : void 0;
          emit("update:modelValue", actualValue);
        }
      };
      vue.watch(() => props.modelValue, () => {
        var _a, _b;
        resetSelectedMonth();
        fromDate.value = dateStringFromDate((_a = props.modelValue) == null ? void 0 : _a.fromDate) || "";
        toDate.value = dateStringFromDate((_b = props.modelValue) == null ? void 0 : _b.toDate) || "";
      }, { immediate: true });
      vue.onBeforeMount(() => {
        var _a;
        if (!props.allowNull && (!props.modelValue || !props.modelValue.fromDate && !props.modelValue.toDate) && ((_a = props.monthList) == null ? void 0 : _a.length) > 0) {
          setMonth(props.monthList[0]);
        }
      });
      return {
        fromDateField,
        supportsDate,
        monthButtons,
        setMonth,
        selectedMonth,
        formattedFromDate,
        formattedToDate,
        changeFromDate,
        changeToDate
      };
    }
  });
  const _hoisted_1$5 = { class: "ui-period-search" };
  const _hoisted_2$4 = { class: "ui-button-group months mr-16" };
  const _hoisted_3$3 = { class: "date ui-input" };
  const _hoisted_4$1 = { class: "date-input" };
  const _hoisted_5$1 = ["placeholder", "value"];
  const _hoisted_6 = {
    key: 0,
    class: "icon-font calendar"
  };
  const _hoisted_7 = /* @__PURE__ */ vue.createElementVNode("span", { class: "tilde" }, "~", -1);
  const _hoisted_8 = { class: "date-input" };
  const _hoisted_9 = ["placeholder", "value"];
  const _hoisted_10 = {
    key: 0,
    class: "icon-font calendar"
  };
  function _sfc_render$6(_ctx, _cache, $props, $setup, $data, $options) {
    const _component_UiButton = vue.resolveComponent("UiButton");
    return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$5, [
      vue.createElementVNode("div", _hoisted_2$4, [
        (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.monthButtons, (month) => {
          return vue.openBlock(), vue.createBlock(_component_UiButton, {
            key: month.months,
            class: vue.normalizeClass(["month", { selected: _ctx.selectedMonth && _ctx.selectedMonth.months === month.months }]),
            caption: month.caption,
            onClick: ($event) => _ctx.setMonth(month)
          }, null, 8, ["class", "caption", "onClick"]);
        }), 128))
      ]),
      vue.createElementVNode("div", _hoisted_3$3, [
        vue.createElementVNode("span", _hoisted_4$1, [
          vue.createElementVNode("input", {
            ref: "fromDateField",
            type: "date",
            class: "ui-input d-inline",
            placeholder: !_ctx.supportsDate ? "YYYYMMDD" : void 0,
            maxlength: "8",
            value: _ctx.formattedFromDate,
            onChange: _cache[0] || (_cache[0] = (...args) => _ctx.changeFromDate && _ctx.changeFromDate(...args))
          }, null, 40, _hoisted_5$1),
          !_ctx.supportsDate ? (vue.openBlock(), vue.createElementBlock("i", _hoisted_6)) : vue.createCommentVNode("", true)
        ]),
        _hoisted_7,
        vue.createElementVNode("span", _hoisted_8, [
          vue.createElementVNode("input", {
            type: "date",
            class: "ui-input d-inline",
            placeholder: !_ctx.supportsDate ? "YYYYMMDD" : void 0,
            maxlength: "8",
            value: _ctx.formattedToDate,
            onChange: _cache[1] || (_cache[1] = (...args) => _ctx.changeToDate && _ctx.changeToDate(...args))
          }, null, 40, _hoisted_9),
          !_ctx.supportsDate ? (vue.openBlock(), vue.createElementBlock("i", _hoisted_10)) : vue.createCommentVNode("", true)
        ])
      ])
    ]);
  }
  const UiPeriodSearch = /* @__PURE__ */ _export_sfc(_sfc_main$6, [["render", _sfc_render$6]]);
  const _sfc_main$5 = vue.defineComponent({
    name: "UiProcessStep",
    props: {
      steps: {
        type: Array,
        default: () => []
      },
      currentStep: {
        type: String,
        default: void 0
      },
      iconClass: {
        type: String,
        default: () => uiComponentConfig.processStepIconClass
      }
    }
  });
  const _hoisted_1$4 = { class: "ui-process-step" };
  const _hoisted_2$3 = { key: 0 };
  const _hoisted_3$2 = { key: 1 };
  function _sfc_render$5(_ctx, _cache, $props, $setup, $data, $options) {
    return vue.openBlock(), vue.createElementBlock("ul", _hoisted_1$4, [
      (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.steps, (step, index2) => {
        return vue.openBlock(), vue.createElementBlock("li", {
          key: step.step
        }, [
          step.step === _ctx.currentStep ? (vue.openBlock(), vue.createElementBlock("strong", _hoisted_2$3, vue.toDisplayString(step.caption), 1)) : (vue.openBlock(), vue.createElementBlock("span", _hoisted_3$2, vue.toDisplayString(step.caption), 1)),
          index2 !== _ctx.steps.length - 1 ? (vue.openBlock(), vue.createElementBlock("i", {
            key: 2,
            class: vue.normalizeClass(["icon-font", _ctx.iconClass])
          }, null, 2)) : vue.createCommentVNode("", true)
        ]);
      }), 128))
    ]);
  }
  const UiProcessStep = /* @__PURE__ */ _export_sfc(_sfc_main$5, [["render", _sfc_render$5]]);
  const _sfc_main$4 = vue.defineComponent({
    name: "UiInputImages",
    components: { UiButton, UiImage },
    props: {
      modelValue: {
        type: Array,
        default: () => []
      },
      maxCount: {
        type: Number,
        default: 5
      },
      requestWidth: {
        type: Number,
        default: 100
      },
      requestHeight: {
        type: Number,
        default: 100
      }
    },
    emits: {
      "update:modelValue": (value) => true,
      "invalidFileSelected": (errorCode, file) => true
    },
    setup(props, { emit }) {
      const deleteFile = (file) => {
        const value = [...props.modelValue];
        const idx = value.indexOf(file);
        if (idx >= 0) {
          value.splice(idx, 1);
          emit("update:modelValue", value);
        }
      };
      const fileInput = vue.ref();
      const clickSelectFile = () => {
        if (props.modelValue.length < props.maxCount) {
          fileInput.value.click();
        }
      };
      const isValidFile = (file) => {
        var _a;
        if (!((_a = file.type) == null ? void 0 : _a.startsWith("image/"))) {
          emit("invalidFileSelected", "InvalidType", file);
          return false;
        }
        if (file.size > 5242880) {
          emit("invalidFileSelected", "SizeOverflow", file);
          return false;
        }
        return true;
      };
      const selectFile = (event) => {
        var _a;
        const target = event.target;
        const files = target.files;
        if (files) {
          const newImages = [];
          for (let idx = 0; idx < files.length && ((_a = props.modelValue) == null ? void 0 : _a.length) + newImages.length < props.maxCount; ++idx) {
            const file = files[idx];
            if (isValidFile(file)) {
              const newFile = {
                file,
                fileUrl: createUrl(file),
                fileName: file.name
              };
              newImages.push(newFile);
            }
          }
          if (newImages.length > 0) {
            const value = [...props.modelValue, ...newImages];
            emit("update:modelValue", value);
          }
        }
        target.value = "";
      };
      const objectUrls = [];
      const createUrl = (file) => {
        try {
          const url = window.URL.createObjectURL(file);
          objectUrls.push(url);
          return url;
        } catch (err) {
          console.log(err);
          return 'data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg"/>';
        }
      };
      const clearObjectUrls = () => {
        objectUrls.forEach((url) => {
          try {
            window.URL.revokeObjectURL(url);
          } catch (err) {
            console.log(err);
          }
        });
      };
      vue.onUnmounted(clearObjectUrls);
      return {
        deleteFile,
        fileInput,
        selectFile,
        clickSelectFile
      };
    }
  });
  const _hoisted_1$3 = ["src", "alt"];
  const _hoisted_2$2 = /* @__PURE__ */ vue.createElementVNode("i", { class: "icon-font plus" }, null, -1);
  const _hoisted_3$1 = [
    _hoisted_2$2
  ];
  function _sfc_render$4(_ctx, _cache, $props, $setup, $data, $options) {
    const _component_UiImage = vue.resolveComponent("UiImage");
    const _component_UiButton = vue.resolveComponent("UiButton");
    return vue.openBlock(), vue.createBlock(vue.TransitionGroup, {
      tag: "div",
      class: "ui-input-images"
    }, {
      default: vue.withCtx(() => [
        (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.modelValue, (file) => {
          return vue.openBlock(), vue.createElementBlock("div", {
            class: "image-container position-relative",
            key: file.fileUrl
          }, [
            file.file ? (vue.openBlock(), vue.createElementBlock("img", {
              key: 0,
              class: "image-new",
              src: file.fileUrl,
              alt: file.fileName
            }, null, 8, _hoisted_1$3)) : (vue.openBlock(), vue.createBlock(_component_UiImage, {
              key: 1,
              class: "image-old",
              "file-url": file.fileUrl,
              alt: file.fileName,
              width: "100%",
              "request-width": _ctx.requestWidth,
              "request-height": _ctx.requestHeight,
              lazy: false
            }, null, 8, ["file-url", "alt", "request-width", "request-height"])),
            vue.createVNode(_component_UiButton, {
              icon: "close",
              class: "sm delete",
              onClick: ($event) => _ctx.deleteFile(file)
            }, null, 8, ["onClick"])
          ]);
        }), 128)),
        _ctx.modelValue.length < _ctx.maxCount ? (vue.openBlock(), vue.createElementBlock("button", {
          type: "button",
          class: "attach-btn",
          onClick: _cache[0] || (_cache[0] = (...args) => _ctx.clickSelectFile && _ctx.clickSelectFile(...args)),
          key: "add-button"
        }, _hoisted_3$1)) : vue.createCommentVNode("", true),
        vue.createElementVNode("input", {
          type: "file",
          key: "file-input",
          ref: "fileInput",
          hidden: "",
          class: "d-none",
          onChange: _cache[1] || (_cache[1] = (...args) => _ctx.selectFile && _ctx.selectFile(...args))
        }, null, 544)
      ]),
      _: 1
    });
  }
  const UiInputImages = /* @__PURE__ */ _export_sfc(_sfc_main$4, [["render", _sfc_render$4]]);
  const _sfc_main$3 = vue.defineComponent({
    name: "UiField"
  });
  const _hoisted_1$2 = { class: "ui-field" };
  function _sfc_render$3(_ctx, _cache, $props, $setup, $data, $options) {
    return vue.openBlock(), vue.createElementBlock("div", _hoisted_1$2, [
      vue.renderSlot(_ctx.$slots, "default")
    ]);
  }
  const UiField = /* @__PURE__ */ _export_sfc(_sfc_main$3, [["render", _sfc_render$3]]);
  const _sfc_main$2 = vue.defineComponent({
    name: "UiLabel",
    props: {
      required: {
        type: Boolean,
        default: void 0
      }
    }
  });
  const _hoisted_1$1 = { class: "ui-label" };
  const _hoisted_2$1 = {
    key: 0,
    class: "required"
  };
  function _sfc_render$2(_ctx, _cache, $props, $setup, $data, $options) {
    return vue.openBlock(), vue.createElementBlock("label", _hoisted_1$1, [
      vue.renderSlot(_ctx.$slots, "default"),
      _ctx.required ? (vue.openBlock(), vue.createElementBlock("sup", _hoisted_2$1, "*")) : vue.createCommentVNode("", true)
    ]);
  }
  const UiLabel = /* @__PURE__ */ _export_sfc(_sfc_main$2, [["render", _sfc_render$2]]);
  function isObject$2(obj) {
    return obj !== null && typeof obj === "object" && "constructor" in obj && obj.constructor === Object;
  }
  function extend$2(target = {}, src = {}) {
    Object.keys(src).forEach((key) => {
      if (typeof target[key] === "undefined")
        target[key] = src[key];
      else if (isObject$2(src[key]) && isObject$2(target[key]) && Object.keys(src[key]).length > 0) {
        extend$2(target[key], src[key]);
      }
    });
  }
  const ssrDocument = {
    body: {},
    addEventListener() {
    },
    removeEventListener() {
    },
    activeElement: {
      blur() {
      },
      nodeName: ""
    },
    querySelector() {
      return null;
    },
    querySelectorAll() {
      return [];
    },
    getElementById() {
      return null;
    },
    createEvent() {
      return {
        initEvent() {
        }
      };
    },
    createElement() {
      return {
        children: [],
        childNodes: [],
        style: {},
        setAttribute() {
        },
        getElementsByTagName() {
          return [];
        }
      };
    },
    createElementNS() {
      return {};
    },
    importNode() {
      return null;
    },
    location: {
      hash: "",
      host: "",
      hostname: "",
      href: "",
      origin: "",
      pathname: "",
      protocol: "",
      search: ""
    }
  };
  function getDocument() {
    const doc = typeof document !== "undefined" ? document : {};
    extend$2(doc, ssrDocument);
    return doc;
  }
  const ssrWindow = {
    document: ssrDocument,
    navigator: {
      userAgent: ""
    },
    location: {
      hash: "",
      host: "",
      hostname: "",
      href: "",
      origin: "",
      pathname: "",
      protocol: "",
      search: ""
    },
    history: {
      replaceState() {
      },
      pushState() {
      },
      go() {
      },
      back() {
      }
    },
    CustomEvent: function CustomEvent() {
      return this;
    },
    addEventListener() {
    },
    removeEventListener() {
    },
    getComputedStyle() {
      return {
        getPropertyValue() {
          return "";
        }
      };
    },
    Image() {
    },
    Date() {
    },
    screen: {},
    setTimeout() {
    },
    clearTimeout() {
    },
    matchMedia() {
      return {};
    },
    requestAnimationFrame(callback) {
      if (typeof setTimeout === "undefined") {
        callback();
        return null;
      }
      return setTimeout(callback, 0);
    },
    cancelAnimationFrame(id) {
      if (typeof setTimeout === "undefined") {
        return;
      }
      clearTimeout(id);
    }
  };
  function getWindow() {
    const win = typeof window !== "undefined" ? window : {};
    extend$2(win, ssrWindow);
    return win;
  }
  function makeReactive(obj) {
    const proto = obj.__proto__;
    Object.defineProperty(obj, "__proto__", {
      get() {
        return proto;
      },
      set(value) {
        proto.__proto__ = value;
      }
    });
  }
  class Dom7 extends Array {
    constructor(items) {
      if (typeof items === "number") {
        super(items);
      } else {
        super(...items || []);
        makeReactive(this);
      }
    }
  }
  function arrayFlat(arr = []) {
    const res = [];
    arr.forEach((el) => {
      if (Array.isArray(el)) {
        res.push(...arrayFlat(el));
      } else {
        res.push(el);
      }
    });
    return res;
  }
  function arrayFilter(arr, callback) {
    return Array.prototype.filter.call(arr, callback);
  }
  function arrayUnique(arr) {
    const uniqueArray = [];
    for (let i = 0; i < arr.length; i += 1) {
      if (uniqueArray.indexOf(arr[i]) === -1)
        uniqueArray.push(arr[i]);
    }
    return uniqueArray;
  }
  function qsa(selector, context) {
    if (typeof selector !== "string") {
      return [selector];
    }
    const a = [];
    const res = context.querySelectorAll(selector);
    for (let i = 0; i < res.length; i += 1) {
      a.push(res[i]);
    }
    return a;
  }
  function $(selector, context) {
    const window2 = getWindow();
    const document2 = getDocument();
    let arr = [];
    if (!context && selector instanceof Dom7) {
      return selector;
    }
    if (!selector) {
      return new Dom7(arr);
    }
    if (typeof selector === "string") {
      const html2 = selector.trim();
      if (html2.indexOf("<") >= 0 && html2.indexOf(">") >= 0) {
        let toCreate = "div";
        if (html2.indexOf("<li") === 0)
          toCreate = "ul";
        if (html2.indexOf("<tr") === 0)
          toCreate = "tbody";
        if (html2.indexOf("<td") === 0 || html2.indexOf("<th") === 0)
          toCreate = "tr";
        if (html2.indexOf("<tbody") === 0)
          toCreate = "table";
        if (html2.indexOf("<option") === 0)
          toCreate = "select";
        const tempParent = document2.createElement(toCreate);
        tempParent.innerHTML = html2;
        for (let i = 0; i < tempParent.childNodes.length; i += 1) {
          arr.push(tempParent.childNodes[i]);
        }
      } else {
        arr = qsa(selector.trim(), context || document2);
      }
    } else if (selector.nodeType || selector === window2 || selector === document2) {
      arr.push(selector);
    } else if (Array.isArray(selector)) {
      if (selector instanceof Dom7)
        return selector;
      arr = selector;
    }
    return new Dom7(arrayUnique(arr));
  }
  $.fn = Dom7.prototype;
  function addClass(...classes2) {
    const classNames = arrayFlat(classes2.map((c) => c.split(" ")));
    this.forEach((el) => {
      el.classList.add(...classNames);
    });
    return this;
  }
  function removeClass(...classes2) {
    const classNames = arrayFlat(classes2.map((c) => c.split(" ")));
    this.forEach((el) => {
      el.classList.remove(...classNames);
    });
    return this;
  }
  function toggleClass(...classes2) {
    const classNames = arrayFlat(classes2.map((c) => c.split(" ")));
    this.forEach((el) => {
      classNames.forEach((className) => {
        el.classList.toggle(className);
      });
    });
  }
  function hasClass(...classes2) {
    const classNames = arrayFlat(classes2.map((c) => c.split(" ")));
    return arrayFilter(this, (el) => {
      return classNames.filter((className) => el.classList.contains(className)).length > 0;
    }).length > 0;
  }
  function attr(attrs, value) {
    if (arguments.length === 1 && typeof attrs === "string") {
      if (this[0])
        return this[0].getAttribute(attrs);
      return void 0;
    }
    for (let i = 0; i < this.length; i += 1) {
      if (arguments.length === 2) {
        this[i].setAttribute(attrs, value);
      } else {
        for (const attrName in attrs) {
          this[i][attrName] = attrs[attrName];
          this[i].setAttribute(attrName, attrs[attrName]);
        }
      }
    }
    return this;
  }
  function removeAttr(attr2) {
    for (let i = 0; i < this.length; i += 1) {
      this[i].removeAttribute(attr2);
    }
    return this;
  }
  function transform(transform2) {
    for (let i = 0; i < this.length; i += 1) {
      this[i].style.transform = transform2;
    }
    return this;
  }
  function transition$1(duration) {
    for (let i = 0; i < this.length; i += 1) {
      this[i].style.transitionDuration = typeof duration !== "string" ? `${duration}ms` : duration;
    }
    return this;
  }
  function on(...args) {
    let [eventType, targetSelector, listener, capture] = args;
    if (typeof args[1] === "function") {
      [eventType, listener, capture] = args;
      targetSelector = void 0;
    }
    if (!capture)
      capture = false;
    function handleLiveEvent(e) {
      const target = e.target;
      if (!target)
        return;
      const eventData = e.target.dom7EventData || [];
      if (eventData.indexOf(e) < 0) {
        eventData.unshift(e);
      }
      if ($(target).is(targetSelector))
        listener.apply(target, eventData);
      else {
        const parents2 = $(target).parents();
        for (let k = 0; k < parents2.length; k += 1) {
          if ($(parents2[k]).is(targetSelector))
            listener.apply(parents2[k], eventData);
        }
      }
    }
    function handleEvent(e) {
      const eventData = e && e.target ? e.target.dom7EventData || [] : [];
      if (eventData.indexOf(e) < 0) {
        eventData.unshift(e);
      }
      listener.apply(this, eventData);
    }
    const events2 = eventType.split(" ");
    let j;
    for (let i = 0; i < this.length; i += 1) {
      const el = this[i];
      if (!targetSelector) {
        for (j = 0; j < events2.length; j += 1) {
          const event = events2[j];
          if (!el.dom7Listeners)
            el.dom7Listeners = {};
          if (!el.dom7Listeners[event])
            el.dom7Listeners[event] = [];
          el.dom7Listeners[event].push({
            listener,
            proxyListener: handleEvent
          });
          el.addEventListener(event, handleEvent, capture);
        }
      } else {
        for (j = 0; j < events2.length; j += 1) {
          const event = events2[j];
          if (!el.dom7LiveListeners)
            el.dom7LiveListeners = {};
          if (!el.dom7LiveListeners[event])
            el.dom7LiveListeners[event] = [];
          el.dom7LiveListeners[event].push({
            listener,
            proxyListener: handleLiveEvent
          });
          el.addEventListener(event, handleLiveEvent, capture);
        }
      }
    }
    return this;
  }
  function off(...args) {
    let [eventType, targetSelector, listener, capture] = args;
    if (typeof args[1] === "function") {
      [eventType, listener, capture] = args;
      targetSelector = void 0;
    }
    if (!capture)
      capture = false;
    const events2 = eventType.split(" ");
    for (let i = 0; i < events2.length; i += 1) {
      const event = events2[i];
      for (let j = 0; j < this.length; j += 1) {
        const el = this[j];
        let handlers;
        if (!targetSelector && el.dom7Listeners) {
          handlers = el.dom7Listeners[event];
        } else if (targetSelector && el.dom7LiveListeners) {
          handlers = el.dom7LiveListeners[event];
        }
        if (handlers && handlers.length) {
          for (let k = handlers.length - 1; k >= 0; k -= 1) {
            const handler = handlers[k];
            if (listener && handler.listener === listener) {
              el.removeEventListener(event, handler.proxyListener, capture);
              handlers.splice(k, 1);
            } else if (listener && handler.listener && handler.listener.dom7proxy && handler.listener.dom7proxy === listener) {
              el.removeEventListener(event, handler.proxyListener, capture);
              handlers.splice(k, 1);
            } else if (!listener) {
              el.removeEventListener(event, handler.proxyListener, capture);
              handlers.splice(k, 1);
            }
          }
        }
      }
    }
    return this;
  }
  function trigger(...args) {
    const window2 = getWindow();
    const events2 = args[0].split(" ");
    const eventData = args[1];
    for (let i = 0; i < events2.length; i += 1) {
      const event = events2[i];
      for (let j = 0; j < this.length; j += 1) {
        const el = this[j];
        if (window2.CustomEvent) {
          const evt = new window2.CustomEvent(event, {
            detail: eventData,
            bubbles: true,
            cancelable: true
          });
          el.dom7EventData = args.filter((data, dataIndex) => dataIndex > 0);
          el.dispatchEvent(evt);
          el.dom7EventData = [];
          delete el.dom7EventData;
        }
      }
    }
    return this;
  }
  function transitionEnd$1(callback) {
    const dom = this;
    function fireCallBack(e) {
      if (e.target !== this)
        return;
      callback.call(this, e);
      dom.off("transitionend", fireCallBack);
    }
    if (callback) {
      dom.on("transitionend", fireCallBack);
    }
    return this;
  }
  function outerWidth(includeMargins) {
    if (this.length > 0) {
      if (includeMargins) {
        const styles2 = this.styles();
        return this[0].offsetWidth + parseFloat(styles2.getPropertyValue("margin-right")) + parseFloat(styles2.getPropertyValue("margin-left"));
      }
      return this[0].offsetWidth;
    }
    return null;
  }
  function outerHeight(includeMargins) {
    if (this.length > 0) {
      if (includeMargins) {
        const styles2 = this.styles();
        return this[0].offsetHeight + parseFloat(styles2.getPropertyValue("margin-top")) + parseFloat(styles2.getPropertyValue("margin-bottom"));
      }
      return this[0].offsetHeight;
    }
    return null;
  }
  function offset() {
    if (this.length > 0) {
      const window2 = getWindow();
      const document2 = getDocument();
      const el = this[0];
      const box = el.getBoundingClientRect();
      const body = document2.body;
      const clientTop = el.clientTop || body.clientTop || 0;
      const clientLeft = el.clientLeft || body.clientLeft || 0;
      const scrollTop = el === window2 ? window2.scrollY : el.scrollTop;
      const scrollLeft = el === window2 ? window2.scrollX : el.scrollLeft;
      return {
        top: box.top + scrollTop - clientTop,
        left: box.left + scrollLeft - clientLeft
      };
    }
    return null;
  }
  function styles() {
    const window2 = getWindow();
    if (this[0])
      return window2.getComputedStyle(this[0], null);
    return {};
  }
  function css(props, value) {
    const window2 = getWindow();
    let i;
    if (arguments.length === 1) {
      if (typeof props === "string") {
        if (this[0])
          return window2.getComputedStyle(this[0], null).getPropertyValue(props);
      } else {
        for (i = 0; i < this.length; i += 1) {
          for (const prop in props) {
            this[i].style[prop] = props[prop];
          }
        }
        return this;
      }
    }
    if (arguments.length === 2 && typeof props === "string") {
      for (i = 0; i < this.length; i += 1) {
        this[i].style[props] = value;
      }
      return this;
    }
    return this;
  }
  function each(callback) {
    if (!callback)
      return this;
    this.forEach((el, index2) => {
      callback.apply(el, [el, index2]);
    });
    return this;
  }
  function filter(callback) {
    const result = arrayFilter(this, callback);
    return $(result);
  }
  function html(html2) {
    if (typeof html2 === "undefined") {
      return this[0] ? this[0].innerHTML : null;
    }
    for (let i = 0; i < this.length; i += 1) {
      this[i].innerHTML = html2;
    }
    return this;
  }
  function text(text2) {
    if (typeof text2 === "undefined") {
      return this[0] ? this[0].textContent.trim() : null;
    }
    for (let i = 0; i < this.length; i += 1) {
      this[i].textContent = text2;
    }
    return this;
  }
  function is(selector) {
    const window2 = getWindow();
    const document2 = getDocument();
    const el = this[0];
    let compareWith;
    let i;
    if (!el || typeof selector === "undefined")
      return false;
    if (typeof selector === "string") {
      if (el.matches)
        return el.matches(selector);
      if (el.webkitMatchesSelector)
        return el.webkitMatchesSelector(selector);
      if (el.msMatchesSelector)
        return el.msMatchesSelector(selector);
      compareWith = $(selector);
      for (i = 0; i < compareWith.length; i += 1) {
        if (compareWith[i] === el)
          return true;
      }
      return false;
    }
    if (selector === document2) {
      return el === document2;
    }
    if (selector === window2) {
      return el === window2;
    }
    if (selector.nodeType || selector instanceof Dom7) {
      compareWith = selector.nodeType ? [selector] : selector;
      for (i = 0; i < compareWith.length; i += 1) {
        if (compareWith[i] === el)
          return true;
      }
      return false;
    }
    return false;
  }
  function index() {
    let child = this[0];
    let i;
    if (child) {
      i = 0;
      while ((child = child.previousSibling) !== null) {
        if (child.nodeType === 1)
          i += 1;
      }
      return i;
    }
    return void 0;
  }
  function eq(index2) {
    if (typeof index2 === "undefined")
      return this;
    const length = this.length;
    if (index2 > length - 1) {
      return $([]);
    }
    if (index2 < 0) {
      const returnIndex = length + index2;
      if (returnIndex < 0)
        return $([]);
      return $([this[returnIndex]]);
    }
    return $([this[index2]]);
  }
  function append(...els) {
    let newChild;
    const document2 = getDocument();
    for (let k = 0; k < els.length; k += 1) {
      newChild = els[k];
      for (let i = 0; i < this.length; i += 1) {
        if (typeof newChild === "string") {
          const tempDiv = document2.createElement("div");
          tempDiv.innerHTML = newChild;
          while (tempDiv.firstChild) {
            this[i].appendChild(tempDiv.firstChild);
          }
        } else if (newChild instanceof Dom7) {
          for (let j = 0; j < newChild.length; j += 1) {
            this[i].appendChild(newChild[j]);
          }
        } else {
          this[i].appendChild(newChild);
        }
      }
    }
    return this;
  }
  function prepend(newChild) {
    const document2 = getDocument();
    let i;
    let j;
    for (i = 0; i < this.length; i += 1) {
      if (typeof newChild === "string") {
        const tempDiv = document2.createElement("div");
        tempDiv.innerHTML = newChild;
        for (j = tempDiv.childNodes.length - 1; j >= 0; j -= 1) {
          this[i].insertBefore(tempDiv.childNodes[j], this[i].childNodes[0]);
        }
      } else if (newChild instanceof Dom7) {
        for (j = 0; j < newChild.length; j += 1) {
          this[i].insertBefore(newChild[j], this[i].childNodes[0]);
        }
      } else {
        this[i].insertBefore(newChild, this[i].childNodes[0]);
      }
    }
    return this;
  }
  function next(selector) {
    if (this.length > 0) {
      if (selector) {
        if (this[0].nextElementSibling && $(this[0].nextElementSibling).is(selector)) {
          return $([this[0].nextElementSibling]);
        }
        return $([]);
      }
      if (this[0].nextElementSibling)
        return $([this[0].nextElementSibling]);
      return $([]);
    }
    return $([]);
  }
  function nextAll(selector) {
    const nextEls = [];
    let el = this[0];
    if (!el)
      return $([]);
    while (el.nextElementSibling) {
      const next2 = el.nextElementSibling;
      if (selector) {
        if ($(next2).is(selector))
          nextEls.push(next2);
      } else
        nextEls.push(next2);
      el = next2;
    }
    return $(nextEls);
  }
  function prev(selector) {
    if (this.length > 0) {
      const el = this[0];
      if (selector) {
        if (el.previousElementSibling && $(el.previousElementSibling).is(selector)) {
          return $([el.previousElementSibling]);
        }
        return $([]);
      }
      if (el.previousElementSibling)
        return $([el.previousElementSibling]);
      return $([]);
    }
    return $([]);
  }
  function prevAll(selector) {
    const prevEls = [];
    let el = this[0];
    if (!el)
      return $([]);
    while (el.previousElementSibling) {
      const prev2 = el.previousElementSibling;
      if (selector) {
        if ($(prev2).is(selector))
          prevEls.push(prev2);
      } else
        prevEls.push(prev2);
      el = prev2;
    }
    return $(prevEls);
  }
  function parent(selector) {
    const parents2 = [];
    for (let i = 0; i < this.length; i += 1) {
      if (this[i].parentNode !== null) {
        if (selector) {
          if ($(this[i].parentNode).is(selector))
            parents2.push(this[i].parentNode);
        } else {
          parents2.push(this[i].parentNode);
        }
      }
    }
    return $(parents2);
  }
  function parents(selector) {
    const parents2 = [];
    for (let i = 0; i < this.length; i += 1) {
      let parent2 = this[i].parentNode;
      while (parent2) {
        if (selector) {
          if ($(parent2).is(selector))
            parents2.push(parent2);
        } else {
          parents2.push(parent2);
        }
        parent2 = parent2.parentNode;
      }
    }
    return $(parents2);
  }
  function closest(selector) {
    let closest2 = this;
    if (typeof selector === "undefined") {
      return $([]);
    }
    if (!closest2.is(selector)) {
      closest2 = closest2.parents(selector).eq(0);
    }
    return closest2;
  }
  function find(selector) {
    const foundElements = [];
    for (let i = 0; i < this.length; i += 1) {
      const found = this[i].querySelectorAll(selector);
      for (let j = 0; j < found.length; j += 1) {
        foundElements.push(found[j]);
      }
    }
    return $(foundElements);
  }
  function children(selector) {
    const children2 = [];
    for (let i = 0; i < this.length; i += 1) {
      const childNodes = this[i].children;
      for (let j = 0; j < childNodes.length; j += 1) {
        if (!selector || $(childNodes[j]).is(selector)) {
          children2.push(childNodes[j]);
        }
      }
    }
    return $(children2);
  }
  function remove() {
    for (let i = 0; i < this.length; i += 1) {
      if (this[i].parentNode)
        this[i].parentNode.removeChild(this[i]);
    }
    return this;
  }
  const Methods = {
    addClass,
    removeClass,
    hasClass,
    toggleClass,
    attr,
    removeAttr,
    transform,
    transition: transition$1,
    on,
    off,
    trigger,
    transitionEnd: transitionEnd$1,
    outerWidth,
    outerHeight,
    styles,
    offset,
    css,
    each,
    html,
    text,
    is,
    index,
    eq,
    append,
    prepend,
    next,
    nextAll,
    prev,
    prevAll,
    parent,
    parents,
    closest,
    find,
    children,
    filter,
    remove
  };
  Object.keys(Methods).forEach((methodName) => {
    Object.defineProperty($.fn, methodName, {
      value: Methods[methodName],
      writable: true
    });
  });
  function deleteProps(obj) {
    const object = obj;
    Object.keys(object).forEach((key) => {
      try {
        object[key] = null;
      } catch (e) {
      }
      try {
        delete object[key];
      } catch (e) {
      }
    });
  }
  function nextTick(callback, delay = 0) {
    return setTimeout(callback, delay);
  }
  function now() {
    return Date.now();
  }
  function getComputedStyle$1(el) {
    const window2 = getWindow();
    let style;
    if (window2.getComputedStyle) {
      style = window2.getComputedStyle(el, null);
    }
    if (!style && el.currentStyle) {
      style = el.currentStyle;
    }
    if (!style) {
      style = el.style;
    }
    return style;
  }
  function getTranslate(el, axis = "x") {
    const window2 = getWindow();
    let matrix;
    let curTransform;
    let transformMatrix;
    const curStyle = getComputedStyle$1(el);
    if (window2.WebKitCSSMatrix) {
      curTransform = curStyle.transform || curStyle.webkitTransform;
      if (curTransform.split(",").length > 6) {
        curTransform = curTransform.split(", ").map((a) => a.replace(",", ".")).join(", ");
      }
      transformMatrix = new window2.WebKitCSSMatrix(curTransform === "none" ? "" : curTransform);
    } else {
      transformMatrix = curStyle.MozTransform || curStyle.OTransform || curStyle.MsTransform || curStyle.msTransform || curStyle.transform || curStyle.getPropertyValue("transform").replace("translate(", "matrix(1, 0, 0, 1,");
      matrix = transformMatrix.toString().split(",");
    }
    if (axis === "x") {
      if (window2.WebKitCSSMatrix)
        curTransform = transformMatrix.m41;
      else if (matrix.length === 16)
        curTransform = parseFloat(matrix[12]);
      else
        curTransform = parseFloat(matrix[4]);
    }
    if (axis === "y") {
      if (window2.WebKitCSSMatrix)
        curTransform = transformMatrix.m42;
      else if (matrix.length === 16)
        curTransform = parseFloat(matrix[13]);
      else
        curTransform = parseFloat(matrix[5]);
    }
    return curTransform || 0;
  }
  function isObject$1(o) {
    return typeof o === "object" && o !== null && o.constructor && Object.prototype.toString.call(o).slice(8, -1) === "Object";
  }
  function isNode(node) {
    if (typeof window !== "undefined" && typeof window.HTMLElement !== "undefined") {
      return node instanceof HTMLElement;
    }
    return node && (node.nodeType === 1 || node.nodeType === 11);
  }
  function extend$1(...args) {
    const to = Object(args[0]);
    const noExtend = ["__proto__", "constructor", "prototype"];
    for (let i = 1; i < args.length; i += 1) {
      const nextSource = args[i];
      if (nextSource !== void 0 && nextSource !== null && !isNode(nextSource)) {
        const keysArray = Object.keys(Object(nextSource)).filter((key) => noExtend.indexOf(key) < 0);
        for (let nextIndex = 0, len = keysArray.length; nextIndex < len; nextIndex += 1) {
          const nextKey = keysArray[nextIndex];
          const desc = Object.getOwnPropertyDescriptor(nextSource, nextKey);
          if (desc !== void 0 && desc.enumerable) {
            if (isObject$1(to[nextKey]) && isObject$1(nextSource[nextKey])) {
              if (nextSource[nextKey].__swiper__) {
                to[nextKey] = nextSource[nextKey];
              } else {
                extend$1(to[nextKey], nextSource[nextKey]);
              }
            } else if (!isObject$1(to[nextKey]) && isObject$1(nextSource[nextKey])) {
              to[nextKey] = {};
              if (nextSource[nextKey].__swiper__) {
                to[nextKey] = nextSource[nextKey];
              } else {
                extend$1(to[nextKey], nextSource[nextKey]);
              }
            } else {
              to[nextKey] = nextSource[nextKey];
            }
          }
        }
      }
    }
    return to;
  }
  function setCSSProperty(el, varName, varValue) {
    el.style.setProperty(varName, varValue);
  }
  function animateCSSModeScroll({
    swiper,
    targetPosition,
    side
  }) {
    const window2 = getWindow();
    const startPosition = -swiper.translate;
    let startTime = null;
    let time;
    const duration = swiper.params.speed;
    swiper.wrapperEl.style.scrollSnapType = "none";
    window2.cancelAnimationFrame(swiper.cssModeFrameID);
    const dir = targetPosition > startPosition ? "next" : "prev";
    const isOutOfBound = (current, target) => {
      return dir === "next" && current >= target || dir === "prev" && current <= target;
    };
    const animate = () => {
      time = new Date().getTime();
      if (startTime === null) {
        startTime = time;
      }
      const progress = Math.max(Math.min((time - startTime) / duration, 1), 0);
      const easeProgress = 0.5 - Math.cos(progress * Math.PI) / 2;
      let currentPosition = startPosition + easeProgress * (targetPosition - startPosition);
      if (isOutOfBound(currentPosition, targetPosition)) {
        currentPosition = targetPosition;
      }
      swiper.wrapperEl.scrollTo({
        [side]: currentPosition
      });
      if (isOutOfBound(currentPosition, targetPosition)) {
        swiper.wrapperEl.style.overflow = "hidden";
        swiper.wrapperEl.style.scrollSnapType = "";
        setTimeout(() => {
          swiper.wrapperEl.style.overflow = "";
          swiper.wrapperEl.scrollTo({
            [side]: currentPosition
          });
        });
        window2.cancelAnimationFrame(swiper.cssModeFrameID);
        return;
      }
      swiper.cssModeFrameID = window2.requestAnimationFrame(animate);
    };
    animate();
  }
  let support;
  function calcSupport() {
    const window2 = getWindow();
    const document2 = getDocument();
    return {
      smoothScroll: document2.documentElement && "scrollBehavior" in document2.documentElement.style,
      touch: !!("ontouchstart" in window2 || window2.DocumentTouch && document2 instanceof window2.DocumentTouch),
      passiveListener: function checkPassiveListener() {
        let supportsPassive = false;
        try {
          const opts = Object.defineProperty({}, "passive", {
            get() {
              supportsPassive = true;
            }
          });
          window2.addEventListener("testPassiveListener", null, opts);
        } catch (e) {
        }
        return supportsPassive;
      }(),
      gestures: function checkGestures() {
        return "ongesturestart" in window2;
      }()
    };
  }
  function getSupport() {
    if (!support) {
      support = calcSupport();
    }
    return support;
  }
  let deviceCached;
  function calcDevice({
    userAgent
  } = {}) {
    const support2 = getSupport();
    const window2 = getWindow();
    const platform = window2.navigator.platform;
    const ua = userAgent || window2.navigator.userAgent;
    const device = {
      ios: false,
      android: false
    };
    const screenWidth = window2.screen.width;
    const screenHeight = window2.screen.height;
    const android = ua.match(/(Android);?[\s\/]+([\d.]+)?/);
    let ipad = ua.match(/(iPad).*OS\s([\d_]+)/);
    const ipod = ua.match(/(iPod)(.*OS\s([\d_]+))?/);
    const iphone = !ipad && ua.match(/(iPhone\sOS|iOS)\s([\d_]+)/);
    const windows = platform === "Win32";
    let macos = platform === "MacIntel";
    const iPadScreens = ["1024x1366", "1366x1024", "834x1194", "1194x834", "834x1112", "1112x834", "768x1024", "1024x768", "820x1180", "1180x820", "810x1080", "1080x810"];
    if (!ipad && macos && support2.touch && iPadScreens.indexOf(`${screenWidth}x${screenHeight}`) >= 0) {
      ipad = ua.match(/(Version)\/([\d.]+)/);
      if (!ipad)
        ipad = [0, 1, "13_0_0"];
      macos = false;
    }
    if (android && !windows) {
      device.os = "android";
      device.android = true;
    }
    if (ipad || iphone || ipod) {
      device.os = "ios";
      device.ios = true;
    }
    return device;
  }
  function getDevice(overrides = {}) {
    if (!deviceCached) {
      deviceCached = calcDevice(overrides);
    }
    return deviceCached;
  }
  let browser;
  function calcBrowser() {
    const window2 = getWindow();
    function isSafari() {
      const ua = window2.navigator.userAgent.toLowerCase();
      return ua.indexOf("safari") >= 0 && ua.indexOf("chrome") < 0 && ua.indexOf("android") < 0;
    }
    return {
      isSafari: isSafari(),
      isWebView: /(iPhone|iPod|iPad).*AppleWebKit(?!.*Safari)/i.test(window2.navigator.userAgent)
    };
  }
  function getBrowser() {
    if (!browser) {
      browser = calcBrowser();
    }
    return browser;
  }
  function Resize({
    swiper,
    on: on2,
    emit
  }) {
    const window2 = getWindow();
    let observer = null;
    let animationFrame = null;
    const resizeHandler = () => {
      if (!swiper || swiper.destroyed || !swiper.initialized)
        return;
      emit("beforeResize");
      emit("resize");
    };
    const createObserver = () => {
      if (!swiper || swiper.destroyed || !swiper.initialized)
        return;
      observer = new ResizeObserver((entries) => {
        animationFrame = window2.requestAnimationFrame(() => {
          const {
            width,
            height
          } = swiper;
          let newWidth = width;
          let newHeight = height;
          entries.forEach(({
            contentBoxSize,
            contentRect,
            target
          }) => {
            if (target && target !== swiper.el)
              return;
            newWidth = contentRect ? contentRect.width : (contentBoxSize[0] || contentBoxSize).inlineSize;
            newHeight = contentRect ? contentRect.height : (contentBoxSize[0] || contentBoxSize).blockSize;
          });
          if (newWidth !== width || newHeight !== height) {
            resizeHandler();
          }
        });
      });
      observer.observe(swiper.el);
    };
    const removeObserver = () => {
      if (animationFrame) {
        window2.cancelAnimationFrame(animationFrame);
      }
      if (observer && observer.unobserve && swiper.el) {
        observer.unobserve(swiper.el);
        observer = null;
      }
    };
    const orientationChangeHandler = () => {
      if (!swiper || swiper.destroyed || !swiper.initialized)
        return;
      emit("orientationchange");
    };
    on2("init", () => {
      if (swiper.params.resizeObserver && typeof window2.ResizeObserver !== "undefined") {
        createObserver();
        return;
      }
      window2.addEventListener("resize", resizeHandler);
      window2.addEventListener("orientationchange", orientationChangeHandler);
    });
    on2("destroy", () => {
      removeObserver();
      window2.removeEventListener("resize", resizeHandler);
      window2.removeEventListener("orientationchange", orientationChangeHandler);
    });
  }
  function Observer({
    swiper,
    extendParams,
    on: on2,
    emit
  }) {
    const observers = [];
    const window2 = getWindow();
    const attach = (target, options = {}) => {
      const ObserverFunc = window2.MutationObserver || window2.WebkitMutationObserver;
      const observer = new ObserverFunc((mutations) => {
        if (mutations.length === 1) {
          emit("observerUpdate", mutations[0]);
          return;
        }
        const observerUpdate = function observerUpdate2() {
          emit("observerUpdate", mutations[0]);
        };
        if (window2.requestAnimationFrame) {
          window2.requestAnimationFrame(observerUpdate);
        } else {
          window2.setTimeout(observerUpdate, 0);
        }
      });
      observer.observe(target, {
        attributes: typeof options.attributes === "undefined" ? true : options.attributes,
        childList: typeof options.childList === "undefined" ? true : options.childList,
        characterData: typeof options.characterData === "undefined" ? true : options.characterData
      });
      observers.push(observer);
    };
    const init = () => {
      if (!swiper.params.observer)
        return;
      if (swiper.params.observeParents) {
        const containerParents = swiper.$el.parents();
        for (let i = 0; i < containerParents.length; i += 1) {
          attach(containerParents[i]);
        }
      }
      attach(swiper.$el[0], {
        childList: swiper.params.observeSlideChildren
      });
      attach(swiper.$wrapperEl[0], {
        attributes: false
      });
    };
    const destroy = () => {
      observers.forEach((observer) => {
        observer.disconnect();
      });
      observers.splice(0, observers.length);
    };
    extendParams({
      observer: false,
      observeParents: false,
      observeSlideChildren: false
    });
    on2("init", init);
    on2("destroy", destroy);
  }
  const eventsEmitter = {
    on(events2, handler, priority) {
      const self2 = this;
      if (!self2.eventsListeners || self2.destroyed)
        return self2;
      if (typeof handler !== "function")
        return self2;
      const method = priority ? "unshift" : "push";
      events2.split(" ").forEach((event) => {
        if (!self2.eventsListeners[event])
          self2.eventsListeners[event] = [];
        self2.eventsListeners[event][method](handler);
      });
      return self2;
    },
    once(events2, handler, priority) {
      const self2 = this;
      if (!self2.eventsListeners || self2.destroyed)
        return self2;
      if (typeof handler !== "function")
        return self2;
      function onceHandler(...args) {
        self2.off(events2, onceHandler);
        if (onceHandler.__emitterProxy) {
          delete onceHandler.__emitterProxy;
        }
        handler.apply(self2, args);
      }
      onceHandler.__emitterProxy = handler;
      return self2.on(events2, onceHandler, priority);
    },
    onAny(handler, priority) {
      const self2 = this;
      if (!self2.eventsListeners || self2.destroyed)
        return self2;
      if (typeof handler !== "function")
        return self2;
      const method = priority ? "unshift" : "push";
      if (self2.eventsAnyListeners.indexOf(handler) < 0) {
        self2.eventsAnyListeners[method](handler);
      }
      return self2;
    },
    offAny(handler) {
      const self2 = this;
      if (!self2.eventsListeners || self2.destroyed)
        return self2;
      if (!self2.eventsAnyListeners)
        return self2;
      const index2 = self2.eventsAnyListeners.indexOf(handler);
      if (index2 >= 0) {
        self2.eventsAnyListeners.splice(index2, 1);
      }
      return self2;
    },
    off(events2, handler) {
      const self2 = this;
      if (!self2.eventsListeners || self2.destroyed)
        return self2;
      if (!self2.eventsListeners)
        return self2;
      events2.split(" ").forEach((event) => {
        if (typeof handler === "undefined") {
          self2.eventsListeners[event] = [];
        } else if (self2.eventsListeners[event]) {
          self2.eventsListeners[event].forEach((eventHandler, index2) => {
            if (eventHandler === handler || eventHandler.__emitterProxy && eventHandler.__emitterProxy === handler) {
              self2.eventsListeners[event].splice(index2, 1);
            }
          });
        }
      });
      return self2;
    },
    emit(...args) {
      const self2 = this;
      if (!self2.eventsListeners || self2.destroyed)
        return self2;
      if (!self2.eventsListeners)
        return self2;
      let events2;
      let data;
      let context;
      if (typeof args[0] === "string" || Array.isArray(args[0])) {
        events2 = args[0];
        data = args.slice(1, args.length);
        context = self2;
      } else {
        events2 = args[0].events;
        data = args[0].data;
        context = args[0].context || self2;
      }
      data.unshift(context);
      const eventsArray = Array.isArray(events2) ? events2 : events2.split(" ");
      eventsArray.forEach((event) => {
        if (self2.eventsAnyListeners && self2.eventsAnyListeners.length) {
          self2.eventsAnyListeners.forEach((eventHandler) => {
            eventHandler.apply(context, [event, ...data]);
          });
        }
        if (self2.eventsListeners && self2.eventsListeners[event]) {
          self2.eventsListeners[event].forEach((eventHandler) => {
            eventHandler.apply(context, data);
          });
        }
      });
      return self2;
    }
  };
  function updateSize() {
    const swiper = this;
    let width;
    let height;
    const $el = swiper.$el;
    if (typeof swiper.params.width !== "undefined" && swiper.params.width !== null) {
      width = swiper.params.width;
    } else {
      width = $el[0].clientWidth;
    }
    if (typeof swiper.params.height !== "undefined" && swiper.params.height !== null) {
      height = swiper.params.height;
    } else {
      height = $el[0].clientHeight;
    }
    if (width === 0 && swiper.isHorizontal() || height === 0 && swiper.isVertical()) {
      return;
    }
    width = width - parseInt($el.css("padding-left") || 0, 10) - parseInt($el.css("padding-right") || 0, 10);
    height = height - parseInt($el.css("padding-top") || 0, 10) - parseInt($el.css("padding-bottom") || 0, 10);
    if (Number.isNaN(width))
      width = 0;
    if (Number.isNaN(height))
      height = 0;
    Object.assign(swiper, {
      width,
      height,
      size: swiper.isHorizontal() ? width : height
    });
  }
  function updateSlides() {
    const swiper = this;
    function getDirectionLabel(property) {
      if (swiper.isHorizontal()) {
        return property;
      }
      return {
        "width": "height",
        "margin-top": "margin-left",
        "margin-bottom ": "margin-right",
        "margin-left": "margin-top",
        "margin-right": "margin-bottom",
        "padding-left": "padding-top",
        "padding-right": "padding-bottom",
        "marginRight": "marginBottom"
      }[property];
    }
    function getDirectionPropertyValue(node, label) {
      return parseFloat(node.getPropertyValue(getDirectionLabel(label)) || 0);
    }
    const params = swiper.params;
    const {
      $wrapperEl,
      size: swiperSize,
      rtlTranslate: rtl,
      wrongRTL
    } = swiper;
    const isVirtual = swiper.virtual && params.virtual.enabled;
    const previousSlidesLength = isVirtual ? swiper.virtual.slides.length : swiper.slides.length;
    const slides = $wrapperEl.children(`.${swiper.params.slideClass}`);
    const slidesLength = isVirtual ? swiper.virtual.slides.length : slides.length;
    let snapGrid = [];
    const slidesGrid = [];
    const slidesSizesGrid = [];
    let offsetBefore = params.slidesOffsetBefore;
    if (typeof offsetBefore === "function") {
      offsetBefore = params.slidesOffsetBefore.call(swiper);
    }
    let offsetAfter = params.slidesOffsetAfter;
    if (typeof offsetAfter === "function") {
      offsetAfter = params.slidesOffsetAfter.call(swiper);
    }
    const previousSnapGridLength = swiper.snapGrid.length;
    const previousSlidesGridLength = swiper.slidesGrid.length;
    let spaceBetween = params.spaceBetween;
    let slidePosition = -offsetBefore;
    let prevSlideSize = 0;
    let index2 = 0;
    if (typeof swiperSize === "undefined") {
      return;
    }
    if (typeof spaceBetween === "string" && spaceBetween.indexOf("%") >= 0) {
      spaceBetween = parseFloat(spaceBetween.replace("%", "")) / 100 * swiperSize;
    }
    swiper.virtualSize = -spaceBetween;
    if (rtl)
      slides.css({
        marginLeft: "",
        marginBottom: "",
        marginTop: ""
      });
    else
      slides.css({
        marginRight: "",
        marginBottom: "",
        marginTop: ""
      });
    if (params.centeredSlides && params.cssMode) {
      setCSSProperty(swiper.wrapperEl, "--swiper-centered-offset-before", "");
      setCSSProperty(swiper.wrapperEl, "--swiper-centered-offset-after", "");
    }
    const gridEnabled = params.grid && params.grid.rows > 1 && swiper.grid;
    if (gridEnabled) {
      swiper.grid.initSlides(slidesLength);
    }
    let slideSize;
    const shouldResetSlideSize = params.slidesPerView === "auto" && params.breakpoints && Object.keys(params.breakpoints).filter((key) => {
      return typeof params.breakpoints[key].slidesPerView !== "undefined";
    }).length > 0;
    for (let i = 0; i < slidesLength; i += 1) {
      slideSize = 0;
      const slide2 = slides.eq(i);
      if (gridEnabled) {
        swiper.grid.updateSlide(i, slide2, slidesLength, getDirectionLabel);
      }
      if (slide2.css("display") === "none")
        continue;
      if (params.slidesPerView === "auto") {
        if (shouldResetSlideSize) {
          slides[i].style[getDirectionLabel("width")] = ``;
        }
        const slideStyles = getComputedStyle(slide2[0]);
        const currentTransform = slide2[0].style.transform;
        const currentWebKitTransform = slide2[0].style.webkitTransform;
        if (currentTransform) {
          slide2[0].style.transform = "none";
        }
        if (currentWebKitTransform) {
          slide2[0].style.webkitTransform = "none";
        }
        if (params.roundLengths) {
          slideSize = swiper.isHorizontal() ? slide2.outerWidth(true) : slide2.outerHeight(true);
        } else {
          const width = getDirectionPropertyValue(slideStyles, "width");
          const paddingLeft = getDirectionPropertyValue(slideStyles, "padding-left");
          const paddingRight = getDirectionPropertyValue(slideStyles, "padding-right");
          const marginLeft = getDirectionPropertyValue(slideStyles, "margin-left");
          const marginRight = getDirectionPropertyValue(slideStyles, "margin-right");
          const boxSizing = slideStyles.getPropertyValue("box-sizing");
          if (boxSizing && boxSizing === "border-box") {
            slideSize = width + marginLeft + marginRight;
          } else {
            const {
              clientWidth,
              offsetWidth
            } = slide2[0];
            slideSize = width + paddingLeft + paddingRight + marginLeft + marginRight + (offsetWidth - clientWidth);
          }
        }
        if (currentTransform) {
          slide2[0].style.transform = currentTransform;
        }
        if (currentWebKitTransform) {
          slide2[0].style.webkitTransform = currentWebKitTransform;
        }
        if (params.roundLengths)
          slideSize = Math.floor(slideSize);
      } else {
        slideSize = (swiperSize - (params.slidesPerView - 1) * spaceBetween) / params.slidesPerView;
        if (params.roundLengths)
          slideSize = Math.floor(slideSize);
        if (slides[i]) {
          slides[i].style[getDirectionLabel("width")] = `${slideSize}px`;
        }
      }
      if (slides[i]) {
        slides[i].swiperSlideSize = slideSize;
      }
      slidesSizesGrid.push(slideSize);
      if (params.centeredSlides) {
        slidePosition = slidePosition + slideSize / 2 + prevSlideSize / 2 + spaceBetween;
        if (prevSlideSize === 0 && i !== 0)
          slidePosition = slidePosition - swiperSize / 2 - spaceBetween;
        if (i === 0)
          slidePosition = slidePosition - swiperSize / 2 - spaceBetween;
        if (Math.abs(slidePosition) < 1 / 1e3)
          slidePosition = 0;
        if (params.roundLengths)
          slidePosition = Math.floor(slidePosition);
        if (index2 % params.slidesPerGroup === 0)
          snapGrid.push(slidePosition);
        slidesGrid.push(slidePosition);
      } else {
        if (params.roundLengths)
          slidePosition = Math.floor(slidePosition);
        if ((index2 - Math.min(swiper.params.slidesPerGroupSkip, index2)) % swiper.params.slidesPerGroup === 0)
          snapGrid.push(slidePosition);
        slidesGrid.push(slidePosition);
        slidePosition = slidePosition + slideSize + spaceBetween;
      }
      swiper.virtualSize += slideSize + spaceBetween;
      prevSlideSize = slideSize;
      index2 += 1;
    }
    swiper.virtualSize = Math.max(swiper.virtualSize, swiperSize) + offsetAfter;
    if (rtl && wrongRTL && (params.effect === "slide" || params.effect === "coverflow")) {
      $wrapperEl.css({
        width: `${swiper.virtualSize + params.spaceBetween}px`
      });
    }
    if (params.setWrapperSize) {
      $wrapperEl.css({
        [getDirectionLabel("width")]: `${swiper.virtualSize + params.spaceBetween}px`
      });
    }
    if (gridEnabled) {
      swiper.grid.updateWrapperSize(slideSize, snapGrid, getDirectionLabel);
    }
    if (!params.centeredSlides) {
      const newSlidesGrid = [];
      for (let i = 0; i < snapGrid.length; i += 1) {
        let slidesGridItem = snapGrid[i];
        if (params.roundLengths)
          slidesGridItem = Math.floor(slidesGridItem);
        if (snapGrid[i] <= swiper.virtualSize - swiperSize) {
          newSlidesGrid.push(slidesGridItem);
        }
      }
      snapGrid = newSlidesGrid;
      if (Math.floor(swiper.virtualSize - swiperSize) - Math.floor(snapGrid[snapGrid.length - 1]) > 1) {
        snapGrid.push(swiper.virtualSize - swiperSize);
      }
    }
    if (snapGrid.length === 0)
      snapGrid = [0];
    if (params.spaceBetween !== 0) {
      const key = swiper.isHorizontal() && rtl ? "marginLeft" : getDirectionLabel("marginRight");
      slides.filter((_, slideIndex) => {
        if (!params.cssMode)
          return true;
        if (slideIndex === slides.length - 1) {
          return false;
        }
        return true;
      }).css({
        [key]: `${spaceBetween}px`
      });
    }
    if (params.centeredSlides && params.centeredSlidesBounds) {
      let allSlidesSize = 0;
      slidesSizesGrid.forEach((slideSizeValue) => {
        allSlidesSize += slideSizeValue + (params.spaceBetween ? params.spaceBetween : 0);
      });
      allSlidesSize -= params.spaceBetween;
      const maxSnap = allSlidesSize - swiperSize;
      snapGrid = snapGrid.map((snap) => {
        if (snap < 0)
          return -offsetBefore;
        if (snap > maxSnap)
          return maxSnap + offsetAfter;
        return snap;
      });
    }
    if (params.centerInsufficientSlides) {
      let allSlidesSize = 0;
      slidesSizesGrid.forEach((slideSizeValue) => {
        allSlidesSize += slideSizeValue + (params.spaceBetween ? params.spaceBetween : 0);
      });
      allSlidesSize -= params.spaceBetween;
      if (allSlidesSize < swiperSize) {
        const allSlidesOffset = (swiperSize - allSlidesSize) / 2;
        snapGrid.forEach((snap, snapIndex) => {
          snapGrid[snapIndex] = snap - allSlidesOffset;
        });
        slidesGrid.forEach((snap, snapIndex) => {
          slidesGrid[snapIndex] = snap + allSlidesOffset;
        });
      }
    }
    Object.assign(swiper, {
      slides,
      snapGrid,
      slidesGrid,
      slidesSizesGrid
    });
    if (params.centeredSlides && params.cssMode && !params.centeredSlidesBounds) {
      setCSSProperty(swiper.wrapperEl, "--swiper-centered-offset-before", `${-snapGrid[0]}px`);
      setCSSProperty(swiper.wrapperEl, "--swiper-centered-offset-after", `${swiper.size / 2 - slidesSizesGrid[slidesSizesGrid.length - 1] / 2}px`);
      const addToSnapGrid = -swiper.snapGrid[0];
      const addToSlidesGrid = -swiper.slidesGrid[0];
      swiper.snapGrid = swiper.snapGrid.map((v) => v + addToSnapGrid);
      swiper.slidesGrid = swiper.slidesGrid.map((v) => v + addToSlidesGrid);
    }
    if (slidesLength !== previousSlidesLength) {
      swiper.emit("slidesLengthChange");
    }
    if (snapGrid.length !== previousSnapGridLength) {
      if (swiper.params.watchOverflow)
        swiper.checkOverflow();
      swiper.emit("snapGridLengthChange");
    }
    if (slidesGrid.length !== previousSlidesGridLength) {
      swiper.emit("slidesGridLengthChange");
    }
    if (params.watchSlidesProgress) {
      swiper.updateSlidesOffset();
    }
    if (!isVirtual && !params.cssMode && (params.effect === "slide" || params.effect === "fade")) {
      const backFaceHiddenClass = `${params.containerModifierClass}backface-hidden`;
      const hasClassBackfaceClassAdded = swiper.$el.hasClass(backFaceHiddenClass);
      if (slidesLength <= params.maxBackfaceHiddenSlides) {
        if (!hasClassBackfaceClassAdded)
          swiper.$el.addClass(backFaceHiddenClass);
      } else if (hasClassBackfaceClassAdded) {
        swiper.$el.removeClass(backFaceHiddenClass);
      }
    }
  }
  function updateAutoHeight(speed) {
    const swiper = this;
    const activeSlides = [];
    const isVirtual = swiper.virtual && swiper.params.virtual.enabled;
    let newHeight = 0;
    let i;
    if (typeof speed === "number") {
      swiper.setTransition(speed);
    } else if (speed === true) {
      swiper.setTransition(swiper.params.speed);
    }
    const getSlideByIndex = (index2) => {
      if (isVirtual) {
        return swiper.slides.filter((el) => parseInt(el.getAttribute("data-swiper-slide-index"), 10) === index2)[0];
      }
      return swiper.slides.eq(index2)[0];
    };
    if (swiper.params.slidesPerView !== "auto" && swiper.params.slidesPerView > 1) {
      if (swiper.params.centeredSlides) {
        (swiper.visibleSlides || $([])).each((slide2) => {
          activeSlides.push(slide2);
        });
      } else {
        for (i = 0; i < Math.ceil(swiper.params.slidesPerView); i += 1) {
          const index2 = swiper.activeIndex + i;
          if (index2 > swiper.slides.length && !isVirtual)
            break;
          activeSlides.push(getSlideByIndex(index2));
        }
      }
    } else {
      activeSlides.push(getSlideByIndex(swiper.activeIndex));
    }
    for (i = 0; i < activeSlides.length; i += 1) {
      if (typeof activeSlides[i] !== "undefined") {
        const height = activeSlides[i].offsetHeight;
        newHeight = height > newHeight ? height : newHeight;
      }
    }
    if (newHeight || newHeight === 0)
      swiper.$wrapperEl.css("height", `${newHeight}px`);
  }
  function updateSlidesOffset() {
    const swiper = this;
    const slides = swiper.slides;
    for (let i = 0; i < slides.length; i += 1) {
      slides[i].swiperSlideOffset = swiper.isHorizontal() ? slides[i].offsetLeft : slides[i].offsetTop;
    }
  }
  function updateSlidesProgress(translate2 = this && this.translate || 0) {
    const swiper = this;
    const params = swiper.params;
    const {
      slides,
      rtlTranslate: rtl,
      snapGrid
    } = swiper;
    if (slides.length === 0)
      return;
    if (typeof slides[0].swiperSlideOffset === "undefined")
      swiper.updateSlidesOffset();
    let offsetCenter = -translate2;
    if (rtl)
      offsetCenter = translate2;
    slides.removeClass(params.slideVisibleClass);
    swiper.visibleSlidesIndexes = [];
    swiper.visibleSlides = [];
    for (let i = 0; i < slides.length; i += 1) {
      const slide2 = slides[i];
      let slideOffset = slide2.swiperSlideOffset;
      if (params.cssMode && params.centeredSlides) {
        slideOffset -= slides[0].swiperSlideOffset;
      }
      const slideProgress = (offsetCenter + (params.centeredSlides ? swiper.minTranslate() : 0) - slideOffset) / (slide2.swiperSlideSize + params.spaceBetween);
      const originalSlideProgress = (offsetCenter - snapGrid[0] + (params.centeredSlides ? swiper.minTranslate() : 0) - slideOffset) / (slide2.swiperSlideSize + params.spaceBetween);
      const slideBefore = -(offsetCenter - slideOffset);
      const slideAfter = slideBefore + swiper.slidesSizesGrid[i];
      const isVisible = slideBefore >= 0 && slideBefore < swiper.size - 1 || slideAfter > 1 && slideAfter <= swiper.size || slideBefore <= 0 && slideAfter >= swiper.size;
      if (isVisible) {
        swiper.visibleSlides.push(slide2);
        swiper.visibleSlidesIndexes.push(i);
        slides.eq(i).addClass(params.slideVisibleClass);
      }
      slide2.progress = rtl ? -slideProgress : slideProgress;
      slide2.originalProgress = rtl ? -originalSlideProgress : originalSlideProgress;
    }
    swiper.visibleSlides = $(swiper.visibleSlides);
  }
  function updateProgress(translate2) {
    const swiper = this;
    if (typeof translate2 === "undefined") {
      const multiplier = swiper.rtlTranslate ? -1 : 1;
      translate2 = swiper && swiper.translate && swiper.translate * multiplier || 0;
    }
    const params = swiper.params;
    const translatesDiff = swiper.maxTranslate() - swiper.minTranslate();
    let {
      progress,
      isBeginning,
      isEnd
    } = swiper;
    const wasBeginning = isBeginning;
    const wasEnd = isEnd;
    if (translatesDiff === 0) {
      progress = 0;
      isBeginning = true;
      isEnd = true;
    } else {
      progress = (translate2 - swiper.minTranslate()) / translatesDiff;
      isBeginning = progress <= 0;
      isEnd = progress >= 1;
    }
    Object.assign(swiper, {
      progress,
      isBeginning,
      isEnd
    });
    if (params.watchSlidesProgress || params.centeredSlides && params.autoHeight)
      swiper.updateSlidesProgress(translate2);
    if (isBeginning && !wasBeginning) {
      swiper.emit("reachBeginning toEdge");
    }
    if (isEnd && !wasEnd) {
      swiper.emit("reachEnd toEdge");
    }
    if (wasBeginning && !isBeginning || wasEnd && !isEnd) {
      swiper.emit("fromEdge");
    }
    swiper.emit("progress", progress);
  }
  function updateSlidesClasses() {
    const swiper = this;
    const {
      slides,
      params,
      $wrapperEl,
      activeIndex,
      realIndex
    } = swiper;
    const isVirtual = swiper.virtual && params.virtual.enabled;
    slides.removeClass(`${params.slideActiveClass} ${params.slideNextClass} ${params.slidePrevClass} ${params.slideDuplicateActiveClass} ${params.slideDuplicateNextClass} ${params.slideDuplicatePrevClass}`);
    let activeSlide;
    if (isVirtual) {
      activeSlide = swiper.$wrapperEl.find(`.${params.slideClass}[data-swiper-slide-index="${activeIndex}"]`);
    } else {
      activeSlide = slides.eq(activeIndex);
    }
    activeSlide.addClass(params.slideActiveClass);
    if (params.loop) {
      if (activeSlide.hasClass(params.slideDuplicateClass)) {
        $wrapperEl.children(`.${params.slideClass}:not(.${params.slideDuplicateClass})[data-swiper-slide-index="${realIndex}"]`).addClass(params.slideDuplicateActiveClass);
      } else {
        $wrapperEl.children(`.${params.slideClass}.${params.slideDuplicateClass}[data-swiper-slide-index="${realIndex}"]`).addClass(params.slideDuplicateActiveClass);
      }
    }
    let nextSlide = activeSlide.nextAll(`.${params.slideClass}`).eq(0).addClass(params.slideNextClass);
    if (params.loop && nextSlide.length === 0) {
      nextSlide = slides.eq(0);
      nextSlide.addClass(params.slideNextClass);
    }
    let prevSlide = activeSlide.prevAll(`.${params.slideClass}`).eq(0).addClass(params.slidePrevClass);
    if (params.loop && prevSlide.length === 0) {
      prevSlide = slides.eq(-1);
      prevSlide.addClass(params.slidePrevClass);
    }
    if (params.loop) {
      if (nextSlide.hasClass(params.slideDuplicateClass)) {
        $wrapperEl.children(`.${params.slideClass}:not(.${params.slideDuplicateClass})[data-swiper-slide-index="${nextSlide.attr("data-swiper-slide-index")}"]`).addClass(params.slideDuplicateNextClass);
      } else {
        $wrapperEl.children(`.${params.slideClass}.${params.slideDuplicateClass}[data-swiper-slide-index="${nextSlide.attr("data-swiper-slide-index")}"]`).addClass(params.slideDuplicateNextClass);
      }
      if (prevSlide.hasClass(params.slideDuplicateClass)) {
        $wrapperEl.children(`.${params.slideClass}:not(.${params.slideDuplicateClass})[data-swiper-slide-index="${prevSlide.attr("data-swiper-slide-index")}"]`).addClass(params.slideDuplicatePrevClass);
      } else {
        $wrapperEl.children(`.${params.slideClass}.${params.slideDuplicateClass}[data-swiper-slide-index="${prevSlide.attr("data-swiper-slide-index")}"]`).addClass(params.slideDuplicatePrevClass);
      }
    }
    swiper.emitSlidesClasses();
  }
  function updateActiveIndex(newActiveIndex) {
    const swiper = this;
    const translate2 = swiper.rtlTranslate ? swiper.translate : -swiper.translate;
    const {
      slidesGrid,
      snapGrid,
      params,
      activeIndex: previousIndex,
      realIndex: previousRealIndex,
      snapIndex: previousSnapIndex
    } = swiper;
    let activeIndex = newActiveIndex;
    let snapIndex;
    if (typeof activeIndex === "undefined") {
      for (let i = 0; i < slidesGrid.length; i += 1) {
        if (typeof slidesGrid[i + 1] !== "undefined") {
          if (translate2 >= slidesGrid[i] && translate2 < slidesGrid[i + 1] - (slidesGrid[i + 1] - slidesGrid[i]) / 2) {
            activeIndex = i;
          } else if (translate2 >= slidesGrid[i] && translate2 < slidesGrid[i + 1]) {
            activeIndex = i + 1;
          }
        } else if (translate2 >= slidesGrid[i]) {
          activeIndex = i;
        }
      }
      if (params.normalizeSlideIndex) {
        if (activeIndex < 0 || typeof activeIndex === "undefined")
          activeIndex = 0;
      }
    }
    if (snapGrid.indexOf(translate2) >= 0) {
      snapIndex = snapGrid.indexOf(translate2);
    } else {
      const skip = Math.min(params.slidesPerGroupSkip, activeIndex);
      snapIndex = skip + Math.floor((activeIndex - skip) / params.slidesPerGroup);
    }
    if (snapIndex >= snapGrid.length)
      snapIndex = snapGrid.length - 1;
    if (activeIndex === previousIndex) {
      if (snapIndex !== previousSnapIndex) {
        swiper.snapIndex = snapIndex;
        swiper.emit("snapIndexChange");
      }
      return;
    }
    const realIndex = parseInt(swiper.slides.eq(activeIndex).attr("data-swiper-slide-index") || activeIndex, 10);
    Object.assign(swiper, {
      snapIndex,
      realIndex,
      previousIndex,
      activeIndex
    });
    swiper.emit("activeIndexChange");
    swiper.emit("snapIndexChange");
    if (previousRealIndex !== realIndex) {
      swiper.emit("realIndexChange");
    }
    if (swiper.initialized || swiper.params.runCallbacksOnInit) {
      swiper.emit("slideChange");
    }
  }
  function updateClickedSlide(e) {
    const swiper = this;
    const params = swiper.params;
    const slide2 = $(e).closest(`.${params.slideClass}`)[0];
    let slideFound = false;
    let slideIndex;
    if (slide2) {
      for (let i = 0; i < swiper.slides.length; i += 1) {
        if (swiper.slides[i] === slide2) {
          slideFound = true;
          slideIndex = i;
          break;
        }
      }
    }
    if (slide2 && slideFound) {
      swiper.clickedSlide = slide2;
      if (swiper.virtual && swiper.params.virtual.enabled) {
        swiper.clickedIndex = parseInt($(slide2).attr("data-swiper-slide-index"), 10);
      } else {
        swiper.clickedIndex = slideIndex;
      }
    } else {
      swiper.clickedSlide = void 0;
      swiper.clickedIndex = void 0;
      return;
    }
    if (params.slideToClickedSlide && swiper.clickedIndex !== void 0 && swiper.clickedIndex !== swiper.activeIndex) {
      swiper.slideToClickedSlide();
    }
  }
  const update = {
    updateSize,
    updateSlides,
    updateAutoHeight,
    updateSlidesOffset,
    updateSlidesProgress,
    updateProgress,
    updateSlidesClasses,
    updateActiveIndex,
    updateClickedSlide
  };
  function getSwiperTranslate(axis = this.isHorizontal() ? "x" : "y") {
    const swiper = this;
    const {
      params,
      rtlTranslate: rtl,
      translate: translate2,
      $wrapperEl
    } = swiper;
    if (params.virtualTranslate) {
      return rtl ? -translate2 : translate2;
    }
    if (params.cssMode) {
      return translate2;
    }
    let currentTranslate = getTranslate($wrapperEl[0], axis);
    if (rtl)
      currentTranslate = -currentTranslate;
    return currentTranslate || 0;
  }
  function setTranslate(translate2, byController) {
    const swiper = this;
    const {
      rtlTranslate: rtl,
      params,
      $wrapperEl,
      wrapperEl,
      progress
    } = swiper;
    let x = 0;
    let y = 0;
    const z = 0;
    if (swiper.isHorizontal()) {
      x = rtl ? -translate2 : translate2;
    } else {
      y = translate2;
    }
    if (params.roundLengths) {
      x = Math.floor(x);
      y = Math.floor(y);
    }
    if (params.cssMode) {
      wrapperEl[swiper.isHorizontal() ? "scrollLeft" : "scrollTop"] = swiper.isHorizontal() ? -x : -y;
    } else if (!params.virtualTranslate) {
      $wrapperEl.transform(`translate3d(${x}px, ${y}px, ${z}px)`);
    }
    swiper.previousTranslate = swiper.translate;
    swiper.translate = swiper.isHorizontal() ? x : y;
    let newProgress;
    const translatesDiff = swiper.maxTranslate() - swiper.minTranslate();
    if (translatesDiff === 0) {
      newProgress = 0;
    } else {
      newProgress = (translate2 - swiper.minTranslate()) / translatesDiff;
    }
    if (newProgress !== progress) {
      swiper.updateProgress(translate2);
    }
    swiper.emit("setTranslate", swiper.translate, byController);
  }
  function minTranslate() {
    return -this.snapGrid[0];
  }
  function maxTranslate() {
    return -this.snapGrid[this.snapGrid.length - 1];
  }
  function translateTo(translate2 = 0, speed = this.params.speed, runCallbacks = true, translateBounds = true, internal) {
    const swiper = this;
    const {
      params,
      wrapperEl
    } = swiper;
    if (swiper.animating && params.preventInteractionOnTransition) {
      return false;
    }
    const minTranslate2 = swiper.minTranslate();
    const maxTranslate2 = swiper.maxTranslate();
    let newTranslate;
    if (translateBounds && translate2 > minTranslate2)
      newTranslate = minTranslate2;
    else if (translateBounds && translate2 < maxTranslate2)
      newTranslate = maxTranslate2;
    else
      newTranslate = translate2;
    swiper.updateProgress(newTranslate);
    if (params.cssMode) {
      const isH = swiper.isHorizontal();
      if (speed === 0) {
        wrapperEl[isH ? "scrollLeft" : "scrollTop"] = -newTranslate;
      } else {
        if (!swiper.support.smoothScroll) {
          animateCSSModeScroll({
            swiper,
            targetPosition: -newTranslate,
            side: isH ? "left" : "top"
          });
          return true;
        }
        wrapperEl.scrollTo({
          [isH ? "left" : "top"]: -newTranslate,
          behavior: "smooth"
        });
      }
      return true;
    }
    if (speed === 0) {
      swiper.setTransition(0);
      swiper.setTranslate(newTranslate);
      if (runCallbacks) {
        swiper.emit("beforeTransitionStart", speed, internal);
        swiper.emit("transitionEnd");
      }
    } else {
      swiper.setTransition(speed);
      swiper.setTranslate(newTranslate);
      if (runCallbacks) {
        swiper.emit("beforeTransitionStart", speed, internal);
        swiper.emit("transitionStart");
      }
      if (!swiper.animating) {
        swiper.animating = true;
        if (!swiper.onTranslateToWrapperTransitionEnd) {
          swiper.onTranslateToWrapperTransitionEnd = function transitionEnd2(e) {
            if (!swiper || swiper.destroyed)
              return;
            if (e.target !== this)
              return;
            swiper.$wrapperEl[0].removeEventListener("transitionend", swiper.onTranslateToWrapperTransitionEnd);
            swiper.$wrapperEl[0].removeEventListener("webkitTransitionEnd", swiper.onTranslateToWrapperTransitionEnd);
            swiper.onTranslateToWrapperTransitionEnd = null;
            delete swiper.onTranslateToWrapperTransitionEnd;
            if (runCallbacks) {
              swiper.emit("transitionEnd");
            }
          };
        }
        swiper.$wrapperEl[0].addEventListener("transitionend", swiper.onTranslateToWrapperTransitionEnd);
        swiper.$wrapperEl[0].addEventListener("webkitTransitionEnd", swiper.onTranslateToWrapperTransitionEnd);
      }
    }
    return true;
  }
  const translate = {
    getTranslate: getSwiperTranslate,
    setTranslate,
    minTranslate,
    maxTranslate,
    translateTo
  };
  function setTransition(duration, byController) {
    const swiper = this;
    if (!swiper.params.cssMode) {
      swiper.$wrapperEl.transition(duration);
    }
    swiper.emit("setTransition", duration, byController);
  }
  function transitionEmit({
    swiper,
    runCallbacks,
    direction,
    step
  }) {
    const {
      activeIndex,
      previousIndex
    } = swiper;
    let dir = direction;
    if (!dir) {
      if (activeIndex > previousIndex)
        dir = "next";
      else if (activeIndex < previousIndex)
        dir = "prev";
      else
        dir = "reset";
    }
    swiper.emit(`transition${step}`);
    if (runCallbacks && activeIndex !== previousIndex) {
      if (dir === "reset") {
        swiper.emit(`slideResetTransition${step}`);
        return;
      }
      swiper.emit(`slideChangeTransition${step}`);
      if (dir === "next") {
        swiper.emit(`slideNextTransition${step}`);
      } else {
        swiper.emit(`slidePrevTransition${step}`);
      }
    }
  }
  function transitionStart(runCallbacks = true, direction) {
    const swiper = this;
    const {
      params
    } = swiper;
    if (params.cssMode)
      return;
    if (params.autoHeight) {
      swiper.updateAutoHeight();
    }
    transitionEmit({
      swiper,
      runCallbacks,
      direction,
      step: "Start"
    });
  }
  function transitionEnd(runCallbacks = true, direction) {
    const swiper = this;
    const {
      params
    } = swiper;
    swiper.animating = false;
    if (params.cssMode)
      return;
    swiper.setTransition(0);
    transitionEmit({
      swiper,
      runCallbacks,
      direction,
      step: "End"
    });
  }
  const transition = {
    setTransition,
    transitionStart,
    transitionEnd
  };
  function slideTo(index2 = 0, speed = this.params.speed, runCallbacks = true, internal, initial) {
    if (typeof index2 !== "number" && typeof index2 !== "string") {
      throw new Error(`The 'index' argument cannot have type other than 'number' or 'string'. [${typeof index2}] given.`);
    }
    if (typeof index2 === "string") {
      const indexAsNumber = parseInt(index2, 10);
      const isValidNumber = isFinite(indexAsNumber);
      if (!isValidNumber) {
        throw new Error(`The passed-in 'index' (string) couldn't be converted to 'number'. [${index2}] given.`);
      }
      index2 = indexAsNumber;
    }
    const swiper = this;
    let slideIndex = index2;
    if (slideIndex < 0)
      slideIndex = 0;
    const {
      params,
      snapGrid,
      slidesGrid,
      previousIndex,
      activeIndex,
      rtlTranslate: rtl,
      wrapperEl,
      enabled
    } = swiper;
    if (swiper.animating && params.preventInteractionOnTransition || !enabled && !internal && !initial) {
      return false;
    }
    const skip = Math.min(swiper.params.slidesPerGroupSkip, slideIndex);
    let snapIndex = skip + Math.floor((slideIndex - skip) / swiper.params.slidesPerGroup);
    if (snapIndex >= snapGrid.length)
      snapIndex = snapGrid.length - 1;
    const translate2 = -snapGrid[snapIndex];
    if (params.normalizeSlideIndex) {
      for (let i = 0; i < slidesGrid.length; i += 1) {
        const normalizedTranslate = -Math.floor(translate2 * 100);
        const normalizedGrid = Math.floor(slidesGrid[i] * 100);
        const normalizedGridNext = Math.floor(slidesGrid[i + 1] * 100);
        if (typeof slidesGrid[i + 1] !== "undefined") {
          if (normalizedTranslate >= normalizedGrid && normalizedTranslate < normalizedGridNext - (normalizedGridNext - normalizedGrid) / 2) {
            slideIndex = i;
          } else if (normalizedTranslate >= normalizedGrid && normalizedTranslate < normalizedGridNext) {
            slideIndex = i + 1;
          }
        } else if (normalizedTranslate >= normalizedGrid) {
          slideIndex = i;
        }
      }
    }
    if (swiper.initialized && slideIndex !== activeIndex) {
      if (!swiper.allowSlideNext && translate2 < swiper.translate && translate2 < swiper.minTranslate()) {
        return false;
      }
      if (!swiper.allowSlidePrev && translate2 > swiper.translate && translate2 > swiper.maxTranslate()) {
        if ((activeIndex || 0) !== slideIndex)
          return false;
      }
    }
    if (slideIndex !== (previousIndex || 0) && runCallbacks) {
      swiper.emit("beforeSlideChangeStart");
    }
    swiper.updateProgress(translate2);
    let direction;
    if (slideIndex > activeIndex)
      direction = "next";
    else if (slideIndex < activeIndex)
      direction = "prev";
    else
      direction = "reset";
    if (rtl && -translate2 === swiper.translate || !rtl && translate2 === swiper.translate) {
      swiper.updateActiveIndex(slideIndex);
      if (params.autoHeight) {
        swiper.updateAutoHeight();
      }
      swiper.updateSlidesClasses();
      if (params.effect !== "slide") {
        swiper.setTranslate(translate2);
      }
      if (direction !== "reset") {
        swiper.transitionStart(runCallbacks, direction);
        swiper.transitionEnd(runCallbacks, direction);
      }
      return false;
    }
    if (params.cssMode) {
      const isH = swiper.isHorizontal();
      const t = rtl ? translate2 : -translate2;
      if (speed === 0) {
        const isVirtual = swiper.virtual && swiper.params.virtual.enabled;
        if (isVirtual) {
          swiper.wrapperEl.style.scrollSnapType = "none";
          swiper._immediateVirtual = true;
        }
        wrapperEl[isH ? "scrollLeft" : "scrollTop"] = t;
        if (isVirtual) {
          requestAnimationFrame(() => {
            swiper.wrapperEl.style.scrollSnapType = "";
            swiper._swiperImmediateVirtual = false;
          });
        }
      } else {
        if (!swiper.support.smoothScroll) {
          animateCSSModeScroll({
            swiper,
            targetPosition: t,
            side: isH ? "left" : "top"
          });
          return true;
        }
        wrapperEl.scrollTo({
          [isH ? "left" : "top"]: t,
          behavior: "smooth"
        });
      }
      return true;
    }
    swiper.setTransition(speed);
    swiper.setTranslate(translate2);
    swiper.updateActiveIndex(slideIndex);
    swiper.updateSlidesClasses();
    swiper.emit("beforeTransitionStart", speed, internal);
    swiper.transitionStart(runCallbacks, direction);
    if (speed === 0) {
      swiper.transitionEnd(runCallbacks, direction);
    } else if (!swiper.animating) {
      swiper.animating = true;
      if (!swiper.onSlideToWrapperTransitionEnd) {
        swiper.onSlideToWrapperTransitionEnd = function transitionEnd2(e) {
          if (!swiper || swiper.destroyed)
            return;
          if (e.target !== this)
            return;
          swiper.$wrapperEl[0].removeEventListener("transitionend", swiper.onSlideToWrapperTransitionEnd);
          swiper.$wrapperEl[0].removeEventListener("webkitTransitionEnd", swiper.onSlideToWrapperTransitionEnd);
          swiper.onSlideToWrapperTransitionEnd = null;
          delete swiper.onSlideToWrapperTransitionEnd;
          swiper.transitionEnd(runCallbacks, direction);
        };
      }
      swiper.$wrapperEl[0].addEventListener("transitionend", swiper.onSlideToWrapperTransitionEnd);
      swiper.$wrapperEl[0].addEventListener("webkitTransitionEnd", swiper.onSlideToWrapperTransitionEnd);
    }
    return true;
  }
  function slideToLoop(index2 = 0, speed = this.params.speed, runCallbacks = true, internal) {
    if (typeof index2 === "string") {
      const indexAsNumber = parseInt(index2, 10);
      const isValidNumber = isFinite(indexAsNumber);
      if (!isValidNumber) {
        throw new Error(`The passed-in 'index' (string) couldn't be converted to 'number'. [${index2}] given.`);
      }
      index2 = indexAsNumber;
    }
    const swiper = this;
    let newIndex = index2;
    if (swiper.params.loop) {
      newIndex += swiper.loopedSlides;
    }
    return swiper.slideTo(newIndex, speed, runCallbacks, internal);
  }
  function slideNext(speed = this.params.speed, runCallbacks = true, internal) {
    const swiper = this;
    const {
      animating,
      enabled,
      params
    } = swiper;
    if (!enabled)
      return swiper;
    let perGroup = params.slidesPerGroup;
    if (params.slidesPerView === "auto" && params.slidesPerGroup === 1 && params.slidesPerGroupAuto) {
      perGroup = Math.max(swiper.slidesPerViewDynamic("current", true), 1);
    }
    const increment = swiper.activeIndex < params.slidesPerGroupSkip ? 1 : perGroup;
    if (params.loop) {
      if (animating && params.loopPreventsSlide)
        return false;
      swiper.loopFix();
      swiper._clientLeft = swiper.$wrapperEl[0].clientLeft;
    }
    if (params.rewind && swiper.isEnd) {
      return swiper.slideTo(0, speed, runCallbacks, internal);
    }
    return swiper.slideTo(swiper.activeIndex + increment, speed, runCallbacks, internal);
  }
  function slidePrev(speed = this.params.speed, runCallbacks = true, internal) {
    const swiper = this;
    const {
      params,
      animating,
      snapGrid,
      slidesGrid,
      rtlTranslate,
      enabled
    } = swiper;
    if (!enabled)
      return swiper;
    if (params.loop) {
      if (animating && params.loopPreventsSlide)
        return false;
      swiper.loopFix();
      swiper._clientLeft = swiper.$wrapperEl[0].clientLeft;
    }
    const translate2 = rtlTranslate ? swiper.translate : -swiper.translate;
    function normalize(val) {
      if (val < 0)
        return -Math.floor(Math.abs(val));
      return Math.floor(val);
    }
    const normalizedTranslate = normalize(translate2);
    const normalizedSnapGrid = snapGrid.map((val) => normalize(val));
    let prevSnap = snapGrid[normalizedSnapGrid.indexOf(normalizedTranslate) - 1];
    if (typeof prevSnap === "undefined" && params.cssMode) {
      let prevSnapIndex;
      snapGrid.forEach((snap, snapIndex) => {
        if (normalizedTranslate >= snap) {
          prevSnapIndex = snapIndex;
        }
      });
      if (typeof prevSnapIndex !== "undefined") {
        prevSnap = snapGrid[prevSnapIndex > 0 ? prevSnapIndex - 1 : prevSnapIndex];
      }
    }
    let prevIndex = 0;
    if (typeof prevSnap !== "undefined") {
      prevIndex = slidesGrid.indexOf(prevSnap);
      if (prevIndex < 0)
        prevIndex = swiper.activeIndex - 1;
      if (params.slidesPerView === "auto" && params.slidesPerGroup === 1 && params.slidesPerGroupAuto) {
        prevIndex = prevIndex - swiper.slidesPerViewDynamic("previous", true) + 1;
        prevIndex = Math.max(prevIndex, 0);
      }
    }
    if (params.rewind && swiper.isBeginning) {
      const lastIndex = swiper.params.virtual && swiper.params.virtual.enabled && swiper.virtual ? swiper.virtual.slides.length - 1 : swiper.slides.length - 1;
      return swiper.slideTo(lastIndex, speed, runCallbacks, internal);
    }
    return swiper.slideTo(prevIndex, speed, runCallbacks, internal);
  }
  function slideReset(speed = this.params.speed, runCallbacks = true, internal) {
    const swiper = this;
    return swiper.slideTo(swiper.activeIndex, speed, runCallbacks, internal);
  }
  function slideToClosest(speed = this.params.speed, runCallbacks = true, internal, threshold = 0.5) {
    const swiper = this;
    let index2 = swiper.activeIndex;
    const skip = Math.min(swiper.params.slidesPerGroupSkip, index2);
    const snapIndex = skip + Math.floor((index2 - skip) / swiper.params.slidesPerGroup);
    const translate2 = swiper.rtlTranslate ? swiper.translate : -swiper.translate;
    if (translate2 >= swiper.snapGrid[snapIndex]) {
      const currentSnap = swiper.snapGrid[snapIndex];
      const nextSnap = swiper.snapGrid[snapIndex + 1];
      if (translate2 - currentSnap > (nextSnap - currentSnap) * threshold) {
        index2 += swiper.params.slidesPerGroup;
      }
    } else {
      const prevSnap = swiper.snapGrid[snapIndex - 1];
      const currentSnap = swiper.snapGrid[snapIndex];
      if (translate2 - prevSnap <= (currentSnap - prevSnap) * threshold) {
        index2 -= swiper.params.slidesPerGroup;
      }
    }
    index2 = Math.max(index2, 0);
    index2 = Math.min(index2, swiper.slidesGrid.length - 1);
    return swiper.slideTo(index2, speed, runCallbacks, internal);
  }
  function slideToClickedSlide() {
    const swiper = this;
    const {
      params,
      $wrapperEl
    } = swiper;
    const slidesPerView = params.slidesPerView === "auto" ? swiper.slidesPerViewDynamic() : params.slidesPerView;
    let slideToIndex = swiper.clickedIndex;
    let realIndex;
    if (params.loop) {
      if (swiper.animating)
        return;
      realIndex = parseInt($(swiper.clickedSlide).attr("data-swiper-slide-index"), 10);
      if (params.centeredSlides) {
        if (slideToIndex < swiper.loopedSlides - slidesPerView / 2 || slideToIndex > swiper.slides.length - swiper.loopedSlides + slidesPerView / 2) {
          swiper.loopFix();
          slideToIndex = $wrapperEl.children(`.${params.slideClass}[data-swiper-slide-index="${realIndex}"]:not(.${params.slideDuplicateClass})`).eq(0).index();
          nextTick(() => {
            swiper.slideTo(slideToIndex);
          });
        } else {
          swiper.slideTo(slideToIndex);
        }
      } else if (slideToIndex > swiper.slides.length - slidesPerView) {
        swiper.loopFix();
        slideToIndex = $wrapperEl.children(`.${params.slideClass}[data-swiper-slide-index="${realIndex}"]:not(.${params.slideDuplicateClass})`).eq(0).index();
        nextTick(() => {
          swiper.slideTo(slideToIndex);
        });
      } else {
        swiper.slideTo(slideToIndex);
      }
    } else {
      swiper.slideTo(slideToIndex);
    }
  }
  const slide = {
    slideTo,
    slideToLoop,
    slideNext,
    slidePrev,
    slideReset,
    slideToClosest,
    slideToClickedSlide
  };
  function loopCreate() {
    const swiper = this;
    const document2 = getDocument();
    const {
      params,
      $wrapperEl
    } = swiper;
    const $selector = $wrapperEl.children().length > 0 ? $($wrapperEl.children()[0].parentNode) : $wrapperEl;
    $selector.children(`.${params.slideClass}.${params.slideDuplicateClass}`).remove();
    let slides = $selector.children(`.${params.slideClass}`);
    if (params.loopFillGroupWithBlank) {
      const blankSlidesNum = params.slidesPerGroup - slides.length % params.slidesPerGroup;
      if (blankSlidesNum !== params.slidesPerGroup) {
        for (let i = 0; i < blankSlidesNum; i += 1) {
          const blankNode = $(document2.createElement("div")).addClass(`${params.slideClass} ${params.slideBlankClass}`);
          $selector.append(blankNode);
        }
        slides = $selector.children(`.${params.slideClass}`);
      }
    }
    if (params.slidesPerView === "auto" && !params.loopedSlides)
      params.loopedSlides = slides.length;
    swiper.loopedSlides = Math.ceil(parseFloat(params.loopedSlides || params.slidesPerView, 10));
    swiper.loopedSlides += params.loopAdditionalSlides;
    if (swiper.loopedSlides > slides.length && swiper.params.loopedSlidesLimit) {
      swiper.loopedSlides = slides.length;
    }
    const prependSlides = [];
    const appendSlides = [];
    slides.each((el, index2) => {
      const slide2 = $(el);
      slide2.attr("data-swiper-slide-index", index2);
    });
    for (let i = 0; i < swiper.loopedSlides; i += 1) {
      const index2 = i - Math.floor(i / slides.length) * slides.length;
      appendSlides.push(slides.eq(index2)[0]);
      prependSlides.unshift(slides.eq(slides.length - index2 - 1)[0]);
    }
    for (let i = 0; i < appendSlides.length; i += 1) {
      $selector.append($(appendSlides[i].cloneNode(true)).addClass(params.slideDuplicateClass));
    }
    for (let i = prependSlides.length - 1; i >= 0; i -= 1) {
      $selector.prepend($(prependSlides[i].cloneNode(true)).addClass(params.slideDuplicateClass));
    }
  }
  function loopFix() {
    const swiper = this;
    swiper.emit("beforeLoopFix");
    const {
      activeIndex,
      slides,
      loopedSlides,
      allowSlidePrev,
      allowSlideNext,
      snapGrid,
      rtlTranslate: rtl
    } = swiper;
    let newIndex;
    swiper.allowSlidePrev = true;
    swiper.allowSlideNext = true;
    const snapTranslate = -snapGrid[activeIndex];
    const diff = snapTranslate - swiper.getTranslate();
    if (activeIndex < loopedSlides) {
      newIndex = slides.length - loopedSlides * 3 + activeIndex;
      newIndex += loopedSlides;
      const slideChanged = swiper.slideTo(newIndex, 0, false, true);
      if (slideChanged && diff !== 0) {
        swiper.setTranslate((rtl ? -swiper.translate : swiper.translate) - diff);
      }
    } else if (activeIndex >= slides.length - loopedSlides) {
      newIndex = -slides.length + activeIndex + loopedSlides;
      newIndex += loopedSlides;
      const slideChanged = swiper.slideTo(newIndex, 0, false, true);
      if (slideChanged && diff !== 0) {
        swiper.setTranslate((rtl ? -swiper.translate : swiper.translate) - diff);
      }
    }
    swiper.allowSlidePrev = allowSlidePrev;
    swiper.allowSlideNext = allowSlideNext;
    swiper.emit("loopFix");
  }
  function loopDestroy() {
    const swiper = this;
    const {
      $wrapperEl,
      params,
      slides
    } = swiper;
    $wrapperEl.children(`.${params.slideClass}.${params.slideDuplicateClass},.${params.slideClass}.${params.slideBlankClass}`).remove();
    slides.removeAttr("data-swiper-slide-index");
  }
  const loop = {
    loopCreate,
    loopFix,
    loopDestroy
  };
  function setGrabCursor(moving) {
    const swiper = this;
    if (swiper.support.touch || !swiper.params.simulateTouch || swiper.params.watchOverflow && swiper.isLocked || swiper.params.cssMode)
      return;
    const el = swiper.params.touchEventsTarget === "container" ? swiper.el : swiper.wrapperEl;
    el.style.cursor = "move";
    el.style.cursor = moving ? "grabbing" : "grab";
  }
  function unsetGrabCursor() {
    const swiper = this;
    if (swiper.support.touch || swiper.params.watchOverflow && swiper.isLocked || swiper.params.cssMode) {
      return;
    }
    swiper[swiper.params.touchEventsTarget === "container" ? "el" : "wrapperEl"].style.cursor = "";
  }
  const grabCursor = {
    setGrabCursor,
    unsetGrabCursor
  };
  function closestElement(selector, base = this) {
    function __closestFrom(el) {
      if (!el || el === getDocument() || el === getWindow())
        return null;
      if (el.assignedSlot)
        el = el.assignedSlot;
      const found = el.closest(selector);
      if (!found && !el.getRootNode) {
        return null;
      }
      return found || __closestFrom(el.getRootNode().host);
    }
    return __closestFrom(base);
  }
  function onTouchStart(event) {
    const swiper = this;
    const document2 = getDocument();
    const window2 = getWindow();
    const data = swiper.touchEventsData;
    const {
      params,
      touches,
      enabled
    } = swiper;
    if (!enabled)
      return;
    if (swiper.animating && params.preventInteractionOnTransition) {
      return;
    }
    if (!swiper.animating && params.cssMode && params.loop) {
      swiper.loopFix();
    }
    let e = event;
    if (e.originalEvent)
      e = e.originalEvent;
    let $targetEl = $(e.target);
    if (params.touchEventsTarget === "wrapper") {
      if (!$targetEl.closest(swiper.wrapperEl).length)
        return;
    }
    data.isTouchEvent = e.type === "touchstart";
    if (!data.isTouchEvent && "which" in e && e.which === 3)
      return;
    if (!data.isTouchEvent && "button" in e && e.button > 0)
      return;
    if (data.isTouched && data.isMoved)
      return;
    const swipingClassHasValue = !!params.noSwipingClass && params.noSwipingClass !== "";
    const eventPath = event.composedPath ? event.composedPath() : event.path;
    if (swipingClassHasValue && e.target && e.target.shadowRoot && eventPath) {
      $targetEl = $(eventPath[0]);
    }
    const noSwipingSelector = params.noSwipingSelector ? params.noSwipingSelector : `.${params.noSwipingClass}`;
    const isTargetShadow = !!(e.target && e.target.shadowRoot);
    if (params.noSwiping && (isTargetShadow ? closestElement(noSwipingSelector, $targetEl[0]) : $targetEl.closest(noSwipingSelector)[0])) {
      swiper.allowClick = true;
      return;
    }
    if (params.swipeHandler) {
      if (!$targetEl.closest(params.swipeHandler)[0])
        return;
    }
    touches.currentX = e.type === "touchstart" ? e.targetTouches[0].pageX : e.pageX;
    touches.currentY = e.type === "touchstart" ? e.targetTouches[0].pageY : e.pageY;
    const startX = touches.currentX;
    const startY = touches.currentY;
    const edgeSwipeDetection = params.edgeSwipeDetection || params.iOSEdgeSwipeDetection;
    const edgeSwipeThreshold = params.edgeSwipeThreshold || params.iOSEdgeSwipeThreshold;
    if (edgeSwipeDetection && (startX <= edgeSwipeThreshold || startX >= window2.innerWidth - edgeSwipeThreshold)) {
      if (edgeSwipeDetection === "prevent") {
        event.preventDefault();
      } else {
        return;
      }
    }
    Object.assign(data, {
      isTouched: true,
      isMoved: false,
      allowTouchCallbacks: true,
      isScrolling: void 0,
      startMoving: void 0
    });
    touches.startX = startX;
    touches.startY = startY;
    data.touchStartTime = now();
    swiper.allowClick = true;
    swiper.updateSize();
    swiper.swipeDirection = void 0;
    if (params.threshold > 0)
      data.allowThresholdMove = false;
    if (e.type !== "touchstart") {
      let preventDefault = true;
      if ($targetEl.is(data.focusableElements)) {
        preventDefault = false;
        if ($targetEl[0].nodeName === "SELECT") {
          data.isTouched = false;
        }
      }
      if (document2.activeElement && $(document2.activeElement).is(data.focusableElements) && document2.activeElement !== $targetEl[0]) {
        document2.activeElement.blur();
      }
      const shouldPreventDefault = preventDefault && swiper.allowTouchMove && params.touchStartPreventDefault;
      if ((params.touchStartForcePreventDefault || shouldPreventDefault) && !$targetEl[0].isContentEditable) {
        e.preventDefault();
      }
    }
    if (swiper.params.freeMode && swiper.params.freeMode.enabled && swiper.freeMode && swiper.animating && !params.cssMode) {
      swiper.freeMode.onTouchStart();
    }
    swiper.emit("touchStart", e);
  }
  function onTouchMove(event) {
    const document2 = getDocument();
    const swiper = this;
    const data = swiper.touchEventsData;
    const {
      params,
      touches,
      rtlTranslate: rtl,
      enabled
    } = swiper;
    if (!enabled)
      return;
    let e = event;
    if (e.originalEvent)
      e = e.originalEvent;
    if (!data.isTouched) {
      if (data.startMoving && data.isScrolling) {
        swiper.emit("touchMoveOpposite", e);
      }
      return;
    }
    if (data.isTouchEvent && e.type !== "touchmove")
      return;
    const targetTouch = e.type === "touchmove" && e.targetTouches && (e.targetTouches[0] || e.changedTouches[0]);
    const pageX = e.type === "touchmove" ? targetTouch.pageX : e.pageX;
    const pageY = e.type === "touchmove" ? targetTouch.pageY : e.pageY;
    if (e.preventedByNestedSwiper) {
      touches.startX = pageX;
      touches.startY = pageY;
      return;
    }
    if (!swiper.allowTouchMove) {
      if (!$(e.target).is(data.focusableElements)) {
        swiper.allowClick = false;
      }
      if (data.isTouched) {
        Object.assign(touches, {
          startX: pageX,
          startY: pageY,
          currentX: pageX,
          currentY: pageY
        });
        data.touchStartTime = now();
      }
      return;
    }
    if (data.isTouchEvent && params.touchReleaseOnEdges && !params.loop) {
      if (swiper.isVertical()) {
        if (pageY < touches.startY && swiper.translate <= swiper.maxTranslate() || pageY > touches.startY && swiper.translate >= swiper.minTranslate()) {
          data.isTouched = false;
          data.isMoved = false;
          return;
        }
      } else if (pageX < touches.startX && swiper.translate <= swiper.maxTranslate() || pageX > touches.startX && swiper.translate >= swiper.minTranslate()) {
        return;
      }
    }
    if (data.isTouchEvent && document2.activeElement) {
      if (e.target === document2.activeElement && $(e.target).is(data.focusableElements)) {
        data.isMoved = true;
        swiper.allowClick = false;
        return;
      }
    }
    if (data.allowTouchCallbacks) {
      swiper.emit("touchMove", e);
    }
    if (e.targetTouches && e.targetTouches.length > 1)
      return;
    touches.currentX = pageX;
    touches.currentY = pageY;
    const diffX = touches.currentX - touches.startX;
    const diffY = touches.currentY - touches.startY;
    if (swiper.params.threshold && Math.sqrt(diffX ** 2 + diffY ** 2) < swiper.params.threshold)
      return;
    if (typeof data.isScrolling === "undefined") {
      let touchAngle;
      if (swiper.isHorizontal() && touches.currentY === touches.startY || swiper.isVertical() && touches.currentX === touches.startX) {
        data.isScrolling = false;
      } else {
        if (diffX * diffX + diffY * diffY >= 25) {
          touchAngle = Math.atan2(Math.abs(diffY), Math.abs(diffX)) * 180 / Math.PI;
          data.isScrolling = swiper.isHorizontal() ? touchAngle > params.touchAngle : 90 - touchAngle > params.touchAngle;
        }
      }
    }
    if (data.isScrolling) {
      swiper.emit("touchMoveOpposite", e);
    }
    if (typeof data.startMoving === "undefined") {
      if (touches.currentX !== touches.startX || touches.currentY !== touches.startY) {
        data.startMoving = true;
      }
    }
    if (data.isScrolling) {
      data.isTouched = false;
      return;
    }
    if (!data.startMoving) {
      return;
    }
    swiper.allowClick = false;
    if (!params.cssMode && e.cancelable) {
      e.preventDefault();
    }
    if (params.touchMoveStopPropagation && !params.nested) {
      e.stopPropagation();
    }
    if (!data.isMoved) {
      if (params.loop && !params.cssMode) {
        swiper.loopFix();
      }
      data.startTranslate = swiper.getTranslate();
      swiper.setTransition(0);
      if (swiper.animating) {
        swiper.$wrapperEl.trigger("webkitTransitionEnd transitionend");
      }
      data.allowMomentumBounce = false;
      if (params.grabCursor && (swiper.allowSlideNext === true || swiper.allowSlidePrev === true)) {
        swiper.setGrabCursor(true);
      }
      swiper.emit("sliderFirstMove", e);
    }
    swiper.emit("sliderMove", e);
    data.isMoved = true;
    let diff = swiper.isHorizontal() ? diffX : diffY;
    touches.diff = diff;
    diff *= params.touchRatio;
    if (rtl)
      diff = -diff;
    swiper.swipeDirection = diff > 0 ? "prev" : "next";
    data.currentTranslate = diff + data.startTranslate;
    let disableParentSwiper = true;
    let resistanceRatio = params.resistanceRatio;
    if (params.touchReleaseOnEdges) {
      resistanceRatio = 0;
    }
    if (diff > 0 && data.currentTranslate > swiper.minTranslate()) {
      disableParentSwiper = false;
      if (params.resistance)
        data.currentTranslate = swiper.minTranslate() - 1 + (-swiper.minTranslate() + data.startTranslate + diff) ** resistanceRatio;
    } else if (diff < 0 && data.currentTranslate < swiper.maxTranslate()) {
      disableParentSwiper = false;
      if (params.resistance)
        data.currentTranslate = swiper.maxTranslate() + 1 - (swiper.maxTranslate() - data.startTranslate - diff) ** resistanceRatio;
    }
    if (disableParentSwiper) {
      e.preventedByNestedSwiper = true;
    }
    if (!swiper.allowSlideNext && swiper.swipeDirection === "next" && data.currentTranslate < data.startTranslate) {
      data.currentTranslate = data.startTranslate;
    }
    if (!swiper.allowSlidePrev && swiper.swipeDirection === "prev" && data.currentTranslate > data.startTranslate) {
      data.currentTranslate = data.startTranslate;
    }
    if (!swiper.allowSlidePrev && !swiper.allowSlideNext) {
      data.currentTranslate = data.startTranslate;
    }
    if (params.threshold > 0) {
      if (Math.abs(diff) > params.threshold || data.allowThresholdMove) {
        if (!data.allowThresholdMove) {
          data.allowThresholdMove = true;
          touches.startX = touches.currentX;
          touches.startY = touches.currentY;
          data.currentTranslate = data.startTranslate;
          touches.diff = swiper.isHorizontal() ? touches.currentX - touches.startX : touches.currentY - touches.startY;
          return;
        }
      } else {
        data.currentTranslate = data.startTranslate;
        return;
      }
    }
    if (!params.followFinger || params.cssMode)
      return;
    if (params.freeMode && params.freeMode.enabled && swiper.freeMode || params.watchSlidesProgress) {
      swiper.updateActiveIndex();
      swiper.updateSlidesClasses();
    }
    if (swiper.params.freeMode && params.freeMode.enabled && swiper.freeMode) {
      swiper.freeMode.onTouchMove();
    }
    swiper.updateProgress(data.currentTranslate);
    swiper.setTranslate(data.currentTranslate);
  }
  function onTouchEnd(event) {
    const swiper = this;
    const data = swiper.touchEventsData;
    const {
      params,
      touches,
      rtlTranslate: rtl,
      slidesGrid,
      enabled
    } = swiper;
    if (!enabled)
      return;
    let e = event;
    if (e.originalEvent)
      e = e.originalEvent;
    if (data.allowTouchCallbacks) {
      swiper.emit("touchEnd", e);
    }
    data.allowTouchCallbacks = false;
    if (!data.isTouched) {
      if (data.isMoved && params.grabCursor) {
        swiper.setGrabCursor(false);
      }
      data.isMoved = false;
      data.startMoving = false;
      return;
    }
    if (params.grabCursor && data.isMoved && data.isTouched && (swiper.allowSlideNext === true || swiper.allowSlidePrev === true)) {
      swiper.setGrabCursor(false);
    }
    const touchEndTime = now();
    const timeDiff = touchEndTime - data.touchStartTime;
    if (swiper.allowClick) {
      const pathTree = e.path || e.composedPath && e.composedPath();
      swiper.updateClickedSlide(pathTree && pathTree[0] || e.target);
      swiper.emit("tap click", e);
      if (timeDiff < 300 && touchEndTime - data.lastClickTime < 300) {
        swiper.emit("doubleTap doubleClick", e);
      }
    }
    data.lastClickTime = now();
    nextTick(() => {
      if (!swiper.destroyed)
        swiper.allowClick = true;
    });
    if (!data.isTouched || !data.isMoved || !swiper.swipeDirection || touches.diff === 0 || data.currentTranslate === data.startTranslate) {
      data.isTouched = false;
      data.isMoved = false;
      data.startMoving = false;
      return;
    }
    data.isTouched = false;
    data.isMoved = false;
    data.startMoving = false;
    let currentPos;
    if (params.followFinger) {
      currentPos = rtl ? swiper.translate : -swiper.translate;
    } else {
      currentPos = -data.currentTranslate;
    }
    if (params.cssMode) {
      return;
    }
    if (swiper.params.freeMode && params.freeMode.enabled) {
      swiper.freeMode.onTouchEnd({
        currentPos
      });
      return;
    }
    let stopIndex = 0;
    let groupSize = swiper.slidesSizesGrid[0];
    for (let i = 0; i < slidesGrid.length; i += i < params.slidesPerGroupSkip ? 1 : params.slidesPerGroup) {
      const increment2 = i < params.slidesPerGroupSkip - 1 ? 1 : params.slidesPerGroup;
      if (typeof slidesGrid[i + increment2] !== "undefined") {
        if (currentPos >= slidesGrid[i] && currentPos < slidesGrid[i + increment2]) {
          stopIndex = i;
          groupSize = slidesGrid[i + increment2] - slidesGrid[i];
        }
      } else if (currentPos >= slidesGrid[i]) {
        stopIndex = i;
        groupSize = slidesGrid[slidesGrid.length - 1] - slidesGrid[slidesGrid.length - 2];
      }
    }
    let rewindFirstIndex = null;
    let rewindLastIndex = null;
    if (params.rewind) {
      if (swiper.isBeginning) {
        rewindLastIndex = swiper.params.virtual && swiper.params.virtual.enabled && swiper.virtual ? swiper.virtual.slides.length - 1 : swiper.slides.length - 1;
      } else if (swiper.isEnd) {
        rewindFirstIndex = 0;
      }
    }
    const ratio = (currentPos - slidesGrid[stopIndex]) / groupSize;
    const increment = stopIndex < params.slidesPerGroupSkip - 1 ? 1 : params.slidesPerGroup;
    if (timeDiff > params.longSwipesMs) {
      if (!params.longSwipes) {
        swiper.slideTo(swiper.activeIndex);
        return;
      }
      if (swiper.swipeDirection === "next") {
        if (ratio >= params.longSwipesRatio)
          swiper.slideTo(params.rewind && swiper.isEnd ? rewindFirstIndex : stopIndex + increment);
        else
          swiper.slideTo(stopIndex);
      }
      if (swiper.swipeDirection === "prev") {
        if (ratio > 1 - params.longSwipesRatio) {
          swiper.slideTo(stopIndex + increment);
        } else if (rewindLastIndex !== null && ratio < 0 && Math.abs(ratio) > params.longSwipesRatio) {
          swiper.slideTo(rewindLastIndex);
        } else {
          swiper.slideTo(stopIndex);
        }
      }
    } else {
      if (!params.shortSwipes) {
        swiper.slideTo(swiper.activeIndex);
        return;
      }
      const isNavButtonTarget = swiper.navigation && (e.target === swiper.navigation.nextEl || e.target === swiper.navigation.prevEl);
      if (!isNavButtonTarget) {
        if (swiper.swipeDirection === "next") {
          swiper.slideTo(rewindFirstIndex !== null ? rewindFirstIndex : stopIndex + increment);
        }
        if (swiper.swipeDirection === "prev") {
          swiper.slideTo(rewindLastIndex !== null ? rewindLastIndex : stopIndex);
        }
      } else if (e.target === swiper.navigation.nextEl) {
        swiper.slideTo(stopIndex + increment);
      } else {
        swiper.slideTo(stopIndex);
      }
    }
  }
  function onResize() {
    const swiper = this;
    const {
      params,
      el
    } = swiper;
    if (el && el.offsetWidth === 0)
      return;
    if (params.breakpoints) {
      swiper.setBreakpoint();
    }
    const {
      allowSlideNext,
      allowSlidePrev,
      snapGrid
    } = swiper;
    swiper.allowSlideNext = true;
    swiper.allowSlidePrev = true;
    swiper.updateSize();
    swiper.updateSlides();
    swiper.updateSlidesClasses();
    if ((params.slidesPerView === "auto" || params.slidesPerView > 1) && swiper.isEnd && !swiper.isBeginning && !swiper.params.centeredSlides) {
      swiper.slideTo(swiper.slides.length - 1, 0, false, true);
    } else {
      swiper.slideTo(swiper.activeIndex, 0, false, true);
    }
    if (swiper.autoplay && swiper.autoplay.running && swiper.autoplay.paused) {
      swiper.autoplay.run();
    }
    swiper.allowSlidePrev = allowSlidePrev;
    swiper.allowSlideNext = allowSlideNext;
    if (swiper.params.watchOverflow && snapGrid !== swiper.snapGrid) {
      swiper.checkOverflow();
    }
  }
  function onClick(e) {
    const swiper = this;
    if (!swiper.enabled)
      return;
    if (!swiper.allowClick) {
      if (swiper.params.preventClicks)
        e.preventDefault();
      if (swiper.params.preventClicksPropagation && swiper.animating) {
        e.stopPropagation();
        e.stopImmediatePropagation();
      }
    }
  }
  function onScroll() {
    const swiper = this;
    const {
      wrapperEl,
      rtlTranslate,
      enabled
    } = swiper;
    if (!enabled)
      return;
    swiper.previousTranslate = swiper.translate;
    if (swiper.isHorizontal()) {
      swiper.translate = -wrapperEl.scrollLeft;
    } else {
      swiper.translate = -wrapperEl.scrollTop;
    }
    if (swiper.translate === 0)
      swiper.translate = 0;
    swiper.updateActiveIndex();
    swiper.updateSlidesClasses();
    let newProgress;
    const translatesDiff = swiper.maxTranslate() - swiper.minTranslate();
    if (translatesDiff === 0) {
      newProgress = 0;
    } else {
      newProgress = (swiper.translate - swiper.minTranslate()) / translatesDiff;
    }
    if (newProgress !== swiper.progress) {
      swiper.updateProgress(rtlTranslate ? -swiper.translate : swiper.translate);
    }
    swiper.emit("setTranslate", swiper.translate, false);
  }
  let dummyEventAttached = false;
  function dummyEventListener() {
  }
  const events = (swiper, method) => {
    const document2 = getDocument();
    const {
      params,
      touchEvents,
      el,
      wrapperEl,
      device,
      support: support2
    } = swiper;
    const capture = !!params.nested;
    const domMethod = method === "on" ? "addEventListener" : "removeEventListener";
    const swiperMethod = method;
    if (!support2.touch) {
      el[domMethod](touchEvents.start, swiper.onTouchStart, false);
      document2[domMethod](touchEvents.move, swiper.onTouchMove, capture);
      document2[domMethod](touchEvents.end, swiper.onTouchEnd, false);
    } else {
      const passiveListener = touchEvents.start === "touchstart" && support2.passiveListener && params.passiveListeners ? {
        passive: true,
        capture: false
      } : false;
      el[domMethod](touchEvents.start, swiper.onTouchStart, passiveListener);
      el[domMethod](touchEvents.move, swiper.onTouchMove, support2.passiveListener ? {
        passive: false,
        capture
      } : capture);
      el[domMethod](touchEvents.end, swiper.onTouchEnd, passiveListener);
      if (touchEvents.cancel) {
        el[domMethod](touchEvents.cancel, swiper.onTouchEnd, passiveListener);
      }
    }
    if (params.preventClicks || params.preventClicksPropagation) {
      el[domMethod]("click", swiper.onClick, true);
    }
    if (params.cssMode) {
      wrapperEl[domMethod]("scroll", swiper.onScroll);
    }
    if (params.updateOnWindowResize) {
      swiper[swiperMethod](device.ios || device.android ? "resize orientationchange observerUpdate" : "resize observerUpdate", onResize, true);
    } else {
      swiper[swiperMethod]("observerUpdate", onResize, true);
    }
  };
  function attachEvents() {
    const swiper = this;
    const document2 = getDocument();
    const {
      params,
      support: support2
    } = swiper;
    swiper.onTouchStart = onTouchStart.bind(swiper);
    swiper.onTouchMove = onTouchMove.bind(swiper);
    swiper.onTouchEnd = onTouchEnd.bind(swiper);
    if (params.cssMode) {
      swiper.onScroll = onScroll.bind(swiper);
    }
    swiper.onClick = onClick.bind(swiper);
    if (support2.touch && !dummyEventAttached) {
      document2.addEventListener("touchstart", dummyEventListener);
      dummyEventAttached = true;
    }
    events(swiper, "on");
  }
  function detachEvents() {
    const swiper = this;
    events(swiper, "off");
  }
  const events$1 = {
    attachEvents,
    detachEvents
  };
  const isGridEnabled = (swiper, params) => {
    return swiper.grid && params.grid && params.grid.rows > 1;
  };
  function setBreakpoint() {
    const swiper = this;
    const {
      activeIndex,
      initialized,
      loopedSlides = 0,
      params,
      $el
    } = swiper;
    const breakpoints2 = params.breakpoints;
    if (!breakpoints2 || breakpoints2 && Object.keys(breakpoints2).length === 0)
      return;
    const breakpoint = swiper.getBreakpoint(breakpoints2, swiper.params.breakpointsBase, swiper.el);
    if (!breakpoint || swiper.currentBreakpoint === breakpoint)
      return;
    const breakpointOnlyParams = breakpoint in breakpoints2 ? breakpoints2[breakpoint] : void 0;
    const breakpointParams = breakpointOnlyParams || swiper.originalParams;
    const wasMultiRow = isGridEnabled(swiper, params);
    const isMultiRow = isGridEnabled(swiper, breakpointParams);
    const wasEnabled = params.enabled;
    if (wasMultiRow && !isMultiRow) {
      $el.removeClass(`${params.containerModifierClass}grid ${params.containerModifierClass}grid-column`);
      swiper.emitContainerClasses();
    } else if (!wasMultiRow && isMultiRow) {
      $el.addClass(`${params.containerModifierClass}grid`);
      if (breakpointParams.grid.fill && breakpointParams.grid.fill === "column" || !breakpointParams.grid.fill && params.grid.fill === "column") {
        $el.addClass(`${params.containerModifierClass}grid-column`);
      }
      swiper.emitContainerClasses();
    }
    ["navigation", "pagination", "scrollbar"].forEach((prop) => {
      const wasModuleEnabled = params[prop] && params[prop].enabled;
      const isModuleEnabled = breakpointParams[prop] && breakpointParams[prop].enabled;
      if (wasModuleEnabled && !isModuleEnabled) {
        swiper[prop].disable();
      }
      if (!wasModuleEnabled && isModuleEnabled) {
        swiper[prop].enable();
      }
    });
    const directionChanged = breakpointParams.direction && breakpointParams.direction !== params.direction;
    const needsReLoop = params.loop && (breakpointParams.slidesPerView !== params.slidesPerView || directionChanged);
    if (directionChanged && initialized) {
      swiper.changeDirection();
    }
    extend$1(swiper.params, breakpointParams);
    const isEnabled = swiper.params.enabled;
    Object.assign(swiper, {
      allowTouchMove: swiper.params.allowTouchMove,
      allowSlideNext: swiper.params.allowSlideNext,
      allowSlidePrev: swiper.params.allowSlidePrev
    });
    if (wasEnabled && !isEnabled) {
      swiper.disable();
    } else if (!wasEnabled && isEnabled) {
      swiper.enable();
    }
    swiper.currentBreakpoint = breakpoint;
    swiper.emit("_beforeBreakpoint", breakpointParams);
    if (needsReLoop && initialized) {
      swiper.loopDestroy();
      swiper.loopCreate();
      swiper.updateSlides();
      swiper.slideTo(activeIndex - loopedSlides + swiper.loopedSlides, 0, false);
    }
    swiper.emit("breakpoint", breakpointParams);
  }
  function getBreakpoint(breakpoints2, base = "window", containerEl) {
    if (!breakpoints2 || base === "container" && !containerEl)
      return void 0;
    let breakpoint = false;
    const window2 = getWindow();
    const currentHeight = base === "window" ? window2.innerHeight : containerEl.clientHeight;
    const points = Object.keys(breakpoints2).map((point) => {
      if (typeof point === "string" && point.indexOf("@") === 0) {
        const minRatio = parseFloat(point.substr(1));
        const value = currentHeight * minRatio;
        return {
          value,
          point
        };
      }
      return {
        value: point,
        point
      };
    });
    points.sort((a, b) => parseInt(a.value, 10) - parseInt(b.value, 10));
    for (let i = 0; i < points.length; i += 1) {
      const {
        point,
        value
      } = points[i];
      if (base === "window") {
        if (window2.matchMedia(`(min-width: ${value}px)`).matches) {
          breakpoint = point;
        }
      } else if (value <= containerEl.clientWidth) {
        breakpoint = point;
      }
    }
    return breakpoint || "max";
  }
  const breakpoints = {
    setBreakpoint,
    getBreakpoint
  };
  function prepareClasses(entries, prefix) {
    const resultClasses = [];
    entries.forEach((item) => {
      if (typeof item === "object") {
        Object.keys(item).forEach((classNames) => {
          if (item[classNames]) {
            resultClasses.push(prefix + classNames);
          }
        });
      } else if (typeof item === "string") {
        resultClasses.push(prefix + item);
      }
    });
    return resultClasses;
  }
  function addClasses() {
    const swiper = this;
    const {
      classNames,
      params,
      rtl,
      $el,
      device,
      support: support2
    } = swiper;
    const suffixes = prepareClasses(["initialized", params.direction, {
      "pointer-events": !support2.touch
    }, {
      "free-mode": swiper.params.freeMode && params.freeMode.enabled
    }, {
      "autoheight": params.autoHeight
    }, {
      "rtl": rtl
    }, {
      "grid": params.grid && params.grid.rows > 1
    }, {
      "grid-column": params.grid && params.grid.rows > 1 && params.grid.fill === "column"
    }, {
      "android": device.android
    }, {
      "ios": device.ios
    }, {
      "css-mode": params.cssMode
    }, {
      "centered": params.cssMode && params.centeredSlides
    }, {
      "watch-progress": params.watchSlidesProgress
    }], params.containerModifierClass);
    classNames.push(...suffixes);
    $el.addClass([...classNames].join(" "));
    swiper.emitContainerClasses();
  }
  function removeClasses() {
    const swiper = this;
    const {
      $el,
      classNames
    } = swiper;
    $el.removeClass(classNames.join(" "));
    swiper.emitContainerClasses();
  }
  const classes = {
    addClasses,
    removeClasses
  };
  function loadImage(imageEl, src, srcset, sizes, checkForComplete, callback) {
    const window2 = getWindow();
    let image;
    function onReady() {
      if (callback)
        callback();
    }
    const isPicture = $(imageEl).parent("picture")[0];
    if (!isPicture && (!imageEl.complete || !checkForComplete)) {
      if (src) {
        image = new window2.Image();
        image.onload = onReady;
        image.onerror = onReady;
        if (sizes) {
          image.sizes = sizes;
        }
        if (srcset) {
          image.srcset = srcset;
        }
        if (src) {
          image.src = src;
        }
      } else {
        onReady();
      }
    } else {
      onReady();
    }
  }
  function preloadImages() {
    const swiper = this;
    swiper.imagesToLoad = swiper.$el.find("img");
    function onReady() {
      if (typeof swiper === "undefined" || swiper === null || !swiper || swiper.destroyed)
        return;
      if (swiper.imagesLoaded !== void 0)
        swiper.imagesLoaded += 1;
      if (swiper.imagesLoaded === swiper.imagesToLoad.length) {
        if (swiper.params.updateOnImagesReady)
          swiper.update();
        swiper.emit("imagesReady");
      }
    }
    for (let i = 0; i < swiper.imagesToLoad.length; i += 1) {
      const imageEl = swiper.imagesToLoad[i];
      swiper.loadImage(imageEl, imageEl.currentSrc || imageEl.getAttribute("src"), imageEl.srcset || imageEl.getAttribute("srcset"), imageEl.sizes || imageEl.getAttribute("sizes"), true, onReady);
    }
  }
  const images = {
    loadImage,
    preloadImages
  };
  function checkOverflow() {
    const swiper = this;
    const {
      isLocked: wasLocked,
      params
    } = swiper;
    const {
      slidesOffsetBefore
    } = params;
    if (slidesOffsetBefore) {
      const lastSlideIndex = swiper.slides.length - 1;
      const lastSlideRightEdge = swiper.slidesGrid[lastSlideIndex] + swiper.slidesSizesGrid[lastSlideIndex] + slidesOffsetBefore * 2;
      swiper.isLocked = swiper.size > lastSlideRightEdge;
    } else {
      swiper.isLocked = swiper.snapGrid.length === 1;
    }
    if (params.allowSlideNext === true) {
      swiper.allowSlideNext = !swiper.isLocked;
    }
    if (params.allowSlidePrev === true) {
      swiper.allowSlidePrev = !swiper.isLocked;
    }
    if (wasLocked && wasLocked !== swiper.isLocked) {
      swiper.isEnd = false;
    }
    if (wasLocked !== swiper.isLocked) {
      swiper.emit(swiper.isLocked ? "lock" : "unlock");
    }
  }
  const checkOverflow$1 = {
    checkOverflow
  };
  const defaults = {
    init: true,
    direction: "horizontal",
    touchEventsTarget: "wrapper",
    initialSlide: 0,
    speed: 300,
    cssMode: false,
    updateOnWindowResize: true,
    resizeObserver: true,
    nested: false,
    createElements: false,
    enabled: true,
    focusableElements: "input, select, option, textarea, button, video, label",
    width: null,
    height: null,
    preventInteractionOnTransition: false,
    userAgent: null,
    url: null,
    edgeSwipeDetection: false,
    edgeSwipeThreshold: 20,
    autoHeight: false,
    setWrapperSize: false,
    virtualTranslate: false,
    effect: "slide",
    breakpoints: void 0,
    breakpointsBase: "window",
    spaceBetween: 0,
    slidesPerView: 1,
    slidesPerGroup: 1,
    slidesPerGroupSkip: 0,
    slidesPerGroupAuto: false,
    centeredSlides: false,
    centeredSlidesBounds: false,
    slidesOffsetBefore: 0,
    slidesOffsetAfter: 0,
    normalizeSlideIndex: true,
    centerInsufficientSlides: false,
    watchOverflow: true,
    roundLengths: false,
    touchRatio: 1,
    touchAngle: 45,
    simulateTouch: true,
    shortSwipes: true,
    longSwipes: true,
    longSwipesRatio: 0.5,
    longSwipesMs: 300,
    followFinger: true,
    allowTouchMove: true,
    threshold: 0,
    touchMoveStopPropagation: false,
    touchStartPreventDefault: true,
    touchStartForcePreventDefault: false,
    touchReleaseOnEdges: false,
    uniqueNavElements: true,
    resistance: true,
    resistanceRatio: 0.85,
    watchSlidesProgress: false,
    grabCursor: false,
    preventClicks: true,
    preventClicksPropagation: true,
    slideToClickedSlide: false,
    preloadImages: true,
    updateOnImagesReady: true,
    loop: false,
    loopAdditionalSlides: 0,
    loopedSlides: null,
    loopedSlidesLimit: true,
    loopFillGroupWithBlank: false,
    loopPreventsSlide: true,
    rewind: false,
    allowSlidePrev: true,
    allowSlideNext: true,
    swipeHandler: null,
    noSwiping: true,
    noSwipingClass: "swiper-no-swiping",
    noSwipingSelector: null,
    passiveListeners: true,
    maxBackfaceHiddenSlides: 10,
    containerModifierClass: "swiper-",
    slideClass: "swiper-slide",
    slideBlankClass: "swiper-slide-invisible-blank",
    slideActiveClass: "swiper-slide-active",
    slideDuplicateActiveClass: "swiper-slide-duplicate-active",
    slideVisibleClass: "swiper-slide-visible",
    slideDuplicateClass: "swiper-slide-duplicate",
    slideNextClass: "swiper-slide-next",
    slideDuplicateNextClass: "swiper-slide-duplicate-next",
    slidePrevClass: "swiper-slide-prev",
    slideDuplicatePrevClass: "swiper-slide-duplicate-prev",
    wrapperClass: "swiper-wrapper",
    runCallbacksOnInit: true,
    _emitClasses: false
  };
  function moduleExtendParams(params, allModulesParams) {
    return function extendParams(obj = {}) {
      const moduleParamName = Object.keys(obj)[0];
      const moduleParams = obj[moduleParamName];
      if (typeof moduleParams !== "object" || moduleParams === null) {
        extend$1(allModulesParams, obj);
        return;
      }
      if (["navigation", "pagination", "scrollbar"].indexOf(moduleParamName) >= 0 && params[moduleParamName] === true) {
        params[moduleParamName] = {
          auto: true
        };
      }
      if (!(moduleParamName in params && "enabled" in moduleParams)) {
        extend$1(allModulesParams, obj);
        return;
      }
      if (params[moduleParamName] === true) {
        params[moduleParamName] = {
          enabled: true
        };
      }
      if (typeof params[moduleParamName] === "object" && !("enabled" in params[moduleParamName])) {
        params[moduleParamName].enabled = true;
      }
      if (!params[moduleParamName])
        params[moduleParamName] = {
          enabled: false
        };
      extend$1(allModulesParams, obj);
    };
  }
  const prototypes = {
    eventsEmitter,
    update,
    translate,
    transition,
    slide,
    loop,
    grabCursor,
    events: events$1,
    breakpoints,
    checkOverflow: checkOverflow$1,
    classes,
    images
  };
  const extendedDefaults = {};
  class Swiper$1 {
    constructor(...args) {
      let el;
      let params;
      if (args.length === 1 && args[0].constructor && Object.prototype.toString.call(args[0]).slice(8, -1) === "Object") {
        params = args[0];
      } else {
        [el, params] = args;
      }
      if (!params)
        params = {};
      params = extend$1({}, params);
      if (el && !params.el)
        params.el = el;
      if (params.el && $(params.el).length > 1) {
        const swipers = [];
        $(params.el).each((containerEl) => {
          const newParams = extend$1({}, params, {
            el: containerEl
          });
          swipers.push(new Swiper$1(newParams));
        });
        return swipers;
      }
      const swiper = this;
      swiper.__swiper__ = true;
      swiper.support = getSupport();
      swiper.device = getDevice({
        userAgent: params.userAgent
      });
      swiper.browser = getBrowser();
      swiper.eventsListeners = {};
      swiper.eventsAnyListeners = [];
      swiper.modules = [...swiper.__modules__];
      if (params.modules && Array.isArray(params.modules)) {
        swiper.modules.push(...params.modules);
      }
      const allModulesParams = {};
      swiper.modules.forEach((mod) => {
        mod({
          swiper,
          extendParams: moduleExtendParams(params, allModulesParams),
          on: swiper.on.bind(swiper),
          once: swiper.once.bind(swiper),
          off: swiper.off.bind(swiper),
          emit: swiper.emit.bind(swiper)
        });
      });
      const swiperParams = extend$1({}, defaults, allModulesParams);
      swiper.params = extend$1({}, swiperParams, extendedDefaults, params);
      swiper.originalParams = extend$1({}, swiper.params);
      swiper.passedParams = extend$1({}, params);
      if (swiper.params && swiper.params.on) {
        Object.keys(swiper.params.on).forEach((eventName) => {
          swiper.on(eventName, swiper.params.on[eventName]);
        });
      }
      if (swiper.params && swiper.params.onAny) {
        swiper.onAny(swiper.params.onAny);
      }
      swiper.$ = $;
      Object.assign(swiper, {
        enabled: swiper.params.enabled,
        el,
        classNames: [],
        slides: $(),
        slidesGrid: [],
        snapGrid: [],
        slidesSizesGrid: [],
        isHorizontal() {
          return swiper.params.direction === "horizontal";
        },
        isVertical() {
          return swiper.params.direction === "vertical";
        },
        activeIndex: 0,
        realIndex: 0,
        isBeginning: true,
        isEnd: false,
        translate: 0,
        previousTranslate: 0,
        progress: 0,
        velocity: 0,
        animating: false,
        allowSlideNext: swiper.params.allowSlideNext,
        allowSlidePrev: swiper.params.allowSlidePrev,
        touchEvents: function touchEvents() {
          const touch = ["touchstart", "touchmove", "touchend", "touchcancel"];
          const desktop = ["pointerdown", "pointermove", "pointerup"];
          swiper.touchEventsTouch = {
            start: touch[0],
            move: touch[1],
            end: touch[2],
            cancel: touch[3]
          };
          swiper.touchEventsDesktop = {
            start: desktop[0],
            move: desktop[1],
            end: desktop[2]
          };
          return swiper.support.touch || !swiper.params.simulateTouch ? swiper.touchEventsTouch : swiper.touchEventsDesktop;
        }(),
        touchEventsData: {
          isTouched: void 0,
          isMoved: void 0,
          allowTouchCallbacks: void 0,
          touchStartTime: void 0,
          isScrolling: void 0,
          currentTranslate: void 0,
          startTranslate: void 0,
          allowThresholdMove: void 0,
          focusableElements: swiper.params.focusableElements,
          lastClickTime: now(),
          clickTimeout: void 0,
          velocities: [],
          allowMomentumBounce: void 0,
          isTouchEvent: void 0,
          startMoving: void 0
        },
        allowClick: true,
        allowTouchMove: swiper.params.allowTouchMove,
        touches: {
          startX: 0,
          startY: 0,
          currentX: 0,
          currentY: 0,
          diff: 0
        },
        imagesToLoad: [],
        imagesLoaded: 0
      });
      swiper.emit("_swiper");
      if (swiper.params.init) {
        swiper.init();
      }
      return swiper;
    }
    enable() {
      const swiper = this;
      if (swiper.enabled)
        return;
      swiper.enabled = true;
      if (swiper.params.grabCursor) {
        swiper.setGrabCursor();
      }
      swiper.emit("enable");
    }
    disable() {
      const swiper = this;
      if (!swiper.enabled)
        return;
      swiper.enabled = false;
      if (swiper.params.grabCursor) {
        swiper.unsetGrabCursor();
      }
      swiper.emit("disable");
    }
    setProgress(progress, speed) {
      const swiper = this;
      progress = Math.min(Math.max(progress, 0), 1);
      const min = swiper.minTranslate();
      const max = swiper.maxTranslate();
      const current = (max - min) * progress + min;
      swiper.translateTo(current, typeof speed === "undefined" ? 0 : speed);
      swiper.updateActiveIndex();
      swiper.updateSlidesClasses();
    }
    emitContainerClasses() {
      const swiper = this;
      if (!swiper.params._emitClasses || !swiper.el)
        return;
      const cls = swiper.el.className.split(" ").filter((className) => {
        return className.indexOf("swiper") === 0 || className.indexOf(swiper.params.containerModifierClass) === 0;
      });
      swiper.emit("_containerClasses", cls.join(" "));
    }
    getSlideClasses(slideEl) {
      const swiper = this;
      if (swiper.destroyed)
        return "";
      return slideEl.className.split(" ").filter((className) => {
        return className.indexOf("swiper-slide") === 0 || className.indexOf(swiper.params.slideClass) === 0;
      }).join(" ");
    }
    emitSlidesClasses() {
      const swiper = this;
      if (!swiper.params._emitClasses || !swiper.el)
        return;
      const updates = [];
      swiper.slides.each((slideEl) => {
        const classNames = swiper.getSlideClasses(slideEl);
        updates.push({
          slideEl,
          classNames
        });
        swiper.emit("_slideClass", slideEl, classNames);
      });
      swiper.emit("_slideClasses", updates);
    }
    slidesPerViewDynamic(view = "current", exact = false) {
      const swiper = this;
      const {
        params,
        slides,
        slidesGrid,
        slidesSizesGrid,
        size: swiperSize,
        activeIndex
      } = swiper;
      let spv = 1;
      if (params.centeredSlides) {
        let slideSize = slides[activeIndex].swiperSlideSize;
        let breakLoop;
        for (let i = activeIndex + 1; i < slides.length; i += 1) {
          if (slides[i] && !breakLoop) {
            slideSize += slides[i].swiperSlideSize;
            spv += 1;
            if (slideSize > swiperSize)
              breakLoop = true;
          }
        }
        for (let i = activeIndex - 1; i >= 0; i -= 1) {
          if (slides[i] && !breakLoop) {
            slideSize += slides[i].swiperSlideSize;
            spv += 1;
            if (slideSize > swiperSize)
              breakLoop = true;
          }
        }
      } else {
        if (view === "current") {
          for (let i = activeIndex + 1; i < slides.length; i += 1) {
            const slideInView = exact ? slidesGrid[i] + slidesSizesGrid[i] - slidesGrid[activeIndex] < swiperSize : slidesGrid[i] - slidesGrid[activeIndex] < swiperSize;
            if (slideInView) {
              spv += 1;
            }
          }
        } else {
          for (let i = activeIndex - 1; i >= 0; i -= 1) {
            const slideInView = slidesGrid[activeIndex] - slidesGrid[i] < swiperSize;
            if (slideInView) {
              spv += 1;
            }
          }
        }
      }
      return spv;
    }
    update() {
      const swiper = this;
      if (!swiper || swiper.destroyed)
        return;
      const {
        snapGrid,
        params
      } = swiper;
      if (params.breakpoints) {
        swiper.setBreakpoint();
      }
      swiper.updateSize();
      swiper.updateSlides();
      swiper.updateProgress();
      swiper.updateSlidesClasses();
      function setTranslate2() {
        const translateValue = swiper.rtlTranslate ? swiper.translate * -1 : swiper.translate;
        const newTranslate = Math.min(Math.max(translateValue, swiper.maxTranslate()), swiper.minTranslate());
        swiper.setTranslate(newTranslate);
        swiper.updateActiveIndex();
        swiper.updateSlidesClasses();
      }
      let translated;
      if (swiper.params.freeMode && swiper.params.freeMode.enabled) {
        setTranslate2();
        if (swiper.params.autoHeight) {
          swiper.updateAutoHeight();
        }
      } else {
        if ((swiper.params.slidesPerView === "auto" || swiper.params.slidesPerView > 1) && swiper.isEnd && !swiper.params.centeredSlides) {
          translated = swiper.slideTo(swiper.slides.length - 1, 0, false, true);
        } else {
          translated = swiper.slideTo(swiper.activeIndex, 0, false, true);
        }
        if (!translated) {
          setTranslate2();
        }
      }
      if (params.watchOverflow && snapGrid !== swiper.snapGrid) {
        swiper.checkOverflow();
      }
      swiper.emit("update");
    }
    changeDirection(newDirection, needUpdate = true) {
      const swiper = this;
      const currentDirection = swiper.params.direction;
      if (!newDirection) {
        newDirection = currentDirection === "horizontal" ? "vertical" : "horizontal";
      }
      if (newDirection === currentDirection || newDirection !== "horizontal" && newDirection !== "vertical") {
        return swiper;
      }
      swiper.$el.removeClass(`${swiper.params.containerModifierClass}${currentDirection}`).addClass(`${swiper.params.containerModifierClass}${newDirection}`);
      swiper.emitContainerClasses();
      swiper.params.direction = newDirection;
      swiper.slides.each((slideEl) => {
        if (newDirection === "vertical") {
          slideEl.style.width = "";
        } else {
          slideEl.style.height = "";
        }
      });
      swiper.emit("changeDirection");
      if (needUpdate)
        swiper.update();
      return swiper;
    }
    changeLanguageDirection(direction) {
      const swiper = this;
      if (swiper.rtl && direction === "rtl" || !swiper.rtl && direction === "ltr")
        return;
      swiper.rtl = direction === "rtl";
      swiper.rtlTranslate = swiper.params.direction === "horizontal" && swiper.rtl;
      if (swiper.rtl) {
        swiper.$el.addClass(`${swiper.params.containerModifierClass}rtl`);
        swiper.el.dir = "rtl";
      } else {
        swiper.$el.removeClass(`${swiper.params.containerModifierClass}rtl`);
        swiper.el.dir = "ltr";
      }
      swiper.update();
    }
    mount(el) {
      const swiper = this;
      if (swiper.mounted)
        return true;
      const $el = $(el || swiper.params.el);
      el = $el[0];
      if (!el) {
        return false;
      }
      el.swiper = swiper;
      const getWrapperSelector = () => {
        return `.${(swiper.params.wrapperClass || "").trim().split(" ").join(".")}`;
      };
      const getWrapper = () => {
        if (el && el.shadowRoot && el.shadowRoot.querySelector) {
          const res = $(el.shadowRoot.querySelector(getWrapperSelector()));
          res.children = (options) => $el.children(options);
          return res;
        }
        if (!$el.children) {
          return $($el).children(getWrapperSelector());
        }
        return $el.children(getWrapperSelector());
      };
      let $wrapperEl = getWrapper();
      if ($wrapperEl.length === 0 && swiper.params.createElements) {
        const document2 = getDocument();
        const wrapper = document2.createElement("div");
        $wrapperEl = $(wrapper);
        wrapper.className = swiper.params.wrapperClass;
        $el.append(wrapper);
        $el.children(`.${swiper.params.slideClass}`).each((slideEl) => {
          $wrapperEl.append(slideEl);
        });
      }
      Object.assign(swiper, {
        $el,
        el,
        $wrapperEl,
        wrapperEl: $wrapperEl[0],
        mounted: true,
        rtl: el.dir.toLowerCase() === "rtl" || $el.css("direction") === "rtl",
        rtlTranslate: swiper.params.direction === "horizontal" && (el.dir.toLowerCase() === "rtl" || $el.css("direction") === "rtl"),
        wrongRTL: $wrapperEl.css("display") === "-webkit-box"
      });
      return true;
    }
    init(el) {
      const swiper = this;
      if (swiper.initialized)
        return swiper;
      const mounted = swiper.mount(el);
      if (mounted === false)
        return swiper;
      swiper.emit("beforeInit");
      if (swiper.params.breakpoints) {
        swiper.setBreakpoint();
      }
      swiper.addClasses();
      if (swiper.params.loop) {
        swiper.loopCreate();
      }
      swiper.updateSize();
      swiper.updateSlides();
      if (swiper.params.watchOverflow) {
        swiper.checkOverflow();
      }
      if (swiper.params.grabCursor && swiper.enabled) {
        swiper.setGrabCursor();
      }
      if (swiper.params.preloadImages) {
        swiper.preloadImages();
      }
      if (swiper.params.loop) {
        swiper.slideTo(swiper.params.initialSlide + swiper.loopedSlides, 0, swiper.params.runCallbacksOnInit, false, true);
      } else {
        swiper.slideTo(swiper.params.initialSlide, 0, swiper.params.runCallbacksOnInit, false, true);
      }
      swiper.attachEvents();
      swiper.initialized = true;
      swiper.emit("init");
      swiper.emit("afterInit");
      return swiper;
    }
    destroy(deleteInstance = true, cleanStyles = true) {
      const swiper = this;
      const {
        params,
        $el,
        $wrapperEl,
        slides
      } = swiper;
      if (typeof swiper.params === "undefined" || swiper.destroyed) {
        return null;
      }
      swiper.emit("beforeDestroy");
      swiper.initialized = false;
      swiper.detachEvents();
      if (params.loop) {
        swiper.loopDestroy();
      }
      if (cleanStyles) {
        swiper.removeClasses();
        $el.removeAttr("style");
        $wrapperEl.removeAttr("style");
        if (slides && slides.length) {
          slides.removeClass([params.slideVisibleClass, params.slideActiveClass, params.slideNextClass, params.slidePrevClass].join(" ")).removeAttr("style").removeAttr("data-swiper-slide-index");
        }
      }
      swiper.emit("destroy");
      Object.keys(swiper.eventsListeners).forEach((eventName) => {
        swiper.off(eventName);
      });
      if (deleteInstance !== false) {
        swiper.$el[0].swiper = null;
        deleteProps(swiper);
      }
      swiper.destroyed = true;
      return null;
    }
    static extendDefaults(newDefaults) {
      extend$1(extendedDefaults, newDefaults);
    }
    static get extendedDefaults() {
      return extendedDefaults;
    }
    static get defaults() {
      return defaults;
    }
    static installModule(mod) {
      if (!Swiper$1.prototype.__modules__)
        Swiper$1.prototype.__modules__ = [];
      const modules = Swiper$1.prototype.__modules__;
      if (typeof mod === "function" && modules.indexOf(mod) < 0) {
        modules.push(mod);
      }
    }
    static use(module2) {
      if (Array.isArray(module2)) {
        module2.forEach((m) => Swiper$1.installModule(m));
        return Swiper$1;
      }
      Swiper$1.installModule(module2);
      return Swiper$1;
    }
  }
  Object.keys(prototypes).forEach((prototypeGroup) => {
    Object.keys(prototypes[prototypeGroup]).forEach((protoMethod) => {
      Swiper$1.prototype[protoMethod] = prototypes[prototypeGroup][protoMethod];
    });
  });
  Swiper$1.use([Resize, Observer]);
  function createElementIfNotDefined(swiper, originalParams, params, checkProps) {
    const document2 = getDocument();
    if (swiper.params.createElements) {
      Object.keys(checkProps).forEach((key) => {
        if (!params[key] && params.auto === true) {
          let element = swiper.$el.children(`.${checkProps[key]}`)[0];
          if (!element) {
            element = document2.createElement("div");
            element.className = checkProps[key];
            swiper.$el.append(element);
          }
          params[key] = element;
          originalParams[key] = element;
        }
      });
    }
    return params;
  }
  function Navigation({
    swiper,
    extendParams,
    on: on2,
    emit
  }) {
    extendParams({
      navigation: {
        nextEl: null,
        prevEl: null,
        hideOnClick: false,
        disabledClass: "swiper-button-disabled",
        hiddenClass: "swiper-button-hidden",
        lockClass: "swiper-button-lock",
        navigationDisabledClass: "swiper-navigation-disabled"
      }
    });
    swiper.navigation = {
      nextEl: null,
      $nextEl: null,
      prevEl: null,
      $prevEl: null
    };
    function getEl(el) {
      let $el;
      if (el) {
        $el = $(el);
        if (swiper.params.uniqueNavElements && typeof el === "string" && $el.length > 1 && swiper.$el.find(el).length === 1) {
          $el = swiper.$el.find(el);
        }
      }
      return $el;
    }
    function toggleEl($el, disabled) {
      const params = swiper.params.navigation;
      if ($el && $el.length > 0) {
        $el[disabled ? "addClass" : "removeClass"](params.disabledClass);
        if ($el[0] && $el[0].tagName === "BUTTON")
          $el[0].disabled = disabled;
        if (swiper.params.watchOverflow && swiper.enabled) {
          $el[swiper.isLocked ? "addClass" : "removeClass"](params.lockClass);
        }
      }
    }
    function update2() {
      if (swiper.params.loop)
        return;
      const {
        $nextEl,
        $prevEl
      } = swiper.navigation;
      toggleEl($prevEl, swiper.isBeginning && !swiper.params.rewind);
      toggleEl($nextEl, swiper.isEnd && !swiper.params.rewind);
    }
    function onPrevClick(e) {
      e.preventDefault();
      if (swiper.isBeginning && !swiper.params.loop && !swiper.params.rewind)
        return;
      swiper.slidePrev();
      emit("navigationPrev");
    }
    function onNextClick(e) {
      e.preventDefault();
      if (swiper.isEnd && !swiper.params.loop && !swiper.params.rewind)
        return;
      swiper.slideNext();
      emit("navigationNext");
    }
    function init() {
      const params = swiper.params.navigation;
      swiper.params.navigation = createElementIfNotDefined(swiper, swiper.originalParams.navigation, swiper.params.navigation, {
        nextEl: "swiper-button-next",
        prevEl: "swiper-button-prev"
      });
      if (!(params.nextEl || params.prevEl))
        return;
      const $nextEl = getEl(params.nextEl);
      const $prevEl = getEl(params.prevEl);
      if ($nextEl && $nextEl.length > 0) {
        $nextEl.on("click", onNextClick);
      }
      if ($prevEl && $prevEl.length > 0) {
        $prevEl.on("click", onPrevClick);
      }
      Object.assign(swiper.navigation, {
        $nextEl,
        nextEl: $nextEl && $nextEl[0],
        $prevEl,
        prevEl: $prevEl && $prevEl[0]
      });
      if (!swiper.enabled) {
        if ($nextEl)
          $nextEl.addClass(params.lockClass);
        if ($prevEl)
          $prevEl.addClass(params.lockClass);
      }
    }
    function destroy() {
      const {
        $nextEl,
        $prevEl
      } = swiper.navigation;
      if ($nextEl && $nextEl.length) {
        $nextEl.off("click", onNextClick);
        $nextEl.removeClass(swiper.params.navigation.disabledClass);
      }
      if ($prevEl && $prevEl.length) {
        $prevEl.off("click", onPrevClick);
        $prevEl.removeClass(swiper.params.navigation.disabledClass);
      }
    }
    on2("init", () => {
      if (swiper.params.navigation.enabled === false) {
        disable();
      } else {
        init();
        update2();
      }
    });
    on2("toEdge fromEdge lock unlock", () => {
      update2();
    });
    on2("destroy", () => {
      destroy();
    });
    on2("enable disable", () => {
      const {
        $nextEl,
        $prevEl
      } = swiper.navigation;
      if ($nextEl) {
        $nextEl[swiper.enabled ? "removeClass" : "addClass"](swiper.params.navigation.lockClass);
      }
      if ($prevEl) {
        $prevEl[swiper.enabled ? "removeClass" : "addClass"](swiper.params.navigation.lockClass);
      }
    });
    on2("click", (_s, e) => {
      const {
        $nextEl,
        $prevEl
      } = swiper.navigation;
      const targetEl = e.target;
      if (swiper.params.navigation.hideOnClick && !$(targetEl).is($prevEl) && !$(targetEl).is($nextEl)) {
        if (swiper.pagination && swiper.params.pagination && swiper.params.pagination.clickable && (swiper.pagination.el === targetEl || swiper.pagination.el.contains(targetEl)))
          return;
        let isHidden;
        if ($nextEl) {
          isHidden = $nextEl.hasClass(swiper.params.navigation.hiddenClass);
        } else if ($prevEl) {
          isHidden = $prevEl.hasClass(swiper.params.navigation.hiddenClass);
        }
        if (isHidden === true) {
          emit("navigationShow");
        } else {
          emit("navigationHide");
        }
        if ($nextEl) {
          $nextEl.toggleClass(swiper.params.navigation.hiddenClass);
        }
        if ($prevEl) {
          $prevEl.toggleClass(swiper.params.navigation.hiddenClass);
        }
      }
    });
    const enable = () => {
      swiper.$el.removeClass(swiper.params.navigation.navigationDisabledClass);
      init();
      update2();
    };
    const disable = () => {
      swiper.$el.addClass(swiper.params.navigation.navigationDisabledClass);
      destroy();
    };
    Object.assign(swiper.navigation, {
      enable,
      disable,
      update: update2,
      init,
      destroy
    });
  }
  function classesToSelector(classes2 = "") {
    return `.${classes2.trim().replace(/([\.:!\/])/g, "\\$1").replace(/ /g, ".")}`;
  }
  function Pagination({
    swiper,
    extendParams,
    on: on2,
    emit
  }) {
    const pfx = "swiper-pagination";
    extendParams({
      pagination: {
        el: null,
        bulletElement: "span",
        clickable: false,
        hideOnClick: false,
        renderBullet: null,
        renderProgressbar: null,
        renderFraction: null,
        renderCustom: null,
        progressbarOpposite: false,
        type: "bullets",
        dynamicBullets: false,
        dynamicMainBullets: 1,
        formatFractionCurrent: (number) => number,
        formatFractionTotal: (number) => number,
        bulletClass: `${pfx}-bullet`,
        bulletActiveClass: `${pfx}-bullet-active`,
        modifierClass: `${pfx}-`,
        currentClass: `${pfx}-current`,
        totalClass: `${pfx}-total`,
        hiddenClass: `${pfx}-hidden`,
        progressbarFillClass: `${pfx}-progressbar-fill`,
        progressbarOppositeClass: `${pfx}-progressbar-opposite`,
        clickableClass: `${pfx}-clickable`,
        lockClass: `${pfx}-lock`,
        horizontalClass: `${pfx}-horizontal`,
        verticalClass: `${pfx}-vertical`,
        paginationDisabledClass: `${pfx}-disabled`
      }
    });
    swiper.pagination = {
      el: null,
      $el: null,
      bullets: []
    };
    let bulletSize;
    let dynamicBulletIndex = 0;
    function isPaginationDisabled() {
      return !swiper.params.pagination.el || !swiper.pagination.el || !swiper.pagination.$el || swiper.pagination.$el.length === 0;
    }
    function setSideBullets($bulletEl, position) {
      const {
        bulletActiveClass
      } = swiper.params.pagination;
      $bulletEl[position]().addClass(`${bulletActiveClass}-${position}`)[position]().addClass(`${bulletActiveClass}-${position}-${position}`);
    }
    function update2() {
      const rtl = swiper.rtl;
      const params = swiper.params.pagination;
      if (isPaginationDisabled())
        return;
      const slidesLength = swiper.virtual && swiper.params.virtual.enabled ? swiper.virtual.slides.length : swiper.slides.length;
      const $el = swiper.pagination.$el;
      let current;
      const total = swiper.params.loop ? Math.ceil((slidesLength - swiper.loopedSlides * 2) / swiper.params.slidesPerGroup) : swiper.snapGrid.length;
      if (swiper.params.loop) {
        current = Math.ceil((swiper.activeIndex - swiper.loopedSlides) / swiper.params.slidesPerGroup);
        if (current > slidesLength - 1 - swiper.loopedSlides * 2) {
          current -= slidesLength - swiper.loopedSlides * 2;
        }
        if (current > total - 1)
          current -= total;
        if (current < 0 && swiper.params.paginationType !== "bullets")
          current = total + current;
      } else if (typeof swiper.snapIndex !== "undefined") {
        current = swiper.snapIndex;
      } else {
        current = swiper.activeIndex || 0;
      }
      if (params.type === "bullets" && swiper.pagination.bullets && swiper.pagination.bullets.length > 0) {
        const bullets = swiper.pagination.bullets;
        let firstIndex;
        let lastIndex;
        let midIndex;
        if (params.dynamicBullets) {
          bulletSize = bullets.eq(0)[swiper.isHorizontal() ? "outerWidth" : "outerHeight"](true);
          $el.css(swiper.isHorizontal() ? "width" : "height", `${bulletSize * (params.dynamicMainBullets + 4)}px`);
          if (params.dynamicMainBullets > 1 && swiper.previousIndex !== void 0) {
            dynamicBulletIndex += current - (swiper.previousIndex - swiper.loopedSlides || 0);
            if (dynamicBulletIndex > params.dynamicMainBullets - 1) {
              dynamicBulletIndex = params.dynamicMainBullets - 1;
            } else if (dynamicBulletIndex < 0) {
              dynamicBulletIndex = 0;
            }
          }
          firstIndex = Math.max(current - dynamicBulletIndex, 0);
          lastIndex = firstIndex + (Math.min(bullets.length, params.dynamicMainBullets) - 1);
          midIndex = (lastIndex + firstIndex) / 2;
        }
        bullets.removeClass(["", "-next", "-next-next", "-prev", "-prev-prev", "-main"].map((suffix) => `${params.bulletActiveClass}${suffix}`).join(" "));
        if ($el.length > 1) {
          bullets.each((bullet) => {
            const $bullet = $(bullet);
            const bulletIndex = $bullet.index();
            if (bulletIndex === current) {
              $bullet.addClass(params.bulletActiveClass);
            }
            if (params.dynamicBullets) {
              if (bulletIndex >= firstIndex && bulletIndex <= lastIndex) {
                $bullet.addClass(`${params.bulletActiveClass}-main`);
              }
              if (bulletIndex === firstIndex) {
                setSideBullets($bullet, "prev");
              }
              if (bulletIndex === lastIndex) {
                setSideBullets($bullet, "next");
              }
            }
          });
        } else {
          const $bullet = bullets.eq(current);
          const bulletIndex = $bullet.index();
          $bullet.addClass(params.bulletActiveClass);
          if (params.dynamicBullets) {
            const $firstDisplayedBullet = bullets.eq(firstIndex);
            const $lastDisplayedBullet = bullets.eq(lastIndex);
            for (let i = firstIndex; i <= lastIndex; i += 1) {
              bullets.eq(i).addClass(`${params.bulletActiveClass}-main`);
            }
            if (swiper.params.loop) {
              if (bulletIndex >= bullets.length) {
                for (let i = params.dynamicMainBullets; i >= 0; i -= 1) {
                  bullets.eq(bullets.length - i).addClass(`${params.bulletActiveClass}-main`);
                }
                bullets.eq(bullets.length - params.dynamicMainBullets - 1).addClass(`${params.bulletActiveClass}-prev`);
              } else {
                setSideBullets($firstDisplayedBullet, "prev");
                setSideBullets($lastDisplayedBullet, "next");
              }
            } else {
              setSideBullets($firstDisplayedBullet, "prev");
              setSideBullets($lastDisplayedBullet, "next");
            }
          }
        }
        if (params.dynamicBullets) {
          const dynamicBulletsLength = Math.min(bullets.length, params.dynamicMainBullets + 4);
          const bulletsOffset = (bulletSize * dynamicBulletsLength - bulletSize) / 2 - midIndex * bulletSize;
          const offsetProp = rtl ? "right" : "left";
          bullets.css(swiper.isHorizontal() ? offsetProp : "top", `${bulletsOffset}px`);
        }
      }
      if (params.type === "fraction") {
        $el.find(classesToSelector(params.currentClass)).text(params.formatFractionCurrent(current + 1));
        $el.find(classesToSelector(params.totalClass)).text(params.formatFractionTotal(total));
      }
      if (params.type === "progressbar") {
        let progressbarDirection;
        if (params.progressbarOpposite) {
          progressbarDirection = swiper.isHorizontal() ? "vertical" : "horizontal";
        } else {
          progressbarDirection = swiper.isHorizontal() ? "horizontal" : "vertical";
        }
        const scale = (current + 1) / total;
        let scaleX = 1;
        let scaleY = 1;
        if (progressbarDirection === "horizontal") {
          scaleX = scale;
        } else {
          scaleY = scale;
        }
        $el.find(classesToSelector(params.progressbarFillClass)).transform(`translate3d(0,0,0) scaleX(${scaleX}) scaleY(${scaleY})`).transition(swiper.params.speed);
      }
      if (params.type === "custom" && params.renderCustom) {
        $el.html(params.renderCustom(swiper, current + 1, total));
        emit("paginationRender", $el[0]);
      } else {
        emit("paginationUpdate", $el[0]);
      }
      if (swiper.params.watchOverflow && swiper.enabled) {
        $el[swiper.isLocked ? "addClass" : "removeClass"](params.lockClass);
      }
    }
    function render() {
      const params = swiper.params.pagination;
      if (isPaginationDisabled())
        return;
      const slidesLength = swiper.virtual && swiper.params.virtual.enabled ? swiper.virtual.slides.length : swiper.slides.length;
      const $el = swiper.pagination.$el;
      let paginationHTML = "";
      if (params.type === "bullets") {
        let numberOfBullets = swiper.params.loop ? Math.ceil((slidesLength - swiper.loopedSlides * 2) / swiper.params.slidesPerGroup) : swiper.snapGrid.length;
        if (swiper.params.freeMode && swiper.params.freeMode.enabled && !swiper.params.loop && numberOfBullets > slidesLength) {
          numberOfBullets = slidesLength;
        }
        for (let i = 0; i < numberOfBullets; i += 1) {
          if (params.renderBullet) {
            paginationHTML += params.renderBullet.call(swiper, i, params.bulletClass);
          } else {
            paginationHTML += `<${params.bulletElement} class="${params.bulletClass}"></${params.bulletElement}>`;
          }
        }
        $el.html(paginationHTML);
        swiper.pagination.bullets = $el.find(classesToSelector(params.bulletClass));
      }
      if (params.type === "fraction") {
        if (params.renderFraction) {
          paginationHTML = params.renderFraction.call(swiper, params.currentClass, params.totalClass);
        } else {
          paginationHTML = `<span class="${params.currentClass}"></span> / <span class="${params.totalClass}"></span>`;
        }
        $el.html(paginationHTML);
      }
      if (params.type === "progressbar") {
        if (params.renderProgressbar) {
          paginationHTML = params.renderProgressbar.call(swiper, params.progressbarFillClass);
        } else {
          paginationHTML = `<span class="${params.progressbarFillClass}"></span>`;
        }
        $el.html(paginationHTML);
      }
      if (params.type !== "custom") {
        emit("paginationRender", swiper.pagination.$el[0]);
      }
    }
    function init() {
      swiper.params.pagination = createElementIfNotDefined(swiper, swiper.originalParams.pagination, swiper.params.pagination, {
        el: "swiper-pagination"
      });
      const params = swiper.params.pagination;
      if (!params.el)
        return;
      let $el = $(params.el);
      if ($el.length === 0)
        return;
      if (swiper.params.uniqueNavElements && typeof params.el === "string" && $el.length > 1) {
        $el = swiper.$el.find(params.el);
        if ($el.length > 1) {
          $el = $el.filter((el) => {
            if ($(el).parents(".swiper")[0] !== swiper.el)
              return false;
            return true;
          });
        }
      }
      if (params.type === "bullets" && params.clickable) {
        $el.addClass(params.clickableClass);
      }
      $el.addClass(params.modifierClass + params.type);
      $el.addClass(swiper.isHorizontal() ? params.horizontalClass : params.verticalClass);
      if (params.type === "bullets" && params.dynamicBullets) {
        $el.addClass(`${params.modifierClass}${params.type}-dynamic`);
        dynamicBulletIndex = 0;
        if (params.dynamicMainBullets < 1) {
          params.dynamicMainBullets = 1;
        }
      }
      if (params.type === "progressbar" && params.progressbarOpposite) {
        $el.addClass(params.progressbarOppositeClass);
      }
      if (params.clickable) {
        $el.on("click", classesToSelector(params.bulletClass), function onClick2(e) {
          e.preventDefault();
          let index2 = $(this).index() * swiper.params.slidesPerGroup;
          if (swiper.params.loop)
            index2 += swiper.loopedSlides;
          swiper.slideTo(index2);
        });
      }
      Object.assign(swiper.pagination, {
        $el,
        el: $el[0]
      });
      if (!swiper.enabled) {
        $el.addClass(params.lockClass);
      }
    }
    function destroy() {
      const params = swiper.params.pagination;
      if (isPaginationDisabled())
        return;
      const $el = swiper.pagination.$el;
      $el.removeClass(params.hiddenClass);
      $el.removeClass(params.modifierClass + params.type);
      $el.removeClass(swiper.isHorizontal() ? params.horizontalClass : params.verticalClass);
      if (swiper.pagination.bullets && swiper.pagination.bullets.removeClass)
        swiper.pagination.bullets.removeClass(params.bulletActiveClass);
      if (params.clickable) {
        $el.off("click", classesToSelector(params.bulletClass));
      }
    }
    on2("init", () => {
      if (swiper.params.pagination.enabled === false) {
        disable();
      } else {
        init();
        render();
        update2();
      }
    });
    on2("activeIndexChange", () => {
      if (swiper.params.loop) {
        update2();
      } else if (typeof swiper.snapIndex === "undefined") {
        update2();
      }
    });
    on2("snapIndexChange", () => {
      if (!swiper.params.loop) {
        update2();
      }
    });
    on2("slidesLengthChange", () => {
      if (swiper.params.loop) {
        render();
        update2();
      }
    });
    on2("snapGridLengthChange", () => {
      if (!swiper.params.loop) {
        render();
        update2();
      }
    });
    on2("destroy", () => {
      destroy();
    });
    on2("enable disable", () => {
      const {
        $el
      } = swiper.pagination;
      if ($el) {
        $el[swiper.enabled ? "removeClass" : "addClass"](swiper.params.pagination.lockClass);
      }
    });
    on2("lock unlock", () => {
      update2();
    });
    on2("click", (_s, e) => {
      const targetEl = e.target;
      const {
        $el
      } = swiper.pagination;
      if (swiper.params.pagination.el && swiper.params.pagination.hideOnClick && $el && $el.length > 0 && !$(targetEl).hasClass(swiper.params.pagination.bulletClass)) {
        if (swiper.navigation && (swiper.navigation.nextEl && targetEl === swiper.navigation.nextEl || swiper.navigation.prevEl && targetEl === swiper.navigation.prevEl))
          return;
        const isHidden = $el.hasClass(swiper.params.pagination.hiddenClass);
        if (isHidden === true) {
          emit("paginationShow");
        } else {
          emit("paginationHide");
        }
        $el.toggleClass(swiper.params.pagination.hiddenClass);
      }
    });
    const enable = () => {
      swiper.$el.removeClass(swiper.params.pagination.paginationDisabledClass);
      if (swiper.pagination.$el) {
        swiper.pagination.$el.removeClass(swiper.params.pagination.paginationDisabledClass);
      }
      init();
      render();
      update2();
    };
    const disable = () => {
      swiper.$el.addClass(swiper.params.pagination.paginationDisabledClass);
      if (swiper.pagination.$el) {
        swiper.pagination.$el.addClass(swiper.params.pagination.paginationDisabledClass);
      }
      destroy();
    };
    Object.assign(swiper.pagination, {
      enable,
      disable,
      render,
      update: update2,
      init,
      destroy
    });
  }
  function Scrollbar({
    swiper,
    extendParams,
    on: on2,
    emit
  }) {
    const document2 = getDocument();
    let isTouched = false;
    let timeout = null;
    let dragTimeout = null;
    let dragStartPos;
    let dragSize;
    let trackSize;
    let divider;
    extendParams({
      scrollbar: {
        el: null,
        dragSize: "auto",
        hide: false,
        draggable: false,
        snapOnRelease: true,
        lockClass: "swiper-scrollbar-lock",
        dragClass: "swiper-scrollbar-drag",
        scrollbarDisabledClass: "swiper-scrollbar-disabled",
        horizontalClass: `swiper-scrollbar-horizontal`,
        verticalClass: `swiper-scrollbar-vertical`
      }
    });
    swiper.scrollbar = {
      el: null,
      dragEl: null,
      $el: null,
      $dragEl: null
    };
    function setTranslate2() {
      if (!swiper.params.scrollbar.el || !swiper.scrollbar.el)
        return;
      const {
        scrollbar,
        rtlTranslate: rtl,
        progress
      } = swiper;
      const {
        $dragEl,
        $el
      } = scrollbar;
      const params = swiper.params.scrollbar;
      let newSize = dragSize;
      let newPos = (trackSize - dragSize) * progress;
      if (rtl) {
        newPos = -newPos;
        if (newPos > 0) {
          newSize = dragSize - newPos;
          newPos = 0;
        } else if (-newPos + dragSize > trackSize) {
          newSize = trackSize + newPos;
        }
      } else if (newPos < 0) {
        newSize = dragSize + newPos;
        newPos = 0;
      } else if (newPos + dragSize > trackSize) {
        newSize = trackSize - newPos;
      }
      if (swiper.isHorizontal()) {
        $dragEl.transform(`translate3d(${newPos}px, 0, 0)`);
        $dragEl[0].style.width = `${newSize}px`;
      } else {
        $dragEl.transform(`translate3d(0px, ${newPos}px, 0)`);
        $dragEl[0].style.height = `${newSize}px`;
      }
      if (params.hide) {
        clearTimeout(timeout);
        $el[0].style.opacity = 1;
        timeout = setTimeout(() => {
          $el[0].style.opacity = 0;
          $el.transition(400);
        }, 1e3);
      }
    }
    function setTransition2(duration) {
      if (!swiper.params.scrollbar.el || !swiper.scrollbar.el)
        return;
      swiper.scrollbar.$dragEl.transition(duration);
    }
    function updateSize2() {
      if (!swiper.params.scrollbar.el || !swiper.scrollbar.el)
        return;
      const {
        scrollbar
      } = swiper;
      const {
        $dragEl,
        $el
      } = scrollbar;
      $dragEl[0].style.width = "";
      $dragEl[0].style.height = "";
      trackSize = swiper.isHorizontal() ? $el[0].offsetWidth : $el[0].offsetHeight;
      divider = swiper.size / (swiper.virtualSize + swiper.params.slidesOffsetBefore - (swiper.params.centeredSlides ? swiper.snapGrid[0] : 0));
      if (swiper.params.scrollbar.dragSize === "auto") {
        dragSize = trackSize * divider;
      } else {
        dragSize = parseInt(swiper.params.scrollbar.dragSize, 10);
      }
      if (swiper.isHorizontal()) {
        $dragEl[0].style.width = `${dragSize}px`;
      } else {
        $dragEl[0].style.height = `${dragSize}px`;
      }
      if (divider >= 1) {
        $el[0].style.display = "none";
      } else {
        $el[0].style.display = "";
      }
      if (swiper.params.scrollbar.hide) {
        $el[0].style.opacity = 0;
      }
      if (swiper.params.watchOverflow && swiper.enabled) {
        scrollbar.$el[swiper.isLocked ? "addClass" : "removeClass"](swiper.params.scrollbar.lockClass);
      }
    }
    function getPointerPosition(e) {
      if (swiper.isHorizontal()) {
        return e.type === "touchstart" || e.type === "touchmove" ? e.targetTouches[0].clientX : e.clientX;
      }
      return e.type === "touchstart" || e.type === "touchmove" ? e.targetTouches[0].clientY : e.clientY;
    }
    function setDragPosition(e) {
      const {
        scrollbar,
        rtlTranslate: rtl
      } = swiper;
      const {
        $el
      } = scrollbar;
      let positionRatio;
      positionRatio = (getPointerPosition(e) - $el.offset()[swiper.isHorizontal() ? "left" : "top"] - (dragStartPos !== null ? dragStartPos : dragSize / 2)) / (trackSize - dragSize);
      positionRatio = Math.max(Math.min(positionRatio, 1), 0);
      if (rtl) {
        positionRatio = 1 - positionRatio;
      }
      const position = swiper.minTranslate() + (swiper.maxTranslate() - swiper.minTranslate()) * positionRatio;
      swiper.updateProgress(position);
      swiper.setTranslate(position);
      swiper.updateActiveIndex();
      swiper.updateSlidesClasses();
    }
    function onDragStart(e) {
      const params = swiper.params.scrollbar;
      const {
        scrollbar,
        $wrapperEl
      } = swiper;
      const {
        $el,
        $dragEl
      } = scrollbar;
      isTouched = true;
      dragStartPos = e.target === $dragEl[0] || e.target === $dragEl ? getPointerPosition(e) - e.target.getBoundingClientRect()[swiper.isHorizontal() ? "left" : "top"] : null;
      e.preventDefault();
      e.stopPropagation();
      $wrapperEl.transition(100);
      $dragEl.transition(100);
      setDragPosition(e);
      clearTimeout(dragTimeout);
      $el.transition(0);
      if (params.hide) {
        $el.css("opacity", 1);
      }
      if (swiper.params.cssMode) {
        swiper.$wrapperEl.css("scroll-snap-type", "none");
      }
      emit("scrollbarDragStart", e);
    }
    function onDragMove(e) {
      const {
        scrollbar,
        $wrapperEl
      } = swiper;
      const {
        $el,
        $dragEl
      } = scrollbar;
      if (!isTouched)
        return;
      if (e.preventDefault)
        e.preventDefault();
      else
        e.returnValue = false;
      setDragPosition(e);
      $wrapperEl.transition(0);
      $el.transition(0);
      $dragEl.transition(0);
      emit("scrollbarDragMove", e);
    }
    function onDragEnd(e) {
      const params = swiper.params.scrollbar;
      const {
        scrollbar,
        $wrapperEl
      } = swiper;
      const {
        $el
      } = scrollbar;
      if (!isTouched)
        return;
      isTouched = false;
      if (swiper.params.cssMode) {
        swiper.$wrapperEl.css("scroll-snap-type", "");
        $wrapperEl.transition("");
      }
      if (params.hide) {
        clearTimeout(dragTimeout);
        dragTimeout = nextTick(() => {
          $el.css("opacity", 0);
          $el.transition(400);
        }, 1e3);
      }
      emit("scrollbarDragEnd", e);
      if (params.snapOnRelease) {
        swiper.slideToClosest();
      }
    }
    function events2(method) {
      const {
        scrollbar,
        touchEventsTouch,
        touchEventsDesktop,
        params,
        support: support2
      } = swiper;
      const $el = scrollbar.$el;
      if (!$el)
        return;
      const target = $el[0];
      const activeListener = support2.passiveListener && params.passiveListeners ? {
        passive: false,
        capture: false
      } : false;
      const passiveListener = support2.passiveListener && params.passiveListeners ? {
        passive: true,
        capture: false
      } : false;
      if (!target)
        return;
      const eventMethod = method === "on" ? "addEventListener" : "removeEventListener";
      if (!support2.touch) {
        target[eventMethod](touchEventsDesktop.start, onDragStart, activeListener);
        document2[eventMethod](touchEventsDesktop.move, onDragMove, activeListener);
        document2[eventMethod](touchEventsDesktop.end, onDragEnd, passiveListener);
      } else {
        target[eventMethod](touchEventsTouch.start, onDragStart, activeListener);
        target[eventMethod](touchEventsTouch.move, onDragMove, activeListener);
        target[eventMethod](touchEventsTouch.end, onDragEnd, passiveListener);
      }
    }
    function enableDraggable() {
      if (!swiper.params.scrollbar.el || !swiper.scrollbar.el)
        return;
      events2("on");
    }
    function disableDraggable() {
      if (!swiper.params.scrollbar.el || !swiper.scrollbar.el)
        return;
      events2("off");
    }
    function init() {
      const {
        scrollbar,
        $el: $swiperEl
      } = swiper;
      swiper.params.scrollbar = createElementIfNotDefined(swiper, swiper.originalParams.scrollbar, swiper.params.scrollbar, {
        el: "swiper-scrollbar"
      });
      const params = swiper.params.scrollbar;
      if (!params.el)
        return;
      let $el = $(params.el);
      if (swiper.params.uniqueNavElements && typeof params.el === "string" && $el.length > 1 && $swiperEl.find(params.el).length === 1) {
        $el = $swiperEl.find(params.el);
      }
      $el.addClass(swiper.isHorizontal() ? params.horizontalClass : params.verticalClass);
      let $dragEl = $el.find(`.${swiper.params.scrollbar.dragClass}`);
      if ($dragEl.length === 0) {
        $dragEl = $(`<div class="${swiper.params.scrollbar.dragClass}"></div>`);
        $el.append($dragEl);
      }
      Object.assign(scrollbar, {
        $el,
        el: $el[0],
        $dragEl,
        dragEl: $dragEl[0]
      });
      if (params.draggable) {
        enableDraggable();
      }
      if ($el) {
        $el[swiper.enabled ? "removeClass" : "addClass"](swiper.params.scrollbar.lockClass);
      }
    }
    function destroy() {
      const params = swiper.params.scrollbar;
      const $el = swiper.scrollbar.$el;
      if ($el) {
        $el.removeClass(swiper.isHorizontal() ? params.horizontalClass : params.verticalClass);
      }
      disableDraggable();
    }
    on2("init", () => {
      if (swiper.params.scrollbar.enabled === false) {
        disable();
      } else {
        init();
        updateSize2();
        setTranslate2();
      }
    });
    on2("update resize observerUpdate lock unlock", () => {
      updateSize2();
    });
    on2("setTranslate", () => {
      setTranslate2();
    });
    on2("setTransition", (_s, duration) => {
      setTransition2(duration);
    });
    on2("enable disable", () => {
      const {
        $el
      } = swiper.scrollbar;
      if ($el) {
        $el[swiper.enabled ? "removeClass" : "addClass"](swiper.params.scrollbar.lockClass);
      }
    });
    on2("destroy", () => {
      destroy();
    });
    const enable = () => {
      swiper.$el.removeClass(swiper.params.scrollbar.scrollbarDisabledClass);
      if (swiper.scrollbar.$el) {
        swiper.scrollbar.$el.removeClass(swiper.params.scrollbar.scrollbarDisabledClass);
      }
      init();
      updateSize2();
      setTranslate2();
    };
    const disable = () => {
      swiper.$el.addClass(swiper.params.scrollbar.scrollbarDisabledClass);
      if (swiper.scrollbar.$el) {
        swiper.scrollbar.$el.addClass(swiper.params.scrollbar.scrollbarDisabledClass);
      }
      destroy();
    };
    Object.assign(swiper.scrollbar, {
      enable,
      disable,
      updateSize: updateSize2,
      setTranslate: setTranslate2,
      init,
      destroy
    });
  }
  function A11y({
    swiper,
    extendParams,
    on: on2
  }) {
    extendParams({
      a11y: {
        enabled: true,
        notificationClass: "swiper-notification",
        prevSlideMessage: "Previous slide",
        nextSlideMessage: "Next slide",
        firstSlideMessage: "This is the first slide",
        lastSlideMessage: "This is the last slide",
        paginationBulletMessage: "Go to slide {{index}}",
        slideLabelMessage: "{{index}} / {{slidesLength}}",
        containerMessage: null,
        containerRoleDescriptionMessage: null,
        itemRoleDescriptionMessage: null,
        slideRole: "group",
        id: null
      }
    });
    swiper.a11y = {
      clicked: false
    };
    let liveRegion = null;
    function notify(message) {
      const notification = liveRegion;
      if (notification.length === 0)
        return;
      notification.html("");
      notification.html(message);
    }
    function getRandomNumber(size = 16) {
      const randomChar = () => Math.round(16 * Math.random()).toString(16);
      return "x".repeat(size).replace(/x/g, randomChar);
    }
    function makeElFocusable($el) {
      $el.attr("tabIndex", "0");
    }
    function makeElNotFocusable($el) {
      $el.attr("tabIndex", "-1");
    }
    function addElRole($el, role) {
      $el.attr("role", role);
    }
    function addElRoleDescription($el, description) {
      $el.attr("aria-roledescription", description);
    }
    function addElControls($el, controls) {
      $el.attr("aria-controls", controls);
    }
    function addElLabel($el, label) {
      $el.attr("aria-label", label);
    }
    function addElId($el, id) {
      $el.attr("id", id);
    }
    function addElLive($el, live) {
      $el.attr("aria-live", live);
    }
    function disableEl($el) {
      $el.attr("aria-disabled", true);
    }
    function enableEl($el) {
      $el.attr("aria-disabled", false);
    }
    function onEnterOrSpaceKey(e) {
      if (e.keyCode !== 13 && e.keyCode !== 32)
        return;
      const params = swiper.params.a11y;
      const $targetEl = $(e.target);
      if (swiper.navigation && swiper.navigation.$nextEl && $targetEl.is(swiper.navigation.$nextEl)) {
        if (!(swiper.isEnd && !swiper.params.loop)) {
          swiper.slideNext();
        }
        if (swiper.isEnd) {
          notify(params.lastSlideMessage);
        } else {
          notify(params.nextSlideMessage);
        }
      }
      if (swiper.navigation && swiper.navigation.$prevEl && $targetEl.is(swiper.navigation.$prevEl)) {
        if (!(swiper.isBeginning && !swiper.params.loop)) {
          swiper.slidePrev();
        }
        if (swiper.isBeginning) {
          notify(params.firstSlideMessage);
        } else {
          notify(params.prevSlideMessage);
        }
      }
      if (swiper.pagination && $targetEl.is(classesToSelector(swiper.params.pagination.bulletClass))) {
        $targetEl[0].click();
      }
    }
    function updateNavigation() {
      if (swiper.params.loop || swiper.params.rewind || !swiper.navigation)
        return;
      const {
        $nextEl,
        $prevEl
      } = swiper.navigation;
      if ($prevEl && $prevEl.length > 0) {
        if (swiper.isBeginning) {
          disableEl($prevEl);
          makeElNotFocusable($prevEl);
        } else {
          enableEl($prevEl);
          makeElFocusable($prevEl);
        }
      }
      if ($nextEl && $nextEl.length > 0) {
        if (swiper.isEnd) {
          disableEl($nextEl);
          makeElNotFocusable($nextEl);
        } else {
          enableEl($nextEl);
          makeElFocusable($nextEl);
        }
      }
    }
    function hasPagination() {
      return swiper.pagination && swiper.pagination.bullets && swiper.pagination.bullets.length;
    }
    function hasClickablePagination() {
      return hasPagination() && swiper.params.pagination.clickable;
    }
    function updatePagination() {
      const params = swiper.params.a11y;
      if (!hasPagination())
        return;
      swiper.pagination.bullets.each((bulletEl) => {
        const $bulletEl = $(bulletEl);
        if (swiper.params.pagination.clickable) {
          makeElFocusable($bulletEl);
          if (!swiper.params.pagination.renderBullet) {
            addElRole($bulletEl, "button");
            addElLabel($bulletEl, params.paginationBulletMessage.replace(/\{\{index\}\}/, $bulletEl.index() + 1));
          }
        }
        if ($bulletEl.is(`.${swiper.params.pagination.bulletActiveClass}`)) {
          $bulletEl.attr("aria-current", "true");
        } else {
          $bulletEl.removeAttr("aria-current");
        }
      });
    }
    const initNavEl = ($el, wrapperId, message) => {
      makeElFocusable($el);
      if ($el[0].tagName !== "BUTTON") {
        addElRole($el, "button");
        $el.on("keydown", onEnterOrSpaceKey);
      }
      addElLabel($el, message);
      addElControls($el, wrapperId);
    };
    const handlePointerDown = () => {
      swiper.a11y.clicked = true;
    };
    const handlePointerUp = () => {
      requestAnimationFrame(() => {
        requestAnimationFrame(() => {
          if (!swiper.destroyed) {
            swiper.a11y.clicked = false;
          }
        });
      });
    };
    const handleFocus = (e) => {
      if (swiper.a11y.clicked)
        return;
      const slideEl = e.target.closest(`.${swiper.params.slideClass}`);
      if (!slideEl || !swiper.slides.includes(slideEl))
        return;
      const isActive = swiper.slides.indexOf(slideEl) === swiper.activeIndex;
      const isVisible = swiper.params.watchSlidesProgress && swiper.visibleSlides && swiper.visibleSlides.includes(slideEl);
      if (isActive || isVisible)
        return;
      if (e.sourceCapabilities && e.sourceCapabilities.firesTouchEvents)
        return;
      if (swiper.isHorizontal()) {
        swiper.el.scrollLeft = 0;
      } else {
        swiper.el.scrollTop = 0;
      }
      swiper.slideTo(swiper.slides.indexOf(slideEl), 0);
    };
    const initSlides = () => {
      const params = swiper.params.a11y;
      if (params.itemRoleDescriptionMessage) {
        addElRoleDescription($(swiper.slides), params.itemRoleDescriptionMessage);
      }
      if (params.slideRole) {
        addElRole($(swiper.slides), params.slideRole);
      }
      const slidesLength = swiper.params.loop ? swiper.slides.filter((el) => !el.classList.contains(swiper.params.slideDuplicateClass)).length : swiper.slides.length;
      if (params.slideLabelMessage) {
        swiper.slides.each((slideEl, index2) => {
          const $slideEl = $(slideEl);
          const slideIndex = swiper.params.loop ? parseInt($slideEl.attr("data-swiper-slide-index"), 10) : index2;
          const ariaLabelMessage = params.slideLabelMessage.replace(/\{\{index\}\}/, slideIndex + 1).replace(/\{\{slidesLength\}\}/, slidesLength);
          addElLabel($slideEl, ariaLabelMessage);
        });
      }
    };
    const init = () => {
      const params = swiper.params.a11y;
      swiper.$el.append(liveRegion);
      const $containerEl = swiper.$el;
      if (params.containerRoleDescriptionMessage) {
        addElRoleDescription($containerEl, params.containerRoleDescriptionMessage);
      }
      if (params.containerMessage) {
        addElLabel($containerEl, params.containerMessage);
      }
      const $wrapperEl = swiper.$wrapperEl;
      const wrapperId = params.id || $wrapperEl.attr("id") || `swiper-wrapper-${getRandomNumber(16)}`;
      const live = swiper.params.autoplay && swiper.params.autoplay.enabled ? "off" : "polite";
      addElId($wrapperEl, wrapperId);
      addElLive($wrapperEl, live);
      initSlides();
      let $nextEl;
      let $prevEl;
      if (swiper.navigation && swiper.navigation.$nextEl) {
        $nextEl = swiper.navigation.$nextEl;
      }
      if (swiper.navigation && swiper.navigation.$prevEl) {
        $prevEl = swiper.navigation.$prevEl;
      }
      if ($nextEl && $nextEl.length) {
        initNavEl($nextEl, wrapperId, params.nextSlideMessage);
      }
      if ($prevEl && $prevEl.length) {
        initNavEl($prevEl, wrapperId, params.prevSlideMessage);
      }
      if (hasClickablePagination()) {
        swiper.pagination.$el.on("keydown", classesToSelector(swiper.params.pagination.bulletClass), onEnterOrSpaceKey);
      }
      swiper.$el.on("focus", handleFocus, true);
      swiper.$el.on("pointerdown", handlePointerDown, true);
      swiper.$el.on("pointerup", handlePointerUp, true);
    };
    function destroy() {
      if (liveRegion && liveRegion.length > 0)
        liveRegion.remove();
      let $nextEl;
      let $prevEl;
      if (swiper.navigation && swiper.navigation.$nextEl) {
        $nextEl = swiper.navigation.$nextEl;
      }
      if (swiper.navigation && swiper.navigation.$prevEl) {
        $prevEl = swiper.navigation.$prevEl;
      }
      if ($nextEl) {
        $nextEl.off("keydown", onEnterOrSpaceKey);
      }
      if ($prevEl) {
        $prevEl.off("keydown", onEnterOrSpaceKey);
      }
      if (hasClickablePagination()) {
        swiper.pagination.$el.off("keydown", classesToSelector(swiper.params.pagination.bulletClass), onEnterOrSpaceKey);
      }
      swiper.$el.off("focus", handleFocus, true);
      swiper.$el.off("pointerdown", handlePointerDown, true);
      swiper.$el.off("pointerup", handlePointerUp, true);
    }
    on2("beforeInit", () => {
      liveRegion = $(`<span class="${swiper.params.a11y.notificationClass}" aria-live="assertive" aria-atomic="true"></span>`);
    });
    on2("afterInit", () => {
      if (!swiper.params.a11y.enabled)
        return;
      init();
    });
    on2("slidesLengthChange snapGridLengthChange slidesGridLengthChange", () => {
      if (!swiper.params.a11y.enabled)
        return;
      initSlides();
    });
    on2("fromEdge toEdge afterInit lock unlock", () => {
      if (!swiper.params.a11y.enabled)
        return;
      updateNavigation();
    });
    on2("paginationUpdate", () => {
      if (!swiper.params.a11y.enabled)
        return;
      updatePagination();
    });
    on2("destroy", () => {
      if (!swiper.params.a11y.enabled)
        return;
      destroy();
    });
  }
  function Autoplay({
    swiper,
    extendParams,
    on: on2,
    emit
  }) {
    let timeout;
    swiper.autoplay = {
      running: false,
      paused: false
    };
    extendParams({
      autoplay: {
        enabled: false,
        delay: 3e3,
        waitForTransition: true,
        disableOnInteraction: true,
        stopOnLastSlide: false,
        reverseDirection: false,
        pauseOnMouseEnter: false
      }
    });
    function run() {
      if (!swiper.size) {
        swiper.autoplay.running = false;
        swiper.autoplay.paused = false;
        return;
      }
      const $activeSlideEl = swiper.slides.eq(swiper.activeIndex);
      let delay = swiper.params.autoplay.delay;
      if ($activeSlideEl.attr("data-swiper-autoplay")) {
        delay = $activeSlideEl.attr("data-swiper-autoplay") || swiper.params.autoplay.delay;
      }
      clearTimeout(timeout);
      timeout = nextTick(() => {
        let autoplayResult;
        if (swiper.params.autoplay.reverseDirection) {
          if (swiper.params.loop) {
            swiper.loopFix();
            autoplayResult = swiper.slidePrev(swiper.params.speed, true, true);
            emit("autoplay");
          } else if (!swiper.isBeginning) {
            autoplayResult = swiper.slidePrev(swiper.params.speed, true, true);
            emit("autoplay");
          } else if (!swiper.params.autoplay.stopOnLastSlide) {
            autoplayResult = swiper.slideTo(swiper.slides.length - 1, swiper.params.speed, true, true);
            emit("autoplay");
          } else {
            stop();
          }
        } else if (swiper.params.loop) {
          swiper.loopFix();
          autoplayResult = swiper.slideNext(swiper.params.speed, true, true);
          emit("autoplay");
        } else if (!swiper.isEnd) {
          autoplayResult = swiper.slideNext(swiper.params.speed, true, true);
          emit("autoplay");
        } else if (!swiper.params.autoplay.stopOnLastSlide) {
          autoplayResult = swiper.slideTo(0, swiper.params.speed, true, true);
          emit("autoplay");
        } else {
          stop();
        }
        if (swiper.params.cssMode && swiper.autoplay.running)
          run();
        else if (autoplayResult === false) {
          run();
        }
      }, delay);
    }
    function start() {
      if (typeof timeout !== "undefined")
        return false;
      if (swiper.autoplay.running)
        return false;
      swiper.autoplay.running = true;
      emit("autoplayStart");
      run();
      return true;
    }
    function stop() {
      if (!swiper.autoplay.running)
        return false;
      if (typeof timeout === "undefined")
        return false;
      if (timeout) {
        clearTimeout(timeout);
        timeout = void 0;
      }
      swiper.autoplay.running = false;
      emit("autoplayStop");
      return true;
    }
    function pause(speed) {
      if (!swiper.autoplay.running)
        return;
      if (swiper.autoplay.paused)
        return;
      if (timeout)
        clearTimeout(timeout);
      swiper.autoplay.paused = true;
      if (speed === 0 || !swiper.params.autoplay.waitForTransition) {
        swiper.autoplay.paused = false;
        run();
      } else {
        ["transitionend", "webkitTransitionEnd"].forEach((event) => {
          swiper.$wrapperEl[0].addEventListener(event, onTransitionEnd);
        });
      }
    }
    function onVisibilityChange() {
      const document2 = getDocument();
      if (document2.visibilityState === "hidden" && swiper.autoplay.running) {
        pause();
      }
      if (document2.visibilityState === "visible" && swiper.autoplay.paused) {
        run();
        swiper.autoplay.paused = false;
      }
    }
    function onTransitionEnd(e) {
      if (!swiper || swiper.destroyed || !swiper.$wrapperEl)
        return;
      if (e.target !== swiper.$wrapperEl[0])
        return;
      ["transitionend", "webkitTransitionEnd"].forEach((event) => {
        swiper.$wrapperEl[0].removeEventListener(event, onTransitionEnd);
      });
      swiper.autoplay.paused = false;
      if (!swiper.autoplay.running) {
        stop();
      } else {
        run();
      }
    }
    function onMouseEnter() {
      if (swiper.params.autoplay.disableOnInteraction) {
        stop();
      } else {
        emit("autoplayPause");
        pause();
      }
      ["transitionend", "webkitTransitionEnd"].forEach((event) => {
        swiper.$wrapperEl[0].removeEventListener(event, onTransitionEnd);
      });
    }
    function onMouseLeave() {
      if (swiper.params.autoplay.disableOnInteraction) {
        return;
      }
      swiper.autoplay.paused = false;
      emit("autoplayResume");
      run();
    }
    function attachMouseEvents() {
      if (swiper.params.autoplay.pauseOnMouseEnter) {
        swiper.$el.on("mouseenter", onMouseEnter);
        swiper.$el.on("mouseleave", onMouseLeave);
      }
    }
    function detachMouseEvents() {
      swiper.$el.off("mouseenter", onMouseEnter);
      swiper.$el.off("mouseleave", onMouseLeave);
    }
    on2("init", () => {
      if (swiper.params.autoplay.enabled) {
        start();
        const document2 = getDocument();
        document2.addEventListener("visibilitychange", onVisibilityChange);
        attachMouseEvents();
      }
    });
    on2("beforeTransitionStart", (_s, speed, internal) => {
      if (swiper.autoplay.running) {
        if (internal || !swiper.params.autoplay.disableOnInteraction) {
          swiper.autoplay.pause(speed);
        } else {
          stop();
        }
      }
    });
    on2("sliderFirstMove", () => {
      if (swiper.autoplay.running) {
        if (swiper.params.autoplay.disableOnInteraction) {
          stop();
        } else {
          pause();
        }
      }
    });
    on2("touchEnd", () => {
      if (swiper.params.cssMode && swiper.autoplay.paused && !swiper.params.autoplay.disableOnInteraction) {
        run();
      }
    });
    on2("destroy", () => {
      detachMouseEvents();
      if (swiper.autoplay.running) {
        stop();
      }
      const document2 = getDocument();
      document2.removeEventListener("visibilitychange", onVisibilityChange);
    });
    Object.assign(swiper.autoplay, {
      pause,
      run,
      start,
      stop
    });
  }
  function freeMode({
    swiper,
    extendParams,
    emit,
    once
  }) {
    extendParams({
      freeMode: {
        enabled: false,
        momentum: true,
        momentumRatio: 1,
        momentumBounce: true,
        momentumBounceRatio: 1,
        momentumVelocityRatio: 1,
        sticky: false,
        minimumVelocity: 0.02
      }
    });
    function onTouchStart2() {
      const translate2 = swiper.getTranslate();
      swiper.setTranslate(translate2);
      swiper.setTransition(0);
      swiper.touchEventsData.velocities.length = 0;
      swiper.freeMode.onTouchEnd({
        currentPos: swiper.rtl ? swiper.translate : -swiper.translate
      });
    }
    function onTouchMove2() {
      const {
        touchEventsData: data,
        touches
      } = swiper;
      if (data.velocities.length === 0) {
        data.velocities.push({
          position: touches[swiper.isHorizontal() ? "startX" : "startY"],
          time: data.touchStartTime
        });
      }
      data.velocities.push({
        position: touches[swiper.isHorizontal() ? "currentX" : "currentY"],
        time: now()
      });
    }
    function onTouchEnd2({
      currentPos
    }) {
      const {
        params,
        $wrapperEl,
        rtlTranslate: rtl,
        snapGrid,
        touchEventsData: data
      } = swiper;
      const touchEndTime = now();
      const timeDiff = touchEndTime - data.touchStartTime;
      if (currentPos < -swiper.minTranslate()) {
        swiper.slideTo(swiper.activeIndex);
        return;
      }
      if (currentPos > -swiper.maxTranslate()) {
        if (swiper.slides.length < snapGrid.length) {
          swiper.slideTo(snapGrid.length - 1);
        } else {
          swiper.slideTo(swiper.slides.length - 1);
        }
        return;
      }
      if (params.freeMode.momentum) {
        if (data.velocities.length > 1) {
          const lastMoveEvent = data.velocities.pop();
          const velocityEvent = data.velocities.pop();
          const distance = lastMoveEvent.position - velocityEvent.position;
          const time = lastMoveEvent.time - velocityEvent.time;
          swiper.velocity = distance / time;
          swiper.velocity /= 2;
          if (Math.abs(swiper.velocity) < params.freeMode.minimumVelocity) {
            swiper.velocity = 0;
          }
          if (time > 150 || now() - lastMoveEvent.time > 300) {
            swiper.velocity = 0;
          }
        } else {
          swiper.velocity = 0;
        }
        swiper.velocity *= params.freeMode.momentumVelocityRatio;
        data.velocities.length = 0;
        let momentumDuration = 1e3 * params.freeMode.momentumRatio;
        const momentumDistance = swiper.velocity * momentumDuration;
        let newPosition = swiper.translate + momentumDistance;
        if (rtl)
          newPosition = -newPosition;
        let doBounce = false;
        let afterBouncePosition;
        const bounceAmount = Math.abs(swiper.velocity) * 20 * params.freeMode.momentumBounceRatio;
        let needsLoopFix;
        if (newPosition < swiper.maxTranslate()) {
          if (params.freeMode.momentumBounce) {
            if (newPosition + swiper.maxTranslate() < -bounceAmount) {
              newPosition = swiper.maxTranslate() - bounceAmount;
            }
            afterBouncePosition = swiper.maxTranslate();
            doBounce = true;
            data.allowMomentumBounce = true;
          } else {
            newPosition = swiper.maxTranslate();
          }
          if (params.loop && params.centeredSlides)
            needsLoopFix = true;
        } else if (newPosition > swiper.minTranslate()) {
          if (params.freeMode.momentumBounce) {
            if (newPosition - swiper.minTranslate() > bounceAmount) {
              newPosition = swiper.minTranslate() + bounceAmount;
            }
            afterBouncePosition = swiper.minTranslate();
            doBounce = true;
            data.allowMomentumBounce = true;
          } else {
            newPosition = swiper.minTranslate();
          }
          if (params.loop && params.centeredSlides)
            needsLoopFix = true;
        } else if (params.freeMode.sticky) {
          let nextSlide;
          for (let j = 0; j < snapGrid.length; j += 1) {
            if (snapGrid[j] > -newPosition) {
              nextSlide = j;
              break;
            }
          }
          if (Math.abs(snapGrid[nextSlide] - newPosition) < Math.abs(snapGrid[nextSlide - 1] - newPosition) || swiper.swipeDirection === "next") {
            newPosition = snapGrid[nextSlide];
          } else {
            newPosition = snapGrid[nextSlide - 1];
          }
          newPosition = -newPosition;
        }
        if (needsLoopFix) {
          once("transitionEnd", () => {
            swiper.loopFix();
          });
        }
        if (swiper.velocity !== 0) {
          if (rtl) {
            momentumDuration = Math.abs((-newPosition - swiper.translate) / swiper.velocity);
          } else {
            momentumDuration = Math.abs((newPosition - swiper.translate) / swiper.velocity);
          }
          if (params.freeMode.sticky) {
            const moveDistance = Math.abs((rtl ? -newPosition : newPosition) - swiper.translate);
            const currentSlideSize = swiper.slidesSizesGrid[swiper.activeIndex];
            if (moveDistance < currentSlideSize) {
              momentumDuration = params.speed;
            } else if (moveDistance < 2 * currentSlideSize) {
              momentumDuration = params.speed * 1.5;
            } else {
              momentumDuration = params.speed * 2.5;
            }
          }
        } else if (params.freeMode.sticky) {
          swiper.slideToClosest();
          return;
        }
        if (params.freeMode.momentumBounce && doBounce) {
          swiper.updateProgress(afterBouncePosition);
          swiper.setTransition(momentumDuration);
          swiper.setTranslate(newPosition);
          swiper.transitionStart(true, swiper.swipeDirection);
          swiper.animating = true;
          $wrapperEl.transitionEnd(() => {
            if (!swiper || swiper.destroyed || !data.allowMomentumBounce)
              return;
            emit("momentumBounce");
            swiper.setTransition(params.speed);
            setTimeout(() => {
              swiper.setTranslate(afterBouncePosition);
              $wrapperEl.transitionEnd(() => {
                if (!swiper || swiper.destroyed)
                  return;
                swiper.transitionEnd();
              });
            }, 0);
          });
        } else if (swiper.velocity) {
          emit("_freeModeNoMomentumRelease");
          swiper.updateProgress(newPosition);
          swiper.setTransition(momentumDuration);
          swiper.setTranslate(newPosition);
          swiper.transitionStart(true, swiper.swipeDirection);
          if (!swiper.animating) {
            swiper.animating = true;
            $wrapperEl.transitionEnd(() => {
              if (!swiper || swiper.destroyed)
                return;
              swiper.transitionEnd();
            });
          }
        } else {
          swiper.updateProgress(newPosition);
        }
        swiper.updateActiveIndex();
        swiper.updateSlidesClasses();
      } else if (params.freeMode.sticky) {
        swiper.slideToClosest();
        return;
      } else if (params.freeMode) {
        emit("_freeModeNoMomentumRelease");
      }
      if (!params.freeMode.momentum || timeDiff >= params.longSwipesMs) {
        swiper.updateProgress();
        swiper.updateActiveIndex();
        swiper.updateSlidesClasses();
      }
    }
    Object.assign(swiper, {
      freeMode: {
        onTouchStart: onTouchStart2,
        onTouchMove: onTouchMove2,
        onTouchEnd: onTouchEnd2
      }
    });
  }
  function effectInit(params) {
    const {
      effect,
      swiper,
      on: on2,
      setTranslate: setTranslate2,
      setTransition: setTransition2,
      overwriteParams,
      perspective,
      recreateShadows,
      getEffectParams
    } = params;
    on2("beforeInit", () => {
      if (swiper.params.effect !== effect)
        return;
      swiper.classNames.push(`${swiper.params.containerModifierClass}${effect}`);
      if (perspective && perspective()) {
        swiper.classNames.push(`${swiper.params.containerModifierClass}3d`);
      }
      const overwriteParamsResult = overwriteParams ? overwriteParams() : {};
      Object.assign(swiper.params, overwriteParamsResult);
      Object.assign(swiper.originalParams, overwriteParamsResult);
    });
    on2("setTranslate", () => {
      if (swiper.params.effect !== effect)
        return;
      setTranslate2();
    });
    on2("setTransition", (_s, duration) => {
      if (swiper.params.effect !== effect)
        return;
      setTransition2(duration);
    });
    on2("transitionEnd", () => {
      if (swiper.params.effect !== effect)
        return;
      if (recreateShadows) {
        if (!getEffectParams || !getEffectParams().slideShadows)
          return;
        swiper.slides.each((slideEl) => {
          const $slideEl = swiper.$(slideEl);
          $slideEl.find(".swiper-slide-shadow-top, .swiper-slide-shadow-right, .swiper-slide-shadow-bottom, .swiper-slide-shadow-left").remove();
        });
        recreateShadows();
      }
    });
    let requireUpdateOnVirtual;
    on2("virtualUpdate", () => {
      if (swiper.params.effect !== effect)
        return;
      if (!swiper.slides.length) {
        requireUpdateOnVirtual = true;
      }
      requestAnimationFrame(() => {
        if (requireUpdateOnVirtual && swiper.slides && swiper.slides.length) {
          setTranslate2();
          requireUpdateOnVirtual = false;
        }
      });
    });
  }
  function effectTarget(effectParams, $slideEl) {
    if (effectParams.transformEl) {
      return $slideEl.find(effectParams.transformEl).css({
        "backface-visibility": "hidden",
        "-webkit-backface-visibility": "hidden"
      });
    }
    return $slideEl;
  }
  function effectVirtualTransitionEnd({
    swiper,
    duration,
    transformEl,
    allSlides
  }) {
    const {
      slides,
      activeIndex,
      $wrapperEl
    } = swiper;
    if (swiper.params.virtualTranslate && duration !== 0) {
      let eventTriggered = false;
      let $transitionEndTarget;
      if (allSlides) {
        $transitionEndTarget = transformEl ? slides.find(transformEl) : slides;
      } else {
        $transitionEndTarget = transformEl ? slides.eq(activeIndex).find(transformEl) : slides.eq(activeIndex);
      }
      $transitionEndTarget.transitionEnd(() => {
        if (eventTriggered)
          return;
        if (!swiper || swiper.destroyed)
          return;
        eventTriggered = true;
        swiper.animating = false;
        const triggerEvents = ["webkitTransitionEnd", "transitionend"];
        for (let i = 0; i < triggerEvents.length; i += 1) {
          $wrapperEl.trigger(triggerEvents[i]);
        }
      });
    }
  }
  function EffectFade({
    swiper,
    extendParams,
    on: on2
  }) {
    extendParams({
      fadeEffect: {
        crossFade: false,
        transformEl: null
      }
    });
    const setTranslate2 = () => {
      const {
        slides
      } = swiper;
      const params = swiper.params.fadeEffect;
      for (let i = 0; i < slides.length; i += 1) {
        const $slideEl = swiper.slides.eq(i);
        const offset2 = $slideEl[0].swiperSlideOffset;
        let tx = -offset2;
        if (!swiper.params.virtualTranslate)
          tx -= swiper.translate;
        let ty = 0;
        if (!swiper.isHorizontal()) {
          ty = tx;
          tx = 0;
        }
        const slideOpacity = swiper.params.fadeEffect.crossFade ? Math.max(1 - Math.abs($slideEl[0].progress), 0) : 1 + Math.min(Math.max($slideEl[0].progress, -1), 0);
        const $targetEl = effectTarget(params, $slideEl);
        $targetEl.css({
          opacity: slideOpacity
        }).transform(`translate3d(${tx}px, ${ty}px, 0px)`);
      }
    };
    const setTransition2 = (duration) => {
      const {
        transformEl
      } = swiper.params.fadeEffect;
      const $transitionElements = transformEl ? swiper.slides.find(transformEl) : swiper.slides;
      $transitionElements.transition(duration);
      effectVirtualTransitionEnd({
        swiper,
        duration,
        transformEl,
        allSlides: true
      });
    };
    effectInit({
      effect: "fade",
      swiper,
      on: on2,
      setTranslate: setTranslate2,
      setTransition: setTransition2,
      overwriteParams: () => ({
        slidesPerView: 1,
        slidesPerGroup: 1,
        watchSlidesProgress: true,
        spaceBetween: 0,
        virtualTranslate: !swiper.params.cssMode
      })
    });
  }
  function isObject(o) {
    return typeof o === "object" && o !== null && o.constructor && Object.prototype.toString.call(o).slice(8, -1) === "Object";
  }
  function extend(target, src) {
    const noExtend = ["__proto__", "constructor", "prototype"];
    Object.keys(src).filter((key) => noExtend.indexOf(key) < 0).forEach((key) => {
      if (typeof target[key] === "undefined")
        target[key] = src[key];
      else if (isObject(src[key]) && isObject(target[key]) && Object.keys(src[key]).length > 0) {
        if (src[key].__swiper__)
          target[key] = src[key];
        else
          extend(target[key], src[key]);
      } else {
        target[key] = src[key];
      }
    });
  }
  function needsNavigation(params = {}) {
    return params.navigation && typeof params.navigation.nextEl === "undefined" && typeof params.navigation.prevEl === "undefined";
  }
  function needsPagination(params = {}) {
    return params.pagination && typeof params.pagination.el === "undefined";
  }
  function needsScrollbar(params = {}) {
    return params.scrollbar && typeof params.scrollbar.el === "undefined";
  }
  function uniqueClasses(classNames = "") {
    const classes2 = classNames.split(" ").map((c) => c.trim()).filter((c) => !!c);
    const unique = [];
    classes2.forEach((c) => {
      if (unique.indexOf(c) < 0)
        unique.push(c);
    });
    return unique.join(" ");
  }
  const paramsList = [
    "modules",
    "init",
    "_direction",
    "touchEventsTarget",
    "initialSlide",
    "_speed",
    "cssMode",
    "updateOnWindowResize",
    "resizeObserver",
    "nested",
    "focusableElements",
    "_enabled",
    "_width",
    "_height",
    "preventInteractionOnTransition",
    "userAgent",
    "url",
    "_edgeSwipeDetection",
    "_edgeSwipeThreshold",
    "_freeMode",
    "_autoHeight",
    "setWrapperSize",
    "virtualTranslate",
    "_effect",
    "breakpoints",
    "_spaceBetween",
    "_slidesPerView",
    "maxBackfaceHiddenSlides",
    "_grid",
    "_slidesPerGroup",
    "_slidesPerGroupSkip",
    "_slidesPerGroupAuto",
    "_centeredSlides",
    "_centeredSlidesBounds",
    "_slidesOffsetBefore",
    "_slidesOffsetAfter",
    "normalizeSlideIndex",
    "_centerInsufficientSlides",
    "_watchOverflow",
    "roundLengths",
    "touchRatio",
    "touchAngle",
    "simulateTouch",
    "_shortSwipes",
    "_longSwipes",
    "longSwipesRatio",
    "longSwipesMs",
    "_followFinger",
    "allowTouchMove",
    "_threshold",
    "touchMoveStopPropagation",
    "touchStartPreventDefault",
    "touchStartForcePreventDefault",
    "touchReleaseOnEdges",
    "uniqueNavElements",
    "_resistance",
    "_resistanceRatio",
    "_watchSlidesProgress",
    "_grabCursor",
    "preventClicks",
    "preventClicksPropagation",
    "_slideToClickedSlide",
    "_preloadImages",
    "updateOnImagesReady",
    "_loop",
    "_loopAdditionalSlides",
    "_loopedSlides",
    "_loopedSlidesLimit",
    "_loopFillGroupWithBlank",
    "loopPreventsSlide",
    "_rewind",
    "_allowSlidePrev",
    "_allowSlideNext",
    "_swipeHandler",
    "_noSwiping",
    "noSwipingClass",
    "noSwipingSelector",
    "passiveListeners",
    "containerModifierClass",
    "slideClass",
    "slideBlankClass",
    "slideActiveClass",
    "slideDuplicateActiveClass",
    "slideVisibleClass",
    "slideDuplicateClass",
    "slideNextClass",
    "slideDuplicateNextClass",
    "slidePrevClass",
    "slideDuplicatePrevClass",
    "wrapperClass",
    "runCallbacksOnInit",
    "observer",
    "observeParents",
    "observeSlideChildren",
    "a11y",
    "_autoplay",
    "_controller",
    "coverflowEffect",
    "cubeEffect",
    "fadeEffect",
    "flipEffect",
    "creativeEffect",
    "cardsEffect",
    "hashNavigation",
    "history",
    "keyboard",
    "lazy",
    "mousewheel",
    "_navigation",
    "_pagination",
    "parallax",
    "_scrollbar",
    "_thumbs",
    "virtual",
    "zoom"
  ];
  function getParams(obj = {}, splitEvents = true) {
    const params = {
      on: {}
    };
    const events2 = {};
    const passedParams = {};
    extend(params, Swiper$1.defaults);
    extend(params, Swiper$1.extendedDefaults);
    params._emitClasses = true;
    params.init = false;
    const rest = {};
    const allowedParams = paramsList.map((key) => key.replace(/_/, ""));
    const plainObj = Object.assign({}, obj);
    Object.keys(plainObj).forEach((key) => {
      if (typeof obj[key] === "undefined")
        return;
      if (allowedParams.indexOf(key) >= 0) {
        if (isObject(obj[key])) {
          params[key] = {};
          passedParams[key] = {};
          extend(params[key], obj[key]);
          extend(passedParams[key], obj[key]);
        } else {
          params[key] = obj[key];
          passedParams[key] = obj[key];
        }
      } else if (key.search(/on[A-Z]/) === 0 && typeof obj[key] === "function") {
        if (splitEvents) {
          events2[`${key[2].toLowerCase()}${key.substr(3)}`] = obj[key];
        } else {
          params.on[`${key[2].toLowerCase()}${key.substr(3)}`] = obj[key];
        }
      } else {
        rest[key] = obj[key];
      }
    });
    ["navigation", "pagination", "scrollbar"].forEach((key) => {
      if (params[key] === true)
        params[key] = {};
      if (params[key] === false)
        delete params[key];
    });
    return {
      params,
      passedParams,
      rest,
      events: events2
    };
  }
  function mountSwiper({
    el,
    nextEl,
    prevEl,
    paginationEl,
    scrollbarEl,
    swiper
  }, swiperParams) {
    if (needsNavigation(swiperParams) && nextEl && prevEl) {
      swiper.params.navigation.nextEl = nextEl;
      swiper.originalParams.navigation.nextEl = nextEl;
      swiper.params.navigation.prevEl = prevEl;
      swiper.originalParams.navigation.prevEl = prevEl;
    }
    if (needsPagination(swiperParams) && paginationEl) {
      swiper.params.pagination.el = paginationEl;
      swiper.originalParams.pagination.el = paginationEl;
    }
    if (needsScrollbar(swiperParams) && scrollbarEl) {
      swiper.params.scrollbar.el = scrollbarEl;
      swiper.originalParams.scrollbar.el = scrollbarEl;
    }
    swiper.init(el);
  }
  const calcLoopedSlides = (slides, swiperParams) => {
    let slidesPerViewParams = swiperParams.slidesPerView;
    if (swiperParams.breakpoints) {
      const breakpoint = Swiper$1.prototype.getBreakpoint(swiperParams.breakpoints);
      const breakpointOnlyParams = breakpoint in swiperParams.breakpoints ? swiperParams.breakpoints[breakpoint] : void 0;
      if (breakpointOnlyParams && breakpointOnlyParams.slidesPerView) {
        slidesPerViewParams = breakpointOnlyParams.slidesPerView;
      }
    }
    let loopedSlides = Math.ceil(parseFloat(swiperParams.loopedSlides || slidesPerViewParams, 10));
    loopedSlides += swiperParams.loopAdditionalSlides;
    if (loopedSlides > slides.length && swiperParams.loopedSlidesLimit) {
      loopedSlides = slides.length;
    }
    return loopedSlides;
  };
  function renderLoop(swiperRef, slides, swiperParams) {
    const modifiedSlides = slides.map((child, index2) => {
      if (!child.props)
        child.props = {};
      child.props.swiperRef = swiperRef;
      child.props["data-swiper-slide-index"] = index2;
      return child;
    });
    function duplicateSlide(child, index2, position) {
      if (!child.props)
        child.props = {};
      return vue.h(child.type, {
        ...child.props,
        key: `${child.key}-duplicate-${index2}-${position}`,
        class: `${child.props.className || ""} ${swiperParams.slideDuplicateClass} ${child.props.class || ""}`
      }, child.children);
    }
    if (swiperParams.loopFillGroupWithBlank) {
      const blankSlidesNum = swiperParams.slidesPerGroup - modifiedSlides.length % swiperParams.slidesPerGroup;
      if (blankSlidesNum !== swiperParams.slidesPerGroup) {
        for (let i = 0; i < blankSlidesNum; i += 1) {
          const blankSlide = vue.h("div", {
            class: `${swiperParams.slideClass} ${swiperParams.slideBlankClass}`
          });
          modifiedSlides.push(blankSlide);
        }
      }
    }
    if (swiperParams.slidesPerView === "auto" && !swiperParams.loopedSlides) {
      swiperParams.loopedSlides = modifiedSlides.length;
    }
    const loopedSlides = calcLoopedSlides(modifiedSlides, swiperParams);
    const prependSlides = [];
    const appendSlides = [];
    for (let i = 0; i < loopedSlides; i += 1) {
      const index2 = i - Math.floor(i / modifiedSlides.length) * modifiedSlides.length;
      appendSlides.push(duplicateSlide(modifiedSlides[index2], i, "append"));
      prependSlides.unshift(duplicateSlide(modifiedSlides[modifiedSlides.length - index2 - 1], i, "prepend"));
    }
    if (swiperRef.value) {
      swiperRef.value.loopedSlides = loopedSlides;
    }
    return [...prependSlides, ...modifiedSlides, ...appendSlides];
  }
  function getChangedParams(swiperParams, oldParams, children2, oldChildren, getKey) {
    const keys = [];
    if (!oldParams)
      return keys;
    const addKey = (key) => {
      if (keys.indexOf(key) < 0)
        keys.push(key);
    };
    if (children2 && oldChildren) {
      const oldChildrenKeys = oldChildren.map(getKey);
      const childrenKeys = children2.map(getKey);
      if (oldChildrenKeys.join("") !== childrenKeys.join(""))
        addKey("children");
      if (oldChildren.length !== children2.length)
        addKey("children");
    }
    const watchParams = paramsList.filter((key) => key[0] === "_").map((key) => key.replace(/_/, ""));
    watchParams.forEach((key) => {
      if (key in swiperParams && key in oldParams) {
        if (isObject(swiperParams[key]) && isObject(oldParams[key])) {
          const newKeys = Object.keys(swiperParams[key]);
          const oldKeys = Object.keys(oldParams[key]);
          if (newKeys.length !== oldKeys.length) {
            addKey(key);
          } else {
            newKeys.forEach((newKey) => {
              if (swiperParams[key][newKey] !== oldParams[key][newKey]) {
                addKey(key);
              }
            });
            oldKeys.forEach((oldKey) => {
              if (swiperParams[key][oldKey] !== oldParams[key][oldKey])
                addKey(key);
            });
          }
        } else if (swiperParams[key] !== oldParams[key]) {
          addKey(key);
        }
      }
    });
    return keys;
  }
  function getChildren(originalSlots, slidesRef, oldSlidesRef) {
    if (originalSlots === void 0) {
      originalSlots = {};
    }
    const slides = [];
    const slots = {
      "container-start": [],
      "container-end": [],
      "wrapper-start": [],
      "wrapper-end": []
    };
    const getSlidesFromElements = (els, slotName) => {
      if (!Array.isArray(els)) {
        return;
      }
      els.forEach((vnode) => {
        const isFragment = typeof vnode.type === "symbol";
        if (slotName === "default")
          slotName = "container-end";
        if (isFragment && vnode.children) {
          getSlidesFromElements(vnode.children, "default");
        } else if (vnode.type && (vnode.type.name === "SwiperSlide" || vnode.type.name === "AsyncComponentWrapper")) {
          slides.push(vnode);
        } else if (slots[slotName]) {
          slots[slotName].push(vnode);
        }
      });
    };
    Object.keys(originalSlots).forEach((slotName) => {
      if (typeof originalSlots[slotName] !== "function")
        return;
      const els = originalSlots[slotName]();
      getSlidesFromElements(els, slotName);
    });
    oldSlidesRef.value = slidesRef.value;
    slidesRef.value = slides;
    return {
      slides,
      slots
    };
  }
  function updateSwiper({
    swiper,
    slides,
    passedParams,
    changedParams,
    nextEl,
    prevEl,
    scrollbarEl,
    paginationEl
  }) {
    const updateParams = changedParams.filter((key) => key !== "children" && key !== "direction");
    const {
      params: currentParams,
      pagination,
      navigation,
      scrollbar,
      virtual,
      thumbs
    } = swiper;
    let needThumbsInit;
    let needControllerInit;
    let needPaginationInit;
    let needScrollbarInit;
    let needNavigationInit;
    if (changedParams.includes("thumbs") && passedParams.thumbs && passedParams.thumbs.swiper && currentParams.thumbs && !currentParams.thumbs.swiper) {
      needThumbsInit = true;
    }
    if (changedParams.includes("controller") && passedParams.controller && passedParams.controller.control && currentParams.controller && !currentParams.controller.control) {
      needControllerInit = true;
    }
    if (changedParams.includes("pagination") && passedParams.pagination && (passedParams.pagination.el || paginationEl) && (currentParams.pagination || currentParams.pagination === false) && pagination && !pagination.el) {
      needPaginationInit = true;
    }
    if (changedParams.includes("scrollbar") && passedParams.scrollbar && (passedParams.scrollbar.el || scrollbarEl) && (currentParams.scrollbar || currentParams.scrollbar === false) && scrollbar && !scrollbar.el) {
      needScrollbarInit = true;
    }
    if (changedParams.includes("navigation") && passedParams.navigation && (passedParams.navigation.prevEl || prevEl) && (passedParams.navigation.nextEl || nextEl) && (currentParams.navigation || currentParams.navigation === false) && navigation && !navigation.prevEl && !navigation.nextEl) {
      needNavigationInit = true;
    }
    const destroyModule = (mod) => {
      if (!swiper[mod])
        return;
      swiper[mod].destroy();
      if (mod === "navigation") {
        currentParams[mod].prevEl = void 0;
        currentParams[mod].nextEl = void 0;
        swiper[mod].prevEl = void 0;
        swiper[mod].nextEl = void 0;
      } else {
        currentParams[mod].el = void 0;
        swiper[mod].el = void 0;
      }
    };
    updateParams.forEach((key) => {
      if (isObject(currentParams[key]) && isObject(passedParams[key])) {
        extend(currentParams[key], passedParams[key]);
      } else {
        const newValue = passedParams[key];
        if ((newValue === true || newValue === false) && (key === "navigation" || key === "pagination" || key === "scrollbar")) {
          if (newValue === false) {
            destroyModule(key);
          }
        } else {
          currentParams[key] = passedParams[key];
        }
      }
    });
    if (updateParams.includes("controller") && !needControllerInit && swiper.controller && swiper.controller.control && currentParams.controller && currentParams.controller.control) {
      swiper.controller.control = currentParams.controller.control;
    }
    if (changedParams.includes("children") && slides && virtual && currentParams.virtual.enabled) {
      virtual.slides = slides;
      virtual.update(true);
    } else if (changedParams.includes("children") && swiper.lazy && swiper.params.lazy.enabled) {
      swiper.lazy.load();
    }
    if (needThumbsInit) {
      const initialized = thumbs.init();
      if (initialized)
        thumbs.update(true);
    }
    if (needControllerInit) {
      swiper.controller.control = currentParams.controller.control;
    }
    if (needPaginationInit) {
      if (paginationEl)
        currentParams.pagination.el = paginationEl;
      pagination.init();
      pagination.render();
      pagination.update();
    }
    if (needScrollbarInit) {
      if (scrollbarEl)
        currentParams.scrollbar.el = scrollbarEl;
      scrollbar.init();
      scrollbar.updateSize();
      scrollbar.setTranslate();
    }
    if (needNavigationInit) {
      if (nextEl)
        currentParams.navigation.nextEl = nextEl;
      if (prevEl)
        currentParams.navigation.prevEl = prevEl;
      navigation.init();
      navigation.update();
    }
    if (changedParams.includes("allowSlideNext")) {
      swiper.allowSlideNext = passedParams.allowSlideNext;
    }
    if (changedParams.includes("allowSlidePrev")) {
      swiper.allowSlidePrev = passedParams.allowSlidePrev;
    }
    if (changedParams.includes("direction")) {
      swiper.changeDirection(passedParams.direction, false);
    }
    swiper.update();
  }
  function renderVirtual(swiperRef, slides, virtualData) {
    if (!virtualData)
      return null;
    const style = swiperRef.value.isHorizontal() ? {
      [swiperRef.value.rtlTranslate ? "right" : "left"]: `${virtualData.offset}px`
    } : {
      top: `${virtualData.offset}px`
    };
    return slides.filter((slide2, index2) => index2 >= virtualData.from && index2 <= virtualData.to).map((slide2) => {
      if (!slide2.props)
        slide2.props = {};
      if (!slide2.props.style)
        slide2.props.style = {};
      slide2.props.swiperRef = swiperRef;
      slide2.props.style = style;
      return vue.h(slide2.type, {
        ...slide2.props
      }, slide2.children);
    });
  }
  const updateOnVirtualData = (swiper) => {
    if (!swiper || swiper.destroyed || !swiper.params.virtual || swiper.params.virtual && !swiper.params.virtual.enabled)
      return;
    swiper.updateSlides();
    swiper.updateProgress();
    swiper.updateSlidesClasses();
    if (swiper.lazy && swiper.params.lazy.enabled) {
      swiper.lazy.load();
    }
    if (swiper.parallax && swiper.params.parallax && swiper.params.parallax.enabled) {
      swiper.parallax.setTranslate();
    }
  };
  const Swiper = {
    name: "Swiper",
    props: {
      tag: {
        type: String,
        default: "div"
      },
      wrapperTag: {
        type: String,
        default: "div"
      },
      modules: {
        type: Array,
        default: void 0
      },
      init: {
        type: Boolean,
        default: void 0
      },
      direction: {
        type: String,
        default: void 0
      },
      touchEventsTarget: {
        type: String,
        default: void 0
      },
      initialSlide: {
        type: Number,
        default: void 0
      },
      speed: {
        type: Number,
        default: void 0
      },
      cssMode: {
        type: Boolean,
        default: void 0
      },
      updateOnWindowResize: {
        type: Boolean,
        default: void 0
      },
      resizeObserver: {
        type: Boolean,
        default: void 0
      },
      nested: {
        type: Boolean,
        default: void 0
      },
      focusableElements: {
        type: String,
        default: void 0
      },
      width: {
        type: Number,
        default: void 0
      },
      height: {
        type: Number,
        default: void 0
      },
      preventInteractionOnTransition: {
        type: Boolean,
        default: void 0
      },
      userAgent: {
        type: String,
        default: void 0
      },
      url: {
        type: String,
        default: void 0
      },
      edgeSwipeDetection: {
        type: [Boolean, String],
        default: void 0
      },
      edgeSwipeThreshold: {
        type: Number,
        default: void 0
      },
      autoHeight: {
        type: Boolean,
        default: void 0
      },
      setWrapperSize: {
        type: Boolean,
        default: void 0
      },
      virtualTranslate: {
        type: Boolean,
        default: void 0
      },
      effect: {
        type: String,
        default: void 0
      },
      breakpoints: {
        type: Object,
        default: void 0
      },
      spaceBetween: {
        type: Number,
        default: void 0
      },
      slidesPerView: {
        type: [Number, String],
        default: void 0
      },
      maxBackfaceHiddenSlides: {
        type: Number,
        default: void 0
      },
      slidesPerGroup: {
        type: Number,
        default: void 0
      },
      slidesPerGroupSkip: {
        type: Number,
        default: void 0
      },
      slidesPerGroupAuto: {
        type: Boolean,
        default: void 0
      },
      centeredSlides: {
        type: Boolean,
        default: void 0
      },
      centeredSlidesBounds: {
        type: Boolean,
        default: void 0
      },
      slidesOffsetBefore: {
        type: Number,
        default: void 0
      },
      slidesOffsetAfter: {
        type: Number,
        default: void 0
      },
      normalizeSlideIndex: {
        type: Boolean,
        default: void 0
      },
      centerInsufficientSlides: {
        type: Boolean,
        default: void 0
      },
      watchOverflow: {
        type: Boolean,
        default: void 0
      },
      roundLengths: {
        type: Boolean,
        default: void 0
      },
      touchRatio: {
        type: Number,
        default: void 0
      },
      touchAngle: {
        type: Number,
        default: void 0
      },
      simulateTouch: {
        type: Boolean,
        default: void 0
      },
      shortSwipes: {
        type: Boolean,
        default: void 0
      },
      longSwipes: {
        type: Boolean,
        default: void 0
      },
      longSwipesRatio: {
        type: Number,
        default: void 0
      },
      longSwipesMs: {
        type: Number,
        default: void 0
      },
      followFinger: {
        type: Boolean,
        default: void 0
      },
      allowTouchMove: {
        type: Boolean,
        default: void 0
      },
      threshold: {
        type: Number,
        default: void 0
      },
      touchMoveStopPropagation: {
        type: Boolean,
        default: void 0
      },
      touchStartPreventDefault: {
        type: Boolean,
        default: void 0
      },
      touchStartForcePreventDefault: {
        type: Boolean,
        default: void 0
      },
      touchReleaseOnEdges: {
        type: Boolean,
        default: void 0
      },
      uniqueNavElements: {
        type: Boolean,
        default: void 0
      },
      resistance: {
        type: Boolean,
        default: void 0
      },
      resistanceRatio: {
        type: Number,
        default: void 0
      },
      watchSlidesProgress: {
        type: Boolean,
        default: void 0
      },
      grabCursor: {
        type: Boolean,
        default: void 0
      },
      preventClicks: {
        type: Boolean,
        default: void 0
      },
      preventClicksPropagation: {
        type: Boolean,
        default: void 0
      },
      slideToClickedSlide: {
        type: Boolean,
        default: void 0
      },
      preloadImages: {
        type: Boolean,
        default: void 0
      },
      updateOnImagesReady: {
        type: Boolean,
        default: void 0
      },
      loop: {
        type: Boolean,
        default: void 0
      },
      loopAdditionalSlides: {
        type: Number,
        default: void 0
      },
      loopedSlides: {
        type: Number,
        default: void 0
      },
      loopedSlidesLimit: {
        type: Boolean,
        default: true
      },
      loopFillGroupWithBlank: {
        type: Boolean,
        default: void 0
      },
      loopPreventsSlide: {
        type: Boolean,
        default: void 0
      },
      rewind: {
        type: Boolean,
        default: void 0
      },
      allowSlidePrev: {
        type: Boolean,
        default: void 0
      },
      allowSlideNext: {
        type: Boolean,
        default: void 0
      },
      swipeHandler: {
        type: Boolean,
        default: void 0
      },
      noSwiping: {
        type: Boolean,
        default: void 0
      },
      noSwipingClass: {
        type: String,
        default: void 0
      },
      noSwipingSelector: {
        type: String,
        default: void 0
      },
      passiveListeners: {
        type: Boolean,
        default: void 0
      },
      containerModifierClass: {
        type: String,
        default: void 0
      },
      slideClass: {
        type: String,
        default: void 0
      },
      slideBlankClass: {
        type: String,
        default: void 0
      },
      slideActiveClass: {
        type: String,
        default: void 0
      },
      slideDuplicateActiveClass: {
        type: String,
        default: void 0
      },
      slideVisibleClass: {
        type: String,
        default: void 0
      },
      slideDuplicateClass: {
        type: String,
        default: void 0
      },
      slideNextClass: {
        type: String,
        default: void 0
      },
      slideDuplicateNextClass: {
        type: String,
        default: void 0
      },
      slidePrevClass: {
        type: String,
        default: void 0
      },
      slideDuplicatePrevClass: {
        type: String,
        default: void 0
      },
      wrapperClass: {
        type: String,
        default: void 0
      },
      runCallbacksOnInit: {
        type: Boolean,
        default: void 0
      },
      observer: {
        type: Boolean,
        default: void 0
      },
      observeParents: {
        type: Boolean,
        default: void 0
      },
      observeSlideChildren: {
        type: Boolean,
        default: void 0
      },
      a11y: {
        type: [Boolean, Object],
        default: void 0
      },
      autoplay: {
        type: [Boolean, Object],
        default: void 0
      },
      controller: {
        type: Object,
        default: void 0
      },
      coverflowEffect: {
        type: Object,
        default: void 0
      },
      cubeEffect: {
        type: Object,
        default: void 0
      },
      fadeEffect: {
        type: Object,
        default: void 0
      },
      flipEffect: {
        type: Object,
        default: void 0
      },
      creativeEffect: {
        type: Object,
        default: void 0
      },
      cardsEffect: {
        type: Object,
        default: void 0
      },
      hashNavigation: {
        type: [Boolean, Object],
        default: void 0
      },
      history: {
        type: [Boolean, Object],
        default: void 0
      },
      keyboard: {
        type: [Boolean, Object],
        default: void 0
      },
      lazy: {
        type: [Boolean, Object],
        default: void 0
      },
      mousewheel: {
        type: [Boolean, Object],
        default: void 0
      },
      navigation: {
        type: [Boolean, Object],
        default: void 0
      },
      pagination: {
        type: [Boolean, Object],
        default: void 0
      },
      parallax: {
        type: [Boolean, Object],
        default: void 0
      },
      scrollbar: {
        type: [Boolean, Object],
        default: void 0
      },
      thumbs: {
        type: Object,
        default: void 0
      },
      virtual: {
        type: [Boolean, Object],
        default: void 0
      },
      zoom: {
        type: [Boolean, Object],
        default: void 0
      },
      grid: {
        type: [Object],
        default: void 0
      },
      freeMode: {
        type: [Boolean, Object],
        default: void 0
      },
      enabled: {
        type: Boolean,
        default: void 0
      }
    },
    emits: ["_beforeBreakpoint", "_containerClasses", "_slideClass", "_slideClasses", "_swiper", "_freeModeNoMomentumRelease", "activeIndexChange", "afterInit", "autoplay", "autoplayStart", "autoplayStop", "autoplayPause", "autoplayResume", "beforeDestroy", "beforeInit", "beforeLoopFix", "beforeResize", "beforeSlideChangeStart", "beforeTransitionStart", "breakpoint", "changeDirection", "click", "disable", "doubleTap", "doubleClick", "destroy", "enable", "fromEdge", "hashChange", "hashSet", "imagesReady", "init", "keyPress", "lazyImageLoad", "lazyImageReady", "lock", "loopFix", "momentumBounce", "navigationHide", "navigationShow", "navigationPrev", "navigationNext", "observerUpdate", "orientationchange", "paginationHide", "paginationRender", "paginationShow", "paginationUpdate", "progress", "reachBeginning", "reachEnd", "realIndexChange", "resize", "scroll", "scrollbarDragEnd", "scrollbarDragMove", "scrollbarDragStart", "setTransition", "setTranslate", "slideChange", "slideChangeTransitionEnd", "slideChangeTransitionStart", "slideNextTransitionEnd", "slideNextTransitionStart", "slidePrevTransitionEnd", "slidePrevTransitionStart", "slideResetTransitionStart", "slideResetTransitionEnd", "sliderMove", "sliderFirstMove", "slidesLengthChange", "slidesGridLengthChange", "snapGridLengthChange", "snapIndexChange", "swiper", "tap", "toEdge", "touchEnd", "touchMove", "touchMoveOpposite", "touchStart", "transitionEnd", "transitionStart", "unlock", "update", "virtualUpdate", "zoomChange"],
    setup(props, _ref) {
      let {
        slots: originalSlots,
        emit
      } = _ref;
      const {
        tag: Tag,
        wrapperTag: WrapperTag
      } = props;
      const containerClasses = vue.ref("swiper");
      const virtualData = vue.ref(null);
      const breakpointChanged = vue.ref(false);
      const initializedRef = vue.ref(false);
      const swiperElRef = vue.ref(null);
      const swiperRef = vue.ref(null);
      const oldPassedParamsRef = vue.ref(null);
      const slidesRef = {
        value: []
      };
      const oldSlidesRef = {
        value: []
      };
      const nextElRef = vue.ref(null);
      const prevElRef = vue.ref(null);
      const paginationElRef = vue.ref(null);
      const scrollbarElRef = vue.ref(null);
      const {
        params: swiperParams,
        passedParams
      } = getParams(props, false);
      getChildren(originalSlots, slidesRef, oldSlidesRef);
      oldPassedParamsRef.value = passedParams;
      oldSlidesRef.value = slidesRef.value;
      const onBeforeBreakpoint = () => {
        getChildren(originalSlots, slidesRef, oldSlidesRef);
        breakpointChanged.value = true;
      };
      swiperParams.onAny = function(event) {
        for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
          args[_key - 1] = arguments[_key];
        }
        emit(event, ...args);
      };
      Object.assign(swiperParams.on, {
        _beforeBreakpoint: onBeforeBreakpoint,
        _containerClasses(swiper, classes2) {
          containerClasses.value = classes2;
        }
      });
      swiperRef.value = new Swiper$1(swiperParams);
      swiperRef.value.loopCreate = () => {
      };
      swiperRef.value.loopDestroy = () => {
      };
      if (swiperParams.loop) {
        swiperRef.value.loopedSlides = calcLoopedSlides(slidesRef.value, swiperParams);
      }
      if (swiperRef.value.virtual && swiperRef.value.params.virtual.enabled) {
        swiperRef.value.virtual.slides = slidesRef.value;
        const extendWith = {
          cache: false,
          slides: slidesRef.value,
          renderExternal: (data) => {
            virtualData.value = data;
          },
          renderExternalUpdate: false
        };
        extend(swiperRef.value.params.virtual, extendWith);
        extend(swiperRef.value.originalParams.virtual, extendWith);
      }
      vue.onUpdated(() => {
        if (!initializedRef.value && swiperRef.value) {
          swiperRef.value.emitSlidesClasses();
          initializedRef.value = true;
        }
        const {
          passedParams: newPassedParams
        } = getParams(props, false);
        const changedParams = getChangedParams(newPassedParams, oldPassedParamsRef.value, slidesRef.value, oldSlidesRef.value, (c) => c.props && c.props.key);
        oldPassedParamsRef.value = newPassedParams;
        if ((changedParams.length || breakpointChanged.value) && swiperRef.value && !swiperRef.value.destroyed) {
          updateSwiper({
            swiper: swiperRef.value,
            slides: slidesRef.value,
            passedParams: newPassedParams,
            changedParams,
            nextEl: nextElRef.value,
            prevEl: prevElRef.value,
            scrollbarEl: scrollbarElRef.value,
            paginationEl: paginationElRef.value
          });
        }
        breakpointChanged.value = false;
      });
      vue.provide("swiper", swiperRef);
      vue.watch(virtualData, () => {
        vue.nextTick(() => {
          updateOnVirtualData(swiperRef.value);
        });
      });
      vue.onMounted(() => {
        if (!swiperElRef.value)
          return;
        mountSwiper({
          el: swiperElRef.value,
          nextEl: nextElRef.value,
          prevEl: prevElRef.value,
          paginationEl: paginationElRef.value,
          scrollbarEl: scrollbarElRef.value,
          swiper: swiperRef.value
        }, swiperParams);
        emit("swiper", swiperRef.value);
      });
      vue.onBeforeUnmount(() => {
        if (swiperRef.value && !swiperRef.value.destroyed) {
          swiperRef.value.destroy(true, false);
        }
      });
      function renderSlides(slides) {
        if (swiperParams.virtual) {
          return renderVirtual(swiperRef, slides, virtualData.value);
        }
        if (!swiperParams.loop || swiperRef.value && swiperRef.value.destroyed) {
          slides.forEach((slide2) => {
            if (!slide2.props)
              slide2.props = {};
            slide2.props.swiperRef = swiperRef;
          });
          return slides;
        }
        return renderLoop(swiperRef, slides, swiperParams);
      }
      return () => {
        const {
          slides,
          slots
        } = getChildren(originalSlots, slidesRef, oldSlidesRef);
        return vue.h(Tag, {
          ref: swiperElRef,
          class: uniqueClasses(containerClasses.value)
        }, [slots["container-start"], vue.h(WrapperTag, {
          class: "swiper-wrapper"
        }, [slots["wrapper-start"], renderSlides(slides), slots["wrapper-end"]]), needsNavigation(props) && [vue.h("div", {
          ref: prevElRef,
          class: "swiper-button-prev"
        }), vue.h("div", {
          ref: nextElRef,
          class: "swiper-button-next"
        })], needsScrollbar(props) && vue.h("div", {
          ref: scrollbarElRef,
          class: "swiper-scrollbar"
        }), needsPagination(props) && vue.h("div", {
          ref: paginationElRef,
          class: "swiper-pagination"
        }), slots["container-end"]]);
      };
    }
  };
  const SwiperSlide = {
    name: "SwiperSlide",
    props: {
      tag: {
        type: String,
        default: "div"
      },
      swiperRef: {
        type: Object,
        required: false
      },
      zoom: {
        type: Boolean,
        default: void 0
      },
      virtualIndex: {
        type: [String, Number],
        default: void 0
      }
    },
    setup(props, _ref) {
      let {
        slots
      } = _ref;
      let eventAttached = false;
      const {
        swiperRef
      } = props;
      const slideElRef = vue.ref(null);
      const slideClasses = vue.ref("swiper-slide");
      function updateClasses(swiper, el, classNames) {
        if (el === slideElRef.value) {
          slideClasses.value = classNames;
        }
      }
      vue.onMounted(() => {
        if (!swiperRef || !swiperRef.value)
          return;
        swiperRef.value.on("_slideClass", updateClasses);
        eventAttached = true;
      });
      vue.onBeforeUpdate(() => {
        if (eventAttached || !swiperRef || !swiperRef.value)
          return;
        swiperRef.value.on("_slideClass", updateClasses);
        eventAttached = true;
      });
      vue.onUpdated(() => {
        if (!slideElRef.value || !swiperRef || !swiperRef.value)
          return;
        if (swiperRef.value.destroyed) {
          if (slideClasses.value !== "swiper-slide") {
            slideClasses.value = "swiper-slide";
          }
        }
      });
      vue.onBeforeUnmount(() => {
        if (!swiperRef || !swiperRef.value)
          return;
        swiperRef.value.off("_slideClass", updateClasses);
      });
      const slideData = vue.computed(() => ({
        isActive: slideClasses.value.indexOf("swiper-slide-active") >= 0 || slideClasses.value.indexOf("swiper-slide-duplicate-active") >= 0,
        isVisible: slideClasses.value.indexOf("swiper-slide-visible") >= 0,
        isDuplicate: slideClasses.value.indexOf("swiper-slide-duplicate") >= 0,
        isPrev: slideClasses.value.indexOf("swiper-slide-prev") >= 0 || slideClasses.value.indexOf("swiper-slide-duplicate-prev") >= 0,
        isNext: slideClasses.value.indexOf("swiper-slide-next") >= 0 || slideClasses.value.indexOf("swiper-slide-duplicate-next") >= 0
      }));
      vue.provide("swiperSlide", slideData);
      return () => {
        return vue.h(props.tag, {
          class: uniqueClasses(`${slideClasses.value}`),
          ref: slideElRef,
          "data-swiper-slide-index": props.virtualIndex
        }, props.zoom ? vue.h("div", {
          class: "swiper-zoom-container",
          "data-swiper-zoom": typeof props.zoom === "number" ? props.zoom : void 0
        }, slots.default && slots.default(slideData.value)) : slots.default && slots.default(slideData.value));
      };
    }
  };
  const createBreakpointOptions = (propBreakpoint) => Object.keys(propBreakpoint).reduce((acc, current) => {
    acc[BREAKPOINTS[current]] = propBreakpoint[current];
    return acc;
  }, {});
  const _sfc_main$1 = vue.defineComponent({
    name: "UiSwiper",
    components: {
      Swiper
    },
    props: {
      index: Number,
      slidesPerView: {
        type: [Number, String],
        default: 1
      },
      spaceBetween: Number,
      scrollbar: Boolean,
      pagination: [Boolean, Object],
      navigation: [Boolean, Object],
      loop: Boolean,
      autoHeight: Boolean,
      freeMode: [Boolean, Object],
      breakpoints: Object,
      direction: {
        type: String,
        default: "horizontal"
      },
      fade: Boolean,
      autoplay: [Boolean, Object],
      centeredSlides: Boolean,
      slidesPerGroup: Number
    },
    setup(props, { emit }) {
      const swiperRef = vue.ref();
      const swiper = vue.computed(() => {
        var _a, _b;
        return (_b = (_a = swiperRef.value) == null ? void 0 : _a.$el) == null ? void 0 : _b.swiper;
      });
      const currentIndex = vue.ref();
      const setCurrentIndex = () => {
        var _a;
        currentIndex.value = (_a = swiper.value) == null ? void 0 : _a.realIndex;
      };
      const onSlideChange = () => {
        setCurrentIndex();
        emit("update:index", swiper.value.realIndex, swiper.value);
      };
      vue.watch(
        () => props.index,
        (index2) => setTimeout(() => {
          if (swiper.value.realIndex !== index2)
            swiper.value.slideTo(index2 || 0);
        })
      );
      const autoplaying = vue.ref();
      const setAutoPlaying = (value) => {
        autoplaying.value = value;
      };
      const breakpointOptions = props.breakpoints ? createBreakpointOptions(props.breakpoints) : void 0;
      return {
        modules: [Navigation, Pagination, Scrollbar, A11y, freeMode, EffectFade, Autoplay],
        swiperRef,
        swiper,
        onSlideChange,
        currentIndex,
        autoplaying,
        setAutoPlaying,
        breakpointOptions
      };
    }
  });
  function _sfc_render$1(_ctx, _cache, $props, $setup, $data, $options) {
    const _component_Swiper = vue.resolveComponent("Swiper");
    return vue.openBlock(), vue.createBlock(_component_Swiper, {
      ref: "swiperRef",
      class: "ui-swiper position-relative",
      "initial-slide": _ctx.index,
      modules: _ctx.modules,
      loop: _ctx.loop,
      navigation: _ctx.navigation,
      pagination: _ctx.pagination,
      scrollbar: _ctx.scrollbar && { draggable: true },
      "slides-per-view": _ctx.slidesPerView,
      "space-between": _ctx.spaceBetween,
      "auto-height": _ctx.autoHeight,
      breakpoints: _ctx.breakpointOptions,
      "free-mode": _ctx.freeMode,
      effect: _ctx.fade ? "fade" : void 0,
      autoplay: _ctx.autoplay,
      centeredSlides: _ctx.centeredSlides,
      "loop-additional-slides": 30,
      "rounded-lengths": true,
      "slides-per-group": _ctx.slidesPerGroup,
      direction: _ctx.direction,
      onSlideChange: _ctx.onSlideChange,
      onAutoplayStart: _cache[0] || (_cache[0] = ($event) => _ctx.setAutoPlaying(true)),
      onAutoplayStop: _cache[1] || (_cache[1] = ($event) => _ctx.setAutoPlaying(false))
    }, {
      default: vue.withCtx(() => [
        vue.renderSlot(_ctx.$slots, "default", vue.normalizeProps(vue.guardReactiveProps({ index: _ctx.currentIndex, autoplaying: _ctx.autoplaying, swiper: _ctx.swiper }))),
        vue.renderSlot(_ctx.$slots, "custom-pagination", vue.normalizeProps(vue.guardReactiveProps({ index: _ctx.currentIndex, autoplaying: _ctx.autoplaying, swiper: _ctx.swiper })))
      ]),
      _: 3
    }, 8, ["initial-slide", "modules", "loop", "navigation", "pagination", "scrollbar", "slides-per-view", "space-between", "auto-height", "breakpoints", "free-mode", "effect", "autoplay", "centeredSlides", "slides-per-group", "direction", "onSlideChange"]);
  }
  const UiSwiper = /* @__PURE__ */ _export_sfc(_sfc_main$1, [["render", _sfc_render$1]]);
  class ScrollListKey {
    constructor(params) {
      __publicField(this, "forceUpdate", vue.ref(0));
      this.params = params;
    }
    setParams(params) {
      this.params = params;
    }
    forceRefresh() {
      this.forceUpdate.value++;
    }
    key() {
      var _a;
      const key = ((_a = this.params) == null ? void 0 : _a.map((param) => param.value).map((value) => value ? value.toString() : "").join("_")) || "";
      return key + (this.forceUpdate.value > 0 ? `_${this.forceUpdate.value}` : "");
    }
  }
  class ScrollListFilter {
    constructor(params) {
      __publicField(this, "queryRef", vue.ref(""));
      this.params = params;
    }
    setParams(params) {
      this.params = params;
    }
    createUrlQuery(locationQuery) {
      const nonFilter = this.extractNonFilterQuery(locationQuery);
      const filter2 = this.createRequestQuery();
      return { ...nonFilter, ...filter2 };
    }
    static isQueryEqual(query1, query2) {
      return JSON.stringify(query1, Object.keys(query1).sort()) === JSON.stringify(query2, Object.keys(query2).sort());
    }
    createRequestQuery() {
      var _a;
      const query = {};
      (_a = this.params) == null ? void 0 : _a.filter((param) => param.value.value && param.value.value !== param.defaultValue).forEach((param) => {
        const queryValue = this.convertToQuery(param);
        if (queryValue)
          query[param.name] = queryValue;
      });
      return query;
    }
    extractNonFilterQuery(query) {
      var _a;
      const filterNames = ((_a = this.params) == null ? void 0 : _a.map((param) => param.name)) || [];
      return Object.keys(query || []).reduce((acc, current) => {
        if (!filterNames.includes(current))
          acc[current] = (query == null ? void 0 : query[current]) || "";
        return acc;
      }, {});
    }
    syncUrlQuery(locationQuery) {
      var _a;
      (_a = this.params) == null ? void 0 : _a.forEach((param) => {
        const queryValue = locationQuery[param.name];
        param.value.value = this.convertFromQuery(param, queryValue);
      });
      const query = this.createRequestQuery();
      this.queryRef.value = Object.keys(query).length == 0 ? "" : JSON.stringify(query);
    }
    convertToQuery(param) {
      var _a;
      const value = param.value.value;
      if (!value || JSON.stringify(value) === JSON.stringify(param.defaultValue)) {
        return void 0;
      } else if ((_a = param.queryConverter) == null ? void 0 : _a.toQueryString) {
        return param.queryConverter.toQueryString(value);
      } else {
        return value.toString();
      }
    }
    convertFromQuery(param, queryValue) {
      var _a, _b;
      if (!queryValue) {
        return param.defaultValue;
      } else if ((_a = param.queryConverter) == null ? void 0 : _a.fromQueryString) {
        return (_b = param.queryConverter) == null ? void 0 : _b.fromQueryString(queryValue);
      } else {
        return String(queryValue);
      }
    }
    createListKey() {
      return new ScrollListKey([this.queryRef]);
    }
    getParamValues() {
      var _a;
      const result = {};
      (_a = this.params) == null ? void 0 : _a.forEach((param) => result[param.name] = param.value || param.defaultValue);
      return result;
    }
  }
  const numberQueryConverter = {
    toQueryString(value) {
      return String(value);
    },
    fromQueryString(query) {
      const value = Array.isArray(query) ? String(query[0]) : String(query);
      return Number(value);
    }
  };
  const vueLoading = "";
  const defaultProps = {
    color: "#3f51b5",
    loader: "spinner"
  };
  const inBrowser = typeof process === "undefined";
  class LoadingOverlayGuard {
    constructor() {
      __publicField(this, "loadingOverlay", vueLoadingOverlay.useLoading(defaultProps));
      __publicField(this, "showCount", 0);
      __publicField(this, "loader");
    }
    show() {
      if (inBrowser) {
        if (this.showCount <= 0) {
          this.loader = this.loadingOverlay.show();
        }
        ++this.showCount;
      }
    }
    hide() {
      if (this.showCount > 0) {
        --this.showCount;
        if (this.showCount <= 0 && this.loader) {
          this.loader.hide();
          this.loader = void 0;
        }
      }
    }
  }
  const defaultLoadingOverlayGuard = new LoadingOverlayGuard();
  const withLoading = async (func) => {
    try {
      defaultLoadingOverlayGuard.show();
      return await func();
    } finally {
      defaultLoadingOverlayGuard.hide();
    }
  };
  const showLoading = () => {
    defaultLoadingOverlayGuard.show();
  };
  const hideLoading = () => {
    defaultLoadingOverlayGuard.hide();
  };
  const anchorToRouterLink = {
    mounted: (el, binding) => {
      Array.from(el.getElementsByTagName("a")).forEach((anchor) => {
        anchor.onclick = async (event) => {
          var _a, _b;
          const router = (_a = binding.instance) == null ? void 0 : _a.$.appContext.config.globalProperties.$router;
          const href = anchor.getAttribute("href") || "";
          const isInternalLink = !!router && urlUtil.checkInternalLink(href);
          const target = (_b = anchor.getAttribute("target")) == null ? void 0 : _b.toLowerCase();
          const isTargetSelf = !target || target === "_self";
          const routerBase = location.origin + ((router == null ? void 0 : router.options.history.base) || "");
          const resultHref = isInternalLink === "SAME_ORIGIN" && isTargetSelf ? urlUtil.extractUrlDifferentPart(href, routerBase) : href;
          const useRouterLink = !event.altKey && !event.ctrlKey && !event.shiftKey && isInternalLink;
          if (useRouterLink) {
            event.preventDefault();
            await router.push(resultHref);
          }
        };
      });
    }
  };
  const _sfc_main = vue.defineComponent({
    name: "UiModal",
    components: { UiButton },
    props: {
      title: {
        type: String,
        default: void 0
      },
      width: {
        type: [String, Number],
        default: void 0
      },
      height: {
        type: [String, Number],
        default: void 0
      },
      minWidth: {
        type: [String, Number],
        default: void 0
      },
      minHeight: {
        type: [String, Number],
        default: void 0
      },
      maxWidth: {
        type: [String, Number],
        default: void 0
      },
      maxHeight: {
        type: [String, Number],
        default: void 0
      },
      drag: {
        type: Boolean,
        default: mobileDeviceType !== "IOS"
      },
      clickToClose: {
        type: Boolean,
        default: false
      },
      escToClose: {
        type: Boolean,
        default: false
      },
      transition: {
        type: String,
        default: void 0
      },
      classes: {
        type: String,
        default: void 0
      }
    },
    setup(props, { slots }) {
      const hasTitleSlot = vue.computed(() => !!(slots == null ? void 0 : slots.title));
      const hasButtonsSlot = vue.computed(() => !!(slots == null ? void 0 : slots.buttons));
      return {
        hasTitleSlot,
        hasButtonsSlot
      };
    }
  });
  const _hoisted_1 = { class: "modal-top" };
  const _hoisted_2 = {
    key: 0,
    class: "modal-title"
  };
  const _hoisted_3 = {
    key: 1,
    class: "modal-title"
  };
  const _hoisted_4 = { class: "modal-body" };
  const _hoisted_5 = {
    key: 0,
    class: "modal-buttons"
  };
  function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
    const _component_UiButton = vue.resolveComponent("UiButton");
    const _component_Modal = vue.resolveComponent("Modal");
    return vue.openBlock(), vue.createBlock(_component_Modal, {
      classes: `ui-modal ${_ctx.classes}`,
      "content-class": "modal-content",
      drag: _ctx.drag,
      "drag-selector": ".modal-top, .modal-title",
      "click-to-close": _ctx.clickToClose,
      "esc-to-close": _ctx.escToClose,
      transition: _ctx.transition,
      "content-style": { width: _ctx.width, height: _ctx.height, minWidth: _ctx.minWidth, minHeight: _ctx.minHeight, maxWidth: _ctx.maxWidth, maxHeight: _ctx.maxHeight }
    }, {
      default: vue.withCtx(({ close }) => [
        vue.createElementVNode("div", _hoisted_1, [
          _ctx.hasTitleSlot ? (vue.openBlock(), vue.createElementBlock("span", _hoisted_2, [
            vue.renderSlot(_ctx.$slots, "title", { close })
          ])) : (vue.openBlock(), vue.createElementBlock("span", _hoisted_3, vue.toDisplayString(_ctx.title), 1)),
          vue.createVNode(_component_UiButton, {
            class: "modal-close",
            onClick: close,
            icon: "close"
          }, null, 8, ["onClick"])
        ]),
        vue.createElementVNode("div", _hoisted_4, [
          vue.renderSlot(_ctx.$slots, "default", { close })
        ]),
        _ctx.hasButtonsSlot ? (vue.openBlock(), vue.createElementBlock("div", _hoisted_5, [
          vue.renderSlot(_ctx.$slots, "buttons", { close })
        ])) : vue.createCommentVNode("", true)
      ]),
      _: 3
    }, 8, ["classes", "drag", "click-to-close", "esc-to-close", "transition", "content-style"]);
  }
  const UiModal = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
  const modalOption = {
    key: "$modal",
    componentName: "Modal",
    dynamicContainerName: "ModalsContainer"
  };
  const ModalPlugin = {
    install: (app) => {
      vueFinalModal.vfmPlugin().install(app, modalOption);
    },
    modal: vueFinalModal.$vfm
  };
  const modalProps = {
    type: Object,
    default: () => ({})
  };
  const useModal = () => vue.inject("$modal");
  const getModalName = (modal) => {
    var _a;
    const name = typeof modal.component === "string" ? modal.component : ((_a = modal.component) == null ? void 0 : _a.name) || "";
    if (!name)
      throw Error(`Component name is missing. component = ${modal.component}`);
    return name;
  };
  const getComponentName = (component) => {
    const name = typeof component === "string" ? component : component.name || "";
    if (!name)
      throw Error(`Component name is missing. component = ${component}`);
    return name;
  };
  class HistoryModalManager {
    constructor(modal, router) {
      __publicField(this, "historyModals", /* @__PURE__ */ new Map());
      __publicField(this, "unregisterRouterBeforeEach");
      this.modal = modal;
      this.router = router;
      this.router.isReady().then(() => this.initialize());
    }
    async initialize() {
      this.unregisterRouterBeforeEach = this.router.beforeEach((to) => this.handleRouterBeforeEach(to));
      await this.synchronizeCurrent();
    }
    destroy() {
      var _a;
      (_a = this.unregisterRouterBeforeEach) == null ? void 0 : _a.call(this);
    }
    async registerHistoryModal(modal) {
      const historyModals = this.historyModals.get(this.getRouteName()) || [];
      historyModals.push(modal);
      this.historyModals.set(this.getRouteName(), historyModals);
      await this.synchronizeCurrent();
    }
    unregisterHistoryModal(modal) {
      var _a;
      const historyModals = this.historyModals.get(this.getRouteName()) || [];
      const index2 = historyModals.indexOf(modal);
      if (index2 >= 0)
        historyModals.splice(index2, 1);
      this.historyModals.set(this.getRouteName(), historyModals);
      if (((_a = this.historyModals.get(this.getRouteName())) == null ? void 0 : _a.length) === 0)
        this.historyModals.delete(this.getRouteName());
    }
    getRouteName() {
      const route = this.router.currentRoute.value;
      return route.name ? String(route.name) : "";
    }
    async handleRouterBeforeEach(to) {
      await this.synchronizeModals(this.getModalNamesInHash(to.hash));
    }
    getModalNamesInHash(hash = "") {
      return hash.startsWith("#") ? hash.substring(1).split(",") : [];
    }
    findModals(modalNames) {
      const historyModals = this.historyModals.get(this.getRouteName()) || [];
      return historyModals.flatMap((modal) => modal.findRegisteredModals(modalNames));
    }
    findHistoryModalHaving(modalName) {
      const modalsInGlobal = this.historyModals.get("") || [];
      const modalsInRoute = this.historyModals.get(this.getRouteName()) || [];
      const historyModals = [...modalsInGlobal, ...modalsInRoute];
      return historyModals.find((modal) => modal.hasModal(modalName));
    }
    async show(component, props) {
      const name = getComponentName(component);
      const historyModal = this.findHistoryModalHaving(name);
      const modal = historyModal == null ? void 0 : historyModal.getModal(name);
      if (historyModal && modal) {
        this.internalShowModal(modal, name, props);
        const route = this.router.currentRoute.value;
        const hash = route.hash;
        const newHash = hash.length > 0 ? `${hash},${name}` : `#${name}`;
        await this.router.push({ query: route.query, hash: newHash });
        historyModal.setFullPathOnShow(name, {
          before: route.fullPath,
          after: this.router.currentRoute.value.fullPath
        });
      }
    }
    internalShowModal(modal, modalName, props) {
      const _modal = { ...modal, bind: { ...modal.bind, ...props } };
      this.modal.show(_modal, { name: modalName });
    }
    async close(component) {
      var _a;
      const name = getComponentName(component);
      const fullPathOnShow = (_a = this.findHistoryModalHaving(name)) == null ? void 0 : _a.getFullPathOnShow(name);
      await this.internalCloseModal(name, fullPathOnShow);
    }
    async closeAllModals() {
      const route = this.router.currentRoute.value;
      const modalNames = this.getModalNamesInHash(route.hash);
      for (const modalName of modalNames) {
        await this.close(modalName);
      }
    }
    async internalCloseModal(modalName, fullPathOnShow) {
      setTimeout(async () => {
        const route = this.router.currentRoute.value;
        const names = this.getModalNamesInHash(route.hash);
        if (names.includes(modalName)) {
          if ((fullPathOnShow == null ? void 0 : fullPathOnShow.after) === route.fullPath) {
            this.router.back();
            await this.waitFullPathChange(fullPathOnShow == null ? void 0 : fullPathOnShow.before);
          } else {
            names.splice(names.indexOf(modalName), 1);
            const newHash = names.length === 0 ? void 0 : `#${names.join(",")}`;
            await this.router.replace({ query: route.query, hash: newHash });
          }
        }
      });
    }
    async waitFullPathChange(fullPath) {
      await new Promise((resolve) => {
        let maxTry = 10;
        const waitOneTime = () => {
          var _a;
          if (maxTry <= 0 || fullPath === void 0 || ((_a = this.router.currentRoute.value) == null ? void 0 : _a.fullPath) === fullPath) {
            resolve(void 0);
          } else {
            maxTry--;
            window.setTimeout(waitOneTime, 100);
          }
        };
        waitOneTime();
      });
    }
    async synchronizeCurrent() {
      var _a, _b;
      const hash = (_b = (_a = this.router.currentRoute) == null ? void 0 : _a.value) == null ? void 0 : _b.hash;
      const modalNamesInHash = this.getModalNamesInHash(hash);
      await this.synchronizeModals(modalNamesInHash);
    }
    async synchronizeModals(modalNamesInHash) {
      const historyModals = this.historyModals.get(this.getRouteName()) || [];
      const registeredModalNames = historyModals.flatMap((modal) => modal.getRegisteredModalNames());
      this.modal.openedModals.filter((open) => {
        var _a, _b;
        const name = (_b = (_a = open.params) == null ? void 0 : _a.value) == null ? void 0 : _b.name;
        return !modalNamesInHash.includes(name);
      }).forEach((toHide) => toHide.toggle());
      const openedNames = this.modal.openedModals.map((open) => {
        var _a, _b;
        return (_b = (_a = open.params) == null ? void 0 : _a.value) == null ? void 0 : _b.name;
      }).filter((name) => !!name);
      const modalsInHash = this.findModals(modalNamesInHash);
      modalsInHash.filter((modal) => {
        const name = getModalName(modal);
        return registeredModalNames.includes(name) && !openedNames.includes(name);
      }).forEach((toOpen) => {
        if (toOpen.showOnRefresh) {
          this.internalShowModal(toOpen, getModalName(toOpen));
        } else {
          this.internalCloseModal(getModalName(toOpen), void 0);
        }
      });
    }
  }
  class HistoryModal {
    constructor(manager) {
      __publicField(this, "manager");
      __publicField(this, "modalMap", /* @__PURE__ */ new Map());
      __publicField(this, "fullPathOnShow", /* @__PURE__ */ new Map());
      this.manager = manager;
    }
    async initialize() {
      await this.manager.registerHistoryModal(this);
    }
    destroy() {
      this.manager.unregisterHistoryModal(this);
    }
    register(modal) {
      if (!modal.component)
        throw Error("component is required in DynamicModalOptions");
      const modalName = getModalName(modal);
      modal.on = { ...modal.on, closed: async () => await this.closedHandler(modalName) };
      this.modalMap.set(modalName, modal);
    }
    getRegisteredModalNames() {
      return Array.from(this.modalMap.keys());
    }
    findRegisteredModals(modalNames) {
      return Array.from(this.modalMap.entries()).filter((entry) => modalNames.includes(entry[0])).map((entry) => entry[1]);
    }
    hasModal(modalName) {
      return this.modalMap.has(modalName);
    }
    getModal(modalName) {
      return this.modalMap.get(modalName);
    }
    setFullPathOnShow(modalName, fullPath) {
      this.fullPathOnShow.set(modalName, fullPath);
    }
    getFullPathOnShow(modalName) {
      return this.fullPathOnShow.get(modalName);
    }
    async closedHandler(modalName) {
      const fullPathOnShow = this.fullPathOnShow.get(modalName);
      await this.manager.internalCloseModal(modalName, fullPathOnShow);
      this.fullPathOnShow.delete(modalName);
    }
  }
  const historyModalKey = Symbol("HistoryModalPluginKey");
  const useHistoryModal = (...modals) => {
    const manager = vue.inject(historyModalKey);
    if (!manager) {
      throw new Error("HistoryModalPlugin is not installed!");
    }
    if (modals.length > 0) {
      const historyModal = new HistoryModal(manager);
      modals.forEach((modal) => historyModal.register(modal));
      vue.onMounted(async () => await historyModal.initialize());
      vue.onBeforeUnmount(() => historyModal.destroy());
    }
    return manager;
  };
  const HistoryModalPlugin = {
    install(app, option) {
      if (!option) {
        throw new Error("option (HistoryModalPluginOptions) is missing!");
      }
      if (!option.modal) {
        throw new Error("option.modal is missing!");
      }
      if (!option.router) {
        throw new Error("option.router is missing!");
      }
      const manager = new HistoryModalManager(option.modal, option.router);
      app.provide(historyModalKey, manager);
    }
  };
  function notNull(value) {
    return value !== null && value !== void 0;
  }
  class RouteContext {
    constructor() {
      __publicField(this, "fullPath");
      __publicField(this, "type");
      __publicField(this, "direction");
    }
    update(fullPath, type, direction) {
      this.fullPath = fullPath;
      this.type = type;
      this.direction = direction;
    }
    clearIfOtherPath(fullPath) {
      if (this.fullPath !== fullPath) {
        this.fullPath = void 0;
        this.type = void 0;
        this.direction = void 0;
      }
    }
    fromBackOrForward() {
      return !!(this.type && this.direction);
    }
    getType() {
      return this.type === "pop" ? "pop" : this.type === "push" ? "push" : void 0;
    }
    getDirection() {
      return this.direction === "back" ? "back" : this.direction === "forward" ? "forward" : void 0;
    }
  }
  const routeContext = new RouteContext();
  const initializeRouteContext = (router) => {
    router.options.history.listen((to, from, info) => {
      routeContext.update(to, String(info.type), String(info.direction));
    });
    router.afterEach((to) => {
      routeContext.clearIfOtherPath(to.fullPath);
    });
  };
  exports2.BREAKPOINTS = BREAKPOINTS;
  exports2.HistoryModal = HistoryModal;
  exports2.HistoryModalManager = HistoryModalManager;
  exports2.HistoryModalPlugin = HistoryModalPlugin;
  exports2.ListCondition = ListCondition;
  exports2.MEDIA_QUERIES = MEDIA_QUERIES;
  exports2.ModalPlugin = ModalPlugin;
  exports2.PaginatedList = PaginatedList;
  exports2.ScreenSizeArray = ScreenSizeArray;
  exports2.ScrollListFilter = ScrollListFilter;
  exports2.ScrollListKey = ScrollListKey;
  exports2.SwiperSlide = SwiperSlide;
  exports2.TotalList = TotalList;
  exports2.UiButton = UiButton;
  exports2.UiCarousel = UiCarousel;
  exports2.UiCheckbox = UiCheckbox;
  exports2.UiDate = UiDate;
  exports2.UiField = UiField;
  exports2.UiFieldError = UiFieldError;
  exports2.UiFieldGuide = UiFieldGuide;
  exports2.UiImage = UiImage;
  exports2.UiInputImages = UiInputImages;
  exports2.UiInputPrice = UiInputPrice;
  exports2.UiInputQty = UiInputQty;
  exports2.UiInputText = UiInputText;
  exports2.UiLabel = UiLabel;
  exports2.UiLayout = UiLayout;
  exports2.UiLink = UiLink;
  exports2.UiMedia = UiMedia;
  exports2.UiModal = UiModal;
  exports2.UiPagination = UiPagination;
  exports2.UiPeriodSearch = UiPeriodSearch;
  exports2.UiPicture = UiPicture;
  exports2.UiPrice = UiPrice;
  exports2.UiProcessStep = UiProcessStep;
  exports2.UiRadioButton = UiRadioButton;
  exports2.UiScrollList = UiScrollList;
  exports2.UiScrollListAppend = UiScrollListAppend;
  exports2.UiScrollListPage = UiScrollListPage;
  exports2.UiSelect = UiSelect;
  exports2.UiSwiper = UiSwiper;
  exports2.UiTab = UiTab;
  exports2.UiTabs = UiTabs;
  exports2.UiTextarea = UiTextarea;
  exports2.UiTooltip = UiTooltip;
  exports2.UiVideo = UiVideo;
  exports2.UiYoutubePlayer = UiYoutubePlayer;
  exports2.anchorToRouterLink = anchorToRouterLink;
  exports2.browserUtil = browserUtil;
  exports2.componentUtil = componentUtil;
  exports2.configureUiComponent = configureUiComponent;
  exports2.createDatePeriodByMonths = createDatePeriodByMonths;
  exports2.datePeriodConverter = datePeriodConverter;
  exports2.enhanceDatePeriodObject = enhanceDatePeriodObject;
  exports2.focusOnLoad = focusOnLoad;
  exports2.formatUtil = formatUtil;
  exports2.getPeriodSearchInitialValue = getPeriodSearchInitialValue;
  exports2.hideLoading = hideLoading;
  exports2.initializeRouteContext = initializeRouteContext;
  exports2.lazy = Lazy;
  exports2.mobileDeviceType = mobileDeviceType;
  exports2.modalOption = modalOption;
  exports2.modalProps = modalProps;
  exports2.notNull = notNull;
  exports2.numberQueryConverter = numberQueryConverter;
  exports2.responsiveUtil = responsiveUtil;
  exports2.routeContext = routeContext;
  exports2.selectOnLoad = selectOnLoad;
  exports2.showLoading = showLoading;
  exports2.supportIntersectionObserver = supportIntersectionObserver;
  exports2.supportWebp = supportWebp;
  exports2.urlUtil = urlUtil;
  exports2.useHistoryModal = useHistoryModal;
  exports2.useModal = useModal;
  exports2.useRouterTab = useRouterTab;
  exports2.withLoading = withLoading;
  Object.defineProperties(exports2, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
});
